Mailinglist Archive: zypp-commit (301 mails)

< Previous Next >
[zypp-commit] r7490 - in /trunk/sat-solver/testsuite/data.libzypp: basic-exercises/ bugzilla-tests/ distupgrade-tests/ freshen-tests/ instorder-tests/ kernel-tests/ language-tests/ lock-tests/ patch-tests/ repos...
  • From: coolo@xxxxxxxxxxxxxxxx
  • Date: Fri, 12 Oct 2007 12:33:30 -0000
  • Message-id: <20071012123335.BC4FB451F1@xxxxxxxxxxxxxxxx>
Author: coolo
Date: Fri Oct 12 14:33:29 2007
New Revision: 7490

URL: http://svn.opensuse.org/viewcvs/zypp?rev=7490&view=rev
Log:
adding more of the test cases that work atm in the name
of regression testing
before: ==> 196 tests: 144 passed, 52 failed <==
after:  ==> 241 tests: 194 passed, 47 failed <==

Added:
    trunk/sat-solver/testsuite/data.libzypp/basic-exercises/exercise-1-system.xml.gz   (with props)
    trunk/sat-solver/testsuite/data.libzypp/basic-exercises/exercise-22-test.solution
      - copied unchanged from r7489, trunk/sat-solver/testsuite/data.libzypp/basic-exercises/exercise-22-test.solution1
    trunk/sat-solver/testsuite/data.libzypp/basic-exercises/exercise-23-test.solution
      - copied unchanged from r7489, trunk/sat-solver/testsuite/data.libzypp/basic-exercises/exercise-23-test.solution1
    trunk/sat-solver/testsuite/data.libzypp/basic-exercises/maxSolution-test.solution
      - copied unchanged from r7489, trunk/sat-solver/testsuite/data.libzypp/basic-exercises/maxSolution-test.solution1
    trunk/sat-solver/testsuite/data.libzypp/basic-exercises/require-1-test.solution
      - copied unchanged from r7489, trunk/sat-solver/testsuite/data.libzypp/basic-exercises/require-1-test.solution1
    trunk/sat-solver/testsuite/data.libzypp/basic-exercises/require-2-test.solution
      - copied unchanged from r7489, trunk/sat-solver/testsuite/data.libzypp/basic-exercises/require-2-test.solution1
    trunk/sat-solver/testsuite/data.libzypp/basic-exercises/require-3-test.solution
      - copied unchanged from r7489, trunk/sat-solver/testsuite/data.libzypp/basic-exercises/require-3-test.solution1
    trunk/sat-solver/testsuite/data.libzypp/basic-exercises/require-packages.xml.gz   (with props)
    trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/
    trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/Bug217574-1-package.solv   (with props)
    trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/Bug217574-3-package.solv   (with props)
    trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/Bug217574-system.solv   (with props)
    trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/Bug243595-package.solv   (with props)
    trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/Bug243595-test.solution
    trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/Bug243595-test.xml
    trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/Bug255011-1-package.solv   (with props)
    trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/Bug255011-3-package.solv   (with props)
    trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/Bug273918-1-package.solv   (with props)
    trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/Bug273918-system.solv   (with props)
    trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/Bug273918-test.solution
    trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/Bug273918-test.xml
    trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/bug205039-selections.solv   (with props)
    trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/bug205039-test.solution
    trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/bug205039-test.xml
    trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/bug205977-installed.solv   (with props)
    trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/bug206927-system.solv   (with props)
    trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/bug208784-system.solv   (with props)
    trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/bug217574-system.solv   (with props)
    trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/bug218492-package.solv   (with props)
    trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/bug218492-system.solv   (with props)
    trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/bug220757-system.solv   (with props)
    trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/bug220999-packages.solv   (with props)
    trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/bug220999-system.solv   (with props)
    trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/bug222531-packages1.solv   (with props)
    trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/bug222531-packages2.solv   (with props)
    trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/bug222531-system.solv   (with props)
    trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/bug224698-3-package.solv   (with props)
    trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/bug224698-6-package.solv   (with props)
    trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/bug224698-system.solv   (with props)
    trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/bug225218-packages.solv   (with props)
    trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/bug225218-system.solv   (with props)
    trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/bug225278-0-package.solv   (with props)
    trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/bug225278-1-package.solv   (with props)
    trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/bug225278-system.solv   (with props)
    trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/bug230685-6-package.solv   (with props)
    trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/bug230685-9-package.solv   (with props)
    trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/bug230685-system.solv   (with props)
    trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/bug238284-0-package.solv   (with props)
    trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/bug238284-2-package.solv   (with props)
    trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/bug238284-3-package.solv   (with props)
    trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/bug238284-4-package.solv   (with props)
    trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/bug238284-5-package.solv   (with props)
    trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/bug238284-7-package.solv   (with props)
    trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/bug238284-system.solv   (with props)
    trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/bug239199-10-package.solv   (with props)
    trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/bug239199-13-package.solv   (with props)
    trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/bug239199-3-package.solv   (with props)
    trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/bug239199-system.solv   (with props)
    trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/bug239750-4-package.solv   (with props)
    trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/bug239750-system.solv   (with props)
    trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/bug239750-test.solution
    trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/bug239750-test.xml
    trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/bug292077-1-package.solv   (with props)
    trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/bug292077-2-package.solv   (with props)
    trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/bug292077-4-package.solv   (with props)
    trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/bug292077-system.solv   (with props)
    trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/bug297795-1-package.solv   (with props)
    trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/bug308098-1-package.solv   (with props)
    trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/bug308098-system.solv   (with props)
    trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/bug308252-3-package.solv   (with props)
    trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/bug308252-system.solv   (with props)
    trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/bug310455-1-package.solv   (with props)
    trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/bug310455-4-package.solv   (with props)
    trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/bug310455-system.solv   (with props)
    trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/bug310618-system.solv   (with props)
    trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/bug326384-package.solv   (with props)
    trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/bug326384-system.solv   (with props)
    trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/bug328081-package.solv   (with props)
    trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/oes-packages.solv   (with props)
    trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/patchA-equal-name.solv   (with props)
    trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/patchA-unequal-name.solv   (with props)
    trunk/sat-solver/testsuite/data.libzypp/distupgrade-tests/
    trunk/sat-solver/testsuite/data.libzypp/distupgrade-tests/SLES-10-x86_64-B906-packages.solv   (with props)
    trunk/sat-solver/testsuite/data.libzypp/distupgrade-tests/bug150844-packages.solv   (with props)
    trunk/sat-solver/testsuite/data.libzypp/distupgrade-tests/bug150844-selections.solv   (with props)
    trunk/sat-solver/testsuite/data.libzypp/distupgrade-tests/conflicting-multiple-rename-package.solv   (with props)
    trunk/sat-solver/testsuite/data.libzypp/distupgrade-tests/multiple-rename-package.solv   (with props)
    trunk/sat-solver/testsuite/data.libzypp/distupgrade-tests/single-other-package.solv   (with props)
    trunk/sat-solver/testsuite/data.libzypp/distupgrade-tests/single-rename-package.solv   (with props)
    trunk/sat-solver/testsuite/data.libzypp/distupgrade-tests/single-v1-package.solv   (with props)
    trunk/sat-solver/testsuite/data.libzypp/distupgrade-tests/single-v2-package.solv   (with props)
    trunk/sat-solver/testsuite/data.libzypp/distupgrade-tests/single-v3-package.solv   (with props)
    trunk/sat-solver/testsuite/data.libzypp/distupgrade-tests/sles10-beta3-i386-packages.solv   (with props)
    trunk/sat-solver/testsuite/data.libzypp/distupgrade-tests/sles9-i386-packages.solv   (with props)
    trunk/sat-solver/testsuite/data.libzypp/distupgrade-tests/sles9-sp3-150844-packages.solv   (with props)
    trunk/sat-solver/testsuite/data.libzypp/distupgrade-tests/unmaintained-nodelete-single-test.solution
    trunk/sat-solver/testsuite/data.libzypp/distupgrade-tests/unmaintained-nodelete-single-test.xml
    trunk/sat-solver/testsuite/data.libzypp/distupgrade-tests/version-rename-package.solv   (with props)
    trunk/sat-solver/testsuite/data.libzypp/distupgrade-tests/version-rename-system.solv   (with props)
    trunk/sat-solver/testsuite/data.libzypp/distupgrade-tests/x86_64-system.solv   (with props)
    trunk/sat-solver/testsuite/data.libzypp/freshen-tests/
    trunk/sat-solver/testsuite/data.libzypp/freshen-tests/exercise-1-packages.solv   (with props)
    trunk/sat-solver/testsuite/data.libzypp/freshen-tests/exercise-1-system.solv   (with props)
    trunk/sat-solver/testsuite/data.libzypp/freshen-tests/exercise-10-test.solution
    trunk/sat-solver/testsuite/data.libzypp/freshen-tests/exercise-10-test.xml
    trunk/sat-solver/testsuite/data.libzypp/freshen-tests/exercise-12-test.solution
    trunk/sat-solver/testsuite/data.libzypp/freshen-tests/exercise-12-test.xml
    trunk/sat-solver/testsuite/data.libzypp/freshen-tests/exercise-13-test.solution
    trunk/sat-solver/testsuite/data.libzypp/freshen-tests/exercise-13-test.xml
    trunk/sat-solver/testsuite/data.libzypp/freshen-tests/exercise-2-packages.solv   (with props)
    trunk/sat-solver/testsuite/data.libzypp/freshen-tests/exercise-2-system.solv   (with props)
    trunk/sat-solver/testsuite/data.libzypp/freshen-tests/exercise-2-test.solution
    trunk/sat-solver/testsuite/data.libzypp/freshen-tests/exercise-2-test.xml
    trunk/sat-solver/testsuite/data.libzypp/freshen-tests/exercise-3-packages.solv   (with props)
    trunk/sat-solver/testsuite/data.libzypp/freshen-tests/exercise-3-test.solution
    trunk/sat-solver/testsuite/data.libzypp/freshen-tests/exercise-3-test.xml
    trunk/sat-solver/testsuite/data.libzypp/freshen-tests/exercise-4-test.solution
    trunk/sat-solver/testsuite/data.libzypp/freshen-tests/exercise-4-test.xml
    trunk/sat-solver/testsuite/data.libzypp/freshen-tests/exercise-5-test.solution
    trunk/sat-solver/testsuite/data.libzypp/freshen-tests/exercise-5-test.xml
    trunk/sat-solver/testsuite/data.libzypp/freshen-tests/exercise-5f-test.solution
    trunk/sat-solver/testsuite/data.libzypp/freshen-tests/exercise-5f-test.xml
    trunk/sat-solver/testsuite/data.libzypp/freshen-tests/exercise-6-packages.solv   (with props)
    trunk/sat-solver/testsuite/data.libzypp/freshen-tests/exercise-7-packages.solv   (with props)
    trunk/sat-solver/testsuite/data.libzypp/freshen-tests/exercise-9-test.solution
    trunk/sat-solver/testsuite/data.libzypp/freshen-tests/exercise-9-test.xml
    trunk/sat-solver/testsuite/data.libzypp/freshen-tests/exercise-bug171590-packages.solv   (with props)
    trunk/sat-solver/testsuite/data.libzypp/freshen-tests/exercise-bug171590-test.solution
    trunk/sat-solver/testsuite/data.libzypp/freshen-tests/exercise-bug171590-test.xml
    trunk/sat-solver/testsuite/data.libzypp/freshen-tests/exercise-jsrain-packages.solv   (with props)
    trunk/sat-solver/testsuite/data.libzypp/freshen-tests/exercise-jsrain-system.solv   (with props)
    trunk/sat-solver/testsuite/data.libzypp/freshen-tests/exercise-jsrain-test.solution
    trunk/sat-solver/testsuite/data.libzypp/freshen-tests/exercise-jsrain-test.xml
    trunk/sat-solver/testsuite/data.libzypp/freshen-tests/exercise-jsrain1-test.solution
    trunk/sat-solver/testsuite/data.libzypp/freshen-tests/exercise-jsrain1-test.xml
    trunk/sat-solver/testsuite/data.libzypp/freshen-tests/exercise1-bug171590-test.solution
    trunk/sat-solver/testsuite/data.libzypp/freshen-tests/exercise1-bug171590-test.xml
    trunk/sat-solver/testsuite/data.libzypp/instorder-tests/
    trunk/sat-solver/testsuite/data.libzypp/instorder-tests/exercise-1-packages.solv   (with props)
    trunk/sat-solver/testsuite/data.libzypp/instorder-tests/exercise-1-test.solution
    trunk/sat-solver/testsuite/data.libzypp/instorder-tests/exercise-1-test.xml
    trunk/sat-solver/testsuite/data.libzypp/instorder-tests/exercise-preview4-test.solution
    trunk/sat-solver/testsuite/data.libzypp/instorder-tests/exercise-preview4-test.xml
    trunk/sat-solver/testsuite/data.libzypp/instorder-tests/exercise-sles10-beta3-test.solution
    trunk/sat-solver/testsuite/data.libzypp/instorder-tests/exercise-sles10-beta3-test.xml
    trunk/sat-solver/testsuite/data.libzypp/instorder-tests/preview4-x86_64-packages.solv   (with props)
    trunk/sat-solver/testsuite/data.libzypp/instorder-tests/sles10-beta3-i386-packages.solv   (with props)
    trunk/sat-solver/testsuite/data.libzypp/instorder-tests/stable-i386-packages.solv   (with props)
    trunk/sat-solver/testsuite/data.libzypp/kernel-tests/
    trunk/sat-solver/testsuite/data.libzypp/kernel-tests/1.1.1-default-packages.solv   (with props)
    trunk/sat-solver/testsuite/data.libzypp/kernel-tests/1.1.1-default-system.solv   (with props)
    trunk/sat-solver/testsuite/data.libzypp/kernel-tests/1.1.1-smp-packages.solv   (with props)
    trunk/sat-solver/testsuite/data.libzypp/kernel-tests/1.1.1-smp-system.solv   (with props)
    trunk/sat-solver/testsuite/data.libzypp/kernel-tests/1.1.2-default-packages.solv   (with props)
    trunk/sat-solver/testsuite/data.libzypp/kernel-tests/1.1.2-default-system.solv   (with props)
    trunk/sat-solver/testsuite/data.libzypp/kernel-tests/1.1.2-smp-packages.solv   (with props)
    trunk/sat-solver/testsuite/data.libzypp/kernel-tests/1.1.2-smp-system.solv   (with props)
    trunk/sat-solver/testsuite/data.libzypp/kernel-tests/1.1.3-default-packages.solv   (with props)
    trunk/sat-solver/testsuite/data.libzypp/kernel-tests/1.1.3-default-system.solv   (with props)
    trunk/sat-solver/testsuite/data.libzypp/kernel-tests/1.1.3-smp-packages.solv   (with props)
    trunk/sat-solver/testsuite/data.libzypp/kernel-tests/1.1.3-smp-system.solv   (with props)
    trunk/sat-solver/testsuite/data.libzypp/kernel-tests/1.2.1-default-packages.solv   (with props)
    trunk/sat-solver/testsuite/data.libzypp/kernel-tests/1.2.1-default-system.solv   (with props)
    trunk/sat-solver/testsuite/data.libzypp/kernel-tests/1.2.1-smp-packages.solv   (with props)
    trunk/sat-solver/testsuite/data.libzypp/kernel-tests/1.2.1-smp-system.solv   (with props)
    trunk/sat-solver/testsuite/data.libzypp/kernel-tests/1.2.2-default-packages.solv   (with props)
    trunk/sat-solver/testsuite/data.libzypp/kernel-tests/1.2.2-default-system.solv   (with props)
    trunk/sat-solver/testsuite/data.libzypp/kernel-tests/1.2.2-smp-packages.solv   (with props)
    trunk/sat-solver/testsuite/data.libzypp/kernel-tests/1.2.2-smp-system.solv   (with props)
    trunk/sat-solver/testsuite/data.libzypp/kernel-tests/1.2.3-default-packages.solv   (with props)
    trunk/sat-solver/testsuite/data.libzypp/kernel-tests/1.2.3-default-system.solv   (with props)
    trunk/sat-solver/testsuite/data.libzypp/kernel-tests/1.2.3-smp-packages.solv   (with props)
    trunk/sat-solver/testsuite/data.libzypp/kernel-tests/1.2.3-smp-system.solv   (with props)
    trunk/sat-solver/testsuite/data.libzypp/kernel-tests/1_2_1-default-test.solution
    trunk/sat-solver/testsuite/data.libzypp/kernel-tests/1_2_1-default-test.xml
    trunk/sat-solver/testsuite/data.libzypp/kernel-tests/1_2_2-default-test.solution
    trunk/sat-solver/testsuite/data.libzypp/kernel-tests/1_2_2-default-test.xml
    trunk/sat-solver/testsuite/data.libzypp/kernel-tests/1_2_2-smp-test.solution
    trunk/sat-solver/testsuite/data.libzypp/kernel-tests/1_2_2-smp-test.xml
    trunk/sat-solver/testsuite/data.libzypp/kernel-tests/2.1-default-packages.solv   (with props)
    trunk/sat-solver/testsuite/data.libzypp/kernel-tests/2.1-default-system.solv   (with props)
    trunk/sat-solver/testsuite/data.libzypp/kernel-tests/2.1-smp-packages.solv   (with props)
    trunk/sat-solver/testsuite/data.libzypp/kernel-tests/2.1-smp-system.solv   (with props)
    trunk/sat-solver/testsuite/data.libzypp/kernel-tests/2.2.1-default-packages.solv   (with props)
    trunk/sat-solver/testsuite/data.libzypp/kernel-tests/2.2.1-default-system.solv   (with props)
    trunk/sat-solver/testsuite/data.libzypp/kernel-tests/2.2.1-smp-packages.solv   (with props)
    trunk/sat-solver/testsuite/data.libzypp/kernel-tests/2.2.1-smp-system.solv   (with props)
    trunk/sat-solver/testsuite/data.libzypp/kernel-tests/2.2.2-default-packages.solv   (with props)
    trunk/sat-solver/testsuite/data.libzypp/kernel-tests/2.2.2-default-system.solv   (with props)
    trunk/sat-solver/testsuite/data.libzypp/kernel-tests/2.2.2-smp-packages.solv   (with props)
    trunk/sat-solver/testsuite/data.libzypp/kernel-tests/2.6.16_rc5_git14-2-packages.solv   (with props)
    trunk/sat-solver/testsuite/data.libzypp/kernel-tests/2.6.16_rc5_git14-3-packages.solv   (with props)
    trunk/sat-solver/testsuite/data.libzypp/kernel-tests/2.6.16_rc5_git14-3c-packages.solv   (with props)
    trunk/sat-solver/testsuite/data.libzypp/kernel-tests/2_2_1-default-manual-test.solution
    trunk/sat-solver/testsuite/data.libzypp/kernel-tests/2_2_1-default-manual-test.xml
    trunk/sat-solver/testsuite/data.libzypp/kernel-tests/2_2_1-default-test.solution
    trunk/sat-solver/testsuite/data.libzypp/kernel-tests/2_2_1-default-test.xml
    trunk/sat-solver/testsuite/data.libzypp/kernel-tests/2_2_2-default-test.solution
    trunk/sat-solver/testsuite/data.libzypp/kernel-tests/2_2_2-default-test.xml
    trunk/sat-solver/testsuite/data.libzypp/kernel-tests/Bug160341-system.solv   (with props)
    trunk/sat-solver/testsuite/data.libzypp/kernel-tests/Bug160341-test.solution
    trunk/sat-solver/testsuite/data.libzypp/kernel-tests/Bug160341-test.xml
    trunk/sat-solver/testsuite/data.libzypp/kernel-tests/beta8-kde-system.solv   (with props)
    trunk/sat-solver/testsuite/data.libzypp/kernel-tests/beta8-packages.solv   (with props)
    trunk/sat-solver/testsuite/data.libzypp/kernel-tests/kernel-repo.solv   (with props)
    trunk/sat-solver/testsuite/data.libzypp/kernel-tests/kernel-system.solv   (with props)
    trunk/sat-solver/testsuite/data.libzypp/kernel-tests/sl10.1-beta7-packages.solv   (with props)
    trunk/sat-solver/testsuite/data.libzypp/kernel-tests/sl10.1-beta7-selections.solv   (with props)
    trunk/sat-solver/testsuite/data.libzypp/language-tests/
    trunk/sat-solver/testsuite/data.libzypp/language-tests/beta52-aspell-fr-test.solution
    trunk/sat-solver/testsuite/data.libzypp/language-tests/beta52-aspell-fr-test.xml
    trunk/sat-solver/testsuite/data.libzypp/language-tests/beta52-i386-packages.solv   (with props)
    trunk/sat-solver/testsuite/data.libzypp/language-tests/beta8-selections.solv   (with props)
    trunk/sat-solver/testsuite/data.libzypp/language-tests/possible-locales-test.solution
    trunk/sat-solver/testsuite/data.libzypp/language-tests/possible-locales-test.xml
    trunk/sat-solver/testsuite/data.libzypp/lock-tests/
    trunk/sat-solver/testsuite/data.libzypp/lock-tests/exercise-10-packages.solv   (with props)
    trunk/sat-solver/testsuite/data.libzypp/lock-tests/exercise-58-test.solution
    trunk/sat-solver/testsuite/data.libzypp/lock-tests/exercise-58-test.xml
    trunk/sat-solver/testsuite/data.libzypp/lock-tests/exercise-obscureobsoletes-packages.solv   (with props)
    trunk/sat-solver/testsuite/data.libzypp/lock-tests/exercise-obscureobsoletes-system.solv   (with props)
    trunk/sat-solver/testsuite/data.libzypp/lock-tests/required-packages.solv   (with props)
    trunk/sat-solver/testsuite/data.libzypp/lock-tests/single-package.solv   (with props)
    trunk/sat-solver/testsuite/data.libzypp/lock-tests/single-package2.solv   (with props)
    trunk/sat-solver/testsuite/data.libzypp/patch-tests/
    trunk/sat-solver/testsuite/data.libzypp/patch-tests/glibc-i586-package.solv   (with props)
    trunk/sat-solver/testsuite/data.libzypp/patch-tests/jumbo-patch-test-installed.solv   (with props)
    trunk/sat-solver/testsuite/data.libzypp/patch-tests/jumbo-patch.solv   (with props)
    trunk/sat-solver/testsuite/data.libzypp/patch-tests/kernel-installed.solv   (with props)
    trunk/sat-solver/testsuite/data.libzypp/patch-tests/libzypp-i586-package.solv   (with props)
    trunk/sat-solver/testsuite/data.libzypp/patch-tests/libzypp-ppc-package.solv   (with props)
    trunk/sat-solver/testsuite/data.libzypp/patch-tests/libzypp-ppc64-package.solv   (with props)
    trunk/sat-solver/testsuite/data.libzypp/patch-tests/libzypp-x86_64-package.solv   (with props)
    trunk/sat-solver/testsuite/data.libzypp/patch-tests/load-armstrong-test.solution
    trunk/sat-solver/testsuite/data.libzypp/patch-tests/load-armstrong-test.xml
    trunk/sat-solver/testsuite/data.libzypp/patch-tests/mutt-new-package.solv   (with props)
    trunk/sat-solver/testsuite/data.libzypp/patch-tests/mutt-old-package.solv   (with props)
    trunk/sat-solver/testsuite/data.libzypp/patch-tests/parallel-atmos-fail-test.solution
    trunk/sat-solver/testsuite/data.libzypp/patch-tests/parallel-atmos-fail-test.xml
    trunk/sat-solver/testsuite/data.libzypp/patch-tests/patch-fetchmsttfonts.sh-1829.solv   (with props)
    trunk/sat-solver/testsuite/data.libzypp/patch-tests/patch-kernel1.solv   (with props)
    trunk/sat-solver/testsuite/data.libzypp/patch-tests/patch-kernel2.solv   (with props)
    trunk/sat-solver/testsuite/data.libzypp/patch-tests/patch-message.solv   (with props)
    trunk/sat-solver/testsuite/data.libzypp/patch-tests/patchA-fail-installed.solv   (with props)
    trunk/sat-solver/testsuite/data.libzypp/patch-tests/patchA-installed.solv   (with props)
    trunk/sat-solver/testsuite/data.libzypp/patch-tests/patchA-new.solv   (with props)
    trunk/sat-solver/testsuite/data.libzypp/patch-tests/patchB-new.solv   (with props)
    trunk/sat-solver/testsuite/data.libzypp/patch-tests/pine-new-package.solv   (with props)
    trunk/sat-solver/testsuite/data.libzypp/patch-tests/pine-old-package.solv   (with props)
    trunk/sat-solver/testsuite/data.libzypp/patch-tests/rc3-ppc-packages.solv   (with props)
    trunk/sat-solver/testsuite/data.libzypp/patch-tests/rc3-x86_64-packages.solv   (with props)
    trunk/sat-solver/testsuite/data.libzypp/patch-tests/right-mutt-test.solution
    trunk/sat-solver/testsuite/data.libzypp/patch-tests/right-mutt-test.xml
    trunk/sat-solver/testsuite/data.libzypp/repos/
    trunk/sat-solver/testsuite/data.libzypp/repos/factory/
    trunk/sat-solver/testsuite/data.libzypp/repos/factory/factory_i686-packages.solv   (with props)
    trunk/sat-solver/testsuite/data.libzypp/repos/factory/factory_i686-packages.xml.gz   (with props)
    trunk/sat-solver/testsuite/data.libzypp/repos/factory/factory_i686-patterns.solv   (with props)
    trunk/sat-solver/testsuite/data.libzypp/repos/factory/factory_i686-patterns.xml.gz   (with props)
    trunk/sat-solver/testsuite/data.libzypp/repos/factory/factory_i686-products.xml
    trunk/sat-solver/testsuite/data.libzypp/repos/openSUSE10.3/
    trunk/sat-solver/testsuite/data.libzypp/repos/openSUSE10.3/openSUSE10.3B2_all.solv   (with props)
    trunk/sat-solver/testsuite/data.libzypp/repos/openSUSE10.3/openSUSE10.3B2_all.xml.gz   (with props)
    trunk/sat-solver/testsuite/data.libzypp/repos/openSUSE10.3/openSUSE10.3_x86_64-packages.solv   (with props)
    trunk/sat-solver/testsuite/data.libzypp/repos/openSUSE10.3/openSUSE10.3_x86_64-packages.xml.gz   (with props)
    trunk/sat-solver/testsuite/data.libzypp/repos/openSUSE10.3/openSUSE10.3_x86_64-patterns.solv   (with props)
    trunk/sat-solver/testsuite/data.libzypp/repos/openSUSE10.3/openSUSE10.3_x86_64-patterns.xml.gz   (with props)
    trunk/sat-solver/testsuite/data.libzypp/repos/openSUSE10.3/openSUSE10.3_x86_64-products.xml
    trunk/sat-solver/testsuite/data.libzypp/repos/sl10.1/
    trunk/sat-solver/testsuite/data.libzypp/repos/sl10.1/10.1-patches.xml
    trunk/sat-solver/testsuite/data.libzypp/repos/sl10.1/10.1_i686-packages.solv   (with props)
    trunk/sat-solver/testsuite/data.libzypp/repos/sl10.1/10.1_i686-packages.xml.gz   (with props)
    trunk/sat-solver/testsuite/data.libzypp/repos/sl10.1/10.1_i686-patterns.solv   (with props)
    trunk/sat-solver/testsuite/data.libzypp/repos/sl10.1/10.1_i686-patterns.xml.gz   (with props)
    trunk/sat-solver/testsuite/data.libzypp/repos/sl10.1/10.1_i686-selections.solv   (with props)
    trunk/sat-solver/testsuite/data.libzypp/repos/sl10.1/10.1_i686-selections.xml.gz   (with props)
    trunk/sat-solver/testsuite/data.libzypp/repos/sled10/
    trunk/sat-solver/testsuite/data.libzypp/repos/sled10/sled-10-i386-1408-default-system.solv   (with props)
    trunk/sat-solver/testsuite/data.libzypp/repos/sled10/sled-10-i386-1408-default-system.xml.gz   (with props)
    trunk/sat-solver/testsuite/data.libzypp/repos/sled10/sled-10-i386-1408-packages.solv   (with props)
    trunk/sat-solver/testsuite/data.libzypp/repos/sled10/sled-10-i386-1408-packages.xml.gz   (with props)
    trunk/sat-solver/testsuite/data.libzypp/repos/sled10/sled-10-x86_64-1408-default-system.solv   (with props)
    trunk/sat-solver/testsuite/data.libzypp/repos/sled10/sled-10-x86_64-1408-default-system.xml.gz   (with props)
    trunk/sat-solver/testsuite/data.libzypp/repos/sled10/sled-10-x86_64-1408-packages.solv   (with props)
    trunk/sat-solver/testsuite/data.libzypp/repos/sled10/sled-10-x86_64-1408-packages.xml.gz   (with props)
    trunk/sat-solver/testsuite/data.libzypp/repos/sles10/
    trunk/sat-solver/testsuite/data.libzypp/repos/sles10/sles-10-i386-1407-default-system.solv   (with props)
    trunk/sat-solver/testsuite/data.libzypp/repos/sles10/sles-10-i386-1407-default-system.xml.gz   (with props)
    trunk/sat-solver/testsuite/data.libzypp/repos/sles10/sles-10-i386-1407-packages.solv   (with props)
    trunk/sat-solver/testsuite/data.libzypp/repos/sles10/sles-10-i386-1407-packages.xml.gz   (with props)
    trunk/sat-solver/testsuite/data.libzypp/repos/sles10/sles-10-i386-patterns.solv   (with props)
    trunk/sat-solver/testsuite/data.libzypp/repos/sles10/sles-10-i386-patterns.xml.gz   (with props)
    trunk/sat-solver/testsuite/data.libzypp/repos/sles10/sles-10-x86_64-1407-default-system.xml.gz   (with props)
    trunk/sat-solver/testsuite/data.libzypp/repos/sles10/sles-10-x86_64-1407-packages.solv   (with props)
    trunk/sat-solver/testsuite/data.libzypp/repos/sles10/sles-10-x86_64-1407-packages.xml.gz   (with props)
    trunk/sat-solver/testsuite/data.libzypp/repos/stable/
    trunk/sat-solver/testsuite/data.libzypp/repos/stable/stable-i386-20060718-packages.solv   (with props)
    trunk/sat-solver/testsuite/data.libzypp/repos/stable/stable-i386-20060718-packages.xml.gz   (with props)
    trunk/sat-solver/testsuite/data.libzypp/selection-tests/
    trunk/sat-solver/testsuite/data.libzypp/selection-tests/beta6-packages.solv   (with props)
    trunk/sat-solver/testsuite/data.libzypp/selection-tests/beta6-selections.solv   (with props)
    trunk/sat-solver/testsuite/data.libzypp/selection-tests/bug166212-i686-test.solution
    trunk/sat-solver/testsuite/data.libzypp/selection-tests/bug166212-i686-test.xml
    trunk/sat-solver/testsuite/data.libzypp/selection-tests/bug166212-x86_64-test.solution
    trunk/sat-solver/testsuite/data.libzypp/selection-tests/bug166212-x86_64-test.xml
    trunk/sat-solver/testsuite/data.libzypp/selection-tests/bug198095-selections.solv   (with props)
    trunk/sat-solver/testsuite/data.libzypp/selection-tests/install-glib-sharp-test.solution
    trunk/sat-solver/testsuite/data.libzypp/selection-tests/install-glib-sharp-test.xml
    trunk/sat-solver/testsuite/data.libzypp/selection-tests/install-kde-desktop-test.solution
    trunk/sat-solver/testsuite/data.libzypp/selection-tests/install-kde-desktop-test.xml
    trunk/sat-solver/testsuite/data.libzypp/selection-tests/sl10.1-beta3-packages.solv   (with props)
    trunk/sat-solver/testsuite/data.libzypp/selection-tests/sl10.1-beta3-selections.solv   (with props)
    trunk/sat-solver/testsuite/data.libzypp/selection-tests/sl10.1-beta38-packages.solv   (with props)
    trunk/sat-solver/testsuite/data.libzypp/selection-tests/sl10.1-beta38-selections.solv   (with props)
    trunk/sat-solver/testsuite/data.libzypp/solution-tests/
    trunk/sat-solver/testsuite/data.libzypp/solution-tests/conflict2-test.solution
    trunk/sat-solver/testsuite/data.libzypp/solution-tests/conflict2-test.xml
    trunk/sat-solver/testsuite/data.libzypp/solution-tests/conflict4-test.solution
    trunk/sat-solver/testsuite/data.libzypp/solution-tests/conflict4-test.xml
    trunk/sat-solver/testsuite/data.libzypp/solution-tests/conflicting-packages.solv   (with props)
    trunk/sat-solver/testsuite/data.libzypp/solution-tests/conflicting-system.solv   (with props)
    trunk/sat-solver/testsuite/data.libzypp/solution-tests/conflicting2-packages.solv   (with props)
    trunk/sat-solver/testsuite/data.libzypp/solution-tests/default-selection.solv   (with props)
    trunk/sat-solver/testsuite/data.libzypp/solution-tests/obsoletes-packages.solv   (with props)
    trunk/sat-solver/testsuite/data.libzypp/solution-tests/obsoletes-system.solv   (with props)
    trunk/sat-solver/testsuite/data.libzypp/solution-tests/obsoletes-test.solution
    trunk/sat-solver/testsuite/data.libzypp/solution-tests/obsoletes-test.xml
    trunk/sat-solver/testsuite/data.libzypp/solution-tests/parallel-packages.solv   (with props)
    trunk/sat-solver/testsuite/data.libzypp/solution-tests/pattern_obsolete-packages.solv   (with props)
    trunk/sat-solver/testsuite/data.libzypp/solution-tests/pattern_obsolete-system.solv   (with props)
    trunk/sat-solver/testsuite/data.libzypp/solution-tests/remove-still-needed2-test.solution
    trunk/sat-solver/testsuite/data.libzypp/solution-tests/remove-still-needed2-test.xml
    trunk/sat-solver/testsuite/data.libzypp/solution-tests/require-packages.solv   (with props)
    trunk/sat-solver/testsuite/data.libzypp/solution-tests/single-package.solv   (with props)
    trunk/sat-solver/testsuite/data.libzypp/solution-tests/sl10.1-beta38-packages.solv   (with props)
    trunk/sat-solver/testsuite/data.libzypp/solution-tests/sl10.1-beta38-selections.solv   (with props)
    trunk/sat-solver/testsuite/data.libzypp/solution-tests/stable-27-2-2006-packages.solv   (with props)
    trunk/sat-solver/testsuite/data.libzypp/solution-tests/unfulfilled-2-test.solution
    trunk/sat-solver/testsuite/data.libzypp/solution-tests/unfulfilled-2-test.xml
    trunk/sat-solver/testsuite/data.libzypp/solution-tests/unfulfilled-3-test.solution
    trunk/sat-solver/testsuite/data.libzypp/solution-tests/unfulfilled-3-test.xml
    trunk/sat-solver/testsuite/data.libzypp/solution-tests/unfulfilled-packages.solv   (with props)
    trunk/sat-solver/testsuite/data.libzypp/solution-tests/uninstall-packages.solv   (with props)
    trunk/sat-solver/testsuite/data.libzypp/solution-tests/uninstall-system.solv   (with props)
    trunk/sat-solver/testsuite/data.libzypp/solution-tests/uninstall-test.solution
    trunk/sat-solver/testsuite/data.libzypp/solution-tests/uninstall-test.xml
    trunk/sat-solver/testsuite/data.libzypp/solution-tests/vendor-package.solv   (with props)
    trunk/sat-solver/testsuite/data.libzypp/yast-tests/Bug156439-test.solution
      - copied unchanged from r7489, trunk/sat-solver/testsuite/data.libzypp/yast-tests/Bug156439-test.solution1
    trunk/sat-solver/testsuite/data.libzypp/yast-tests/exercise-04obsoletes-03-test.solution
    trunk/sat-solver/testsuite/data.libzypp/yast-tests/exercise-04obsoletes-packages.xml.gz   (with props)
    trunk/sat-solver/testsuite/data.libzypp/yast-tests/exercise-04obsoletes-system.xml.gz   (with props)
Removed:
    trunk/sat-solver/testsuite/data.libzypp/basic-exercises/exercise-22-test.solution1
    trunk/sat-solver/testsuite/data.libzypp/basic-exercises/exercise-23-test.solution1
    trunk/sat-solver/testsuite/data.libzypp/basic-exercises/maxSolution-test.solution1
    trunk/sat-solver/testsuite/data.libzypp/basic-exercises/require-1-test.solution1
    trunk/sat-solver/testsuite/data.libzypp/basic-exercises/require-1-test.solution2
    trunk/sat-solver/testsuite/data.libzypp/basic-exercises/require-2-test.solution1
    trunk/sat-solver/testsuite/data.libzypp/basic-exercises/require-2-test.solution2
    trunk/sat-solver/testsuite/data.libzypp/basic-exercises/require-3-test.solution1
    trunk/sat-solver/testsuite/data.libzypp/basic-exercises/require-3-test.solution2
    trunk/sat-solver/testsuite/data.libzypp/yast-tests/Bug156439-test.solution1
Modified:
    trunk/sat-solver/testsuite/data.libzypp/yast-tests/exercise-04obsoletes-packages.solv

Added: trunk/sat-solver/testsuite/data.libzypp/basic-exercises/exercise-1-system.xml.gz
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/basic-exercises/exercise-1-system.xml.gz?rev=7490&view=auto
==============================================================================
Binary file - no diff available.

Added: trunk/sat-solver/testsuite/data.libzypp/basic-exercises/require-packages.xml.gz
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/basic-exercises/require-packages.xml.gz?rev=7490&view=auto
==============================================================================
Binary file - no diff available.

Added: trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/Bug217574-1-package.solv
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/Bug217574-1-package.solv?rev=7490&view=auto
==============================================================================
Binary file - no diff available.

Added: trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/Bug217574-3-package.solv
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/Bug217574-3-package.solv?rev=7490&view=auto
==============================================================================
Binary file - no diff available.

Added: trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/Bug217574-system.solv
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/Bug217574-system.solv?rev=7490&view=auto
==============================================================================
Binary file - no diff available.

Added: trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/Bug243595-package.solv
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/Bug243595-package.solv?rev=7490&view=auto
==============================================================================
Binary file - no diff available.

Added: trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/Bug243595-test.solution
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/Bug243595-test.solution?rev=7490&view=auto
==============================================================================
--- trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/Bug243595-test.solution (added)
+++ trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/Bug243595-test.solution Fri Oct 12 14:33:29 2007
@@ -0,0 +1,6 @@
+>!> Installing ghostscript-library from channel 1
+>!> Solution #1:
+>!> install ghostscript-library-8.15.3-36.x86_64[1]
+>!> install hplip-hpijs-1.7.1-5.x86_64[1]
+>!> |unflag hpijs-standalone-1.7.1-3.x86_64[1]
+>!> installs=2, upgrades=0, uninstalls=0

Added: trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/Bug243595-test.xml
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/Bug243595-test.xml?rev=7490&view=auto
==============================================================================
--- trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/Bug243595-test.xml (added)
+++ trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/Bug243595-test.xml Fri Oct 12 14:33:29 2007
@@ -0,0 +1,15 @@
+<?xml version="1.0"?>
+<!-- testcase generated by YaST for bug 243595 -->
+<!-- ghostscript-library requires /usr/bin/hpijs. This will be provided -->
+<!-- by two packages which conflicts eachother. Error: NONE of these packages -->
+<!-- will be installed. -->
+
+<test>
+<setup arch="x86_64">
+       <channel file="Bug243595-package.xml" name="1" />
+</setup>
+<trial>
+<showpool all="yes"/>
+<install channel="1" kind="package" name="ghostscript-library"/>
+</trial>
+</test>

Added: trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/Bug255011-1-package.solv
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/Bug255011-1-package.solv?rev=7490&view=auto
==============================================================================
Binary file - no diff available.

Added: trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/Bug255011-3-package.solv
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/Bug255011-3-package.solv?rev=7490&view=auto
==============================================================================
Binary file - no diff available.

Added: trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/Bug273918-1-package.solv
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/Bug273918-1-package.solv?rev=7490&view=auto
==============================================================================
Binary file - no diff available.

Added: trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/Bug273918-system.solv
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/Bug273918-system.solv?rev=7490&view=auto
==============================================================================
Binary file - no diff available.

Added: trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/Bug273918-test.solution
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/Bug273918-test.solution?rev=7490&view=auto
==============================================================================
--- trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/Bug273918-test.solution (added)
+++ trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/Bug273918-test.solution Fri Oct 12 14:33:29 2007
@@ -0,0 +1,7 @@
+>!> Installing ghostscript-library from channel 1
+>!> Installing ghostscript-x11 from channel 1
+>!> No problems so far
+>!> Solution #1:
+>!> upgrade ghostscript-library-7.07.1rc1-195.8.i586 => ghostscript-library-8.15.3-18.2.i586[1]
+>!> upgrade ghostscript-x11-7.07.1rc1-195.8.i586 => ghostscript-x11-8.15.2rc1-20.4.i586[1]
+>!> installs=0, upgrades=2, uninstalls=0

Added: trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/Bug273918-test.xml
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/Bug273918-test.xml?rev=7490&view=auto
==============================================================================
--- trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/Bug273918-test.xml (added)
+++ trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/Bug273918-test.xml Fri Oct 12 14:33:29 2007
@@ -0,0 +1,14 @@
+<?xml version="1.0"?>
+<!-- bug 273918 -->
+<test>
+<setup arch="i686">
+       <system file="Bug273918-system.xml"/>
+       <channel file="Bug273918-1-package.xml" name="1" />
+</setup>
+<trial>
+<showpool all="yes"/>
+<install channel="1" kind="package" name="ghostscript-library"/>
+<install channel="1" kind="package" name="ghostscript-x11"/>
+<reportproblems/>
+</trial>
+</test>

Added: trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/bug205039-selections.solv
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/bug205039-selections.solv?rev=7490&view=auto
==============================================================================
Binary file - no diff available.

Added: trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/bug205039-test.solution
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/bug205039-test.solution?rev=7490&view=auto
==============================================================================
--- trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/bug205039-test.solution (added)
+++ trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/bug205039-test.solution Fri Oct 12 14:33:29 2007
@@ -0,0 +1,12 @@
+>!> Installing selection:file_server from channel addon
+>!> Calling transactResKind( selection )
+>!>1: U_Tu_[S3:0][selection]file_server-10-41.noarch
+>!> Solution #1:
+>!> install libiniparser-2.14-6.2.i586[sles10]
+>!> install mysql-shared-5.0.18-20.5.i586[sles10]
+>!> install postgresql-libs-8.1.4-1.3.i586[sles10]
+>!> install pure-ftpd-1.0.20-24.2.i586[sles10]
+>!> install samba-pdb-3.0.22-13.16.i586[sles10]
+>!> install samba-winbind-3.0.22-13.16.i586[sles10]
+>!> install selection:file_server-10-41.noarch[addon]
+>!> installs=7, upgrades=0, uninstalls=0

Added: trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/bug205039-test.xml
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/bug205039-test.xml?rev=7490&view=auto
==============================================================================
--- trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/bug205039-test.xml (added)
+++ trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/bug205039-test.xml Fri Oct 12 14:33:29 2007
@@ -0,0 +1,15 @@
+<?xml version="1.0"?>
+<!--
+Bug 205039 - Add-on install source carries updated rpm which does not get installed via pattern -->
+<test>
+<setup arch="i686">
+  <system file="../repos/sles10/sles-10-i386-1407-default-system.xml.gz"/>
+  <channel name="sles10" file="../repos/sles10/sles-10-i386-1407-packages.xml.gz"/>
+  <channel name="addon" file="bug205039-selections.xml.gz"/>
+</setup>
+<trial>
+  <install channel="addon" kind="selection" name="file_server"/>
+  <transact kind="selection"/>
+  <showpool prefix=">!>"/>
+</trial>
+</test>

Added: trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/bug205977-installed.solv
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/bug205977-installed.solv?rev=7490&view=auto
==============================================================================
Binary file - no diff available.

Added: trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/bug206927-system.solv
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/bug206927-system.solv?rev=7490&view=auto
==============================================================================
Binary file - no diff available.

Added: trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/bug208784-system.solv
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/bug208784-system.solv?rev=7490&view=auto
==============================================================================
Binary file - no diff available.

Added: trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/bug217574-system.solv
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/bug217574-system.solv?rev=7490&view=auto
==============================================================================
Binary file - no diff available.

Added: trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/bug218492-package.solv
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/bug218492-package.solv?rev=7490&view=auto
==============================================================================
Binary file - no diff available.

Added: trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/bug218492-system.solv
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/bug218492-system.solv?rev=7490&view=auto
==============================================================================
Binary file - no diff available.

Added: trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/bug220757-system.solv
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/bug220757-system.solv?rev=7490&view=auto
==============================================================================
Binary file - no diff available.

Added: trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/bug220999-packages.solv
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/bug220999-packages.solv?rev=7490&view=auto
==============================================================================
Binary file - no diff available.

Added: trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/bug220999-system.solv
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/bug220999-system.solv?rev=7490&view=auto
==============================================================================
Binary file - no diff available.

Added: trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/bug222531-packages1.solv
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/bug222531-packages1.solv?rev=7490&view=auto
==============================================================================
Binary file - no diff available.

Added: trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/bug222531-packages2.solv
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/bug222531-packages2.solv?rev=7490&view=auto
==============================================================================
Binary file - no diff available.

Added: trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/bug222531-system.solv
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/bug222531-system.solv?rev=7490&view=auto
==============================================================================
Binary file - no diff available.

Added: trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/bug224698-3-package.solv
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/bug224698-3-package.solv?rev=7490&view=auto
==============================================================================
Binary file - no diff available.

Added: trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/bug224698-6-package.solv
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/bug224698-6-package.solv?rev=7490&view=auto
==============================================================================
Binary file - no diff available.

Added: trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/bug224698-system.solv
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/bug224698-system.solv?rev=7490&view=auto
==============================================================================
Binary file - no diff available.

Added: trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/bug225218-packages.solv
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/bug225218-packages.solv?rev=7490&view=auto
==============================================================================
Binary file - no diff available.

Added: trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/bug225218-system.solv
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/bug225218-system.solv?rev=7490&view=auto
==============================================================================
Binary file - no diff available.

Added: trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/bug225278-0-package.solv
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/bug225278-0-package.solv?rev=7490&view=auto
==============================================================================
Binary file - no diff available.

Added: trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/bug225278-1-package.solv
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/bug225278-1-package.solv?rev=7490&view=auto
==============================================================================
Binary file - no diff available.

Added: trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/bug225278-system.solv
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/bug225278-system.solv?rev=7490&view=auto
==============================================================================
Binary file - no diff available.

Added: trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/bug230685-6-package.solv
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/bug230685-6-package.solv?rev=7490&view=auto
==============================================================================
Binary file - no diff available.

Added: trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/bug230685-9-package.solv
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/bug230685-9-package.solv?rev=7490&view=auto
==============================================================================
Binary file - no diff available.

Added: trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/bug230685-system.solv
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/bug230685-system.solv?rev=7490&view=auto
==============================================================================
Binary file - no diff available.

Added: trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/bug238284-0-package.solv
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/bug238284-0-package.solv?rev=7490&view=auto
==============================================================================
Binary file - no diff available.

Added: trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/bug238284-2-package.solv
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/bug238284-2-package.solv?rev=7490&view=auto
==============================================================================
Binary file - no diff available.

Added: trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/bug238284-3-package.solv
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/bug238284-3-package.solv?rev=7490&view=auto
==============================================================================
Binary file - no diff available.

Added: trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/bug238284-4-package.solv
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/bug238284-4-package.solv?rev=7490&view=auto
==============================================================================
Binary file - no diff available.

Added: trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/bug238284-5-package.solv
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/bug238284-5-package.solv?rev=7490&view=auto
==============================================================================
Binary file - no diff available.

Added: trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/bug238284-7-package.solv
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/bug238284-7-package.solv?rev=7490&view=auto
==============================================================================
Binary file - no diff available.

Added: trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/bug238284-system.solv
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/bug238284-system.solv?rev=7490&view=auto
==============================================================================
Binary file - no diff available.

Added: trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/bug239199-10-package.solv
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/bug239199-10-package.solv?rev=7490&view=auto
==============================================================================
Binary file - no diff available.

Added: trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/bug239199-13-package.solv
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/bug239199-13-package.solv?rev=7490&view=auto
==============================================================================
Binary file - no diff available.

Added: trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/bug239199-3-package.solv
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/bug239199-3-package.solv?rev=7490&view=auto
==============================================================================
Binary file - no diff available.

Added: trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/bug239199-system.solv
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/bug239199-system.solv?rev=7490&view=auto
==============================================================================
Binary file - no diff available.

Added: trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/bug239750-4-package.solv
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/bug239750-4-package.solv?rev=7490&view=auto
==============================================================================
Binary file - no diff available.

Added: trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/bug239750-system.solv
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/bug239750-system.solv?rev=7490&view=auto
==============================================================================
Binary file - no diff available.

Added: trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/bug239750-test.solution
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/bug239750-test.solution?rev=7490&view=auto
==============================================================================
--- trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/bug239750-test.solution (added)
+++ trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/bug239750-test.solution Fri Oct 12 14:33:29 2007
@@ -0,0 +1,6 @@
+>!> Solution #1:
+>!> install cvs-1.12.12-19.4.x86_64[4]
+>!> install libapparmor-2.0-16.4.x86_64[4]
+>!> |unflag lprng-3.8.28-21.4.x86_64[4]
+>!> |unflag sendmail-8.13.6-9.11.x86_64[4]
+>!> installs=2, upgrades=0, uninstalls=0

Added: trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/bug239750-test.xml
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/bug239750-test.xml?rev=7490&view=auto
==============================================================================
--- trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/bug239750-test.xml (added)
+++ trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/bug239750-test.xml Fri Oct 12 14:33:29 2007
@@ -0,0 +1,13 @@
+<?xml version="1.0"?>
+<!-- testcase generated by YaST for bug239750 ; Patterns have not been regarded -->
+<!-- while verifying system-->
+<test>
+<setup arch="x86_64">
+       <system file="bug239750-system.xml.gz"/>
+       <channel file="bug239750-4-package.xml.gz" name="4" />
+</setup>
+<trial>
+<showpool all="yes"/>
+<verify/>
+</trial>
+</test>

Added: trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/bug292077-1-package.solv
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/bug292077-1-package.solv?rev=7490&view=auto
==============================================================================
Binary file - no diff available.

Added: trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/bug292077-2-package.solv
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/bug292077-2-package.solv?rev=7490&view=auto
==============================================================================
Binary file - no diff available.

Added: trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/bug292077-4-package.solv
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/bug292077-4-package.solv?rev=7490&view=auto
==============================================================================
Binary file - no diff available.

Added: trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/bug292077-system.solv
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/bug292077-system.solv?rev=7490&view=auto
==============================================================================
Binary file - no diff available.

Added: trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/bug297795-1-package.solv
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/bug297795-1-package.solv?rev=7490&view=auto
==============================================================================
Binary file - no diff available.

Added: trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/bug308098-1-package.solv
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/bug308098-1-package.solv?rev=7490&view=auto
==============================================================================
Binary file - no diff available.

Added: trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/bug308098-system.solv
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/bug308098-system.solv?rev=7490&view=auto
==============================================================================
Binary file - no diff available.

Added: trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/bug308252-3-package.solv
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/bug308252-3-package.solv?rev=7490&view=auto
==============================================================================
Binary file - no diff available.

Added: trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/bug308252-system.solv
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/bug308252-system.solv?rev=7490&view=auto
==============================================================================
Binary file - no diff available.

Added: trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/bug310455-1-package.solv
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/bug310455-1-package.solv?rev=7490&view=auto
==============================================================================
Binary file - no diff available.

Added: trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/bug310455-4-package.solv
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/bug310455-4-package.solv?rev=7490&view=auto
==============================================================================
Binary file - no diff available.

Added: trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/bug310455-system.solv
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/bug310455-system.solv?rev=7490&view=auto
==============================================================================
Binary file - no diff available.

Added: trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/bug310618-system.solv
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/bug310618-system.solv?rev=7490&view=auto
==============================================================================
Binary file - no diff available.

Added: trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/bug326384-package.solv
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/bug326384-package.solv?rev=7490&view=auto
==============================================================================
Binary file - no diff available.

Added: trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/bug326384-system.solv
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/bug326384-system.solv?rev=7490&view=auto
==============================================================================
Binary file - no diff available.

Added: trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/bug328081-package.solv
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/bug328081-package.solv?rev=7490&view=auto
==============================================================================
Binary file - no diff available.

Added: trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/oes-packages.solv
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/oes-packages.solv?rev=7490&view=auto
==============================================================================
Binary file - no diff available.

Added: trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/patchA-equal-name.solv
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/patchA-equal-name.solv?rev=7490&view=auto
==============================================================================
Binary file - no diff available.

Added: trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/patchA-unequal-name.solv
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/bugzilla-tests/patchA-unequal-name.solv?rev=7490&view=auto
==============================================================================
Binary file - no diff available.

Added: trunk/sat-solver/testsuite/data.libzypp/distupgrade-tests/SLES-10-x86_64-B906-packages.solv
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/distupgrade-tests/SLES-10-x86_64-B906-packages.solv?rev=7490&view=auto
==============================================================================
Binary file - no diff available.

Added: trunk/sat-solver/testsuite/data.libzypp/distupgrade-tests/bug150844-packages.solv
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/distupgrade-tests/bug150844-packages.solv?rev=7490&view=auto
==============================================================================
Binary file - no diff available.

Added: trunk/sat-solver/testsuite/data.libzypp/distupgrade-tests/bug150844-selections.solv
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/distupgrade-tests/bug150844-selections.solv?rev=7490&view=auto
==============================================================================
Binary file - no diff available.

Added: trunk/sat-solver/testsuite/data.libzypp/distupgrade-tests/conflicting-multiple-rename-package.solv
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/distupgrade-tests/conflicting-multiple-rename-package.solv?rev=7490&view=auto
==============================================================================
Binary file - no diff available.

Added: trunk/sat-solver/testsuite/data.libzypp/distupgrade-tests/multiple-rename-package.solv
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/distupgrade-tests/multiple-rename-package.solv?rev=7490&view=auto
==============================================================================
Binary file - no diff available.

Added: trunk/sat-solver/testsuite/data.libzypp/distupgrade-tests/single-other-package.solv
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/distupgrade-tests/single-other-package.solv?rev=7490&view=auto
==============================================================================
Binary file - no diff available.

Added: trunk/sat-solver/testsuite/data.libzypp/distupgrade-tests/single-rename-package.solv
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/distupgrade-tests/single-rename-package.solv?rev=7490&view=auto
==============================================================================
Binary file - no diff available.

Added: trunk/sat-solver/testsuite/data.libzypp/distupgrade-tests/single-v1-package.solv
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/distupgrade-tests/single-v1-package.solv?rev=7490&view=auto
==============================================================================
Binary file - no diff available.

Added: trunk/sat-solver/testsuite/data.libzypp/distupgrade-tests/single-v2-package.solv
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/distupgrade-tests/single-v2-package.solv?rev=7490&view=auto
==============================================================================
Binary file - no diff available.

Added: trunk/sat-solver/testsuite/data.libzypp/distupgrade-tests/single-v3-package.solv
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/distupgrade-tests/single-v3-package.solv?rev=7490&view=auto
==============================================================================
Binary file - no diff available.

Added: trunk/sat-solver/testsuite/data.libzypp/distupgrade-tests/sles10-beta3-i386-packages.solv
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/distupgrade-tests/sles10-beta3-i386-packages.solv?rev=7490&view=auto
==============================================================================
Binary file - no diff available.

Added: trunk/sat-solver/testsuite/data.libzypp/distupgrade-tests/sles9-i386-packages.solv
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/distupgrade-tests/sles9-i386-packages.solv?rev=7490&view=auto
==============================================================================
Binary file - no diff available.

Added: trunk/sat-solver/testsuite/data.libzypp/distupgrade-tests/sles9-sp3-150844-packages.solv
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/distupgrade-tests/sles9-sp3-150844-packages.solv?rev=7490&view=auto
==============================================================================
Binary file - no diff available.

Added: trunk/sat-solver/testsuite/data.libzypp/distupgrade-tests/unmaintained-nodelete-single-test.solution
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/distupgrade-tests/unmaintained-nodelete-single-test.solution?rev=7490&view=auto
==============================================================================
--- trunk/sat-solver/testsuite/data.libzypp/distupgrade-tests/unmaintained-nodelete-single-test.solution (added)
+++ trunk/sat-solver/testsuite/data.libzypp/distupgrade-tests/unmaintained-nodelete-single-test.solution Fri Oct 12 14:33:29 2007
@@ -0,0 +1,3 @@
+>!> Doing distribution upgrade ...
+>!> 1: I__s_[S1:0][package]A-1.0-1.noarch
+>!> 2: U__s_[S2:0][package]B-2.0-1.noarch

Added: trunk/sat-solver/testsuite/data.libzypp/distupgrade-tests/unmaintained-nodelete-single-test.xml
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/distupgrade-tests/unmaintained-nodelete-single-test.xml?rev=7490&view=auto
==============================================================================
--- trunk/sat-solver/testsuite/data.libzypp/distupgrade-tests/unmaintained-nodelete-single-test.xml (added)
+++ trunk/sat-solver/testsuite/data.libzypp/distupgrade-tests/unmaintained-nodelete-single-test.xml Fri Oct 12 14:33:29 2007
@@ -0,0 +1,13 @@
+<?xml version="1.0"?>
+<!--
+   distupgrade single unmaintained package
+-->
+<test>
+<setup>
+  <system file="single-v1-package.xml"/>
+  <channel name="upgrade" file="single-other-package.xml"/>
+</setup>
+<trial>
+  <distupgrade delete_unmaintained="false"/>
+</trial>
+</test>

Added: trunk/sat-solver/testsuite/data.libzypp/distupgrade-tests/version-rename-package.solv
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/distupgrade-tests/version-rename-package.solv?rev=7490&view=auto
==============================================================================
Binary file - no diff available.

Added: trunk/sat-solver/testsuite/data.libzypp/distupgrade-tests/version-rename-system.solv
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/distupgrade-tests/version-rename-system.solv?rev=7490&view=auto
==============================================================================
Binary file - no diff available.

Added: trunk/sat-solver/testsuite/data.libzypp/distupgrade-tests/x86_64-system.solv
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/distupgrade-tests/x86_64-system.solv?rev=7490&view=auto
==============================================================================
Binary file - no diff available.

Added: trunk/sat-solver/testsuite/data.libzypp/freshen-tests/exercise-1-packages.solv
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/freshen-tests/exercise-1-packages.solv?rev=7490&view=auto
==============================================================================
Binary file - no diff available.

Added: trunk/sat-solver/testsuite/data.libzypp/freshen-tests/exercise-1-system.solv
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/freshen-tests/exercise-1-system.solv?rev=7490&view=auto
==============================================================================
Binary file - no diff available.

Added: trunk/sat-solver/testsuite/data.libzypp/freshen-tests/exercise-10-test.solution
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/freshen-tests/exercise-10-test.solution?rev=7490&view=auto
==============================================================================
--- trunk/sat-solver/testsuite/data.libzypp/freshen-tests/exercise-10-test.solution (added)
+++ trunk/sat-solver/testsuite/data.libzypp/freshen-tests/exercise-10-test.solution Fri Oct 12 14:33:29 2007
@@ -0,0 +1,7 @@
+>!> Establishing state ...
+>!> Established context
+>!> patch:Patch-A-1.1-1.noarch[test] US_s_
+>!> Installing patch:Patch-A from channel test
+>!> Solution #1:
+>!> install patch:Patch-A-1.1-1.noarch[test]
+>!> installs=1, upgrades=0, uninstalls=0

Added: trunk/sat-solver/testsuite/data.libzypp/freshen-tests/exercise-10-test.xml
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/freshen-tests/exercise-10-test.xml?rev=7490&view=auto
==============================================================================
--- trunk/sat-solver/testsuite/data.libzypp/freshen-tests/exercise-10-test.xml (added)
+++ trunk/sat-solver/testsuite/data.libzypp/freshen-tests/exercise-10-test.xml Fri Oct 12 14:33:29 2007
@@ -0,0 +1,21 @@
+<?xml version="1.0"?>
+<!--
+   A-1.1 is installed
+
+    A-1.1 is available
+   Patch-A-1.1 is available and satisfied
+
+   Patch-A-1.1 is to be installed
+
+   : Patch-A-1-1 is installed
+-->
+<test allow_virtual_conflicts="yes">
+<setup>
+  <system file="exercise-2-system.xml.gz"/>
+  <channel name="test" file="exercise-1-packages.xml.gz"/>
+</setup>
+<trial>
+  <establish/>
+  <install channel="test" kind="patch" package="Patch-A"/>
+</trial>
+</test>

Added: trunk/sat-solver/testsuite/data.libzypp/freshen-tests/exercise-12-test.solution
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/freshen-tests/exercise-12-test.solution?rev=7490&view=auto
==============================================================================
--- trunk/sat-solver/testsuite/data.libzypp/freshen-tests/exercise-12-test.solution (added)
+++ trunk/sat-solver/testsuite/data.libzypp/freshen-tests/exercise-12-test.solution Fri Oct 12 14:33:29 2007
@@ -0,0 +1,9 @@
+>!> Establishing state ...
+>!> Established context
+>!> patch:Patch-A-1.1-1.noarch[test] US_s_
+>!> Uninstalling A
+>!> Establishing state ...
+>!> Established context
+>!> Solution #1:
+>!> remove  A-1.1-1.noarch
+>!> installs=0, upgrades=0, uninstalls=1

Added: trunk/sat-solver/testsuite/data.libzypp/freshen-tests/exercise-12-test.xml
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/freshen-tests/exercise-12-test.xml?rev=7490&view=auto
==============================================================================
--- trunk/sat-solver/testsuite/data.libzypp/freshen-tests/exercise-12-test.xml (added)
+++ trunk/sat-solver/testsuite/data.libzypp/freshen-tests/exercise-12-test.xml Fri Oct 12 14:33:29 2007
@@ -0,0 +1,20 @@
+<?xml version="1.0"?>
+<!--
+   A-1.1 is installed
+   A-1.1 is available
+   Patch-A-1.1 is available but satisfied
+   A-1.1 is to be uninstalled
+
+   : Patch-A-1-1 is unneeded
+-->
+<test>
+<setup>
+  <system file="exercise-2-system.xml.gz"/>
+  <channel name="test" file="exercise-1-packages.xml.gz"/>
+</setup>
+<trial>
+  <establish/>
+  <uninstall package="A"/>
+  <establish/>
+</trial>
+</test>

Added: trunk/sat-solver/testsuite/data.libzypp/freshen-tests/exercise-13-test.solution
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/freshen-tests/exercise-13-test.solution?rev=7490&view=auto
==============================================================================
--- trunk/sat-solver/testsuite/data.libzypp/freshen-tests/exercise-13-test.solution (added)
+++ trunk/sat-solver/testsuite/data.libzypp/freshen-tests/exercise-13-test.solution Fri Oct 12 14:33:29 2007
@@ -0,0 +1,9 @@
+>!> Establishing state ...
+>!> Established context
+>!> patch:Patch-A-1.1-1.noarch IS_s_
+>!> Uninstalling Patch-A
+>!> Establishing state ...
+>!> Established context
+>!> Solution #1:
+>!> remove  patch:Patch-A-1.1-1.noarch
+>!> installs=0, upgrades=0, uninstalls=1

Added: trunk/sat-solver/testsuite/data.libzypp/freshen-tests/exercise-13-test.xml
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/freshen-tests/exercise-13-test.xml?rev=7490&view=auto
==============================================================================
--- trunk/sat-solver/testsuite/data.libzypp/freshen-tests/exercise-13-test.xml (added)
+++ trunk/sat-solver/testsuite/data.libzypp/freshen-tests/exercise-13-test.xml Fri Oct 12 14:33:29 2007
@@ -0,0 +1,18 @@
+<?xml version="1.0"?>
+<!--
+   A-1.1 is installed
+   Patch-A-1.1 is installed
+   Patch-A-1.1 is to be uninstalled
+
+   : Patch-A-1-1 is uninstalled
+-->
+<test>
+<setup>
+  <system file="exercise-1-packages.xml.gz"/>
+</setup>
+<trial>
+  <establish/>
+  <uninstall kind="patch" package="Patch-A"/>
+  <establish/>
+</trial>
+</test>

Added: trunk/sat-solver/testsuite/data.libzypp/freshen-tests/exercise-2-packages.solv
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/freshen-tests/exercise-2-packages.solv?rev=7490&view=auto
==============================================================================
Binary file - no diff available.

Added: trunk/sat-solver/testsuite/data.libzypp/freshen-tests/exercise-2-system.solv
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/freshen-tests/exercise-2-system.solv?rev=7490&view=auto
==============================================================================
Binary file - no diff available.

Added: trunk/sat-solver/testsuite/data.libzypp/freshen-tests/exercise-2-test.solution
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/freshen-tests/exercise-2-test.solution?rev=7490&view=auto
==============================================================================
--- trunk/sat-solver/testsuite/data.libzypp/freshen-tests/exercise-2-test.solution (added)
+++ trunk/sat-solver/testsuite/data.libzypp/freshen-tests/exercise-2-test.solution Fri Oct 12 14:33:29 2007
@@ -0,0 +1,3 @@
+>!> Establishing state ...
+>!> Established context
+>!> patch:Patch-A-1.1-1.noarch[test] UU_s_

Added: trunk/sat-solver/testsuite/data.libzypp/freshen-tests/exercise-2-test.xml
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/freshen-tests/exercise-2-test.xml?rev=7490&view=auto
==============================================================================
--- trunk/sat-solver/testsuite/data.libzypp/freshen-tests/exercise-2-test.xml (added)
+++ trunk/sat-solver/testsuite/data.libzypp/freshen-tests/exercise-2-test.xml Fri Oct 12 14:33:29 2007
@@ -0,0 +1,17 @@
+<?xml version="1.0"?>
+<!--
+   A-1.1 is installed
+   A-1.1 is available
+   Patch-A-1.1 is available
+
+   : satisfy patch-A-1-1
+-->
+<test>
+<setup>
+  <system file="exercise-2-system.xml.gz"/>
+  <channel name="test" file="exercise-2-packages.xml.gz"/>
+</setup>
+<trial>
+  <establish/>
+</trial>
+</test>

Added: trunk/sat-solver/testsuite/data.libzypp/freshen-tests/exercise-3-packages.solv
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/freshen-tests/exercise-3-packages.solv?rev=7490&view=auto
==============================================================================
Binary file - no diff available.

Added: trunk/sat-solver/testsuite/data.libzypp/freshen-tests/exercise-3-test.solution
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/freshen-tests/exercise-3-test.solution?rev=7490&view=auto
==============================================================================
--- trunk/sat-solver/testsuite/data.libzypp/freshen-tests/exercise-3-test.solution (added)
+++ trunk/sat-solver/testsuite/data.libzypp/freshen-tests/exercise-3-test.solution Fri Oct 12 14:33:29 2007
@@ -0,0 +1,4 @@
+>!> Establishing state ...
+>!> Established context
+>!> patch:Patch-A-1.1-1.noarch[test] UU_s_
+>!> product:Patchlevel-1.noarch[test] US_s_

Added: trunk/sat-solver/testsuite/data.libzypp/freshen-tests/exercise-3-test.xml
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/freshen-tests/exercise-3-test.xml?rev=7490&view=auto
==============================================================================
--- trunk/sat-solver/testsuite/data.libzypp/freshen-tests/exercise-3-test.xml (added)
+++ trunk/sat-solver/testsuite/data.libzypp/freshen-tests/exercise-3-test.xml Fri Oct 12 14:33:29 2007
@@ -0,0 +1,19 @@
+<?xml version="1.0"?>
+<!--
+   A-1.1 is installed
+   A-1.1 is available
+   Patch-A-1.1 is available
+   Patchlevel-1 is available
+
+   : satisfy patch-A-1-1
+   : satisfy patchlevel-1
+-->
+<test>
+<setup>
+  <system file="exercise-2-system.xml.gz"/>
+  <channel name="test" file="exercise-3-packages.xml.gz"/>
+</setup>
+<trial>
+  <establish/>
+</trial>
+</test>

Added: trunk/sat-solver/testsuite/data.libzypp/freshen-tests/exercise-4-test.solution
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/freshen-tests/exercise-4-test.solution?rev=7490&view=auto
==============================================================================
--- trunk/sat-solver/testsuite/data.libzypp/freshen-tests/exercise-4-test.solution (added)
+++ trunk/sat-solver/testsuite/data.libzypp/freshen-tests/exercise-4-test.solution Fri Oct 12 14:33:29 2007
@@ -0,0 +1,3 @@
+>!> Establishing state ...
+>!> Established context
+>!> patch:Patch-A-1.1-1.noarch[test] UU_s_

Added: trunk/sat-solver/testsuite/data.libzypp/freshen-tests/exercise-4-test.xml
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/freshen-tests/exercise-4-test.xml?rev=7490&view=auto
==============================================================================
--- trunk/sat-solver/testsuite/data.libzypp/freshen-tests/exercise-4-test.xml (added)
+++ trunk/sat-solver/testsuite/data.libzypp/freshen-tests/exercise-4-test.xml Fri Oct 12 14:33:29 2007
@@ -0,0 +1,16 @@
+<?xml version="1.0"?>
+<!--
+   nothing is installed
+   A-1.1 is available
+   Patch-A-1.1 is available
+
+   : patch-A-1-1 is unneeded
+-->
+<test>
+<setup>
+  <channel name="test" file="exercise-1-packages.xml.gz"/>
+</setup>
+<trial>
+  <establish/>
+</trial>
+</test>

Added: trunk/sat-solver/testsuite/data.libzypp/freshen-tests/exercise-5-test.solution
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/freshen-tests/exercise-5-test.solution?rev=7490&view=auto
==============================================================================
--- trunk/sat-solver/testsuite/data.libzypp/freshen-tests/exercise-5-test.solution (added)
+++ trunk/sat-solver/testsuite/data.libzypp/freshen-tests/exercise-5-test.solution Fri Oct 12 14:33:29 2007
@@ -0,0 +1,7 @@
+>!> Establishing state ...
+>!> Established context
+>!> patch:Patch-A-1.1-1.noarch[test] UU_s_
+>!> Installing A from channel core
+>!> Solution #1:
+>!> install A-1.0-1.noarch[core]
+>!> installs=1, upgrades=0, uninstalls=0

Added: trunk/sat-solver/testsuite/data.libzypp/freshen-tests/exercise-5-test.xml
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/freshen-tests/exercise-5-test.xml?rev=7490&view=auto
==============================================================================
--- trunk/sat-solver/testsuite/data.libzypp/freshen-tests/exercise-5-test.xml (added)
+++ trunk/sat-solver/testsuite/data.libzypp/freshen-tests/exercise-5-test.xml Fri Oct 12 14:33:29 2007
@@ -0,0 +1,19 @@
+<?xml version="1.0"?>
+<!--
+   A-1.0 is available
+   A-1.1 is available
+   Patch-A-1.1 is available but unneeded
+   A-1.0 is to be installed
+
+   :Error patch-A-1-1 moves from unneeded to incomplete
+-->
+<test>
+<setup>
+  <channel name="core" file="exercise-1-system.xml.gz"/>
+  <channel name="test" file="exercise-1-packages.xml.gz"/>
+</setup>
+<trial>
+  <establish/>
+  <install channel="core" package="A"/>
+</trial>
+</test>

Added: trunk/sat-solver/testsuite/data.libzypp/freshen-tests/exercise-5f-test.solution
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/freshen-tests/exercise-5f-test.solution?rev=7490&view=auto
==============================================================================
--- trunk/sat-solver/testsuite/data.libzypp/freshen-tests/exercise-5f-test.solution (added)
+++ trunk/sat-solver/testsuite/data.libzypp/freshen-tests/exercise-5f-test.solution Fri Oct 12 14:33:29 2007
@@ -0,0 +1,10 @@
+>!> Establishing state ...
+>!> Established context
+>!> patch:Patch-A-1.1-1.noarch[test] UU_s_
+>!> Installing A from channel core
+>!> Establishing state ...
+>!> Established context
+>!> Freshening ...
+>!> Solution #1:
+>!> install A-1.0-1.noarch[core]
+>!> installs=1, upgrades=0, uninstalls=0

Added: trunk/sat-solver/testsuite/data.libzypp/freshen-tests/exercise-5f-test.xml
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/freshen-tests/exercise-5f-test.xml?rev=7490&view=auto
==============================================================================
--- trunk/sat-solver/testsuite/data.libzypp/freshen-tests/exercise-5f-test.xml (added)
+++ trunk/sat-solver/testsuite/data.libzypp/freshen-tests/exercise-5f-test.xml Fri Oct 12 14:33:29 2007
@@ -0,0 +1,20 @@
+<?xml version="1.0"?>
+<!--
+   A-1.0 is available
+   A-1.1 is available
+   Patch-A-1.1 is available but unneeded
+   A-1.0 is to be installed
+
+   :Error patch-A-1-1 moves from unneeded to incomplete
+-->
+<test>
+<setup>
+  <channel name="core" file="exercise-1-system.xml.gz"/>
+  <channel name="test" file="exercise-1-packages.xml.gz"/>
+</setup>
+<trial>
+  <establish/>
+  <install channel="core" package="A"/>
+  <establish freshen="1"/>
+</trial>
+</test>

Added: trunk/sat-solver/testsuite/data.libzypp/freshen-tests/exercise-6-packages.solv
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/freshen-tests/exercise-6-packages.solv?rev=7490&view=auto
==============================================================================
Binary file - no diff available.

Added: trunk/sat-solver/testsuite/data.libzypp/freshen-tests/exercise-7-packages.solv
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/freshen-tests/exercise-7-packages.solv?rev=7490&view=auto
==============================================================================
Binary file - no diff available.

Added: trunk/sat-solver/testsuite/data.libzypp/freshen-tests/exercise-9-test.solution
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/freshen-tests/exercise-9-test.solution?rev=7490&view=auto
==============================================================================
--- trunk/sat-solver/testsuite/data.libzypp/freshen-tests/exercise-9-test.solution (added)
+++ trunk/sat-solver/testsuite/data.libzypp/freshen-tests/exercise-9-test.solution Fri Oct 12 14:33:29 2007
@@ -0,0 +1,16 @@
+>!> Establishing state ...
+>!> Established context
+>!> patch:Patch-A-1.1-1.noarch[test] UI_s_
+>!> Installing patch:Patch-A from channel test
+>!> Calculating installation order ...
+>!> Solution #1:
+>!> install patch:Patch-A-1.1-1.noarch[test]
+>!> upgrade A-1.0-1.noarch => A-1.1-1.noarch[test]
+>!> installs=1, upgrades=1, uninstalls=0
+>!> Installation Order:
+>!> 
+>!> 1. set with 1 resolvables
+>!> A-1.1-1.noarch[test]
+>!> 
+>!> 2. set with 1 resolvables
+>!> patch:Patch-A-1.1-1.noarch[test]

Added: trunk/sat-solver/testsuite/data.libzypp/freshen-tests/exercise-9-test.xml
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/freshen-tests/exercise-9-test.xml?rev=7490&view=auto
==============================================================================
--- trunk/sat-solver/testsuite/data.libzypp/freshen-tests/exercise-9-test.xml (added)
+++ trunk/sat-solver/testsuite/data.libzypp/freshen-tests/exercise-9-test.xml Fri Oct 12 14:33:29 2007
@@ -0,0 +1,21 @@
+<?xml version="1.0"?>
+<!--
+   A-1.0 is installed
+   A-1.1 is available
+   Patch-A-1.1 is available
+   Patch-A-1.1 is to be installed
+
+   : A-1.1 is installed
+   : Patch-A-1-1 is installed
+-->
+<test allow_virtual_conflicts="yes">
+<setup>
+  <system file="exercise-1-system.xml.gz"/>
+  <channel name="test" file="exercise-1-packages.xml.gz"/>
+</setup>
+<trial>
+  <establish/>
+  <install channel="test" kind="patch" package="Patch-A"/>
+  <instorder/>
+</trial>
+</test>

Added: trunk/sat-solver/testsuite/data.libzypp/freshen-tests/exercise-bug171590-packages.solv
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/freshen-tests/exercise-bug171590-packages.solv?rev=7490&view=auto
==============================================================================
Binary file - no diff available.

Added: trunk/sat-solver/testsuite/data.libzypp/freshen-tests/exercise-bug171590-test.solution
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/freshen-tests/exercise-bug171590-test.solution?rev=7490&view=auto
==============================================================================
--- trunk/sat-solver/testsuite/data.libzypp/freshen-tests/exercise-bug171590-test.solution (added)
+++ trunk/sat-solver/testsuite/data.libzypp/freshen-tests/exercise-bug171590-test.solution Fri Oct 12 14:33:29 2007
@@ -0,0 +1,5 @@
+>!> Establishing state ...
+>!> Established context
+>!> atom:Atom-A-1.1-1.noarch[test] UU_s_
+>!> atom:Atom-B-1.1-1.noarch[test] UU_s_
+>!> patch:Patch-A-1.1-1.noarch[test] UU_s_

Added: trunk/sat-solver/testsuite/data.libzypp/freshen-tests/exercise-bug171590-test.xml
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/freshen-tests/exercise-bug171590-test.xml?rev=7490&view=auto
==============================================================================
--- trunk/sat-solver/testsuite/data.libzypp/freshen-tests/exercise-bug171590-test.xml (added)
+++ trunk/sat-solver/testsuite/data.libzypp/freshen-tests/exercise-bug171590-test.xml Fri Oct 12 14:33:29 2007
@@ -0,0 +1,15 @@
+<?xml version="1.0"?>
+<!--
+  Bug 171590:
+  Patch requirements are all unneeded
+  Old behaviour: Patch satisfied
+  New (correct) behaviour: Patch unneeded
+-->
+<test allow_virtual_conflicts="yes">
+<setup>
+  <channel name="test" file="exercise-bug171590-packages.xml.gz"/>
+</setup>
+<trial>
+  <establish/>
+</trial>
+</test>

Added: trunk/sat-solver/testsuite/data.libzypp/freshen-tests/exercise-jsrain-packages.solv
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/freshen-tests/exercise-jsrain-packages.solv?rev=7490&view=auto
==============================================================================
Binary file - no diff available.

Added: trunk/sat-solver/testsuite/data.libzypp/freshen-tests/exercise-jsrain-system.solv
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/freshen-tests/exercise-jsrain-system.solv?rev=7490&view=auto
==============================================================================
Binary file - no diff available.

Added: trunk/sat-solver/testsuite/data.libzypp/freshen-tests/exercise-jsrain-test.solution
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/freshen-tests/exercise-jsrain-test.solution?rev=7490&view=auto
==============================================================================
--- trunk/sat-solver/testsuite/data.libzypp/freshen-tests/exercise-jsrain-test.solution (added)
+++ trunk/sat-solver/testsuite/data.libzypp/freshen-tests/exercise-jsrain-test.solution Fri Oct 12 14:33:29 2007
@@ -0,0 +1,5 @@
+>!> Establishing state ...
+>!> Established context
+>!> message:foo-patch-message-1-1-2.noarch[test] UU_s_
+>!> patch:foo-0-2.noarch[test] UU_s_
+>!> script:foo-patch-script-1-1-2.noarch[test] UU_s_

Added: trunk/sat-solver/testsuite/data.libzypp/freshen-tests/exercise-jsrain-test.xml
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/freshen-tests/exercise-jsrain-test.xml?rev=7490&view=auto
==============================================================================
--- trunk/sat-solver/testsuite/data.libzypp/freshen-tests/exercise-jsrain-test.xml (added)
+++ trunk/sat-solver/testsuite/data.libzypp/freshen-tests/exercise-jsrain-test.xml Fri Oct 12 14:33:29 2007
@@ -0,0 +1,20 @@
+<?xml version="1.0"?>
+<!--
+  A-1.0 installed
+
+  patch:foo-0:0-4 available, freshening foo < 2:3-4 -> unneeded
+  foo-2:3-4 available
+
+  patch with script, message, and package
+
+  : patch unneeded
+-->
+<test>
+<setup>
+  <system file="exercise-1-system.xml.gz"/>
+  <channel name="test" file="exercise-jsrain-packages.xml.gz"/>
+</setup>
+<trial>
+  <establish/>
+</trial>
+</test>

Added: trunk/sat-solver/testsuite/data.libzypp/freshen-tests/exercise-jsrain1-test.solution
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/freshen-tests/exercise-jsrain1-test.solution?rev=7490&view=auto
==============================================================================
--- trunk/sat-solver/testsuite/data.libzypp/freshen-tests/exercise-jsrain1-test.solution (added)
+++ trunk/sat-solver/testsuite/data.libzypp/freshen-tests/exercise-jsrain1-test.solution Fri Oct 12 14:33:29 2007
@@ -0,0 +1,5 @@
+>!> Establishing state ...
+>!> Established context
+>!> message:foo-patch-message-1-1-2.noarch[test] UU_s_
+>!> patch:foo-0-2.noarch[test] UU_s_
+>!> script:foo-patch-script-1-1-2.noarch[test] UU_s_

Added: trunk/sat-solver/testsuite/data.libzypp/freshen-tests/exercise-jsrain1-test.xml
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/freshen-tests/exercise-jsrain1-test.xml?rev=7490&view=auto
==============================================================================
--- trunk/sat-solver/testsuite/data.libzypp/freshen-tests/exercise-jsrain1-test.xml (added)
+++ trunk/sat-solver/testsuite/data.libzypp/freshen-tests/exercise-jsrain1-test.xml Fri Oct 12 14:33:29 2007
@@ -0,0 +1,20 @@
+<?xml version="1.0"?>
+<!--
+  foo-2:3-4 installed
+
+  patch:foo-0:0-4 available, freshening foo < 2:3-4 -> unneeded
+  foo-2:3-4 available
+
+  patch with script, message, and package
+
+  : patch unneeded
+-->
+<test allow_virtual_conflicts="yes">
+<setup>
+  <system file="exercise-jsrain-system.xml.gz"/>
+  <channel name="test" file="exercise-jsrain-packages.xml.gz"/>
+</setup>
+<trial>
+  <establish/>
+</trial>
+</test>

Added: trunk/sat-solver/testsuite/data.libzypp/freshen-tests/exercise1-bug171590-test.solution
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/freshen-tests/exercise1-bug171590-test.solution?rev=7490&view=auto
==============================================================================
--- trunk/sat-solver/testsuite/data.libzypp/freshen-tests/exercise1-bug171590-test.solution (added)
+++ trunk/sat-solver/testsuite/data.libzypp/freshen-tests/exercise1-bug171590-test.solution Fri Oct 12 14:33:29 2007
@@ -0,0 +1,5 @@
+>!> Establishing state ...
+>!> Established context
+>!> atom:Atom-A-1.1-1.noarch[test] UI_s_
+>!> atom:Atom-B-1.1-1.noarch[test] UU_s_
+>!> patch:Patch-A-1.1-1.noarch[test] UI_s_

Added: trunk/sat-solver/testsuite/data.libzypp/freshen-tests/exercise1-bug171590-test.xml
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/freshen-tests/exercise1-bug171590-test.xml?rev=7490&view=auto
==============================================================================
--- trunk/sat-solver/testsuite/data.libzypp/freshen-tests/exercise1-bug171590-test.xml (added)
+++ trunk/sat-solver/testsuite/data.libzypp/freshen-tests/exercise1-bug171590-test.xml Fri Oct 12 14:33:29 2007
@@ -0,0 +1,16 @@
+<?xml version="1.0"?>
+<!--
+  Bug 171590:
+  Patch requirements are all unneeded
+  Old behaviour: Patch satisfied
+  New (correct) behaviour: Patch unneeded
+-->
+<test allow_virtual_conflicts="yes">
+<setup>
+  <system file="exercise-1-system.xml.gz"/>
+  <channel name="test" file="exercise-bug171590-packages.xml.gz"/>
+</setup>
+<trial>
+  <establish/>
+</trial>
+</test>

Added: trunk/sat-solver/testsuite/data.libzypp/instorder-tests/exercise-1-packages.solv
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/instorder-tests/exercise-1-packages.solv?rev=7490&view=auto
==============================================================================
Binary file - no diff available.

Added: trunk/sat-solver/testsuite/data.libzypp/instorder-tests/exercise-1-test.solution
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/instorder-tests/exercise-1-test.solution?rev=7490&view=auto
==============================================================================
--- trunk/sat-solver/testsuite/data.libzypp/instorder-tests/exercise-1-test.solution (added)
+++ trunk/sat-solver/testsuite/data.libzypp/instorder-tests/exercise-1-test.solution Fri Oct 12 14:33:29 2007
@@ -0,0 +1,17 @@
+>!> Installing B from channel test
+>!> Calculating installation order ...
+>!> Solution #1:
+>!> install A-1.2-1.noarch[test]
+>!> install B-1.0-1.noarch[test]
+>!> install C-1.3-1.noarch[test]
+>!> installs=3, upgrades=0, uninstalls=0
+>!> Installation Order:
+>!> 
+>!> 1. set with 1 resolvables
+>!> A-1.2-1.noarch[test]
+>!> 
+>!> 2. set with 1 resolvables
+>!> C-1.3-1.noarch[test]
+>!> 
+>!> 3. set with 1 resolvables
+>!> B-1.0-1.noarch[test]

Added: trunk/sat-solver/testsuite/data.libzypp/instorder-tests/exercise-1-test.xml
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/instorder-tests/exercise-1-test.xml?rev=7490&view=auto
==============================================================================
--- trunk/sat-solver/testsuite/data.libzypp/instorder-tests/exercise-1-test.xml (added)
+++ trunk/sat-solver/testsuite/data.libzypp/instorder-tests/exercise-1-test.xml Fri Oct 12 14:33:29 2007
@@ -0,0 +1,16 @@
+<?xml version="1.0"?>
+<!--
+  B requires C
+  C prerequires A
+
+  result: A C B
+-->
+<test>
+<setup>
+  <channel name="test" file="exercise-1-packages.xml.gz"/>
+</setup>
+<trial>
+  <install channel="test" package="B"/>
+  <instorder/>
+</trial>
+</test>

Added: trunk/sat-solver/testsuite/data.libzypp/instorder-tests/exercise-preview4-test.solution
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/instorder-tests/exercise-preview4-test.solution?rev=7490&view=auto
==============================================================================
--- trunk/sat-solver/testsuite/data.libzypp/instorder-tests/exercise-preview4-test.solution (added)
+++ trunk/sat-solver/testsuite/data.libzypp/instorder-tests/exercise-preview4-test.solution Fri Oct 12 14:33:29 2007
@@ -0,0 +1,75 @@
+>!> Installing emacs from channel test
+>!> Calculating installation order ...
+>!> Solution #1:
+>!> install bash-3.1-5.x86_64[test]
+>!> install bzip2-1.0.3-6.x86_64[test]
+>!> install coreutils-5.93-6.x86_64[test]
+>!> install cracklib-2.8.6-2.x86_64[test]
+>!> install ctags-2005.12.8-2.x86_64[test]
+>!> install db-4.3.29-4.x86_64[test]
+>!> install emacs-21.3-210.x86_64[test]
+>!> install emacs-info-21.3-210.x86_64[test]
+>!> install filesystem-10.0.42-6.x86_64[test]
+>!> install fillup-1.42-107.x86_64[test]
+>!> install gdbm-1.8.3-233.x86_64[test]
+>!> install glibc-2.3.90-39.x86_64[test]
+>!> install glibc-32bit-2.3.90-40.x86_64[test]
+>!> install gzip-1.3.5-147.x86_64[test]
+>!> install info-4.8-12.x86_64[test]
+>!> install libacl-2.2.31-4.x86_64[test]
+>!> install libattr-2.4.24-4.x86_64[test]
+>!> install libgcc-4.1.0_20051230-3.x86_64[test]
+>!> install libstdc++-4.1.0_20051230-3.x86_64[test]
+>!> install libzio-0.1-7.x86_64[test]
+>!> install ncurses-5.5-4.x86_64[test]
+>!> install pam-0.99.2.1-5.x86_64[test]
+>!> install perl-5.8.7-7.x86_64[test]
+>!> install readline-5.1-5.x86_64[test]
+>!> install zlib-1.2.3-5.x86_64[test]
+>!> installs=25, upgrades=0, uninstalls=0
+>!> Installation Order:
+>!> 
+>!> 1. set with 1 resolvables
+>!> filesystem-10.0.42-6.x86_64[test]
+>!> 
+>!> 2. set with 1 resolvables
+>!> glibc-2.3.90-39.x86_64[test]
+>!> 
+>!> 3. set with 6 resolvables
+>!> ctags-2005.12.8-2.x86_64[test]
+>!> gdbm-1.8.3-233.x86_64[test]
+>!> glibc-32bit-2.3.90-40.x86_64[test]
+>!> libattr-2.4.24-4.x86_64[test]
+>!> ncurses-5.5-4.x86_64[test]
+>!> zlib-1.2.3-5.x86_64[test]
+>!> 
+>!> 4. set with 3 resolvables
+>!> libacl-2.2.31-4.x86_64[test]
+>!> libgcc-4.1.0_20051230-3.x86_64[test]
+>!> readline-5.1-5.x86_64[test]
+>!> 
+>!> 5. set with 2 resolvables
+>!> bash-3.1-5.x86_64[test]
+>!> libstdc++-4.1.0_20051230-3.x86_64[test]
+>!> 
+>!> 6. set with 4 resolvables
+>!> bzip2-1.0.3-6.x86_64[test]
+>!> cracklib-2.8.6-2.x86_64[test]
+>!> db-4.3.29-4.x86_64[test]
+>!> libzio-0.1-7.x86_64[test]
+>!> 
+>!> 7. set with 2 resolvables
+>!> info-4.8-12.x86_64[test]
+>!> pam-0.99.2.1-5.x86_64[test]
+>!> 
+>!> 8. set with 4 resolvables
+>!> coreutils-5.93-6.x86_64[test]
+>!> emacs-info-21.3-210.x86_64[test]
+>!> fillup-1.42-107.x86_64[test]
+>!> gzip-1.3.5-147.x86_64[test]
+>!> 
+>!> 9. set with 1 resolvables
+>!> perl-5.8.7-7.x86_64[test]
+>!> 
+>!> 10. set with 1 resolvables
+>!> emacs-21.3-210.x86_64[test]

Added: trunk/sat-solver/testsuite/data.libzypp/instorder-tests/exercise-preview4-test.xml
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/instorder-tests/exercise-preview4-test.xml?rev=7490&view=auto
==============================================================================
--- trunk/sat-solver/testsuite/data.libzypp/instorder-tests/exercise-preview4-test.xml (added)
+++ trunk/sat-solver/testsuite/data.libzypp/instorder-tests/exercise-preview4-test.xml Fri Oct 12 14:33:29 2007
@@ -0,0 +1,13 @@
+<?xml version="1.0"?>
+<!--
+  novell-groupwise-gwclient has some prereqs
+-->
+<test>
+<setup arch="x86_64">
+  <channel name="test" file="preview4-x86_64-packages.xml.gz"/>
+</setup>
+<trial>
+  <install channel="test" package="emacs"/>
+  <instorder/>
+</trial>
+</test>

Added: trunk/sat-solver/testsuite/data.libzypp/instorder-tests/exercise-sles10-beta3-test.solution
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/instorder-tests/exercise-sles10-beta3-test.solution?rev=7490&view=auto
==============================================================================
--- trunk/sat-solver/testsuite/data.libzypp/instorder-tests/exercise-sles10-beta3-test.solution (added)
+++ trunk/sat-solver/testsuite/data.libzypp/instorder-tests/exercise-sles10-beta3-test.solution Fri Oct 12 14:33:29 2007
@@ -0,0 +1,243 @@
+>!> Installing libgnomeui from channel test
+>!> Calculating installation order ...
+>!> Solution #1:
+>!> install Mesa-6.4.1-4.i586[test]
+>!> install aaa_base-10.0.42-47.i586[test]
+>!> install aaa_skel-2006.1.25-1.i586[test]
+>!> install alsa-1.0.11-7.i586[test]
+>!> install ash-1.6.1-5.i586[test]
+>!> install atk-1.10.3-4.i586[test]
+>!> install audiofile-0.2.6-7.i586[test]
+>!> install bash-3.1-8.i586[test]
+>!> install bzip2-1.0.3-7.i586[test]
+>!> install cairo-1.0.2-12.i586[test]
+>!> install coreutils-5.93-8.i586[test]
+>!> install cpio-2.6-8.i586[test]
+>!> install cracklib-2.8.6-2.i586[test]
+>!> install cyrus-sasl-2.1.21-6.i586[test]
+>!> install db-4.3.29-5.i586[test]
+>!> install dbus-1-0.60-8.i586[test]
+>!> install dbus-1-glib-0.60-8.i586[test]
+>!> install desktop-file-utils-0.10-10.i586[test]
+>!> install dialog-0.9b-194.i586[test]
+>!> install diffutils-2.8.7-6.i586[test]
+>!> install esound-0.2.36-6.i586[test]
+>!> install expat-2.0.0-3.i586[test]
+>!> install fam-2.6.10-136.i586[test]
+>!> install fam-server-2.6.10-136.i586[test]
+>!> install filesystem-10.0.42-7.i586[test]
+>!> install fillup-1.42-108.i586[test]
+>!> install findutils-4.2.27-3.i586[test]
+>!> install fontconfig-2.3.93.20060127-2.i586[test]
+>!> install freetype2-2.1.10-6.i586[test]
+>!> install gconf2-2.12.1-10.i586[test]
+>!> install gdbm-1.8.3-233.i586[test]
+>!> install glib2-2.8.5-8.i586[test]
+>!> install glibc-2.3.90-59.i586[test]
+>!> install glitz-0.4.4-7.i586[test]
+>!> install gnome-desktop-2.12.2-4.i586[test]
+>!> install gnome-filesystem-0.1-242.i586[test]
+>!> install gnome-icon-theme-2.12.1-6.noarch[test]
+>!> install gnome-keyring-0.4.6-4.i586[test]
+>!> install gnome-mime-data-2.4.2-9.i586[test]
+>!> install gnome-vfs2-2.12.2-15.i586[test]
+>!> install grep-2.5.1a-7.i586[test]
+>!> install gtk2-2.8.10-7.i586[test]
+>!> install gzip-1.3.5-147.i586[test]
+>!> install hal-0.5.6-4.i586[test]
+>!> install info-4.8-12.i586[test]
+>!> install insserv-1.04.0-6.i586[test]
+>!> install krb5-1.4.3-5.i586[test]
+>!> install libacl-2.2.34-2.i586[test]
+>!> install libart_lgpl-2.3.17-6.i586[test]
+>!> install libattr-2.4.28-2.i586[test]
+>!> install libbonobo-2.10.1-9.i586[test]
+>!> install libbonoboui-2.10.1-9.i586[test]
+>!> install libcom_err-1.38-14.i586[test]
+>!> install libdrm-2.0-4.i586[test]
+>!> install libgcc-4.1.0_20060123-5.i586[test]
+>!> install libglade2-2.5.1-13.i586[test]
+>!> install libgnome-2.12.0.1-11.i586[test]
+>!> install libgnomecanvas-2.12.0-8.i586[test]
+>!> install libgnomesu-1.0.0-12.i586[test]
+>!> install libgnomeui-2.12.0-9.i586[test]
+>!> install libidl-0.8.6-7.i586[test]
+>!> install libjpeg-6.2.0-741.i586[test]
+>!> install libnscd-1.1-6.i586[test]
+>!> install libpng-1.2.8-8.i586[test]
+>!> install libsmbclient-3.0.21b-2.i586[test]
+>!> install libstdc++-4.1.0_20060123-5.i586[test]
+>!> install libtiff-3.8.0-3.i586[test]
+>!> install libusb-0.1.11-2.i586[test]
+>!> install libxcrypt-2.4-2.i586[test]
+>!> install libxml2-2.6.23-3.i586[test]
+>!> install libzio-0.1-7.i586[test]
+>!> install logrotate-3.7.3-3.i586[test]
+>!> install mDNSResponder-107.5-2.i586[test]
+>!> install mingetty-0.9.6s-78.i586[test]
+>!> install mktemp-1.5-734.i586[test]
+>!> install ncurses-5.5-5.i586[test]
+>!> install openldap2-client-2.3.19-2.i586[test]
+>!> install openmotif-libs-2.2.4-7.i586[test]
+>!> install openslp-1.2.0-8.i586[test]
+>!> install openssl-0.9.8a-7.i586[test]
+>!> install orbit2-2.12.4-6.i586[test]
+>!> install pam-0.99.3.0-3.i586[test]
+>!> install pam-modules-10.0.42-14.i586[test]
+>!> install pango-1.10.2-9.i586[test]
+>!> install pciutils-2.2.1-4.i586[test]
+>!> install perl-5.8.8-2.i586[test]
+>!> install permissions-2006.1.25-1.i586[test]
+>!> install popt-1.7-240.i586[test]
+>!> install pwdutils-3.0.7.1-3.i586[test]
+>!> install readline-5.1-8.i586[test]
+>!> install resmgr-0.9.8_SVNr75-2.i586[test]
+>!> install sed-4.1.4-7.i586[test]
+>!> install shared-mime-info-0.16-7.i586[test]
+>!> install sles-release-9.90-12.i586[test]
+>!> install startup-notification-0.8-8.i586[test]
+>!> install tcpd-7.6-720.i586[test]
+>!> install xorg-x11-libs-6.9.0-9.i586[test]
+>!> install zlib-1.2.3-5.i586[test]
+>!> installs=98, upgrades=0, uninstalls=0
+>!> Installation Order:
+>!> 
+>!> 1. set with 4 resolvables
+>!> aaa_skel-2006.1.25-1.i586[test]
+>!> filesystem-10.0.42-7.i586[test]
+>!> gnome-icon-theme-2.12.1-6.noarch[test]
+>!> sles-release-9.90-12.i586[test]
+>!> 
+>!> 2. set with 1 resolvables
+>!> glibc-2.3.90-59.i586[test]
+>!> 
+>!> 3. set with 16 resolvables
+>!> ash-1.6.1-5.i586[test]
+>!> audiofile-0.2.6-7.i586[test]
+>!> expat-2.0.0-3.i586[test]
+>!> gdbm-1.8.3-233.i586[test]
+>!> libart_lgpl-2.3.17-6.i586[test]
+>!> libattr-2.4.28-2.i586[test]
+>!> libdrm-2.0-4.i586[test]
+>!> libgcc-4.1.0_20060123-5.i586[test]
+>!> libjpeg-6.2.0-741.i586[test]
+>!> libnscd-1.1-6.i586[test]
+>!> libxcrypt-2.4-2.i586[test]
+>!> mingetty-0.9.6s-78.i586[test]
+>!> mktemp-1.5-734.i586[test]
+>!> ncurses-5.5-5.i586[test]
+>!> popt-1.7-240.i586[test]
+>!> zlib-1.2.3-5.i586[test]
+>!> 
+>!> 4. set with 6 resolvables
+>!> dialog-0.9b-194.i586[test]
+>!> freetype2-2.1.10-6.i586[test]
+>!> libacl-2.2.34-2.i586[test]
+>!> libpng-1.2.8-8.i586[test]
+>!> libstdc++-4.1.0_20060123-5.i586[test]
+>!> readline-5.1-8.i586[test]
+>!> 
+>!> 5. set with 4 resolvables
+>!> bash-3.1-8.i586[test]
+>!> db-4.3.29-5.i586[test]
+>!> fontconfig-2.3.93.20060127-2.i586[test]
+>!> libtiff-3.8.0-3.i586[test]
+>!> 
+>!> 6. set with 9 resolvables
+>!> bzip2-1.0.3-7.i586[test]
+>!> cracklib-2.8.6-2.i586[test]
+>!> insserv-1.04.0-6.i586[test]
+>!> libcom_err-1.38-14.i586[test]
+>!> libusb-0.1.11-2.i586[test]
+>!> libzio-0.1-7.i586[test]
+>!> pciutils-2.2.1-4.i586[test]
+>!> tcpd-7.6-720.i586[test]
+>!> xorg-x11-libs-6.9.0-9.i586[test]
+>!> 
+>!> 7. set with 4 resolvables
+>!> info-4.8-12.i586[test]
+>!> openmotif-libs-2.2.4-7.i586[test]
+>!> pam-0.99.3.0-3.i586[test]
+>!> startup-notification-0.8-8.i586[test]
+>!> 
+>!> 8. set with 11 resolvables
+>!> Mesa-6.4.1-4.i586[test]
+>!> coreutils-5.93-8.i586[test]
+>!> cpio-2.6-8.i586[test]
+>!> diffutils-2.8.7-6.i586[test]
+>!> fam-2.6.10-136.i586[test]
+>!> fillup-1.42-108.i586[test]
+>!> findutils-4.2.27-3.i586[test]
+>!> grep-2.5.1a-7.i586[test]
+>!> gzip-1.3.5-147.i586[test]
+>!> pam-modules-10.0.42-14.i586[test]
+>!> sed-4.1.4-7.i586[test]
+>!> 
+>!> 9. set with 9 resolvables
+>!> cyrus-sasl-2.1.21-6.i586[test]
+>!> fam-server-2.6.10-136.i586[test]
+>!> glitz-0.4.4-7.i586[test]
+>!> gnome-filesystem-0.1-242.i586[test]
+>!> krb5-1.4.3-5.i586[test]
+>!> libxml2-2.6.23-3.i586[test]
+>!> logrotate-3.7.3-3.i586[test]
+>!> perl-5.8.8-2.i586[test]
+>!> resmgr-0.9.8_SVNr75-2.i586[test]
+>!> 
+>!> 10. set with 6 resolvables
+>!> aaa_base-10.0.42-47.i586[test]
+>!> alsa-1.0.11-7.i586[test]
+>!> cairo-1.0.2-12.i586[test]
+>!> glib2-2.8.5-8.i586[test]
+>!> gnome-mime-data-2.4.2-9.i586[test]
+>!> openssl-0.9.8a-7.i586[test]
+>!> 
+>!> 11. set with 9 resolvables
+>!> atk-1.10.3-4.i586[test]
+>!> desktop-file-utils-0.10-10.i586[test]
+>!> esound-0.2.36-6.i586[test]
+>!> libidl-0.8.6-7.i586[test]
+>!> openldap2-client-2.3.19-2.i586[test]
+>!> openslp-1.2.0-8.i586[test]
+>!> pango-1.10.2-9.i586[test]
+>!> permissions-2006.1.25-1.i586[test]
+>!> shared-mime-info-0.16-7.i586[test]
+>!> 
+>!> 12. set with 4 resolvables
+>!> gtk2-2.8.10-7.i586[test]
+>!> libsmbclient-3.0.21b-2.i586[test]
+>!> orbit2-2.12.4-6.i586[test]
+>!> pwdutils-3.0.7.1-3.i586[test]
+>!> 
+>!> 13. set with 6 resolvables
+>!> dbus-1-0.60-8.i586[test]
+>!> gconf2-2.12.1-10.i586[test]
+>!> gnome-keyring-0.4.6-4.i586[test]
+>!> libbonobo-2.10.1-9.i586[test]
+>!> libglade2-2.5.1-13.i586[test]
+>!> mDNSResponder-107.5-2.i586[test]
+>!> 
+>!> 14. set with 2 resolvables
+>!> dbus-1-glib-0.60-8.i586[test]
+>!> libgnomecanvas-2.12.0-8.i586[test]
+>!> 
+>!> 15. set with 1 resolvables
+>!> hal-0.5.6-4.i586[test]
+>!> 
+>!> 16. set with 1 resolvables
+>!> gnome-vfs2-2.12.2-15.i586[test]
+>!> 
+>!> 17. set with 1 resolvables
+>!> libgnome-2.12.0.1-11.i586[test]
+>!> 
+>!> 18. set with 1 resolvables
+>!> libbonoboui-2.10.1-9.i586[test]
+>!> 
+>!> 19. set with 1 resolvables
+>!> libgnomeui-2.12.0-9.i586[test]
+>!> 
+>!> 20. set with 1 resolvables
+>!> libgnomesu-1.0.0-12.i586[test]
+>!> 
+>!> 21. set with 1 resolvables
+>!> gnome-desktop-2.12.2-4.i586[test]

Added: trunk/sat-solver/testsuite/data.libzypp/instorder-tests/exercise-sles10-beta3-test.xml
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/instorder-tests/exercise-sles10-beta3-test.xml?rev=7490&view=auto
==============================================================================
--- trunk/sat-solver/testsuite/data.libzypp/instorder-tests/exercise-sles10-beta3-test.xml (added)
+++ trunk/sat-solver/testsuite/data.libzypp/instorder-tests/exercise-sles10-beta3-test.xml Fri Oct 12 14:33:29 2007
@@ -0,0 +1,13 @@
+<?xml version="1.0"?>
+<!--
+  libgnomeui has some prereqs
+-->
+<test>
+<setup arch="i586">
+  <channel name="test" file="sles10-beta3-i386-packages.xml.gz"/>
+</setup>
+<trial>
+  <install channel="test" package="libgnomeui"/>
+  <instorder/>
+</trial>
+</test>

Added: trunk/sat-solver/testsuite/data.libzypp/instorder-tests/preview4-x86_64-packages.solv
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/instorder-tests/preview4-x86_64-packages.solv?rev=7490&view=auto
==============================================================================
Binary file - no diff available.

Added: trunk/sat-solver/testsuite/data.libzypp/instorder-tests/sles10-beta3-i386-packages.solv
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/instorder-tests/sles10-beta3-i386-packages.solv?rev=7490&view=auto
==============================================================================
Binary file - no diff available.

Added: trunk/sat-solver/testsuite/data.libzypp/instorder-tests/stable-i386-packages.solv
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/instorder-tests/stable-i386-packages.solv?rev=7490&view=auto
==============================================================================
Binary file - no diff available.

Added: trunk/sat-solver/testsuite/data.libzypp/kernel-tests/1.1.1-default-packages.solv
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/kernel-tests/1.1.1-default-packages.solv?rev=7490&view=auto
==============================================================================
Binary file - no diff available.

Added: trunk/sat-solver/testsuite/data.libzypp/kernel-tests/1.1.1-default-system.solv
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/kernel-tests/1.1.1-default-system.solv?rev=7490&view=auto
==============================================================================
Binary file - no diff available.

Added: trunk/sat-solver/testsuite/data.libzypp/kernel-tests/1.1.1-smp-packages.solv
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/kernel-tests/1.1.1-smp-packages.solv?rev=7490&view=auto
==============================================================================
Binary file - no diff available.

Added: trunk/sat-solver/testsuite/data.libzypp/kernel-tests/1.1.1-smp-system.solv
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/kernel-tests/1.1.1-smp-system.solv?rev=7490&view=auto
==============================================================================
Binary file - no diff available.

Added: trunk/sat-solver/testsuite/data.libzypp/kernel-tests/1.1.2-default-packages.solv
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/kernel-tests/1.1.2-default-packages.solv?rev=7490&view=auto
==============================================================================
Binary file - no diff available.

Added: trunk/sat-solver/testsuite/data.libzypp/kernel-tests/1.1.2-default-system.solv
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/kernel-tests/1.1.2-default-system.solv?rev=7490&view=auto
==============================================================================
Binary file - no diff available.

Added: trunk/sat-solver/testsuite/data.libzypp/kernel-tests/1.1.2-smp-packages.solv
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/kernel-tests/1.1.2-smp-packages.solv?rev=7490&view=auto
==============================================================================
Binary file - no diff available.

Added: trunk/sat-solver/testsuite/data.libzypp/kernel-tests/1.1.2-smp-system.solv
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/kernel-tests/1.1.2-smp-system.solv?rev=7490&view=auto
==============================================================================
Binary file - no diff available.

Added: trunk/sat-solver/testsuite/data.libzypp/kernel-tests/1.1.3-default-packages.solv
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/kernel-tests/1.1.3-default-packages.solv?rev=7490&view=auto
==============================================================================
Binary file - no diff available.

Added: trunk/sat-solver/testsuite/data.libzypp/kernel-tests/1.1.3-default-system.solv
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/kernel-tests/1.1.3-default-system.solv?rev=7490&view=auto
==============================================================================
Binary file - no diff available.

Added: trunk/sat-solver/testsuite/data.libzypp/kernel-tests/1.1.3-smp-packages.solv
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/kernel-tests/1.1.3-smp-packages.solv?rev=7490&view=auto
==============================================================================
Binary file - no diff available.

Added: trunk/sat-solver/testsuite/data.libzypp/kernel-tests/1.1.3-smp-system.solv
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/kernel-tests/1.1.3-smp-system.solv?rev=7490&view=auto
==============================================================================
Binary file - no diff available.

Added: trunk/sat-solver/testsuite/data.libzypp/kernel-tests/1.2.1-default-packages.solv
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/kernel-tests/1.2.1-default-packages.solv?rev=7490&view=auto
==============================================================================
Binary file - no diff available.

Added: trunk/sat-solver/testsuite/data.libzypp/kernel-tests/1.2.1-default-system.solv
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/kernel-tests/1.2.1-default-system.solv?rev=7490&view=auto
==============================================================================
Binary file - no diff available.

Added: trunk/sat-solver/testsuite/data.libzypp/kernel-tests/1.2.1-smp-packages.solv
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/kernel-tests/1.2.1-smp-packages.solv?rev=7490&view=auto
==============================================================================
Binary file - no diff available.

Added: trunk/sat-solver/testsuite/data.libzypp/kernel-tests/1.2.1-smp-system.solv
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/kernel-tests/1.2.1-smp-system.solv?rev=7490&view=auto
==============================================================================
Binary file - no diff available.

Added: trunk/sat-solver/testsuite/data.libzypp/kernel-tests/1.2.2-default-packages.solv
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/kernel-tests/1.2.2-default-packages.solv?rev=7490&view=auto
==============================================================================
Binary file - no diff available.

Added: trunk/sat-solver/testsuite/data.libzypp/kernel-tests/1.2.2-default-system.solv
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/kernel-tests/1.2.2-default-system.solv?rev=7490&view=auto
==============================================================================
Binary file - no diff available.

Added: trunk/sat-solver/testsuite/data.libzypp/kernel-tests/1.2.2-smp-packages.solv
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/kernel-tests/1.2.2-smp-packages.solv?rev=7490&view=auto
==============================================================================
Binary file - no diff available.

Added: trunk/sat-solver/testsuite/data.libzypp/kernel-tests/1.2.2-smp-system.solv
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/kernel-tests/1.2.2-smp-system.solv?rev=7490&view=auto
==============================================================================
Binary file - no diff available.

Added: trunk/sat-solver/testsuite/data.libzypp/kernel-tests/1.2.3-default-packages.solv
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/kernel-tests/1.2.3-default-packages.solv?rev=7490&view=auto
==============================================================================
Binary file - no diff available.

Added: trunk/sat-solver/testsuite/data.libzypp/kernel-tests/1.2.3-default-system.solv
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/kernel-tests/1.2.3-default-system.solv?rev=7490&view=auto
==============================================================================
Binary file - no diff available.

Added: trunk/sat-solver/testsuite/data.libzypp/kernel-tests/1.2.3-smp-packages.solv
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/kernel-tests/1.2.3-smp-packages.solv?rev=7490&view=auto
==============================================================================
Binary file - no diff available.

Added: trunk/sat-solver/testsuite/data.libzypp/kernel-tests/1.2.3-smp-system.solv
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/kernel-tests/1.2.3-smp-system.solv?rev=7490&view=auto
==============================================================================
Binary file - no diff available.

Added: trunk/sat-solver/testsuite/data.libzypp/kernel-tests/1_2_1-default-test.solution
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/kernel-tests/1_2_1-default-test.solution?rev=7490&view=auto
==============================================================================
--- trunk/sat-solver/testsuite/data.libzypp/kernel-tests/1_2_1-default-test.solution (added)
+++ trunk/sat-solver/testsuite/data.libzypp/kernel-tests/1_2_1-default-test.solution Fri Oct 12 14:33:29 2007
@@ -0,0 +1,726 @@
+>!> setting HardwareInfo to: ./kernel-hardware
+>!> Doing distribution upgrade ...
+>!> 1: I__s_[S1:0][package]3ddiag-0.729-7.i586
+>!> 2: I__s_[S1:0][package]855resolution-0.4-11.i586
+>!> 3: I__s_[S1:0][package]CheckHardware-0.1-980.i586
+>!> 4: I__s_[S1:0][package]Crystalcursors-0.5-32.noarch
+>!> 5: I__s_[S1:0][package]Mesa-6.4.2-6.i586
+>!> 6: I__s_[S1:0][package]MozillaFirefox-1.5.0.1-15.i586
+>!> 7: I__s_[S1:0][package]MozillaFirefox-translations-1.5.0.1-15.i586
+>!> 8: I__s_[S1:0][package]NX-1.5.0-29.i586
+>!> 9: I__s_[S1:0][package]NetworkManager-0.6.1-4.i586
+>!> 10: I__s_[S1:0][package]NetworkManager-kde-0.1r5879-2.i586
+>!> 11: I__s_[S1:0][package]OpenEXR-1.2.2-9.i586
+>!> 12: I__s_[S1:0][package]OpenOffice_org-2.0.2-7.i586
+>!> 13: I__s_[S1:0][package]OpenOffice_org-Quickstarter-1.0-478.i586
+>!> 14: I__s_[S1:0][package]OpenOffice_org-de-2.0.2-7.i586
+>!> 15: I__s_[S1:0][package]OpenOffice_org-de-templates-8.2-164.i586
+>!> 16: I__s_[S1:0][package]OpenOffice_org-kde-2.0.2-7.i586
+>!> 17: I__s_[S1:0][package]SDL-1.2.9-12.i586
+>!> 18: I__s_[S1:0][package]SDL_image-1.2.4-9.i586
+>!> 19: I__s_[S1:0][package]SDL_mixer-1.2.6-10.i586
+>!> 20: I__s_[S1:0][package]SDL_net-1.2.5-229.i586
+>!> 21: I__s_[S1:0][package]SDL_perl-1.20.0-364.i586
+>!> 22: I__s_[S1:0][package]SDL_ttf-2.0.6-229.i586
+>!> 23: I__s_[S1:0][package]SuSEfirewall2-3.4_SVNr139-2.noarch
+>!> 24: I__s_[S1:0][package]WindowMaker-0.92.0-16.i586
+>!> 25: I__s_[S1:0][package]WindowMaker-applets-1.0-668.i586
+>!> 26: I__s_[S1:0][package]WindowMaker-themes-0.1-245.noarch
+>!> 27: I__s_[S1:0][package]a2ps-4.13-1067.i586
+>!> 28: I__s_[S1:0][package]aaa_base-10.1-5.i586
+>!> 29: I__s_[S1:0][package]aaa_skel-2006.2.24-3.i586
+>!> 30: I__s_[S1:0][package]aalib-1.4.0-296.i586
+>!> 31: I__s_[S1:0][package]acl-2.2.34-5.i586
+>!> 32: I__s_[S1:0][package]acpid-1.0.4-22.i586
+>!> 33: I__s_[S1:0][package]alsa-1.0.11-17.i586
+>!> 34: I__s_[S1:0][package]alsa-firmware-1.0.10-6.noarch
+>!> 35: I__s_[S1:0][package]alsa-tools-1.0.11-9.i586
+>!> 36: I__s_[S1:0][package]amarok-1.3.8-15.i586
+>!> 37: I__s_[S1:0][package]amarok-libvisual-1.3.8-15.i586
+>!> 38: I__s_[S1:0][package]amarok-xine-1.3.8-15.i586
+>!> 39: I__s_[S1:0][package]apparmor-docs-2.0-8.noarch
+>!> 40: I__s_[S1:0][package]apparmor-parser-2.0-12.i586
+>!> 41: I__s_[S1:0][package]apparmor-profiles-2.0-15.noarch
+>!> 42: I__s_[S1:0][package]apparmor-utils-2.0-12.noarch
+>!> 43: I__s_[S1:0][package]arts-1.5.1-8.i586
+>!> 44: I__s_[S1:0][package]ash-1.6.1-8.i586
+>!> 45: I__s_[S1:0][package]aspell-0.60.3-12.i586
+>!> 46: I__s_[S1:0][package]aspell-de-0.50.2-344.i586
+>!> 47: I__s_[S1:0][package]aspell-en-6.0-13.i586
+>!> 48: I__s_[S1:0][package]at-3.1.8-914.i586
+>!> 49: I__s_[S1:0][package]atk-1.10.3-8.i586
+>!> 50: I__s_[S1:0][package]attr-2.4.28-7.i586
+>!> 51: I__s_[S1:0][package]audiofile-0.2.6-10.i586
+>!> 52: I__s_[S1:0][package]audit-1.1.3-13.i586
+>!> 53: I__s_[S1:0][package]audit-libs-1.1.3-13.i586
+>!> 54: I__s_[S1:0][package]autofs-4.1.4-16.i586
+>!> 55: I__s_[S1:0][package]autoyast2-2.13.29-2.noarch
+>!> 56: I__s_[S1:0][package]autoyast2-installation-2.13.29-2.noarch
+>!> 57: I__s_[S1:0][package]awesfx-0.5.0d-9.i586
+>!> 58: I__s_[S1:0][package]bash-3.1-14.i586
+>!> 59: I__s_[S1:0][package]bc-1.06-757.i586
+>!> 60: I__s_[S1:0][package]beagle-0.2.2.1-4.i586
+>!> 61: I__s_[S1:0][package]bind-libs-9.3.2-10.i586
+>!> 62: I__s_[S1:0][package]bind-utils-9.3.2-10.i586
+>!> 63: I__s_[S1:0][package]binutils-2.16.91.0.5-8.i586
+>!> 64: I__s_[S1:0][package]blocxx-1.0.0-7.i586
+>!> 65: I__s_[S1:0][package]bluez-libs-2.24-5.i586
+>!> 66: I__s_[S1:0][package]bluez-utils-2.24-7.i586
+>!> 67: I__s_[S1:0][package]boost-1.33.1-8.i586
+>!> 68: I__s_[S1:0][package]bootloader-theme-SUSELinux-Prof-2006.3.9-2.noarch
+>!> 69: I__s_[S1:0][package]bootsplash-3.3-8.i586
+>!> 70: I__s_[S1:0][package]bootsplash-theme-SuSE-3.1-60.i586
+>!> 71: I__s_[S1:0][package]busybox-1.1.0-6.i586
+>!> 72: I__s_[S1:0][package]bzip2-1.0.3-10.i586
+>!> 73: I__s_[S1:0][package]cabextract-1.1-9.i586
+>!> 74: I__s_[S1:0][package]cairo-1.0.2-16.i586
+>!> 75: I__s_[S1:0][package]capi4linux-2006.2.28-4.i586
+>!> 76: I__s_[S1:0][package]cdparanoia-IIIalpha9.8-555.i586
+>!> 77: I__s_[S1:0][package]cdrdao-1.2.0-10.i586
+>!> 78: I__s_[S1:0][package]cdrecord-2.01-17.i586
+>!> 79: I__s_[S1:0][package]checkmedia-2.1-7.i586
+>!> 80: I__s_[S1:0][package]cifs-mount-3.0.21c-8.i586
+>!> 81: I__s_[S1:1][package]cloop-kmp-default-2.01_2.6.16_rc5_git14_2-15.i586
+>!> 82: I__s_[S1:0][package]compat-2006.1.25-4.i586
+>!> 83: I__s_[S1:0][package]compat-curl2-7.11.0-13.i586
+>!> 84: I__s_[S1:0][package]compat-libstdc++-5.0.7-15.i586
+>!> 85: I__s_[S1:0][package]compat-openssl097g-0.9.7g-6.i586
+>!> 86: I__s_[S1:0][package]convmv-1.09-5.noarch
+>!> 87: I__s_[S1:0][package]coreutils-5.93-14.i586
+>!> 88: I__s_[S1:0][package]cpio-2.6-12.i586
+>!> 89: I__s_[S1:0][package]cpp-4.1.0-5.i586
+>!> 90: I__s_[S1:0][package]cpufrequtils-0.4-6.i586
+>!> 91: I__s_[S1:0][package]cracklib-2.8.6-6.i586
+>!> 92: I__s_[S1:0][package]crafty-20.1-5.i586
+>!> 93: I__s_[S1:0][package]cron-4.1-37.i586
+>!> 94: I__s_[S1:0][package]cups-1.1.23-31.i586
+>!> 95: I__s_[S1:0][package]cups-SUSE-ppds-dat-1.1.20-111.i586
+>!> 96: I__s_[S1:0][package]cups-client-1.1.23-31.i586
+>!> 97: I__s_[S1:0][package]cups-drivers-1.1.23-20.i586
+>!> 98: I__s_[S1:0][package]cups-drivers-stp-1.1.23-20.i586
+>!> 99: I__s_[S1:0][package]cups-libs-1.1.23-31.i586
+>!> 100: I__s_[S1:0][package]curl-7.15.1-11.i586
+>!> 101: I__s_[S1:0][package]cyrus-sasl-2.1.21-10.i586
+>!> 102: I__s_[S1:0][package]cyrus-sasl-crammd5-2.1.21-10.i586
+>!> 103: I__s_[S1:0][package]cyrus-sasl-digestmd5-2.1.21-10.i586
+>!> 104: I__s_[S1:0][package]cyrus-sasl-plain-2.1.21-10.i586
+>!> 105: I__s_[S1:0][package]cyrus-sasl-saslauthd-2.1.21-10.i586
+>!> 106: I__s_[S1:0][package]db-4.3.29-8.i686
+>!> 107: I__s_[S1:0][package]dbus-1-0.60-20.i586
+>!> 108: I__s_[S1:0][package]dbus-1-glib-0.60-20.i586
+>!> 109: I__s_[S1:0][package]dbus-1-mono-0.60-20.i586
+>!> 110: I__s_[S1:0][package]dbus-1-qt3-0.60-20.i586
+>!> 111: I__s_[S1:0][package]dbus-1-x11-0.60-20.i586
+>!> 112: I__s_[S1:0][package]dcraw-1.315-5.i586
+>!> 113: I__s_[S1:0][package]dejavu-2.2-7.noarch
+>!> 114: I__s_[S1:0][package]deltarpm-3.3-5.i586
+>!> 115: I__s_[S1:0][package]desktop-data-SuSE-10.1-21.noarch
+>!> 116: I__s_[S1:0][package]desktop-file-utils-0.10-15.i586
+>!> 117: I__s_[S1:0][package]desktop-translations-10.1-14.noarch
+>!> 118: I__s_[S1:0][package]device-mapper-1.02.02-8.i586
+>!> 119: I__s_[S1:0][package]devs-10.1-1.i586
+>!> 120: I__s_[S1:0][package]dhcdbd-1.12-7.i586
+>!> 121: I__s_[S1:0][package]dhcp-3.0.3-13.i586
+>!> 122: I__s_[S1:0][package]dhcp-client-3.0.3-13.i586
+>!> 123: I__s_[S1:0][package]dhcpcd-1.3.22pl4-216.i586
+>!> 124: I__s_[S1:0][package]dialog-0.9b-197.i586
+>!> 125: I__s_[S1:0][package]diffutils-2.8.7-10.i586
+>!> 126: I__s_[S1:0][package]digikam-0.8.1-13.i586
+>!> 127: I__s_[S1:0][package]digikamimageplugins-0.8.0-7.i586
+>!> 128: I__s_[S1:0][package]dirmngr-0.9.2-8.i586
+>!> 129: I__s_[S1:0][package]dmraid-0.99_1.0.0rc8-7.i586
+>!> 130: I__s_[S1:0][package]dos2unix-3.1-309.i586
+>!> 131: I__s_[S1:0][package]dosbootdisk-1.1-46.i586
+>!> 132: I__s_[S1:0][package]dosfstools-2.11-8.i586
+>!> 133: I__s_[S1:0][package]dragonegg-0.1-11.i586
+>!> 134: I__s_[S1:0][package]dvd+rw-tools-6.1-7.i586
+>!> 135: I__s_[S1:0][package]e2fsprogs-1.38-18.i586
+>!> 136: I__s_[S1:0][package]ed-0.2-874.i586
+>!> 137: I__s_[S1:0][package]efont-unicode-0.4.2-12.noarch
+>!> 138: I__s_[S1:0][package]eject-2.1.0-5.i586
+>!> 139: I__s_[S1:0][package]enigma-0.92-13.i586
+>!> 140: I__s_[S1:0][package]enscript-1.6.4-12.i586
+>!> 141: I__s_[S1:0][package]esound-0.2.36-12.i586
+>!> 142: I__s_[S1:0][package]ethtool-3-8.i586
+>!> 143: I__s_[S1:0][package]expat-2.0.0-6.i586
+>!> 144: I__s_[S1:0][package]fam-2.6.10-140.i586
+>!> 145: I__s_[S1:0][package]fam-server-2.6.10-140.i586
+>!> 146: I__s_[S1:0][package]fbset-2.1-790.i586
+>!> 147: I__s_[S1:0][package]file-4.16-7.i586
+>!> 148: I__s_[S1:0][package]fileshareset-2.0-53.i586
+>!> 149: I__s_[S1:0][package]filesystem-10.0.42-11.i586
+>!> 150: I__s_[S1:0][package]fillup-1.42-111.i586
+>!> 151: I__s_[S1:0][package]filters-2006.1.25-4.i586
+>!> 152: I__s_[S1:0][package]findutils-4.2.27-6.i586
+>!> 153: I__s_[S1:0][package]finger-1.3-7.i586
+>!> 154: I__s_[S1:0][package]flac-1.1.2-8.i586
+>!> 155: I__s_[S1:0][package]fontconfig-2.3.94-2.i586
+>!> 156: I__s_[S1:0][package]fonts-config-20060210-5.noarch
+>!> 157: I__s_[S1:0][package]foomatic-filters-3.0.2-12.i586
+>!> 158: I__s_[S1:0][package]freeciv-2.0.7-8.i586
+>!> 159: I__s_[S1:0][package]freeglut-051110-8.i586
+>!> 160: I__s_[S1:0][package]freetype-1.3.1-1166.i586
+>!> 161: I__s_[S1:0][package]freetype2-2.1.10-9.i586
+>!> 162: I__s_[S1:0][package]fribidi-0.10.4-493.i586
+>!> 163: I__s_[S1:0][package]frozen-bubble-1.0.0-343.i586
+>!> 164: I__s_[S1:0][package]fvwm2-2.5.12-11.i586
+>!> 165: I__s_[S1:0][package]gail-1.8.8-8.i586
+>!> 166: I__s_[S1:0][package]gawk-3.1.5-11.i586
+>!> 167: I__s_[S1:0][package]gconf2-2.12.1-20.i586
+>!> 168: I__s_[S1:0][package]gdb-6.4-8.i586
+>!> 169: I__s_[S1:0][package]gdbm-1.8.3-236.i586
+>!> 170: I__s_[S1:0][package]gettext-0.14.5-6.i586
+>!> 171: I__s_[S1:0][package]ghostscript-fonts-other-8.15.2rc1-13.i586
+>!> 172: I__s_[S1:0][package]ghostscript-fonts-std-8.15.2rc1-13.i586
+>!> 173: I__s_[S1:0][package]ghostscript-library-8.15.2rc1-13.i586
+>!> 174: I__s_[S1:0][package]ghostscript-x11-8.15.2rc1-13.i586
+>!> 175: I__s_[S1:0][package]giflib-4.1.4-7.i586
+>!> 176: I__s_[S1:0][package]gimp-2.2.10-14.i586
+>!> 177: I__s_[S1:0][package]gimp-cmyk-0.3-14.i586
+>!> 178: I__s_[S1:0][package]gle-3.0.6-654.i586
+>!> 179: I__s_[S1:0][package]glib-1.2.10-602.i586
+>!> 180: I__s_[S1:0][package]glib-sharp2-2.8.2-4.i586
+>!> 181: I__s_[S1:0][package]glib2-2.8.5-12.i586
+>!> 182: I__s_[S1:0][package]glibc-2.4-6.i686
+>!> 183: I__s_[S1:0][package]glibc-i18ndata-2.4-6.i586
+>!> 184: I__s_[S1:0][package]glibc-locale-2.4-6.i586
+>!> 185: I__s_[S1:0][package]glitz-0.4.4-14.i586
+>!> 186: I__s_[S1:0][package]gmime-2.1.19-6.i586
+>!> 187: I__s_[S1:0][package]gmp-4.1.4-13.i586
+>!> 188: I__s_[S1:0][package]gnome-desktop-2.12.2-13.i586
+>!> 189: I__s_[S1:0][package]gnome-filesystem-0.1-249.i586
+>!> 190: I__s_[S1:0][package]gnome-icon-theme-2.12.1-14.noarch
+>!> 191: I__s_[S1:0][package]gnome-keyring-0.4.6-8.i586
+>!> 192: I__s_[S1:0][package]gnome-mime-data-2.4.2-13.i586
+>!> 193: I__s_[S1:0][package]gnome-vfs2-2.12.2-37.i586
+>!> 194: I__s_[S1:0][package]gnutls-1.2.10-6.i586
+>!> 195: I__s_[S1:0][package]goom2k4-rc2-41.i586
+>!> 196: I__s_[S1:0][package]gpart-0.1h-485.i586
+>!> 197: I__s_[S1:0][package]gpg-1.4.2-16.i586
+>!> 198: I__s_[S1:0][package]gpg2-1.9.18-10.i586
+>!> 199: I__s_[S1:0][package]gpgme-1.0.3-9.i586
+>!> 200: I__s_[S1:0][package]gpm-1.20.1-315.i586
+>!> 201: I__s_[S1:0][package]grep-2.5.1a-12.i586
+>!> 202: I__s_[S1:0][package]groff-1.18.1.1-22.i586
+>!> 203: I__s_[S1:0][package]grub-0.97-6.i586
+>!> 204: I__s_[S1:0][package]gsf-sharp-0.7-13.i586
+>!> 205: I__s_[S1:0][package]gtk-1.2.10-900.i586
+>!> 206: I__s_[S1:0][package]gtk-qt-engine-0.7cvs20060209-9.i586
+>!> 207: I__s_[S1:0][package]gtk-sharp2-2.8.2-4.i586
+>!> 208: I__s_[S1:0][package]gtk2-2.8.10-20.i586
+>!> 209: I__s_[S1:0][package]gtksourceview-1.5.6-10.i586
+>!> 210: I__s_[S1:0][package]gwenview-1.3.1-8.i586
+>!> 211: I__s_[S1:0][package]gzip-1.3.5-152.i586
+>!> 212: I__s_[S1:0][package]hal-0.5.6-16.i586
+>!> 213: I__s_[S1:0][package]hal-resmgr-0.1_SVNr77-5.i586
+>!> 214: I__s_[S1:0][package]hdparm-6.3-6.i586
+>!> 215: I__s_[S1:0][package]hplip-0.9.7-9.i586
+>!> 216: I__s_[S1:0][package]hplip-hpijs-0.9.7-9.i586
+>!> 217: I__s_[S1:0][package]htdig-3.2.0b6-14.i586
+>!> 218: I__s_[S1:0][package]hwinfo-12.13-2.i586
+>!> 219: I__s_[S1:0][package]i4l-base-2006.2.28-4.i586
+>!> 220: I__s_[S1:0][package]i4l-isdnlog-2006.2.28-4.i586
+>!> 221: I__s_[S1:0][package]i4lfirm-2006.2.28-4.i586
+>!> 222: I__s_[S1:0][package]id3lib-3.8.3-97.i586
+>!> 223: I__s_[S1:0][package]ifnteuro-1.2.1-202.noarch
+>!> 224: I__s_[S1:0][package]ifplugd-0.28-10.i586
+>!> 225: I__s_[S1:0][package]imlib-1.9.14-206.i586
+>!> 226: I__s_[S1:0][package]imlib2-1.2.1-10.i586
+>!> 227: I__s_[S1:0][package]imlib2-loaders-1.2.1-10.i586
+>!> 228: I__s_[S1:0][package]info-4.8-15.i586
+>!> 229: I__s_[S1:0][package]info2html-1.4-9.noarch
+>!> 230: I__s_[S1:0][package]initviocons-0.4-309.i586
+>!> 231: I__s_[S1:0][package]insserv-1.04.0-13.i586
+>!> 232: I__s_[S1:0][package]intlfnts-1.2.1-202.noarch
+>!> 233: I__s_[S1:0][package]iproute2-2.6.15-6.i586
+>!> 234: I__s_[S1:0][package]iptables-1.3.5-6.i586
+>!> 235: I__s_[S1:0][package]iputils-ss021109-160.i586
+>!> 236: I__s_[S1:0][package]isapnp-1.26-498.i586
+>!> 237: I__s_[S1:0][package]ispell-3.2.06-471.i586
+>!> 238: I__s_[S1:0][package]ispell-american-3.2.06-471.i586
+>!> 239: I__s_[S1:0][package]ispell-british-3.2.06-471.i586
+>!> 240: I__s_[S1:0][package]jack-0.100.0-10.i586
+>!> 241: I__s_[S1:0][package]java-1_4_2-gcj-compat-1.4.2.0-20.i586
+>!> 242: I__s_[S1:0][package]jfsutils-1.1.10-6.i586
+>!> 243: I__s_[S1:0][package]joe-3.3-8.i586
+>!> 244: I__s_[S1:0][package]jpackage-utils-1.6.3-11.i586
+>!> 245: I__s_[S1:0][package]jpeg-6b-745.i586
+>!> 246: I__s_[S1:0][package]k3b-0.12.14-3.i586
+>!> 247: I__s_[S1:0][package]kaffeine-0.7.1-15.i586
+>!> 248: I__s_[S1:0][package]kbd-1.12-53.i586
+>!> 249: I__s_[S1:0][package]kde3-i18n-de-3.5.1-9.noarch
+>!> 250: I__s_[S1:0][package]kdeaddons3-kate-3.5.1-9.i586
+>!> 251: I__s_[S1:0][package]kdeaddons3-kicker-3.5.1-9.i586
+>!> 252: I__s_[S1:0][package]kdeaddons3-konqueror-3.5.1-9.i586
+>!> 253: I__s_[S1:0][package]kdeartwork3-kscreensaver-3.5.1-10.i586
+>!> 254: I__s_[S1:0][package]kdeartwork3-sound-3.5.1-10.i586
+>!> 255: I__s_[S1:0][package]kdeartwork3-xscreensaver-3.5.1-10.i586
+>!> 256: I__s_[S1:0][package]kdebase3-3.5.1-41.i586
+>!> 257: I__s_[S1:0][package]kdebase3-SuSE-10.1-37.i586
+>!> 258: I__s_[S1:0][package]kdebase3-kdm-3.5.1-41.i586
+>!> 259: I__s_[S1:0][package]kdebase3-ksysguardd-3.5.1-41.i586
+>!> 260: I__s_[S1:0][package]kdebase3-nsplugin-3.5.1-41.i586
+>!> 261: I__s_[S1:0][package]kdebase3-samba-3.5.1-41.i586
+>!> 262: I__s_[S1:0][package]kdebase3-session-3.5.1-41.i586
+>!> 263: I__s_[S1:0][package]kdebindings3-python-3.5.1-9.i586
+>!> 264: I__s_[S1:0][package]kdebluetooth-0.0.svn20051202-15.i586
+>!> 265: I__s_[S1:0][package]kdegames3-3.5.1-7.i586
+>!> 266: I__s_[S1:0][package]kdegraphics3-3.5.1-11.i586
+>!> 267: I__s_[S1:0][package]kdegraphics3-fax-3.5.1-11.i586
+>!> 268: I__s_[S1:0][package]kdegraphics3-kamera-3.5.1-11.i586
+>!> 269: I__s_[S1:0][package]kdegraphics3-pdf-3.5.1-11.i586
+>!> 270: I__s_[S1:0][package]kdegraphics3-postscript-3.5.1-11.i586
+>!> 271: I__s_[S1:0][package]kdegraphics3-scan-3.5.1-11.i586
+>!> 272: I__s_[S1:0][package]kdelibs3-3.5.1-26.i586
+>!> 273: I__s_[S1:0][package]kdelibs3-doc-3.5.1-26.i586
+>!> 274: I__s_[S1:0][package]kdemultimedia3-3.5.1-9.i586
+>!> 275: I__s_[S1:0][package]kdemultimedia3-CD-3.5.1-9.i586
+>!> 276: I__s_[S1:0][package]kdemultimedia3-mixer-3.5.1-9.i586
+>!> 277: I__s_[S1:0][package]kdenetwork3-3.5.1-16.i586
+>!> 278: I__s_[S1:0][package]kdenetwork3-InstantMessenger-3.5.1-16.i586
+>!> 279: I__s_[S1:0][package]kdenetwork3-news-3.5.1-16.i586
+>!> 280: I__s_[S1:0][package]kdenetwork3-vnc-3.5.1-16.i586
+>!> 281: I__s_[S1:0][package]kdepim3-3.5.1-22.i586
+>!> 282: I__s_[S1:0][package]kdepim3-kpilot-3.5.1-22.i586
+>!> 283: I__s_[S1:0][package]kdepim3-networkstatus-3.5.1-22.i586
+>!> 284: I__s_[S1:0][package]kdepim3-sync-3.5.1-22.i586
+>!> 285: I__s_[S1:0][package]kdetv-0.8.8-7.i586
+>!> 286: I__s_[S1:0][package]kdeutils3-3.5.1-12.i586
+>!> 287: I__s_[S1:0][package]kdeutils3-laptop-3.5.1-12.i586
+>!> 288: I__s_[S1:1][package]kernel-default-2.6.16_rc5_git14-2.i586
+>!> 289: U_Th_[S2:1][package]kernel-default-2.6.16_rc5_git14-3c.i586
+>!> 290: U__s_[S2:1][package]kernel-smp-2.6.16_rc5_git14-3c.i586
+>!> 291: I__s_[S1:0][package]kerry-0.09-2.i586
+>!> 292: I__s_[S1:0][package]kio_beagle-0.2-8.i586
+>!> 293: I__s_[S1:0][package]kio_ipodslave-0.7.2-5.i586
+>!> 294: I__s_[S1:0][package]kio_slp-0.4.1-9.i586
+>!> 295: I__s_[S1:0][package]kipi-plugins-0.1.0rc1-12.i586
+>!> 296: I__s_[S1:0][package]klogd-1.4.1-552.i586
+>!> 297: I__s_[S1:0][package]knights-0.6-415.i586
+>!> 298: I__s_[S1:0][package]konversation-0.18-13.i586
+>!> 299: I__s_[S1:0][package]kpowersave-0.5.11-2.i586
+>!> 300: I__s_[S1:0][package]krb5-1.4.3-11.i586
+>!> 301: I__s_[S1:0][package]krecord-1.16-18.i586
+>!> 302: I__s_[S1:0][package]kscpm-0.5.3-9.i586
+>!> 303: I__s_[S1:0][package]ksymoops-2.4.11-10.i586
+>!> 304: I__s_[S1:0][package]ktorrent-1.2-11.i586
+>!> 305: U__s_[S0:0][language]ar-.noarch
+>!> 306: U__s_[S0:0][language]bg-.noarch
+>!> 307: U__s_[S0:0][language]cs-.noarch
+>!> 308: U__s_[S0:0][language]de-.noarch
+>!> 309: U__s_[S0:0][language]el-.noarch
+>!> 310: U__s_[S0:0][language]en-.noarch
+>!> 311: U__s_[S0:0][language]en_GB-.noarch
+>!> 312: U__s_[S0:0][language]he-.noarch
+>!> 313: U__s_[S0:0][language]ru-.noarch
+>!> 314: I__s_[S1:0][package]ldapcpplib-0.0.4-6.i586
+>!> 315: I__s_[S1:0][package]less-394-6.i586
+>!> 316: I__s_[S1:0][package]lftp-3.4.0-14.i586
+>!> 317: I__s_[S1:0][package]libacl-2.2.34-5.i586
+>!> 318: I__s_[S1:0][package]libakode-2.0.0-11.i586
+>!> 319: I__s_[S1:0][package]libao-0.8.6-12.i586
+>!> 320: I__s_[S1:0][package]libapparmor-2.0-9.i586
+>!> 321: I__s_[S1:0][package]libart_lgpl-2.3.17-10.i586
+>!> 322: I__s_[S1:0][package]libattr-2.4.28-7.i586
+>!> 323: I__s_[S1:0][package]libbeagle-0.2.2.1-4.i586
+>!> 324: I__s_[S1:0][package]libbonobo-2.10.1-17.i586
+>!> 325: I__s_[S1:0][package]libbonoboui-2.10.1-15.i586
+>!> 326: I__s_[S1:0][package]libcap-1.92-492.i586
+>!> 327: I__s_[S1:0][package]libcddb-1.2.1-11.i586
+>!> 328: I__s_[S1:0][package]libcdio-0.76-9.i586
+>!> 329: I__s_[S1:0][package]libcom_err-1.38-18.i586
+>!> 330: I__s_[S1:0][package]libcroco-0.6.0-16.i586
+>!> 331: I__s_[S1:0][package]libdrm-2.0-8.i586
+>!> 332: I__s_[S1:0][package]libevent-1.1-6.i586
+>!> 333: I__s_[S1:0][package]libexif-0.6.13-13.i586
+>!> 334: I__s_[S1:0][package]libgcc-4.1.0-5.i586
+>!> 335: I__s_[S1:0][package]libgcj-4.1.0-5.i586
+>!> 336: I__s_[S1:0][package]libgcrypt-1.2.2-6.i586
+>!> 337: I__s_[S1:0][package]libgimpprint-4.2.7-55.i586
+>!> 338: I__s_[S1:0][package]libglade2-2.5.1-17.i586
+>!> 339: I__s_[S1:0][package]libgnome-2.12.0.1-18.i586
+>!> 340: I__s_[S1:0][package]libgnomecanvas-2.12.0-12.i586
+>!> 341: I__s_[S1:0][package]libgnomecups-0.2.2-13.i586
+>!> 342: I__s_[S1:0][package]libgnomeprint-2.12.1-12.i586
+>!> 343: I__s_[S1:0][package]libgnomeprintui-2.12.1-12.i586
+>!> 344: I__s_[S1:0][package]libgnomesu-1.0.0-17.i586
+>!> 345: I__s_[S1:0][package]libgnomeui-2.12.0-16.i586
+>!> 346: I__s_[S1:0][package]libgpg-error-1.0-9.i586
+>!> 347: I__s_[S1:0][package]libgphoto2-2.1.99.0head-15.i586
+>!> 348: I__s_[S1:0][package]libgsf-1.13.99-5.i586
+>!> 349: I__s_[S1:0][package]libgsf-gnome-1.13.99-5.i586
+>!> 350: I__s_[S1:0][package]libgssapi-0.6-6.i586
+>!> 351: I__s_[S1:0][package]libgtkhtml-2.11.0-9.i586
+>!> 352: I__s_[S1:0][package]libicu-3.4-9.i586
+>!> 353: I__s_[S1:0][package]libid3tag-0.15.1b-27.i586
+>!> 354: I__s_[S1:0][package]libidl-0.8.6-11.i586
+>!> 355: I__s_[S1:0][package]libidn-0.6.0-7.i586
+>!> 356: I__s_[S1:0][package]libieee1284-0.2.10-6.i586
+>!> 357: I__s_[S1:0][package]libjasper-1.701.0-9.i586
+>!> 358: I__s_[S1:0][package]libjpeg-6.2.0-745.i586
+>!> 359: I__s_[S1:0][package]libkexif-0.2.2-8.i586
+>!> 360: I__s_[S1:0][package]libkipi-0.1.2-8.i586
+>!> 361: I__s_[S1:0][package]libksba-0.9.12-7.i586
+>!> 362: I__s_[S1:0][package]liblcms-1.15-5.i586
+>!> 363: I__s_[S1:0][package]libmal-0.31-163.i586
+>!> 364: I__s_[S1:0][package]libmikmod-3.1.11-7.i586
+>!> 365: I__s_[S1:0][package]libmng-1.0.9-9.i586
+>!> 366: I__s_[S1:0][package]libmusicbrainz-2.1.2-5.i586
+>!> 367: I__s_[S1:0][package]libnetpbm-1.0.0-649.i586
+>!> 368: I__s_[S1:0][package]libnl-1.0-11.i586
+>!> 369: I__s_[S1:0][package]libnscd-1.1-9.i586
+>!> 370: I__s_[S1:0][package]libogg-1.1.3-6.i586
+>!> 371: I__s_[S1:0][package]libopencdk-0.5.5-8.i586
+>!> 372: I__s_[S1:0][package]libpcap-0.9.4-5.i586
+>!> 373: I__s_[S1:0][package]libpng-1.2.8-12.i586
+>!> 374: I__s_[S1:0][package]librpcsecgss-0.7-6.i586
+>!> 375: I__s_[S1:0][package]librsvg-2.12.7-8.i586
+>!> 376: I__s_[S1:0][package]libsamplerate-0.1.2-8.i586
+>!> 377: I__s_[S1:0][package]libsmbclient-3.0.21c-8.i586
+>!> 378: I__s_[S1:0][package]libsndfile-1.0.12-6.i586
+>!> 379: I__s_[S1:0][package]libstdc++-4.1.0-5.i586
+>!> 380: I__s_[S1:0][package]libstroke-0.5.1-8.i586
+>!> 381: I__s_[S1:0][package]libtheora-1.0alpha5-9.i586
+>!> 382: I__s_[S1:0][package]libtiff-3.8.0-7.i586
+>!> 383: I__s_[S1:0][package]libtool-1.5.22-6.i586
+>!> 384: I__s_[S1:0][package]libtunepimp-0.4.1-6.i586
+>!> 385: I__s_[S1:0][package]libusb-0.1.12-2.i586
+>!> 386: I__s_[S1:0][package]libvisual-0.2.0-17.i586
+>!> 387: I__s_[S1:0][package]libvisual-plugins-0.2.0-20.i586
+>!> 388: I__s_[S1:0][package]libvorbis-1.1.2-6.i586
+>!> 389: I__s_[S1:0][package]libwmf-0.2.8.2-103.i586
+>!> 390: I__s_[S1:0][package]libxcrypt-2.4-5.i586
+>!> 391: I__s_[S1:0][package]libxml2-2.6.23-8.i586
+>!> 392: I__s_[S1:0][package]libxslt-1.1.15-8.i586
+>!> 393: I__s_[S1:0][package]liby2util-2.13.7-3.i586
+>!> 394: I__s_[S1:0][package]libzio-0.1-10.i586
+>!> 395: I__s_[S1:0][package]libzypp-0.0.8-49.i586
+>!> 396: I__s_[S1:0][package]libzypp-zmd-backend-7.1.1-10.i586
+>!> 397: I__s_[S1:0][package]lilo-22.7-11.i586
+>!> 398: I__s_[S1:0][package]limal-1.1.5-3.i586
+>!> 399: I__s_[S1:0][package]limal-bootloader-1.0.5-7.i586
+>!> 400: I__s_[S1:0][package]limal-perl-1.1.5-3.i586
+>!> 401: I__s_[S1:0][package]linux-atm-lib-2.5.0-7.i586
+>!> 402: I__s_[S1:0][package]log4net-1.2.9-10.i586
+>!> 403: I__s_[S1:0][package]logrotate-3.7.3-6.i586
+>!> 404: I__s_[S1:0][package]lsb-3.0-11.i586
+>!> 405: I__s_[S1:0][package]lsof-4.76-6.i586
+>!> 406: I__s_[S1:0][package]lua-5.0.2-10.i586
+>!> 407: I__s_[S1:0][package]lzo-2.02-5.i586
+>!> 408: I__s_[S1:0][package]m4-1.4.4-5.i586
+>!> 409: I__s_[S1:0][package]mDNSResponder-107.5-6.i586
+>!> 410: I__s_[S1:0][package]mailx-11.25-7.i586
+>!> 411: I__s_[S1:0][package]make-3.80-194.i586
+>!> 412: I__s_[S1:0][package]man-2.4.1-229.i586
+>!> 413: I__s_[S1:0][package]man-pages-2.25-2.noarch
+>!> 414: I__s_[S1:0][package]manufacturer-PPDs-0.5-7.i586
+>!> 415: I__s_[S1:0][package]master-boot-code-1.6-11.i586
+>!> 416: I__s_[S1:0][package]mc-4.6.1-21.i586
+>!> 417: I__s_[S1:0][package]mdadm-2.2-13.i586
+>!> 418: I__s_[S1:0][package]microcode_ctl-1.13-6.i586
+>!> 419: I__s_[S1:0][package]mingetty-0.9.6s-81.i586
+>!> 420: I__s_[S1:0][package]mkinitrd-1.2-77.i586
+>!> 421: I__s_[S1:0][package]mkisofs-2.01-17.i586
+>!> 422: I__s_[S1:0][package]mktemp-1.5-737.i586
+>!> 423: I__s_[S1:0][package]module-init-tools-3.2.2-16.i586
+>!> 424: I__s_[S1:0][package]mono-core-1.1.13.4-4.i586
+>!> 425: I__s_[S1:0][package]mono-data-1.1.13.4-4.i586
+>!> 426: I__s_[S1:0][package]mono-data-sqlite-1.1.13.4-4.i586
+>!> 427: I__s_[S1:0][package]mono-web-1.1.13.4-4.i586
+>!> 428: I__s_[S1:0][package]mozilla-nspr-4.6.1-15.i586
+>!> 429: I__s_[S1:0][package]mozilla-nss-3.11-14.i586
+>!> 430: I__s_[S1:0][package]mtools-3.9.10-9.i586
+>!> 431: I__s_[S1:0][package]myspell-american-20040623-20.noarch
+>!> 432: I__s_[S1:0][package]myspell-british-20050526-14.noarch
+>!> 433: I__s_[S1:0][package]myspell-german-20051213-11.noarch
+>!> 434: I__s_[S1:0][package]ncurses-5.5-10.i586
+>!> 435: I__s_[S1:0][package]neon-0.24.7-13.i586
+>!> 436: I__s_[S1:0][package]net-snmp-5.3.0.1-10.i586
+>!> 437: I__s_[S1:0][package]net-tools-1.60-574.i586
+>!> 438: I__s_[S1:0][package]netcat-1.10-876.i586
+>!> 439: I__s_[S1:0][package]netcfg-10.0.42-5.noarch
+>!> 440: I__s_[S1:0][package]netpbm-10.26.22-6.i586
+>!> 441: I__s_[S1:0][package]nfs-utils-1.0.7-24.i586
+>!> 442: I__s_[S1:0][package]nfsidmap-0.12-6.i586
+>!> 443: I__s_[S1:1][package]novfs-kmp-default-1.2.0_2.6.16_rc5_git14_2-8.i586
+>!> 444: I__s_[S1:0][package]nscd-2.4-6.i586
+>!> 445: I__s_[S1:0][package]ntfsprogs-1.11.2-6.i586
+>!> 446: I__s_[S1:0][package]ocrad-0.13-7.i586
+>!> 447: I__s_[S1:0][package]openct-0.6.6-8.i586
+>!> 448: I__s_[S1:0][package]openldap2-client-2.3.19-10.i586
+>!> 449: I__s_[S1:0][package]openmotif-libs-2.2.4-11.i586
+>!> 450: I__s_[S1:0][package]openobex-1.0.1-61.i586
+>!> 451: I__s_[S1:0][package]opensc-0.9.6-10.i586
+>!> 452: I__s_[S1:0][package]openslp-1.2.0-13.i586
+>!> 453: I__s_[S1:0][package]openssh-4.2p1-11.i586
+>!> 454: I__s_[S1:0][package]openssh-askpass-4.2p1-11.i586
+>!> 455: I__s_[S1:0][package]openssl-0.9.8a-11.i586
+>!> 456: I__s_[S1:0][package]orbit2-2.12.4-10.i586
+>!> 457: I__s_[S1:0][package]pam-0.99.3.0-14.i586
+>!> 458: I__s_[S1:0][package]pam-modules-10.1-1.i586
+>!> 459: I__s_[S1:0][package]pango-1.10.2-13.i586
+>!> 460: I__s_[S1:0][package]parted-1.6.25.1-7.i586
+>!> 461: I__s_[S1:0][package]patch-2.5.9-153.i586
+>!> 462: I__s_[S1:0][package]pax-3.4-7.i586
+>!> 463: I__s_[S1:0][package]pciutils-2.2.1-7.i586
+>!> 464: I__s_[S1:0][package]pcre-6.4-7.i586
+>!> 465: I__s_[S1:0][package]pcsc-lite-1.2.9_beta9-8.i586
+>!> 466: I__s_[S1:0][package]perl-5.8.8-7.i586
+>!> 467: I__s_[S1:0][package]perl-Bootloader-0.2.13-2.i586
+>!> 468: I__s_[S1:0][package]perl-Config-Crontab-1.11-5.i586
+>!> 469: I__s_[S1:0][package]perl-Crypt-SmbHash-0.12-6.i586
+>!> 470: I__s_[S1:0][package]perl-DBD-SQLite-1.11-7.i586
+>!> 471: I__s_[S1:0][package]perl-DBI-1.50-5.i586
+>!> 472: I__s_[S1:0][package]perl-Digest-MD4-1.5-6.i586
+>!> 473: I__s_[S1:0][package]perl-Digest-SHA1-2.10-8.i586
+>!> 474: I__s_[S1:0][package]perl-File-Tail-0.99.3-5.i586
+>!> 475: I__s_[S1:0][package]perl-HTML-Parser-3.48-5.i586
+>!> 476: I__s_[S1:0][package]perl-HTML-Tagset-3.10-5.i586
+>!> 477: I__s_[S1:0][package]perl-IO-Socket-SSL-0.97-7.i586
+>!> 478: I__s_[S1:0][package]perl-Net-Daemon-0.38-54.i586
+>!> 479: I__s_[S1:0][package]perl-Net_SSLeay-1.30-6.i586
+>!> 480: I__s_[S1:0][package]perl-PDA-Pilot-0.12.0_pre4-13.i586
+>!> 481: I__s_[S1:0][package]perl-Parse-RecDescent-1.80-252.i586
+>!> 482: I__s_[S1:0][package]perl-PlRPC-0.2018-6.i586
+>!> 483: I__s_[S1:0][package]perl-TermReadKey-2.30-6.i586
+>!> 484: I__s_[S1:0][package]perl-TermReadLine-Gnu-1.15-6.i586
+>!> 485: I__s_[S1:0][package]perl-TimeDate-1.16-129.i586
+>!> 486: I__s_[S1:0][package]perl-URI-1.35-8.i586
+>!> 487: I__s_[S1:0][package]perl-X500-DN-0.28-126.i586
+>!> 488: I__s_[S1:0][package]perl-XML-Parser-2.34-36.i586
+>!> 489: I__s_[S1:0][package]perl-XML-Writer-0.600-6.i586
+>!> 490: I__s_[S1:0][package]perl-gettext-1.05-6.i586
+>!> 491: I__s_[S1:0][package]perl-libwww-perl-5.805-5.i586
+>!> 492: I__s_[S1:0][package]permissions-2006.2.24-3.i586
+>!> 493: I__s_[S1:0][package]pico-4.64-12.i586
+>!> 494: I__s_[S1:0][package]pilot-link-0.12.0_pre4-13.i586
+>!> 495: I__s_[S1:0][package]pin-0.35-5.noarch
+>!> 496: I__s_[S1:0][package]pinentry-0.7.2-8.i586
+>!> 497: I__s_[S1:0][package]pmtools-20050823-16.i586
+>!> 498: I__s_[S1:0][package]poppler-0.4.4-10.i586
+>!> 499: I__s_[S1:0][package]poppler-qt-0.4.4-10.i586
+>!> 500: I__s_[S1:0][package]popt-1.7-253.i586
+>!> 501: I__s_[S1:0][package]portmap-5beta-742.i586
+>!> 502: I__s_[S1:0][package]postfix-2.2.6-10.i586
+>!> 503: I__s_[S1:0][package]powersave-0.12.4-2.i586
+>!> 504: I__s_[S1:0][package]powersave-libs-0.12.4-2.i586
+>!> 505: I__s_[S1:0][package]ppp-2.4.3-26.i586
+>!> 506: I__s_[S1:0][package]pptp-1.7.0-6.i586
+>!> 507: I__s_[S1:0][package]preload-0.2-18.i586
+>!> 508: I__s_[S1:0][package]procinfo-18-48.i586
+>!> 509: I__s_[S1:0][package]procmail-3.22-49.i586
+>!> 510: I__s_[S1:0][package]procps-3.2.6-9.i586
+>!> 511: I__s_[S1:0][package]providers-2006.1.25-4.noarch
+>!> 512: I__s_[S1:0][package]psmisc-22.1-7.i586
+>!> 513: I__s_[S1:0][package]psutils-p17-873.i586
+>!> 514: I__s_[S1:0][package]pwdutils-3.0.7.1-9.i586
+>!> 515: I__s_[S1:0][package]python-2.4.2-10.i586
+>!> 516: I__s_[S1:0][package]python-qt-3.5.1-9.i586
+>!> 517: I__s_[S1:0][package]python-xml-2.4.2-10.i586
+>!> 518: I__s_[S1:0][package]qca-1.0-18.i586
+>!> 519: I__s_[S1:0][package]qscintilla-1.65-7.i586
+>!> 520: I__s_[S1:0][package]qt3-3.3.5-41.i586
+>!> 521: I__s_[S1:0][package]readline-5.1-14.i586
+>!> 522: I__s_[S1:0][package]recode-3.6-497.i586
+>!> 523: I__s_[S1:0][package]reiserfs-3.6.19-10.i586
+>!> 524: I__s_[S1:0][package]release-notes-10.1.9-2.noarch
+>!> 525: I__s_[S1:0][package]resmgr-0.9.8_SVNr75-8.i586
+>!> 526: I__s_[S1:0][package]rpm-4.4.2-25.i586
+>!> 527: I__s_[S1:0][package]rrdtool-1.2.12-6.i586
+>!> 528: I__s_[S1:0][package]rsh-0.17-566.i586
+>!> 529: I__s_[S1:0][package]rsync-2.6.6-9.i586
+>!> 530: I__s_[S1:0][package]rug-7.1.1-13.i586
+>!> 531: I__s_[S1:0][package]samba-client-3.0.21c-8.i586
+>!> 532: I__s_[S1:0][package]sane-1.0.17-8.i586
+>!> 533: I__s_[S1:0][package]sash-3.7-39.i586
+>!> 534: I__s_[S1:0][package]sax2-7.1-94.i586
+>!> 535: I__s_[S1:0][package]sax2-gui-1.7-94.i586
+>!> 536: I__s_[S1:0][package]sax2-ident-1.7-94.i586
+>!> 537: I__s_[S1:0][package]sax2-libsax-7.1-94.i586
+>!> 538: I__s_[S1:0][package]sax2-libsax-perl-7.1-94.i586
+>!> 539: I__s_[S1:0][package]sax2-tools-2.7-94.i586
+>!> 540: I__s_[S1:0][package]scpm-1.1.3-8.i586
+>!> 541: I__s_[S1:0][package]screen-4.0.2-55.i586
+>!> 542: I__s_[S1:0][package]scsi-1.7_2.36_1.19_0.17_0.97-4.i586
+>!> 543: I__s_[S1:0][package]sed-4.1.4-10.i586
+>!> 544: I__s_[S1:0][selection]SuSE-Documentation-10-46.noarch
+>!> 545: I__s_[S1:0][selection]default-10-46.noarch
+>!> 546: I__s_[S1:0][package]sensors-2.10.0-3.i586
+>!> 547: I__s_[S1:0][package]setserial-2.17-586.i586
+>!> 548: I__s_[S1:0][package]sgml-skel-0.6-274.noarch
+>!> 549: I__s_[S1:0][package]shared-mime-info-0.16cvs20060309-3.i586
+>!> 550: I__s_[S1:0][package]siga-10.101-5.noarch
+>!> 551: I__s_[S1:0][package]sisctrl-0.0.20051202-6.i586
+>!> 552: I__s_[S1:0][package]slang-2.0.5-7.i586
+>!> 553: I__s_[S1:0][package]smpppd-1.59-12.i586
+>!> 554: I__s_[S1:0][package]speex-1.0.5-7.i586
+>!> 555: I__s_[S1:0][package]sqlite-3.2.8-7.i586
+>!> 556: I__s_[S1:0][package]sqlite2-2.8.17-7.i586
+>!> 557: I__s_[S1:0][package]src_vipa-2.0.3-5.i586
+>!> 558: I__s_[S1:0][package]startup-notification-0.8-13.i586
+>!> 559: I__s_[S1:0][package]strace-4.5.14-2.i586
+>!> 560: I__s_[S1:0][package]sudo-1.6.8p12-11.i586
+>!> 561: I__s_[S1:0][package]sumf-0.2.1-9.i586
+>!> 562: I__s_[S1:0][package]supertux-0.1.3-12.i586
+>!> 563: I__s_[S1:0][package]suse-build-key-1.0-675.noarch
+>!> 564: I__s_[S1:0][package]suse-release-10.1-2.i586
+>!> 565: I__s_[S1:0][package]suseRegister-1.0-22.noarch
+>!> 566: I__s_[S1:0][package]susehelp-2006.03.03-5.noarch
+>!> 567: I__s_[S1:0][package]susehelp_de-2006.03.03-5.noarch
+>!> 568: I__s_[S1:0][package]susehelp_en-2006.03.03-5.noarch
+>!> 569: I__s_[S1:0][package]suselinux-manual_en-10.1-10.noarch
+>!> 570: I__s_[S1:0][package]suspend-20060306-2.i586
+>!> 571: I__s_[S1:0][package]sysconfig-0.50.6-5.i586
+>!> 572: I__s_[S1:0][package]sysfsutils-1.3.0-9.i586
+>!> 573: I__s_[S1:0][package]syslinux-3.11-11.i586
+>!> 574: I__s_[S1:0][package]syslog-ng-1.6.8-12.i586
+>!> 575: I__s_[S1:0][package]sysvinit-2.86-13.i586
+>!> 576: I__s_[S1:0][package]taglib-1.4-13.i586
+>!> 577: I__s_[S1:0][package]tar-1.15.1-16.i586
+>!> 578: I__s_[S1:0][package]tcpd-7.6-723.i586
+>!> 579: I__s_[S1:0][package]tcsh-6.14.00-9.i586
+>!> 580: I__s_[S1:0][package]telnet-1.2-7.i586
+>!> 581: I__s_[S1:0][package]terminfo-5.5-10.i586
+>!> 582: I__s_[S1:0][package]testgart-0.1-196.i586
+>!> 583: I__s_[S1:0][package]tiff-3.8.0-7.i586
+>!> 584: I__s_[S1:0][package]tightvnc-1.2.9-191.i586
+>!> 585: I__s_[S1:0][package]timezone-2.4-6.i586
+>!> 586: I__s_[S1:0][package]tiny-nvidia-installer-1.0.7-6.i586
+>!> 587: I__s_[S1:0][package]tree-1.5.0-6.i586
+>!> 588: I__s_[S1:0][package]udev-085-7.i586
+>!> 589: I__s_[S1:0][package]unclutter-8-843.i586
+>!> 590: I__s_[S1:0][package]unixODBC-2.2.11-13.i586
+>!> 591: I__s_[S1:0][package]unrar-3.5.4-8.i586
+>!> 592: I__s_[S1:0][package]unzip-5.52-9.i586
+>!> 593: I__s_[S1:0][package]update-alternatives-1.8.3-9.noarch
+>!> 594: I__s_[S1:0][package]usbutils-0.71-14.i586
+>!> 595: I__s_[S1:0][package]utempter-0.5.5-9.i586
+>!> 596: I__s_[S1:0][package]util-linux-2.12r-19.i586
+>!> 597: I__s_[S1:0][package]v4l-conf-3.94-14.i586
+>!> 598: I__s_[S1:0][package]vacation-1.2.6.1-143.i586
+>!> 599: I__s_[S1:0][package]vcdimager-0.7.23-12.i586
+>!> 600: I__s_[S1:0][package]vim-6.4.6-11.i586
+>!> 601: I__s_[S1:0][package]vorbis-tools-1.1.1-6.i586
+>!> 602: I__s_[S1:0][package]w3m-0.5.1-11.i586
+>!> 603: I__s_[S1:0][package]wdiff-0.5.2-667.i586
+>!> 604: I__s_[S1:0][package]wget-1.10.2-8.i586
+>!> 605: I__s_[S1:0][package]wireless-tools-28pre13-15.i586
+>!> 606: I__s_[S1:0][package]words-6-11.noarch
+>!> 607: I__s_[S1:0][package]wpa_supplicant-0.4.8-5.i586
+>!> 608: I__s_[S1:0][package]wv-1.0.3-13.i586
+>!> 609: I__s_[S1:0][package]wvdial-1.54-75.i586
+>!> 610: I__s_[S1:0][package]wvstreams-4.2.1-6.i586
+>!> 611: I__s_[S1:0][package]x11-input-gunze-031126-22.i586
+>!> 612: I__s_[S1:0][package]x11-input-synaptics-0.14.4-8.i586
+>!> 613: I__s_[S1:0][package]x11-input-wacom-0.7.2-9.i586
+>!> 614: I__s_[S1:0][package]x11-tools-0.1-29.i586
+>!> 615: I__s_[S1:0][package]xdelta-1.1.3-13.i586
+>!> 616: I__s_[S1:0][package]xdg-menu-0.2-58.i586
+>!> 617: I__s_[S1:0][package]xdmbgrd-0.5-37.i586
+>!> 618: I__s_[S1:0][package]xfsprogs-2.7.11-10.i586
+>!> 619: I__s_[S1:0][package]xine-lib-1.1.1-11.i586
+>!> 620: I__s_[S1:0][package]xinetd-2.3.14-7.i586
+>!> 621: I__s_[S1:0][package]xkeyboard-config-0.7-10.noarch
+>!> 622: I__s_[S1:0][package]xli-20050904-9.i586
+>!> 623: I__s_[S1:0][package]xlockmore-5.21-6.i586
+>!> 624: I__s_[S1:0][package]xmoto-0.1.11-7.i586
+>!> 625: I__s_[S1:0][package]xmset-1.2-9.i586
+>!> 626: I__s_[S1:0][package]xntp-4.2.0a-62.i586
+>!> 627: I__s_[S1:0][package]xorg-x11-6.9.0-25.i586
+>!> 628: I__s_[S1:0][package]xorg-x11-Xvnc-6.9.0-25.i586
+>!> 629: I__s_[S1:0][package]xorg-x11-driver-video-6.9.0-27.i586
+>!> 630: I__s_[S1:0][package]xorg-x11-driver-video-nvidia-6.9.0-27.i586
+>!> 631: I__s_[S1:0][package]xorg-x11-fonts-100dpi-6.9.0-25.i586
+>!> 632: I__s_[S1:0][package]xorg-x11-fonts-75dpi-6.9.0-25.i586
+>!> 633: I__s_[S1:0][package]xorg-x11-fonts-scalable-6.9.0-25.i586
+>!> 634: I__s_[S1:0][package]xorg-x11-libs-6.9.0-25.i586
+>!> 635: I__s_[S1:0][package]xorg-x11-server-6.9.0-25.i586
+>!> 636: I__s_[S1:0][package]xorg-x11-server-glx-6.9.0-25.i586
+>!> 637: I__s_[S1:0][package]xpdf-tools-3.01-14.i586
+>!> 638: I__s_[S1:0][package]xscreensaver-4.23-10.i586
+>!> 639: I__s_[S1:0][package]xterm-208-7.i586
+>!> 640: I__s_[S1:0][package]xtermset-0.5.2-127.i586
+>!> 641: I__s_[S1:0][package]yast2-2.13.36-2.i586
+>!> 642: I__s_[S1:0][package]yast2-apparmor-2.0-15.noarch
+>!> 643: I__s_[S1:0][package]yast2-backup-2.13.1-3.noarch
+>!> 644: I__s_[S1:0][package]yast2-bluetooth-2.13.2-3.noarch
+>!> 645: I__s_[S1:0][package]yast2-bootfloppy-2.13.23-2.i586
+>!> 646: I__s_[S1:0][package]yast2-bootloader-2.13.23-2.i586
+>!> 647: I__s_[S1:0][package]yast2-control-center-2.13.2-6.i586
+>!> 648: I__s_[S1:0][package]yast2-core-2.13.17-6.i586
+>!> 649: I__s_[S1:0][package]yast2-country-2.13.16-3.i586
+>!> 650: I__s_[S1:0][package]yast2-dhcp-server-2.13.1-3.noarch
+>!> 651: I__s_[S1:0][package]yast2-dns-server-2.13.7-3.noarch
+>!> 652: I__s_[S1:0][package]yast2-firewall-2.13.6-3.noarch
+>!> 653: I__s_[S1:0][package]yast2-hardware-detection-2.13.3-6.i586
+>!> 654: I__s_[S1:0][package]yast2-http-server-2.13.10-2.noarch
+>!> 655: I__s_[S1:0][package]yast2-inetd-2.13.2-3.noarch
+>!> 656: I__s_[S1:0][package]yast2-installation-2.13.35-2.noarch
+>!> 657: I__s_[S1:0][package]yast2-irda-2.13.1-5.noarch
+>!> 658: I__s_[S1:0][package]yast2-kerberos-client-2.13.3-3.noarch
+>!> 659: I__s_[S1:0][package]yast2-ldap-2.13.3-3.i586
+>!> 660: I__s_[S1:0][package]yast2-ldap-client-2.13.10-3.noarch
+>!> 661: I__s_[S1:0][package]yast2-mail-2.13.3-3.noarch
+>!> 662: I__s_[S1:0][package]yast2-mail-aliases-2.13.3-3.noarch
+>!> 663: I__s_[S1:0][package]yast2-mouse-2.13.7-7.i586
+>!> 664: I__s_[S1:0][package]yast2-ncurses-2.13.13-2.i586
+>!> 665: I__s_[S1:0][package]yast2-network-2.13.35-2.i586
+>!> 666: I__s_[S1:0][package]yast2-nfs-client-2.13.3-3.noarch
+>!> 667: I__s_[S1:0][package]yast2-nfs-server-2.13.3-3.noarch
+>!> 668: I__s_[S1:0][package]yast2-nis-client-2.13.2-3.i586
+>!> 669: I__s_[S1:0][package]yast2-nis-server-2.13.1-6.noarch
+>!> 670: I__s_[S1:0][package]yast2-ntp-client-2.13.4-2.noarch
+>!> 671: I__s_[S1:0][package]yast2-online-update-2.13.8-2.i586
+>!> 672: I__s_[S1:0][package]yast2-packager-2.13.46-2.i586
+>!> 673: I__s_[S1:0][package]yast2-pam-2.13.2-6.noarch
+>!> 674: I__s_[S1:0][package]yast2-perl-bindings-2.13.4-6.i586
+>!> 675: I__s_[S1:0][package]yast2-phone-services-2.13.1-3.noarch
+>!> 676: I__s_[S1:0][package]yast2-pkg-bindings-2.13.28-2.i586
+>!> 677: I__s_[S1:0][package]yast2-power-management-2.13.5-5.i586
+>!> 678: I__s_[S1:0][package]yast2-powertweak-2.13.5-5.noarch
+>!> 679: I__s_[S1:0][package]yast2-printer-2.13.4-4.i586
+>!> 680: I__s_[S1:0][package]yast2-profile-manager-2.13.4-5.i586
+>!> 681: I__s_[S1:0][package]yast2-qt-2.13.33-2.i586
+>!> 682: I__s_[S1:0][package]yast2-repair-2.13.3-5.noarch
+>!> 683: I__s_[S1:0][package]yast2-restore-2.13.1-3.noarch
+>!> 684: I__s_[S1:0][package]yast2-runlevel-2.13.5-5.noarch
+>!> 685: I__s_[S1:0][package]yast2-samba-client-2.13.10-2.noarch
+>!> 686: I__s_[S1:0][package]yast2-samba-server-2.13.7-2.noarch
+>!> 687: I__s_[S1:0][package]yast2-scanner-2.13.15-3.noarch
+>!> 688: I__s_[S1:0][package]yast2-schema-2.13.2-4.noarch
+>!> 689: I__s_[S1:0][package]yast2-security-2.13.2-5.noarch
+>!> 690: I__s_[S1:0][package]yast2-slp-2.13.1-5.i586
+>!> 691: I__s_[S1:0][package]yast2-sound-2.13.9-3.i586
+>!> 692: I__s_[S1:0][package]yast2-storage-2.13.35-2.i586
+>!> 693: I__s_[S1:0][package]yast2-storage-lib-2.13.35-2.i586
+>!> 694: I__s_[S1:0][package]yast2-support-2.13.2-3.noarch
+>!> 695: I__s_[S1:0][package]yast2-sysconfig-2.13.5-5.noarch
+>!> 696: I__s_[S1:0][package]yast2-tftp-server-2.13.3-3.noarch
+>!> 697: I__s_[S1:0][package]yast2-theme-SuSELinux-2.13.3-7.noarch
+>!> 698: I__s_[S1:0][package]yast2-trans-de-2.13.11-3.noarch
+>!> 699: I__s_[S1:0][package]yast2-trans-stats-2.11.0-12.noarch
+>!> 700: I__s_[S1:0][package]yast2-transfer-2.13.3-3.i586
+>!> 701: I__s_[S1:0][package]yast2-tune-2.13.4-5.i586
+>!> 702: I__s_[S1:0][package]yast2-tv-2.13.7-3.noarch
+>!> 703: I__s_[S1:0][package]yast2-update-2.13.5-2.i586
+>!> 704: I__s_[S1:0][package]yast2-users-2.13.15-2.i586
+>!> 705: I__s_[S1:0][package]yast2-vm-2.13.27-3.i586
+>!> 706: I__s_[S1:0][package]yast2-x11-2.13.6-27.noarch
+>!> 707: I__s_[S1:0][package]yast2-xml-2.13.1-6.i586
+>!> 708: I__s_[S1:0][package]yp-tools-2.9-9.i586
+>!> 709: I__s_[S1:0][package]ypbind-1.19.1-7.i586
+>!> 710: I__s_[S1:0][package]zen-updater-7.1.0-16.i586
+>!> 711: I__s_[S1:0][package]zip-2.31-8.i586
+>!> 712: I__s_[S1:0][package]ziptool-1.4.0-117.i586
+>!> 713: I__s_[S1:0][package]zisofs-tools-1.0.6-8.i586
+>!> 714: I__s_[S1:0][package]zlib-1.2.3-8.i586
+>!> 715: I__s_[S1:0][package]zmd-7.1.1-24.i586
+>!> 716: I__s_[S1:0][package]zsh-4.2.6-8.i586
+>!> 717: I__s_[S1:0][package]zvbi-0.2.16-10.i586
+>!> 1 problems found:
+>!> Problem:
+>!> This would invalidate novfs-kmp-default-1.2.0_2.6.16_rc5_git14_2-8.i586.
+>!> novfs-kmp-default-1.2.0_2.6.16_rc5_git14_2-8.i586 has unfulfilled requirements
+>!>    Solution:
+>!>       delete novfs-kmp-default
+>!>       delete novfs-kmp-default-1.2.0_2.6.16_rc5_git14_2-8.i586

Added: trunk/sat-solver/testsuite/data.libzypp/kernel-tests/1_2_1-default-test.xml
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/kernel-tests/1_2_1-default-test.xml?rev=7490&view=auto
==============================================================================
--- trunk/sat-solver/testsuite/data.libzypp/kernel-tests/1_2_1-default-test.xml (added)
+++ trunk/sat-solver/testsuite/data.libzypp/kernel-tests/1_2_1-default-test.xml Fri Oct 12 14:33:29 2007
@@ -0,0 +1,28 @@
+<?xml version="1.0"?>
+<test>
+<setup>
+  <system file="1.2.1-default-system.xml.gz"/>
+  <channel name="packages" file="1.2.1-default-packages.xml.gz"/>
+  <hardwareInfo path="kernel-hardware"/>
+</setup>
+<!-- 
+    (1.2) Kernel ABI has changed
+
+      The KMPs and the kernel become incompatible. This results in
+      a mismatch in kernel(name) = version Provides of the kernel and
+      requires of the KMP. The resolver should indicate a conflict to
+      be resolved interactively.
+
+      (1.2.1) No updated some-kmp-$flavor packages are available
+
+       The resolver should propose to either install the new kernel and
+       remove the KMP, keep the KMP and the old kernel, or possibly
+       ignore the conflict and still install the new kernel.
+-->
+
+<trial>
+  <distupgrade delete_unmaintained="false"/>
+  <reportproblems/>
+</trial>
+
+</test>

Added: trunk/sat-solver/testsuite/data.libzypp/kernel-tests/1_2_2-default-test.solution
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/kernel-tests/1_2_2-default-test.solution?rev=7490&view=auto
==============================================================================
--- trunk/sat-solver/testsuite/data.libzypp/kernel-tests/1_2_2-default-test.solution (added)
+++ trunk/sat-solver/testsuite/data.libzypp/kernel-tests/1_2_2-default-test.solution Fri Oct 12 14:33:29 2007
@@ -0,0 +1,729 @@
+>!> setting HardwareInfo to: ./kernel-hardware
+>!> Doing distribution upgrade ...
+>!> 1: I__s_[S1:0][package]3ddiag-0.729-7.i586
+>!> 2: I__s_[S1:0][package]855resolution-0.4-11.i586
+>!> 3: I__s_[S1:0][package]CheckHardware-0.1-980.i586
+>!> 4: I__s_[S1:0][package]Crystalcursors-0.5-32.noarch
+>!> 5: I__s_[S1:0][package]Mesa-6.4.2-6.i586
+>!> 6: I__s_[S1:0][package]MozillaFirefox-1.5.0.1-15.i586
+>!> 7: I__s_[S1:0][package]MozillaFirefox-translations-1.5.0.1-15.i586
+>!> 8: I__s_[S1:0][package]NX-1.5.0-29.i586
+>!> 9: I__s_[S1:0][package]NetworkManager-0.6.1-4.i586
+>!> 10: I__s_[S1:0][package]NetworkManager-kde-0.1r5879-2.i586
+>!> 11: I__s_[S1:0][package]OpenEXR-1.2.2-9.i586
+>!> 12: I__s_[S1:0][package]OpenOffice_org-2.0.2-7.i586
+>!> 13: I__s_[S1:0][package]OpenOffice_org-Quickstarter-1.0-478.i586
+>!> 14: I__s_[S1:0][package]OpenOffice_org-de-2.0.2-7.i586
+>!> 15: I__s_[S1:0][package]OpenOffice_org-de-templates-8.2-164.i586
+>!> 16: I__s_[S1:0][package]OpenOffice_org-kde-2.0.2-7.i586
+>!> 17: I__s_[S1:0][package]SDL-1.2.9-12.i586
+>!> 18: I__s_[S1:0][package]SDL_image-1.2.4-9.i586
+>!> 19: I__s_[S1:0][package]SDL_mixer-1.2.6-10.i586
+>!> 20: I__s_[S1:0][package]SDL_net-1.2.5-229.i586
+>!> 21: I__s_[S1:0][package]SDL_perl-1.20.0-364.i586
+>!> 22: I__s_[S1:0][package]SDL_ttf-2.0.6-229.i586
+>!> 23: I__s_[S1:0][package]SuSEfirewall2-3.4_SVNr139-2.noarch
+>!> 24: I__s_[S1:0][package]WindowMaker-0.92.0-16.i586
+>!> 25: I__s_[S1:0][package]WindowMaker-applets-1.0-668.i586
+>!> 26: I__s_[S1:0][package]WindowMaker-themes-0.1-245.noarch
+>!> 27: I__s_[S1:0][package]a2ps-4.13-1067.i586
+>!> 28: I__s_[S1:0][package]aaa_base-10.1-5.i586
+>!> 29: I__s_[S1:0][package]aaa_skel-2006.2.24-3.i586
+>!> 30: I__s_[S1:0][package]aalib-1.4.0-296.i586
+>!> 31: I__s_[S1:0][package]acl-2.2.34-5.i586
+>!> 32: I__s_[S1:0][package]acpid-1.0.4-22.i586
+>!> 33: I__s_[S1:0][package]alsa-1.0.11-17.i586
+>!> 34: I__s_[S1:0][package]alsa-firmware-1.0.10-6.noarch
+>!> 35: I__s_[S1:0][package]alsa-tools-1.0.11-9.i586
+>!> 36: I__s_[S1:0][package]amarok-1.3.8-15.i586
+>!> 37: I__s_[S1:0][package]amarok-libvisual-1.3.8-15.i586
+>!> 38: I__s_[S1:0][package]amarok-xine-1.3.8-15.i586
+>!> 39: I__s_[S1:0][package]apparmor-docs-2.0-8.noarch
+>!> 40: I__s_[S1:0][package]apparmor-parser-2.0-12.i586
+>!> 41: I__s_[S1:0][package]apparmor-profiles-2.0-15.noarch
+>!> 42: I__s_[S1:0][package]apparmor-utils-2.0-12.noarch
+>!> 43: I__s_[S1:0][package]arts-1.5.1-8.i586
+>!> 44: I__s_[S1:0][package]ash-1.6.1-8.i586
+>!> 45: I__s_[S1:0][package]aspell-0.60.3-12.i586
+>!> 46: I__s_[S1:0][package]aspell-de-0.50.2-344.i586
+>!> 47: I__s_[S1:0][package]aspell-en-6.0-13.i586
+>!> 48: I__s_[S1:0][package]at-3.1.8-914.i586
+>!> 49: I__s_[S1:0][package]atk-1.10.3-8.i586
+>!> 50: I__s_[S1:0][package]attr-2.4.28-7.i586
+>!> 51: I__s_[S1:0][package]audiofile-0.2.6-10.i586
+>!> 52: I__s_[S1:0][package]audit-1.1.3-13.i586
+>!> 53: I__s_[S1:0][package]audit-libs-1.1.3-13.i586
+>!> 54: I__s_[S1:0][package]autofs-4.1.4-16.i586
+>!> 55: I__s_[S1:0][package]autoyast2-2.13.29-2.noarch
+>!> 56: I__s_[S1:0][package]autoyast2-installation-2.13.29-2.noarch
+>!> 57: I__s_[S1:0][package]awesfx-0.5.0d-9.i586
+>!> 58: I__s_[S1:0][package]bash-3.1-14.i586
+>!> 59: I__s_[S1:0][package]bc-1.06-757.i586
+>!> 60: I__s_[S1:0][package]beagle-0.2.2.1-4.i586
+>!> 61: I__s_[S1:0][package]bind-libs-9.3.2-10.i586
+>!> 62: I__s_[S1:0][package]bind-utils-9.3.2-10.i586
+>!> 63: I__s_[S1:0][package]binutils-2.16.91.0.5-8.i586
+>!> 64: I__s_[S1:0][package]blocxx-1.0.0-7.i586
+>!> 65: I__s_[S1:0][package]bluez-libs-2.24-5.i586
+>!> 66: I__s_[S1:0][package]bluez-utils-2.24-7.i586
+>!> 67: I__s_[S1:0][package]boost-1.33.1-8.i586
+>!> 68: I__s_[S1:0][package]bootloader-theme-SUSELinux-Prof-2006.3.9-2.noarch
+>!> 69: I__s_[S1:0][package]bootsplash-3.3-8.i586
+>!> 70: I__s_[S1:0][package]bootsplash-theme-SuSE-3.1-60.i586
+>!> 71: I__s_[S1:0][package]busybox-1.1.0-6.i586
+>!> 72: I__s_[S1:0][package]bzip2-1.0.3-10.i586
+>!> 73: I__s_[S1:0][package]cabextract-1.1-9.i586
+>!> 74: I__s_[S1:0][package]cairo-1.0.2-16.i586
+>!> 75: I__s_[S1:0][package]capi4linux-2006.2.28-4.i586
+>!> 76: I__s_[S1:0][package]cdparanoia-IIIalpha9.8-555.i586
+>!> 77: I__s_[S1:0][package]cdrdao-1.2.0-10.i586
+>!> 78: I__s_[S1:0][package]cdrecord-2.01-17.i586
+>!> 79: I__s_[S1:0][package]checkmedia-2.1-7.i586
+>!> 80: I__s_[S1:0][package]cifs-mount-3.0.21c-8.i586
+>!> 81: I__s_[S1:1][package]cloop-kmp-default-2.01_2.6.16_rc5_git14_2-15.i586
+>!> 82: U__s_[S2:1][package]cloop-kmp-smp-2.01_2.6.16_rc5_git14_3c-15.i586
+>!> 83: I__s_[S1:0][package]compat-2006.1.25-4.i586
+>!> 84: I__s_[S1:0][package]compat-curl2-7.11.0-13.i586
+>!> 85: I__s_[S1:0][package]compat-libstdc++-5.0.7-15.i586
+>!> 86: I__s_[S1:0][package]compat-openssl097g-0.9.7g-6.i586
+>!> 87: I__s_[S1:0][package]convmv-1.09-5.noarch
+>!> 88: I__s_[S1:0][package]coreutils-5.93-14.i586
+>!> 89: I__s_[S1:0][package]cpio-2.6-12.i586
+>!> 90: I__s_[S1:0][package]cpp-4.1.0-5.i586
+>!> 91: I__s_[S1:0][package]cpufrequtils-0.4-6.i586
+>!> 92: I__s_[S1:0][package]cracklib-2.8.6-6.i586
+>!> 93: I__s_[S1:0][package]crafty-20.1-5.i586
+>!> 94: I__s_[S1:0][package]cron-4.1-37.i586
+>!> 95: I__s_[S1:0][package]cups-1.1.23-31.i586
+>!> 96: I__s_[S1:0][package]cups-SUSE-ppds-dat-1.1.20-111.i586
+>!> 97: I__s_[S1:0][package]cups-client-1.1.23-31.i586
+>!> 98: I__s_[S1:0][package]cups-drivers-1.1.23-20.i586
+>!> 99: I__s_[S1:0][package]cups-drivers-stp-1.1.23-20.i586
+>!> 100: I__s_[S1:0][package]cups-libs-1.1.23-31.i586
+>!> 101: I__s_[S1:0][package]curl-7.15.1-11.i586
+>!> 102: I__s_[S1:0][package]cyrus-sasl-2.1.21-10.i586
+>!> 103: I__s_[S1:0][package]cyrus-sasl-crammd5-2.1.21-10.i586
+>!> 104: I__s_[S1:0][package]cyrus-sasl-digestmd5-2.1.21-10.i586
+>!> 105: I__s_[S1:0][package]cyrus-sasl-plain-2.1.21-10.i586
+>!> 106: I__s_[S1:0][package]cyrus-sasl-saslauthd-2.1.21-10.i586
+>!> 107: I__s_[S1:0][package]db-4.3.29-8.i686
+>!> 108: I__s_[S1:0][package]dbus-1-0.60-20.i586
+>!> 109: I__s_[S1:0][package]dbus-1-glib-0.60-20.i586
+>!> 110: I__s_[S1:0][package]dbus-1-mono-0.60-20.i586
+>!> 111: I__s_[S1:0][package]dbus-1-qt3-0.60-20.i586
+>!> 112: I__s_[S1:0][package]dbus-1-x11-0.60-20.i586
+>!> 113: I__s_[S1:0][package]dcraw-1.315-5.i586
+>!> 114: I__s_[S1:0][package]dejavu-2.2-7.noarch
+>!> 115: I__s_[S1:0][package]deltarpm-3.3-5.i586
+>!> 116: I__s_[S1:0][package]desktop-data-SuSE-10.1-21.noarch
+>!> 117: I__s_[S1:0][package]desktop-file-utils-0.10-15.i586
+>!> 118: I__s_[S1:0][package]desktop-translations-10.1-14.noarch
+>!> 119: I__s_[S1:0][package]device-mapper-1.02.02-8.i586
+>!> 120: I__s_[S1:0][package]devs-10.1-1.i586
+>!> 121: I__s_[S1:0][package]dhcdbd-1.12-7.i586
+>!> 122: I__s_[S1:0][package]dhcp-3.0.3-13.i586
+>!> 123: I__s_[S1:0][package]dhcp-client-3.0.3-13.i586
+>!> 124: I__s_[S1:0][package]dhcpcd-1.3.22pl4-216.i586
+>!> 125: I__s_[S1:0][package]dialog-0.9b-197.i586
+>!> 126: I__s_[S1:0][package]diffutils-2.8.7-10.i586
+>!> 127: I__s_[S1:0][package]digikam-0.8.1-13.i586
+>!> 128: I__s_[S1:0][package]digikamimageplugins-0.8.0-7.i586
+>!> 129: I__s_[S1:0][package]dirmngr-0.9.2-8.i586
+>!> 130: I__s_[S1:0][package]dmraid-0.99_1.0.0rc8-7.i586
+>!> 131: I__s_[S1:0][package]dos2unix-3.1-309.i586
+>!> 132: I__s_[S1:0][package]dosbootdisk-1.1-46.i586
+>!> 133: I__s_[S1:0][package]dosfstools-2.11-8.i586
+>!> 134: I__s_[S1:0][package]dragonegg-0.1-11.i586
+>!> 135: I__s_[S1:0][package]dvd+rw-tools-6.1-7.i586
+>!> 136: I__s_[S1:0][package]e2fsprogs-1.38-18.i586
+>!> 137: I__s_[S1:0][package]ed-0.2-874.i586
+>!> 138: I__s_[S1:0][package]efont-unicode-0.4.2-12.noarch
+>!> 139: I__s_[S1:0][package]eject-2.1.0-5.i586
+>!> 140: I__s_[S1:0][package]enigma-0.92-13.i586
+>!> 141: I__s_[S1:0][package]enscript-1.6.4-12.i586
+>!> 142: I__s_[S1:0][package]esound-0.2.36-12.i586
+>!> 143: I__s_[S1:0][package]ethtool-3-8.i586
+>!> 144: I__s_[S1:0][package]expat-2.0.0-6.i586
+>!> 145: I__s_[S1:0][package]fam-2.6.10-140.i586
+>!> 146: I__s_[S1:0][package]fam-server-2.6.10-140.i586
+>!> 147: I__s_[S1:0][package]fbset-2.1-790.i586
+>!> 148: I__s_[S1:0][package]file-4.16-7.i586
+>!> 149: I__s_[S1:0][package]fileshareset-2.0-53.i586
+>!> 150: I__s_[S1:0][package]filesystem-10.0.42-11.i586
+>!> 151: I__s_[S1:0][package]fillup-1.42-111.i586
+>!> 152: I__s_[S1:0][package]filters-2006.1.25-4.i586
+>!> 153: I__s_[S1:0][package]findutils-4.2.27-6.i586
+>!> 154: I__s_[S1:0][package]finger-1.3-7.i586
+>!> 155: I__s_[S1:0][package]flac-1.1.2-8.i586
+>!> 156: I__s_[S1:0][package]fontconfig-2.3.94-2.i586
+>!> 157: I__s_[S1:0][package]fonts-config-20060210-5.noarch
+>!> 158: I__s_[S1:0][package]foomatic-filters-3.0.2-12.i586
+>!> 159: I__s_[S1:0][package]freeciv-2.0.7-8.i586
+>!> 160: I__s_[S1:0][package]freeglut-051110-8.i586
+>!> 161: I__s_[S1:0][package]freetype-1.3.1-1166.i586
+>!> 162: I__s_[S1:0][package]freetype2-2.1.10-9.i586
+>!> 163: I__s_[S1:0][package]fribidi-0.10.4-493.i586
+>!> 164: I__s_[S1:0][package]frozen-bubble-1.0.0-343.i586
+>!> 165: I__s_[S1:0][package]fvwm2-2.5.12-11.i586
+>!> 166: I__s_[S1:0][package]gail-1.8.8-8.i586
+>!> 167: I__s_[S1:0][package]gawk-3.1.5-11.i586
+>!> 168: I__s_[S1:0][package]gconf2-2.12.1-20.i586
+>!> 169: I__s_[S1:0][package]gdb-6.4-8.i586
+>!> 170: I__s_[S1:0][package]gdbm-1.8.3-236.i586
+>!> 171: I__s_[S1:0][package]gettext-0.14.5-6.i586
+>!> 172: I__s_[S1:0][package]ghostscript-fonts-other-8.15.2rc1-13.i586
+>!> 173: I__s_[S1:0][package]ghostscript-fonts-std-8.15.2rc1-13.i586
+>!> 174: I__s_[S1:0][package]ghostscript-library-8.15.2rc1-13.i586
+>!> 175: I__s_[S1:0][package]ghostscript-x11-8.15.2rc1-13.i586
+>!> 176: I__s_[S1:0][package]giflib-4.1.4-7.i586
+>!> 177: I__s_[S1:0][package]gimp-2.2.10-14.i586
+>!> 178: I__s_[S1:0][package]gimp-cmyk-0.3-14.i586
+>!> 179: I__s_[S1:0][package]gle-3.0.6-654.i586
+>!> 180: I__s_[S1:0][package]glib-1.2.10-602.i586
+>!> 181: I__s_[S1:0][package]glib-sharp2-2.8.2-4.i586
+>!> 182: I__s_[S1:0][package]glib2-2.8.5-12.i586
+>!> 183: I__s_[S1:0][package]glibc-2.4-6.i686
+>!> 184: I__s_[S1:0][package]glibc-i18ndata-2.4-6.i586
+>!> 185: I__s_[S1:0][package]glibc-locale-2.4-6.i586
+>!> 186: I__s_[S1:0][package]glitz-0.4.4-14.i586
+>!> 187: I__s_[S1:0][package]gmime-2.1.19-6.i586
+>!> 188: I__s_[S1:0][package]gmp-4.1.4-13.i586
+>!> 189: I__s_[S1:0][package]gnome-desktop-2.12.2-13.i586
+>!> 190: I__s_[S1:0][package]gnome-filesystem-0.1-249.i586
+>!> 191: I__s_[S1:0][package]gnome-icon-theme-2.12.1-14.noarch
+>!> 192: I__s_[S1:0][package]gnome-keyring-0.4.6-8.i586
+>!> 193: I__s_[S1:0][package]gnome-mime-data-2.4.2-13.i586
+>!> 194: I__s_[S1:0][package]gnome-vfs2-2.12.2-37.i586
+>!> 195: I__s_[S1:0][package]gnutls-1.2.10-6.i586
+>!> 196: I__s_[S1:0][package]goom2k4-rc2-41.i586
+>!> 197: I__s_[S1:0][package]gpart-0.1h-485.i586
+>!> 198: I__s_[S1:0][package]gpg-1.4.2-16.i586
+>!> 199: I__s_[S1:0][package]gpg2-1.9.18-10.i586
+>!> 200: I__s_[S1:0][package]gpgme-1.0.3-9.i586
+>!> 201: I__s_[S1:0][package]gpm-1.20.1-315.i586
+>!> 202: I__s_[S1:0][package]grep-2.5.1a-12.i586
+>!> 203: I__s_[S1:0][package]groff-1.18.1.1-22.i586
+>!> 204: I__s_[S1:0][package]grub-0.97-6.i586
+>!> 205: I__s_[S1:0][package]gsf-sharp-0.7-13.i586
+>!> 206: I__s_[S1:0][package]gtk-1.2.10-900.i586
+>!> 207: I__s_[S1:0][package]gtk-qt-engine-0.7cvs20060209-9.i586
+>!> 208: I__s_[S1:0][package]gtk-sharp2-2.8.2-4.i586
+>!> 209: I__s_[S1:0][package]gtk2-2.8.10-20.i586
+>!> 210: I__s_[S1:0][package]gtksourceview-1.5.6-10.i586
+>!> 211: I__s_[S1:0][package]gwenview-1.3.1-8.i586
+>!> 212: I__s_[S1:0][package]gzip-1.3.5-152.i586
+>!> 213: I__s_[S1:0][package]hal-0.5.6-16.i586
+>!> 214: I__s_[S1:0][package]hal-resmgr-0.1_SVNr77-5.i586
+>!> 215: I__s_[S1:0][package]hdparm-6.3-6.i586
+>!> 216: I__s_[S1:0][package]hplip-0.9.7-9.i586
+>!> 217: I__s_[S1:0][package]hplip-hpijs-0.9.7-9.i586
+>!> 218: I__s_[S1:0][package]htdig-3.2.0b6-14.i586
+>!> 219: I__s_[S1:0][package]hwinfo-12.13-2.i586
+>!> 220: I__s_[S1:0][package]i4l-base-2006.2.28-4.i586
+>!> 221: I__s_[S1:0][package]i4l-isdnlog-2006.2.28-4.i586
+>!> 222: I__s_[S1:0][package]i4lfirm-2006.2.28-4.i586
+>!> 223: I__s_[S1:0][package]id3lib-3.8.3-97.i586
+>!> 224: I__s_[S1:0][package]ifnteuro-1.2.1-202.noarch
+>!> 225: I__s_[S1:0][package]ifplugd-0.28-10.i586
+>!> 226: I__s_[S1:0][package]imlib-1.9.14-206.i586
+>!> 227: I__s_[S1:0][package]imlib2-1.2.1-10.i586
+>!> 228: I__s_[S1:0][package]imlib2-loaders-1.2.1-10.i586
+>!> 229: I__s_[S1:0][package]info-4.8-15.i586
+>!> 230: I__s_[S1:0][package]info2html-1.4-9.noarch
+>!> 231: I__s_[S1:0][package]initviocons-0.4-309.i586
+>!> 232: I__s_[S1:0][package]insserv-1.04.0-13.i586
+>!> 233: I__s_[S1:0][package]intlfnts-1.2.1-202.noarch
+>!> 234: I__s_[S1:0][package]iproute2-2.6.15-6.i586
+>!> 235: I__s_[S1:0][package]iptables-1.3.5-6.i586
+>!> 236: I__s_[S1:0][package]iputils-ss021109-160.i586
+>!> 237: I__s_[S1:0][package]isapnp-1.26-498.i586
+>!> 238: I__s_[S1:0][package]ispell-3.2.06-471.i586
+>!> 239: I__s_[S1:0][package]ispell-american-3.2.06-471.i586
+>!> 240: I__s_[S1:0][package]ispell-british-3.2.06-471.i586
+>!> 241: I__s_[S1:0][package]jack-0.100.0-10.i586
+>!> 242: I__s_[S1:0][package]java-1_4_2-gcj-compat-1.4.2.0-20.i586
+>!> 243: I__s_[S1:0][package]jfsutils-1.1.10-6.i586
+>!> 244: I__s_[S1:0][package]joe-3.3-8.i586
+>!> 245: I__s_[S1:0][package]jpackage-utils-1.6.3-11.i586
+>!> 246: I__s_[S1:0][package]jpeg-6b-745.i586
+>!> 247: I__s_[S1:0][package]k3b-0.12.14-3.i586
+>!> 248: I__s_[S1:0][package]kaffeine-0.7.1-15.i586
+>!> 249: I__s_[S1:0][package]kbd-1.12-53.i586
+>!> 250: I__s_[S1:0][package]kde3-i18n-de-3.5.1-9.noarch
+>!> 251: I__s_[S1:0][package]kdeaddons3-kate-3.5.1-9.i586
+>!> 252: I__s_[S1:0][package]kdeaddons3-kicker-3.5.1-9.i586
+>!> 253: I__s_[S1:0][package]kdeaddons3-konqueror-3.5.1-9.i586
+>!> 254: I__s_[S1:0][package]kdeartwork3-kscreensaver-3.5.1-10.i586
+>!> 255: I__s_[S1:0][package]kdeartwork3-sound-3.5.1-10.i586
+>!> 256: I__s_[S1:0][package]kdeartwork3-xscreensaver-3.5.1-10.i586
+>!> 257: I__s_[S1:0][package]kdebase3-3.5.1-41.i586
+>!> 258: I__s_[S1:0][package]kdebase3-SuSE-10.1-37.i586
+>!> 259: I__s_[S1:0][package]kdebase3-kdm-3.5.1-41.i586
+>!> 260: I__s_[S1:0][package]kdebase3-ksysguardd-3.5.1-41.i586
+>!> 261: I__s_[S1:0][package]kdebase3-nsplugin-3.5.1-41.i586
+>!> 262: I__s_[S1:0][package]kdebase3-samba-3.5.1-41.i586
+>!> 263: I__s_[S1:0][package]kdebase3-session-3.5.1-41.i586
+>!> 264: I__s_[S1:0][package]kdebindings3-python-3.5.1-9.i586
+>!> 265: I__s_[S1:0][package]kdebluetooth-0.0.svn20051202-15.i586
+>!> 266: I__s_[S1:0][package]kdegames3-3.5.1-7.i586
+>!> 267: I__s_[S1:0][package]kdegraphics3-3.5.1-11.i586
+>!> 268: I__s_[S1:0][package]kdegraphics3-fax-3.5.1-11.i586
+>!> 269: I__s_[S1:0][package]kdegraphics3-kamera-3.5.1-11.i586
+>!> 270: I__s_[S1:0][package]kdegraphics3-pdf-3.5.1-11.i586
+>!> 271: I__s_[S1:0][package]kdegraphics3-postscript-3.5.1-11.i586
+>!> 272: I__s_[S1:0][package]kdegraphics3-scan-3.5.1-11.i586
+>!> 273: I__s_[S1:0][package]kdelibs3-3.5.1-26.i586
+>!> 274: I__s_[S1:0][package]kdelibs3-doc-3.5.1-26.i586
+>!> 275: I__s_[S1:0][package]kdemultimedia3-3.5.1-9.i586
+>!> 276: I__s_[S1:0][package]kdemultimedia3-CD-3.5.1-9.i586
+>!> 277: I__s_[S1:0][package]kdemultimedia3-mixer-3.5.1-9.i586
+>!> 278: I__s_[S1:0][package]kdenetwork3-3.5.1-16.i586
+>!> 279: I__s_[S1:0][package]kdenetwork3-InstantMessenger-3.5.1-16.i586
+>!> 280: I__s_[S1:0][package]kdenetwork3-news-3.5.1-16.i586
+>!> 281: I__s_[S1:0][package]kdenetwork3-vnc-3.5.1-16.i586
+>!> 282: I__s_[S1:0][package]kdepim3-3.5.1-22.i586
+>!> 283: I__s_[S1:0][package]kdepim3-kpilot-3.5.1-22.i586
+>!> 284: I__s_[S1:0][package]kdepim3-networkstatus-3.5.1-22.i586
+>!> 285: I__s_[S1:0][package]kdepim3-sync-3.5.1-22.i586
+>!> 286: I__s_[S1:0][package]kdetv-0.8.8-7.i586
+>!> 287: I__s_[S1:0][package]kdeutils3-3.5.1-12.i586
+>!> 288: I__s_[S1:0][package]kdeutils3-laptop-3.5.1-12.i586
+>!> 289: I__s_[S1:1][package]kernel-default-2.6.16_rc5_git14-2.i586
+>!> 290: U_Th_[S2:1][package]kernel-default-2.6.16_rc5_git14-3c.i586
+>!> 291: U__s_[S2:1][package]kernel-smp-2.6.16_rc5_git14-3c.i586
+>!> 292: I__s_[S1:0][package]kerry-0.09-2.i586
+>!> 293: I__s_[S1:0][package]kio_beagle-0.2-8.i586
+>!> 294: I__s_[S1:0][package]kio_ipodslave-0.7.2-5.i586
+>!> 295: I__s_[S1:0][package]kio_slp-0.4.1-9.i586
+>!> 296: I__s_[S1:0][package]kipi-plugins-0.1.0rc1-12.i586
+>!> 297: I__s_[S1:0][package]klogd-1.4.1-552.i586
+>!> 298: I__s_[S1:0][package]knights-0.6-415.i586
+>!> 299: I__s_[S1:0][package]konversation-0.18-13.i586
+>!> 300: I__s_[S1:0][package]kpowersave-0.5.11-2.i586
+>!> 301: I__s_[S1:0][package]krb5-1.4.3-11.i586
+>!> 302: I__s_[S1:0][package]krecord-1.16-18.i586
+>!> 303: I__s_[S1:0][package]kscpm-0.5.3-9.i586
+>!> 304: I__s_[S1:0][package]ksymoops-2.4.11-10.i586
+>!> 305: I__s_[S1:0][package]ktorrent-1.2-11.i586
+>!> 306: U__s_[S0:0][language]ar-.noarch
+>!> 307: U__s_[S0:0][language]bg-.noarch
+>!> 308: U__s_[S0:0][language]cs-.noarch
+>!> 309: U__s_[S0:0][language]de-.noarch
+>!> 310: U__s_[S0:0][language]el-.noarch
+>!> 311: U__s_[S0:0][language]en-.noarch
+>!> 312: U__s_[S0:0][language]en_GB-.noarch
+>!> 313: U__s_[S0:0][language]he-.noarch
+>!> 314: U__s_[S0:0][language]ru-.noarch
+>!> 315: I__s_[S1:0][package]ldapcpplib-0.0.4-6.i586
+>!> 316: I__s_[S1:0][package]less-394-6.i586
+>!> 317: I__s_[S1:0][package]lftp-3.4.0-14.i586
+>!> 318: I__s_[S1:0][package]libacl-2.2.34-5.i586
+>!> 319: I__s_[S1:0][package]libakode-2.0.0-11.i586
+>!> 320: I__s_[S1:0][package]libao-0.8.6-12.i586
+>!> 321: I__s_[S1:0][package]libapparmor-2.0-9.i586
+>!> 322: I__s_[S1:0][package]libart_lgpl-2.3.17-10.i586
+>!> 323: I__s_[S1:0][package]libattr-2.4.28-7.i586
+>!> 324: I__s_[S1:0][package]libbeagle-0.2.2.1-4.i586
+>!> 325: I__s_[S1:0][package]libbonobo-2.10.1-17.i586
+>!> 326: I__s_[S1:0][package]libbonoboui-2.10.1-15.i586
+>!> 327: I__s_[S1:0][package]libcap-1.92-492.i586
+>!> 328: I__s_[S1:0][package]libcddb-1.2.1-11.i586
+>!> 329: I__s_[S1:0][package]libcdio-0.76-9.i586
+>!> 330: I__s_[S1:0][package]libcom_err-1.38-18.i586
+>!> 331: I__s_[S1:0][package]libcroco-0.6.0-16.i586
+>!> 332: I__s_[S1:0][package]libdrm-2.0-8.i586
+>!> 333: I__s_[S1:0][package]libevent-1.1-6.i586
+>!> 334: I__s_[S1:0][package]libexif-0.6.13-13.i586
+>!> 335: I__s_[S1:0][package]libgcc-4.1.0-5.i586
+>!> 336: I__s_[S1:0][package]libgcj-4.1.0-5.i586
+>!> 337: I__s_[S1:0][package]libgcrypt-1.2.2-6.i586
+>!> 338: I__s_[S1:0][package]libgimpprint-4.2.7-55.i586
+>!> 339: I__s_[S1:0][package]libglade2-2.5.1-17.i586
+>!> 340: I__s_[S1:0][package]libgnome-2.12.0.1-18.i586
+>!> 341: I__s_[S1:0][package]libgnomecanvas-2.12.0-12.i586
+>!> 342: I__s_[S1:0][package]libgnomecups-0.2.2-13.i586
+>!> 343: I__s_[S1:0][package]libgnomeprint-2.12.1-12.i586
+>!> 344: I__s_[S1:0][package]libgnomeprintui-2.12.1-12.i586
+>!> 345: I__s_[S1:0][package]libgnomesu-1.0.0-17.i586
+>!> 346: I__s_[S1:0][package]libgnomeui-2.12.0-16.i586
+>!> 347: I__s_[S1:0][package]libgpg-error-1.0-9.i586
+>!> 348: I__s_[S1:0][package]libgphoto2-2.1.99.0head-15.i586
+>!> 349: I__s_[S1:0][package]libgsf-1.13.99-5.i586
+>!> 350: I__s_[S1:0][package]libgsf-gnome-1.13.99-5.i586
+>!> 351: I__s_[S1:0][package]libgssapi-0.6-6.i586
+>!> 352: I__s_[S1:0][package]libgtkhtml-2.11.0-9.i586
+>!> 353: I__s_[S1:0][package]libicu-3.4-9.i586
+>!> 354: I__s_[S1:0][package]libid3tag-0.15.1b-27.i586
+>!> 355: I__s_[S1:0][package]libidl-0.8.6-11.i586
+>!> 356: I__s_[S1:0][package]libidn-0.6.0-7.i586
+>!> 357: I__s_[S1:0][package]libieee1284-0.2.10-6.i586
+>!> 358: I__s_[S1:0][package]libjasper-1.701.0-9.i586
+>!> 359: I__s_[S1:0][package]libjpeg-6.2.0-745.i586
+>!> 360: I__s_[S1:0][package]libkexif-0.2.2-8.i586
+>!> 361: I__s_[S1:0][package]libkipi-0.1.2-8.i586
+>!> 362: I__s_[S1:0][package]libksba-0.9.12-7.i586
+>!> 363: I__s_[S1:0][package]liblcms-1.15-5.i586
+>!> 364: I__s_[S1:0][package]libmal-0.31-163.i586
+>!> 365: I__s_[S1:0][package]libmikmod-3.1.11-7.i586
+>!> 366: I__s_[S1:0][package]libmng-1.0.9-9.i586
+>!> 367: I__s_[S1:0][package]libmusicbrainz-2.1.2-5.i586
+>!> 368: I__s_[S1:0][package]libnetpbm-1.0.0-649.i586
+>!> 369: I__s_[S1:0][package]libnl-1.0-11.i586
+>!> 370: I__s_[S1:0][package]libnscd-1.1-9.i586
+>!> 371: I__s_[S1:0][package]libogg-1.1.3-6.i586
+>!> 372: I__s_[S1:0][package]libopencdk-0.5.5-8.i586
+>!> 373: I__s_[S1:0][package]libpcap-0.9.4-5.i586
+>!> 374: I__s_[S1:0][package]libpng-1.2.8-12.i586
+>!> 375: I__s_[S1:0][package]librpcsecgss-0.7-6.i586
+>!> 376: I__s_[S1:0][package]librsvg-2.12.7-8.i586
+>!> 377: I__s_[S1:0][package]libsamplerate-0.1.2-8.i586
+>!> 378: I__s_[S1:0][package]libsmbclient-3.0.21c-8.i586
+>!> 379: I__s_[S1:0][package]libsndfile-1.0.12-6.i586
+>!> 380: I__s_[S1:0][package]libstdc++-4.1.0-5.i586
+>!> 381: I__s_[S1:0][package]libstroke-0.5.1-8.i586
+>!> 382: I__s_[S1:0][package]libtheora-1.0alpha5-9.i586
+>!> 383: I__s_[S1:0][package]libtiff-3.8.0-7.i586
+>!> 384: I__s_[S1:0][package]libtool-1.5.22-6.i586
+>!> 385: I__s_[S1:0][package]libtunepimp-0.4.1-6.i586
+>!> 386: I__s_[S1:0][package]libusb-0.1.12-2.i586
+>!> 387: I__s_[S1:0][package]libvisual-0.2.0-17.i586
+>!> 388: I__s_[S1:0][package]libvisual-plugins-0.2.0-20.i586
+>!> 389: I__s_[S1:0][package]libvorbis-1.1.2-6.i586
+>!> 390: I__s_[S1:0][package]libwmf-0.2.8.2-103.i586
+>!> 391: I__s_[S1:0][package]libxcrypt-2.4-5.i586
+>!> 392: I__s_[S1:0][package]libxml2-2.6.23-8.i586
+>!> 393: I__s_[S1:0][package]libxslt-1.1.15-8.i586
+>!> 394: I__s_[S1:0][package]liby2util-2.13.7-3.i586
+>!> 395: I__s_[S1:0][package]libzio-0.1-10.i586
+>!> 396: I__s_[S1:0][package]libzypp-0.0.8-49.i586
+>!> 397: I__s_[S1:0][package]libzypp-zmd-backend-7.1.1-10.i586
+>!> 398: I__s_[S1:0][package]lilo-22.7-11.i586
+>!> 399: I__s_[S1:0][package]limal-1.1.5-3.i586
+>!> 400: I__s_[S1:0][package]limal-bootloader-1.0.5-7.i586
+>!> 401: I__s_[S1:0][package]limal-perl-1.1.5-3.i586
+>!> 402: I__s_[S1:0][package]linux-atm-lib-2.5.0-7.i586
+>!> 403: I__s_[S1:0][package]log4net-1.2.9-10.i586
+>!> 404: I__s_[S1:0][package]logrotate-3.7.3-6.i586
+>!> 405: I__s_[S1:0][package]lsb-3.0-11.i586
+>!> 406: I__s_[S1:0][package]lsof-4.76-6.i586
+>!> 407: I__s_[S1:0][package]lua-5.0.2-10.i586
+>!> 408: I__s_[S1:0][package]lzo-2.02-5.i586
+>!> 409: I__s_[S1:0][package]m4-1.4.4-5.i586
+>!> 410: I__s_[S1:0][package]mDNSResponder-107.5-6.i586
+>!> 411: I__s_[S1:0][package]mailx-11.25-7.i586
+>!> 412: I__s_[S1:0][package]make-3.80-194.i586
+>!> 413: I__s_[S1:0][package]man-2.4.1-229.i586
+>!> 414: I__s_[S1:0][package]man-pages-2.25-2.noarch
+>!> 415: I__s_[S1:0][package]manufacturer-PPDs-0.5-7.i586
+>!> 416: I__s_[S1:0][package]master-boot-code-1.6-11.i586
+>!> 417: I__s_[S1:0][package]mc-4.6.1-21.i586
+>!> 418: I__s_[S1:0][package]mdadm-2.2-13.i586
+>!> 419: I__s_[S1:0][package]microcode_ctl-1.13-6.i586
+>!> 420: I__s_[S1:0][package]mingetty-0.9.6s-81.i586
+>!> 421: I__s_[S1:0][package]mkinitrd-1.2-77.i586
+>!> 422: I__s_[S1:0][package]mkisofs-2.01-17.i586
+>!> 423: I__s_[S1:0][package]mktemp-1.5-737.i586
+>!> 424: I__s_[S1:0][package]module-init-tools-3.2.2-16.i586
+>!> 425: I__s_[S1:0][package]mono-core-1.1.13.4-4.i586
+>!> 426: I__s_[S1:0][package]mono-data-1.1.13.4-4.i586
+>!> 427: I__s_[S1:0][package]mono-data-sqlite-1.1.13.4-4.i586
+>!> 428: I__s_[S1:0][package]mono-web-1.1.13.4-4.i586
+>!> 429: I__s_[S1:0][package]mozilla-nspr-4.6.1-15.i586
+>!> 430: I__s_[S1:0][package]mozilla-nss-3.11-14.i586
+>!> 431: I__s_[S1:0][package]mtools-3.9.10-9.i586
+>!> 432: I__s_[S1:0][package]myspell-american-20040623-20.noarch
+>!> 433: I__s_[S1:0][package]myspell-british-20050526-14.noarch
+>!> 434: I__s_[S1:0][package]myspell-german-20051213-11.noarch
+>!> 435: I__s_[S1:0][package]ncurses-5.5-10.i586
+>!> 436: I__s_[S1:0][package]neon-0.24.7-13.i586
+>!> 437: I__s_[S1:0][package]net-snmp-5.3.0.1-10.i586
+>!> 438: I__s_[S1:0][package]net-tools-1.60-574.i586
+>!> 439: I__s_[S1:0][package]netcat-1.10-876.i586
+>!> 440: I__s_[S1:0][package]netcfg-10.0.42-5.noarch
+>!> 441: I__s_[S1:0][package]netpbm-10.26.22-6.i586
+>!> 442: I__s_[S1:0][package]nfs-utils-1.0.7-24.i586
+>!> 443: I__s_[S1:0][package]nfsidmap-0.12-6.i586
+>!> 444: I__s_[S1:1][package]novfs-kmp-default-1.2.0_2.6.16_rc5_git14_2-8.i586
+>!> 445: U__s_[S2:1][package]novfs-kmp-smp-1.2.0_2.6.16_rc5_git14_3c-8.i586
+>!> 446: I__s_[S1:0][package]nscd-2.4-6.i586
+>!> 447: I__s_[S1:0][package]ntfsprogs-1.11.2-6.i586
+>!> 448: U__s_[S2:1][package]nvidia-gfx-kmp-smp-1.0.8178_2.6.16_rc5_git14_3c-1.i586
+>!> 449: I__s_[S1:0][package]ocrad-0.13-7.i586
+>!> 450: I__s_[S1:0][package]openct-0.6.6-8.i586
+>!> 451: I__s_[S1:0][package]openldap2-client-2.3.19-10.i586
+>!> 452: I__s_[S1:0][package]openmotif-libs-2.2.4-11.i586
+>!> 453: I__s_[S1:0][package]openobex-1.0.1-61.i586
+>!> 454: I__s_[S1:0][package]opensc-0.9.6-10.i586
+>!> 455: I__s_[S1:0][package]openslp-1.2.0-13.i586
+>!> 456: I__s_[S1:0][package]openssh-4.2p1-11.i586
+>!> 457: I__s_[S1:0][package]openssh-askpass-4.2p1-11.i586
+>!> 458: I__s_[S1:0][package]openssl-0.9.8a-11.i586
+>!> 459: I__s_[S1:0][package]orbit2-2.12.4-10.i586
+>!> 460: I__s_[S1:0][package]pam-0.99.3.0-14.i586
+>!> 461: I__s_[S1:0][package]pam-modules-10.1-1.i586
+>!> 462: I__s_[S1:0][package]pango-1.10.2-13.i586
+>!> 463: I__s_[S1:0][package]parted-1.6.25.1-7.i586
+>!> 464: I__s_[S1:0][package]patch-2.5.9-153.i586
+>!> 465: I__s_[S1:0][package]pax-3.4-7.i586
+>!> 466: I__s_[S1:0][package]pciutils-2.2.1-7.i586
+>!> 467: I__s_[S1:0][package]pcre-6.4-7.i586
+>!> 468: I__s_[S1:0][package]pcsc-lite-1.2.9_beta9-8.i586
+>!> 469: I__s_[S1:0][package]perl-5.8.8-7.i586
+>!> 470: I__s_[S1:0][package]perl-Bootloader-0.2.13-2.i586
+>!> 471: I__s_[S1:0][package]perl-Config-Crontab-1.11-5.i586
+>!> 472: I__s_[S1:0][package]perl-Crypt-SmbHash-0.12-6.i586
+>!> 473: I__s_[S1:0][package]perl-DBD-SQLite-1.11-7.i586
+>!> 474: I__s_[S1:0][package]perl-DBI-1.50-5.i586
+>!> 475: I__s_[S1:0][package]perl-Digest-MD4-1.5-6.i586
+>!> 476: I__s_[S1:0][package]perl-Digest-SHA1-2.10-8.i586
+>!> 477: I__s_[S1:0][package]perl-File-Tail-0.99.3-5.i586
+>!> 478: I__s_[S1:0][package]perl-HTML-Parser-3.48-5.i586
+>!> 479: I__s_[S1:0][package]perl-HTML-Tagset-3.10-5.i586
+>!> 480: I__s_[S1:0][package]perl-IO-Socket-SSL-0.97-7.i586
+>!> 481: I__s_[S1:0][package]perl-Net-Daemon-0.38-54.i586
+>!> 482: I__s_[S1:0][package]perl-Net_SSLeay-1.30-6.i586
+>!> 483: I__s_[S1:0][package]perl-PDA-Pilot-0.12.0_pre4-13.i586
+>!> 484: I__s_[S1:0][package]perl-Parse-RecDescent-1.80-252.i586
+>!> 485: I__s_[S1:0][package]perl-PlRPC-0.2018-6.i586
+>!> 486: I__s_[S1:0][package]perl-TermReadKey-2.30-6.i586
+>!> 487: I__s_[S1:0][package]perl-TermReadLine-Gnu-1.15-6.i586
+>!> 488: I__s_[S1:0][package]perl-TimeDate-1.16-129.i586
+>!> 489: I__s_[S1:0][package]perl-URI-1.35-8.i586
+>!> 490: I__s_[S1:0][package]perl-X500-DN-0.28-126.i586
+>!> 491: I__s_[S1:0][package]perl-XML-Parser-2.34-36.i586
+>!> 492: I__s_[S1:0][package]perl-XML-Writer-0.600-6.i586
+>!> 493: I__s_[S1:0][package]perl-gettext-1.05-6.i586
+>!> 494: I__s_[S1:0][package]perl-libwww-perl-5.805-5.i586
+>!> 495: I__s_[S1:0][package]permissions-2006.2.24-3.i586
+>!> 496: I__s_[S1:0][package]pico-4.64-12.i586
+>!> 497: I__s_[S1:0][package]pilot-link-0.12.0_pre4-13.i586
+>!> 498: I__s_[S1:0][package]pin-0.35-5.noarch
+>!> 499: I__s_[S1:0][package]pinentry-0.7.2-8.i586
+>!> 500: I__s_[S1:0][package]pmtools-20050823-16.i586
+>!> 501: I__s_[S1:0][package]poppler-0.4.4-10.i586
+>!> 502: I__s_[S1:0][package]poppler-qt-0.4.4-10.i586
+>!> 503: I__s_[S1:0][package]popt-1.7-253.i586
+>!> 504: I__s_[S1:0][package]portmap-5beta-742.i586
+>!> 505: I__s_[S1:0][package]postfix-2.2.6-10.i586
+>!> 506: I__s_[S1:0][package]powersave-0.12.4-2.i586
+>!> 507: I__s_[S1:0][package]powersave-libs-0.12.4-2.i586
+>!> 508: I__s_[S1:0][package]ppp-2.4.3-26.i586
+>!> 509: I__s_[S1:0][package]pptp-1.7.0-6.i586
+>!> 510: I__s_[S1:0][package]preload-0.2-18.i586
+>!> 511: I__s_[S1:0][package]procinfo-18-48.i586
+>!> 512: I__s_[S1:0][package]procmail-3.22-49.i586
+>!> 513: I__s_[S1:0][package]procps-3.2.6-9.i586
+>!> 514: I__s_[S1:0][package]providers-2006.1.25-4.noarch
+>!> 515: I__s_[S1:0][package]psmisc-22.1-7.i586
+>!> 516: I__s_[S1:0][package]psutils-p17-873.i586
+>!> 517: I__s_[S1:0][package]pwdutils-3.0.7.1-9.i586
+>!> 518: I__s_[S1:0][package]python-2.4.2-10.i586
+>!> 519: I__s_[S1:0][package]python-qt-3.5.1-9.i586
+>!> 520: I__s_[S1:0][package]python-xml-2.4.2-10.i586
+>!> 521: I__s_[S1:0][package]qca-1.0-18.i586
+>!> 522: I__s_[S1:0][package]qscintilla-1.65-7.i586
+>!> 523: I__s_[S1:0][package]qt3-3.3.5-41.i586
+>!> 524: I__s_[S1:0][package]readline-5.1-14.i586
+>!> 525: I__s_[S1:0][package]recode-3.6-497.i586
+>!> 526: I__s_[S1:0][package]reiserfs-3.6.19-10.i586
+>!> 527: I__s_[S1:0][package]release-notes-10.1.9-2.noarch
+>!> 528: I__s_[S1:0][package]resmgr-0.9.8_SVNr75-8.i586
+>!> 529: I__s_[S1:0][package]rpm-4.4.2-25.i586
+>!> 530: I__s_[S1:0][package]rrdtool-1.2.12-6.i586
+>!> 531: I__s_[S1:0][package]rsh-0.17-566.i586
+>!> 532: I__s_[S1:0][package]rsync-2.6.6-9.i586
+>!> 533: I__s_[S1:0][package]rug-7.1.1-13.i586
+>!> 534: I__s_[S1:0][package]samba-client-3.0.21c-8.i586
+>!> 535: I__s_[S1:0][package]sane-1.0.17-8.i586
+>!> 536: I__s_[S1:0][package]sash-3.7-39.i586
+>!> 537: I__s_[S1:0][package]sax2-7.1-94.i586
+>!> 538: I__s_[S1:0][package]sax2-gui-1.7-94.i586
+>!> 539: I__s_[S1:0][package]sax2-ident-1.7-94.i586
+>!> 540: I__s_[S1:0][package]sax2-libsax-7.1-94.i586
+>!> 541: I__s_[S1:0][package]sax2-libsax-perl-7.1-94.i586
+>!> 542: I__s_[S1:0][package]sax2-tools-2.7-94.i586
+>!> 543: I__s_[S1:0][package]scpm-1.1.3-8.i586
+>!> 544: I__s_[S1:0][package]screen-4.0.2-55.i586
+>!> 545: I__s_[S1:0][package]scsi-1.7_2.36_1.19_0.17_0.97-4.i586
+>!> 546: I__s_[S1:0][package]sed-4.1.4-10.i586
+>!> 547: I__s_[S1:0][selection]SuSE-Documentation-10-46.noarch
+>!> 548: I__s_[S1:0][selection]default-10-46.noarch
+>!> 549: I__s_[S1:0][package]sensors-2.10.0-3.i586
+>!> 550: I__s_[S1:0][package]setserial-2.17-586.i586
+>!> 551: I__s_[S1:0][package]sgml-skel-0.6-274.noarch
+>!> 552: I__s_[S1:0][package]shared-mime-info-0.16cvs20060309-3.i586
+>!> 553: I__s_[S1:0][package]siga-10.101-5.noarch
+>!> 554: I__s_[S1:0][package]sisctrl-0.0.20051202-6.i586
+>!> 555: I__s_[S1:0][package]slang-2.0.5-7.i586
+>!> 556: I__s_[S1:0][package]smpppd-1.59-12.i586
+>!> 557: I__s_[S1:0][package]speex-1.0.5-7.i586
+>!> 558: I__s_[S1:0][package]sqlite-3.2.8-7.i586
+>!> 559: I__s_[S1:0][package]sqlite2-2.8.17-7.i586
+>!> 560: I__s_[S1:0][package]src_vipa-2.0.3-5.i586
+>!> 561: I__s_[S1:0][package]startup-notification-0.8-13.i586
+>!> 562: I__s_[S1:0][package]strace-4.5.14-2.i586
+>!> 563: I__s_[S1:0][package]sudo-1.6.8p12-11.i586
+>!> 564: I__s_[S1:0][package]sumf-0.2.1-9.i586
+>!> 565: I__s_[S1:0][package]supertux-0.1.3-12.i586
+>!> 566: I__s_[S1:0][package]suse-build-key-1.0-675.noarch
+>!> 567: I__s_[S1:0][package]suse-release-10.1-2.i586
+>!> 568: I__s_[S1:0][package]suseRegister-1.0-22.noarch
+>!> 569: I__s_[S1:0][package]susehelp-2006.03.03-5.noarch
+>!> 570: I__s_[S1:0][package]susehelp_de-2006.03.03-5.noarch
+>!> 571: I__s_[S1:0][package]susehelp_en-2006.03.03-5.noarch
+>!> 572: I__s_[S1:0][package]suselinux-manual_en-10.1-10.noarch
+>!> 573: I__s_[S1:0][package]suspend-20060306-2.i586
+>!> 574: I__s_[S1:0][package]sysconfig-0.50.6-5.i586
+>!> 575: I__s_[S1:0][package]sysfsutils-1.3.0-9.i586
+>!> 576: I__s_[S1:0][package]syslinux-3.11-11.i586
+>!> 577: I__s_[S1:0][package]syslog-ng-1.6.8-12.i586
+>!> 578: I__s_[S1:0][package]sysvinit-2.86-13.i586
+>!> 579: I__s_[S1:0][package]taglib-1.4-13.i586
+>!> 580: I__s_[S1:0][package]tar-1.15.1-16.i586
+>!> 581: I__s_[S1:0][package]tcpd-7.6-723.i586
+>!> 582: I__s_[S1:0][package]tcsh-6.14.00-9.i586
+>!> 583: I__s_[S1:0][package]telnet-1.2-7.i586
+>!> 584: I__s_[S1:0][package]terminfo-5.5-10.i586
+>!> 585: I__s_[S1:0][package]testgart-0.1-196.i586
+>!> 586: I__s_[S1:0][package]tiff-3.8.0-7.i586
+>!> 587: I__s_[S1:0][package]tightvnc-1.2.9-191.i586
+>!> 588: I__s_[S1:0][package]timezone-2.4-6.i586
+>!> 589: I__s_[S1:0][package]tiny-nvidia-installer-1.0.7-6.i586
+>!> 590: I__s_[S1:0][package]tree-1.5.0-6.i586
+>!> 591: I__s_[S1:0][package]udev-085-7.i586
+>!> 592: I__s_[S1:0][package]unclutter-8-843.i586
+>!> 593: I__s_[S1:0][package]unixODBC-2.2.11-13.i586
+>!> 594: I__s_[S1:0][package]unrar-3.5.4-8.i586
+>!> 595: I__s_[S1:0][package]unzip-5.52-9.i586
+>!> 596: I__s_[S1:0][package]update-alternatives-1.8.3-9.noarch
+>!> 597: I__s_[S1:0][package]usbutils-0.71-14.i586
+>!> 598: I__s_[S1:0][package]utempter-0.5.5-9.i586
+>!> 599: I__s_[S1:0][package]util-linux-2.12r-19.i586
+>!> 600: I__s_[S1:0][package]v4l-conf-3.94-14.i586
+>!> 601: I__s_[S1:0][package]vacation-1.2.6.1-143.i586
+>!> 602: I__s_[S1:0][package]vcdimager-0.7.23-12.i586
+>!> 603: I__s_[S1:0][package]vim-6.4.6-11.i586
+>!> 604: I__s_[S1:0][package]vorbis-tools-1.1.1-6.i586
+>!> 605: I__s_[S1:0][package]w3m-0.5.1-11.i586
+>!> 606: I__s_[S1:0][package]wdiff-0.5.2-667.i586
+>!> 607: I__s_[S1:0][package]wget-1.10.2-8.i586
+>!> 608: I__s_[S1:0][package]wireless-tools-28pre13-15.i586
+>!> 609: I__s_[S1:0][package]words-6-11.noarch
+>!> 610: I__s_[S1:0][package]wpa_supplicant-0.4.8-5.i586
+>!> 611: I__s_[S1:0][package]wv-1.0.3-13.i586
+>!> 612: I__s_[S1:0][package]wvdial-1.54-75.i586
+>!> 613: I__s_[S1:0][package]wvstreams-4.2.1-6.i586
+>!> 614: I__s_[S1:0][package]x11-input-gunze-031126-22.i586
+>!> 615: I__s_[S1:0][package]x11-input-synaptics-0.14.4-8.i586
+>!> 616: I__s_[S1:0][package]x11-input-wacom-0.7.2-9.i586
+>!> 617: I__s_[S1:0][package]x11-tools-0.1-29.i586
+>!> 618: I__s_[S1:0][package]xdelta-1.1.3-13.i586
+>!> 619: I__s_[S1:0][package]xdg-menu-0.2-58.i586
+>!> 620: I__s_[S1:0][package]xdmbgrd-0.5-37.i586
+>!> 621: I__s_[S1:0][package]xfsprogs-2.7.11-10.i586
+>!> 622: I__s_[S1:0][package]xine-lib-1.1.1-11.i586
+>!> 623: I__s_[S1:0][package]xinetd-2.3.14-7.i586
+>!> 624: I__s_[S1:0][package]xkeyboard-config-0.7-10.noarch
+>!> 625: I__s_[S1:0][package]xli-20050904-9.i586
+>!> 626: I__s_[S1:0][package]xlockmore-5.21-6.i586
+>!> 627: I__s_[S1:0][package]xmoto-0.1.11-7.i586
+>!> 628: I__s_[S1:0][package]xmset-1.2-9.i586
+>!> 629: I__s_[S1:0][package]xntp-4.2.0a-62.i586
+>!> 630: I__s_[S1:0][package]xorg-x11-6.9.0-25.i586
+>!> 631: I__s_[S1:0][package]xorg-x11-Xvnc-6.9.0-25.i586
+>!> 632: I__s_[S1:0][package]xorg-x11-driver-video-6.9.0-27.i586
+>!> 633: I__s_[S1:0][package]xorg-x11-driver-video-nvidia-6.9.0-27.i586
+>!> 634: I__s_[S1:0][package]xorg-x11-fonts-100dpi-6.9.0-25.i586
+>!> 635: I__s_[S1:0][package]xorg-x11-fonts-75dpi-6.9.0-25.i586
+>!> 636: I__s_[S1:0][package]xorg-x11-fonts-scalable-6.9.0-25.i586
+>!> 637: I__s_[S1:0][package]xorg-x11-libs-6.9.0-25.i586
+>!> 638: I__s_[S1:0][package]xorg-x11-server-6.9.0-25.i586
+>!> 639: I__s_[S1:0][package]xorg-x11-server-glx-6.9.0-25.i586
+>!> 640: I__s_[S1:0][package]xpdf-tools-3.01-14.i586
+>!> 641: I__s_[S1:0][package]xscreensaver-4.23-10.i586
+>!> 642: I__s_[S1:0][package]xterm-208-7.i586
+>!> 643: I__s_[S1:0][package]xtermset-0.5.2-127.i586
+>!> 644: I__s_[S1:0][package]yast2-2.13.36-2.i586
+>!> 645: I__s_[S1:0][package]yast2-apparmor-2.0-15.noarch
+>!> 646: I__s_[S1:0][package]yast2-backup-2.13.1-3.noarch
+>!> 647: I__s_[S1:0][package]yast2-bluetooth-2.13.2-3.noarch
+>!> 648: I__s_[S1:0][package]yast2-bootfloppy-2.13.23-2.i586
+>!> 649: I__s_[S1:0][package]yast2-bootloader-2.13.23-2.i586
+>!> 650: I__s_[S1:0][package]yast2-control-center-2.13.2-6.i586
+>!> 651: I__s_[S1:0][package]yast2-core-2.13.17-6.i586
+>!> 652: I__s_[S1:0][package]yast2-country-2.13.16-3.i586
+>!> 653: I__s_[S1:0][package]yast2-dhcp-server-2.13.1-3.noarch
+>!> 654: I__s_[S1:0][package]yast2-dns-server-2.13.7-3.noarch
+>!> 655: I__s_[S1:0][package]yast2-firewall-2.13.6-3.noarch
+>!> 656: I__s_[S1:0][package]yast2-hardware-detection-2.13.3-6.i586
+>!> 657: I__s_[S1:0][package]yast2-http-server-2.13.10-2.noarch
+>!> 658: I__s_[S1:0][package]yast2-inetd-2.13.2-3.noarch
+>!> 659: I__s_[S1:0][package]yast2-installation-2.13.35-2.noarch
+>!> 660: I__s_[S1:0][package]yast2-irda-2.13.1-5.noarch
+>!> 661: I__s_[S1:0][package]yast2-kerberos-client-2.13.3-3.noarch
+>!> 662: I__s_[S1:0][package]yast2-ldap-2.13.3-3.i586
+>!> 663: I__s_[S1:0][package]yast2-ldap-client-2.13.10-3.noarch
+>!> 664: I__s_[S1:0][package]yast2-mail-2.13.3-3.noarch
+>!> 665: I__s_[S1:0][package]yast2-mail-aliases-2.13.3-3.noarch
+>!> 666: I__s_[S1:0][package]yast2-mouse-2.13.7-7.i586
+>!> 667: I__s_[S1:0][package]yast2-ncurses-2.13.13-2.i586
+>!> 668: I__s_[S1:0][package]yast2-network-2.13.35-2.i586
+>!> 669: I__s_[S1:0][package]yast2-nfs-client-2.13.3-3.noarch
+>!> 670: I__s_[S1:0][package]yast2-nfs-server-2.13.3-3.noarch
+>!> 671: I__s_[S1:0][package]yast2-nis-client-2.13.2-3.i586
+>!> 672: I__s_[S1:0][package]yast2-nis-server-2.13.1-6.noarch
+>!> 673: I__s_[S1:0][package]yast2-ntp-client-2.13.4-2.noarch
+>!> 674: I__s_[S1:0][package]yast2-online-update-2.13.8-2.i586
+>!> 675: I__s_[S1:0][package]yast2-packager-2.13.46-2.i586
+>!> 676: I__s_[S1:0][package]yast2-pam-2.13.2-6.noarch
+>!> 677: I__s_[S1:0][package]yast2-perl-bindings-2.13.4-6.i586
+>!> 678: I__s_[S1:0][package]yast2-phone-services-2.13.1-3.noarch
+>!> 679: I__s_[S1:0][package]yast2-pkg-bindings-2.13.28-2.i586
+>!> 680: I__s_[S1:0][package]yast2-power-management-2.13.5-5.i586
+>!> 681: I__s_[S1:0][package]yast2-powertweak-2.13.5-5.noarch
+>!> 682: I__s_[S1:0][package]yast2-printer-2.13.4-4.i586
+>!> 683: I__s_[S1:0][package]yast2-profile-manager-2.13.4-5.i586
+>!> 684: I__s_[S1:0][package]yast2-qt-2.13.33-2.i586
+>!> 685: I__s_[S1:0][package]yast2-repair-2.13.3-5.noarch
+>!> 686: I__s_[S1:0][package]yast2-restore-2.13.1-3.noarch
+>!> 687: I__s_[S1:0][package]yast2-runlevel-2.13.5-5.noarch
+>!> 688: I__s_[S1:0][package]yast2-samba-client-2.13.10-2.noarch
+>!> 689: I__s_[S1:0][package]yast2-samba-server-2.13.7-2.noarch
+>!> 690: I__s_[S1:0][package]yast2-scanner-2.13.15-3.noarch
+>!> 691: I__s_[S1:0][package]yast2-schema-2.13.2-4.noarch
+>!> 692: I__s_[S1:0][package]yast2-security-2.13.2-5.noarch
+>!> 693: I__s_[S1:0][package]yast2-slp-2.13.1-5.i586
+>!> 694: I__s_[S1:0][package]yast2-sound-2.13.9-3.i586
+>!> 695: I__s_[S1:0][package]yast2-storage-2.13.35-2.i586
+>!> 696: I__s_[S1:0][package]yast2-storage-lib-2.13.35-2.i586
+>!> 697: I__s_[S1:0][package]yast2-support-2.13.2-3.noarch
+>!> 698: I__s_[S1:0][package]yast2-sysconfig-2.13.5-5.noarch
+>!> 699: I__s_[S1:0][package]yast2-tftp-server-2.13.3-3.noarch
+>!> 700: I__s_[S1:0][package]yast2-theme-SuSELinux-2.13.3-7.noarch
+>!> 701: I__s_[S1:0][package]yast2-trans-de-2.13.11-3.noarch
+>!> 702: I__s_[S1:0][package]yast2-trans-stats-2.11.0-12.noarch
+>!> 703: I__s_[S1:0][package]yast2-transfer-2.13.3-3.i586
+>!> 704: I__s_[S1:0][package]yast2-tune-2.13.4-5.i586
+>!> 705: I__s_[S1:0][package]yast2-tv-2.13.7-3.noarch
+>!> 706: I__s_[S1:0][package]yast2-update-2.13.5-2.i586
+>!> 707: I__s_[S1:0][package]yast2-users-2.13.15-2.i586
+>!> 708: I__s_[S1:0][package]yast2-vm-2.13.27-3.i586
+>!> 709: I__s_[S1:0][package]yast2-x11-2.13.6-27.noarch
+>!> 710: I__s_[S1:0][package]yast2-xml-2.13.1-6.i586
+>!> 711: I__s_[S1:0][package]yp-tools-2.9-9.i586
+>!> 712: I__s_[S1:0][package]ypbind-1.19.1-7.i586
+>!> 713: I__s_[S1:0][package]zen-updater-7.1.0-16.i586
+>!> 714: I__s_[S1:0][package]zip-2.31-8.i586
+>!> 715: I__s_[S1:0][package]ziptool-1.4.0-117.i586
+>!> 716: I__s_[S1:0][package]zisofs-tools-1.0.6-8.i586
+>!> 717: I__s_[S1:0][package]zlib-1.2.3-8.i586
+>!> 718: I__s_[S1:0][package]zmd-7.1.1-24.i586
+>!> 719: I__s_[S1:0][package]zsh-4.2.6-8.i586
+>!> 720: I__s_[S1:0][package]zvbi-0.2.16-10.i586
+>!> 1 problems found:
+>!> Problem:
+>!> This would invalidate novfs-kmp-default-1.2.0_2.6.16_rc5_git14_2-8.i586.
+>!> novfs-kmp-default-1.2.0_2.6.16_rc5_git14_2-8.i586 has unfulfilled requirements
+>!>    Solution:
+>!>       delete novfs-kmp-default
+>!>       delete novfs-kmp-default-1.2.0_2.6.16_rc5_git14_2-8.i586

Added: trunk/sat-solver/testsuite/data.libzypp/kernel-tests/1_2_2-default-test.xml
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/kernel-tests/1_2_2-default-test.xml?rev=7490&view=auto
==============================================================================
--- trunk/sat-solver/testsuite/data.libzypp/kernel-tests/1_2_2-default-test.xml (added)
+++ trunk/sat-solver/testsuite/data.libzypp/kernel-tests/1_2_2-default-test.xml Fri Oct 12 14:33:29 2007
@@ -0,0 +1,27 @@
+<?xml version="1.0"?>
+<test>
+<setup>
+  <system file="1.2.2-default-system.xml.gz"/>
+  <channel name="packages" file="1.2.2-default-packages.xml.gz"/>
+  <hardwareInfo path="kernel-hardware"/>
+</setup>
+<!-- 
+    (1.2) Kernel ABI has changed
+
+      The KMPs and the kernel become incompatible. This results in
+      a mismatch in kernel(name) = version Provides of the kernel and
+      requires of the KMP. The resolver should indicate a conflict to
+      be resolved interactively.
+
+      (1.2.2) Updated some-kmp-$flavor packages are available, but
+             none for the flavor of the installed kernel
+
+       Same result as (1.2.1).
+-->
+
+<trial>
+  <distupgrade delete_unmaintained="false"/>
+  <reportproblems/>
+</trial>
+
+</test>

Added: trunk/sat-solver/testsuite/data.libzypp/kernel-tests/1_2_2-smp-test.solution
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/kernel-tests/1_2_2-smp-test.solution?rev=7490&view=auto
==============================================================================
--- trunk/sat-solver/testsuite/data.libzypp/kernel-tests/1_2_2-smp-test.solution (added)
+++ trunk/sat-solver/testsuite/data.libzypp/kernel-tests/1_2_2-smp-test.solution Fri Oct 12 14:33:29 2007
@@ -0,0 +1,729 @@
+>!> setting HardwareInfo to: ./kernel-hardware
+>!> Doing distribution upgrade ...
+>!> 1: I__s_[S1:0][package]3ddiag-0.729-7.i586
+>!> 2: I__s_[S1:0][package]855resolution-0.4-11.i586
+>!> 3: I__s_[S1:0][package]CheckHardware-0.1-980.i586
+>!> 4: I__s_[S1:0][package]Crystalcursors-0.5-32.noarch
+>!> 5: I__s_[S1:0][package]Mesa-6.4.2-6.i586
+>!> 6: I__s_[S1:0][package]MozillaFirefox-1.5.0.1-15.i586
+>!> 7: I__s_[S1:0][package]MozillaFirefox-translations-1.5.0.1-15.i586
+>!> 8: I__s_[S1:0][package]NX-1.5.0-29.i586
+>!> 9: I__s_[S1:0][package]NetworkManager-0.6.1-4.i586
+>!> 10: I__s_[S1:0][package]NetworkManager-kde-0.1r5879-2.i586
+>!> 11: I__s_[S1:0][package]OpenEXR-1.2.2-9.i586
+>!> 12: I__s_[S1:0][package]OpenOffice_org-2.0.2-7.i586
+>!> 13: I__s_[S1:0][package]OpenOffice_org-Quickstarter-1.0-478.i586
+>!> 14: I__s_[S1:0][package]OpenOffice_org-de-2.0.2-7.i586
+>!> 15: I__s_[S1:0][package]OpenOffice_org-de-templates-8.2-164.i586
+>!> 16: I__s_[S1:0][package]OpenOffice_org-kde-2.0.2-7.i586
+>!> 17: I__s_[S1:0][package]SDL-1.2.9-12.i586
+>!> 18: I__s_[S1:0][package]SDL_image-1.2.4-9.i586
+>!> 19: I__s_[S1:0][package]SDL_mixer-1.2.6-10.i586
+>!> 20: I__s_[S1:0][package]SDL_net-1.2.5-229.i586
+>!> 21: I__s_[S1:0][package]SDL_perl-1.20.0-364.i586
+>!> 22: I__s_[S1:0][package]SDL_ttf-2.0.6-229.i586
+>!> 23: I__s_[S1:0][package]SuSEfirewall2-3.4_SVNr139-2.noarch
+>!> 24: I__s_[S1:0][package]WindowMaker-0.92.0-16.i586
+>!> 25: I__s_[S1:0][package]WindowMaker-applets-1.0-668.i586
+>!> 26: I__s_[S1:0][package]WindowMaker-themes-0.1-245.noarch
+>!> 27: I__s_[S1:0][package]a2ps-4.13-1067.i586
+>!> 28: I__s_[S1:0][package]aaa_base-10.1-5.i586
+>!> 29: I__s_[S1:0][package]aaa_skel-2006.2.24-3.i586
+>!> 30: I__s_[S1:0][package]aalib-1.4.0-296.i586
+>!> 31: I__s_[S1:0][package]acl-2.2.34-5.i586
+>!> 32: I__s_[S1:0][package]acpid-1.0.4-22.i586
+>!> 33: I__s_[S1:0][package]alsa-1.0.11-17.i586
+>!> 34: I__s_[S1:0][package]alsa-firmware-1.0.10-6.noarch
+>!> 35: I__s_[S1:0][package]alsa-tools-1.0.11-9.i586
+>!> 36: I__s_[S1:0][package]amarok-1.3.8-15.i586
+>!> 37: I__s_[S1:0][package]amarok-libvisual-1.3.8-15.i586
+>!> 38: I__s_[S1:0][package]amarok-xine-1.3.8-15.i586
+>!> 39: I__s_[S1:0][package]apparmor-docs-2.0-8.noarch
+>!> 40: I__s_[S1:0][package]apparmor-parser-2.0-12.i586
+>!> 41: I__s_[S1:0][package]apparmor-profiles-2.0-15.noarch
+>!> 42: I__s_[S1:0][package]apparmor-utils-2.0-12.noarch
+>!> 43: I__s_[S1:0][package]arts-1.5.1-8.i586
+>!> 44: I__s_[S1:0][package]ash-1.6.1-8.i586
+>!> 45: I__s_[S1:0][package]aspell-0.60.3-12.i586
+>!> 46: I__s_[S1:0][package]aspell-de-0.50.2-344.i586
+>!> 47: I__s_[S1:0][package]aspell-en-6.0-13.i586
+>!> 48: I__s_[S1:0][package]at-3.1.8-914.i586
+>!> 49: I__s_[S1:0][package]atk-1.10.3-8.i586
+>!> 50: I__s_[S1:0][package]attr-2.4.28-7.i586
+>!> 51: I__s_[S1:0][package]audiofile-0.2.6-10.i586
+>!> 52: I__s_[S1:0][package]audit-1.1.3-13.i586
+>!> 53: I__s_[S1:0][package]audit-libs-1.1.3-13.i586
+>!> 54: I__s_[S1:0][package]autofs-4.1.4-16.i586
+>!> 55: I__s_[S1:0][package]autoyast2-2.13.29-2.noarch
+>!> 56: I__s_[S1:0][package]autoyast2-installation-2.13.29-2.noarch
+>!> 57: I__s_[S1:0][package]awesfx-0.5.0d-9.i586
+>!> 58: I__s_[S1:0][package]bash-3.1-14.i586
+>!> 59: I__s_[S1:0][package]bc-1.06-757.i586
+>!> 60: I__s_[S1:0][package]beagle-0.2.2.1-4.i586
+>!> 61: I__s_[S1:0][package]bind-libs-9.3.2-10.i586
+>!> 62: I__s_[S1:0][package]bind-utils-9.3.2-10.i586
+>!> 63: I__s_[S1:0][package]binutils-2.16.91.0.5-8.i586
+>!> 64: I__s_[S1:0][package]blocxx-1.0.0-7.i586
+>!> 65: I__s_[S1:0][package]bluez-libs-2.24-5.i586
+>!> 66: I__s_[S1:0][package]bluez-utils-2.24-7.i586
+>!> 67: I__s_[S1:0][package]boost-1.33.1-8.i586
+>!> 68: I__s_[S1:0][package]bootloader-theme-SUSELinux-Prof-2006.3.9-2.noarch
+>!> 69: I__s_[S1:0][package]bootsplash-3.3-8.i586
+>!> 70: I__s_[S1:0][package]bootsplash-theme-SuSE-3.1-60.i586
+>!> 71: I__s_[S1:0][package]busybox-1.1.0-6.i586
+>!> 72: I__s_[S1:0][package]bzip2-1.0.3-10.i586
+>!> 73: I__s_[S1:0][package]cabextract-1.1-9.i586
+>!> 74: I__s_[S1:0][package]cairo-1.0.2-16.i586
+>!> 75: I__s_[S1:0][package]capi4linux-2006.2.28-4.i586
+>!> 76: I__s_[S1:0][package]cdparanoia-IIIalpha9.8-555.i586
+>!> 77: I__s_[S1:0][package]cdrdao-1.2.0-10.i586
+>!> 78: I__s_[S1:0][package]cdrecord-2.01-17.i586
+>!> 79: I__s_[S1:0][package]checkmedia-2.1-7.i586
+>!> 80: I__s_[S1:0][package]cifs-mount-3.0.21c-8.i586
+>!> 81: U__s_[S2:1][package]cloop-kmp-default-2.01_2.6.16_rc5_git14_3c-15.i586
+>!> 82: I__s_[S1:1][package]cloop-kmp-smp-2.01_2.6.16_rc5_git14_2-15.i586
+>!> 83: I__s_[S1:0][package]compat-2006.1.25-4.i586
+>!> 84: I__s_[S1:0][package]compat-curl2-7.11.0-13.i586
+>!> 85: I__s_[S1:0][package]compat-libstdc++-5.0.7-15.i586
+>!> 86: I__s_[S1:0][package]compat-openssl097g-0.9.7g-6.i586
+>!> 87: I__s_[S1:0][package]convmv-1.09-5.noarch
+>!> 88: I__s_[S1:0][package]coreutils-5.93-14.i586
+>!> 89: I__s_[S1:0][package]cpio-2.6-12.i586
+>!> 90: I__s_[S1:0][package]cpp-4.1.0-5.i586
+>!> 91: I__s_[S1:0][package]cpufrequtils-0.4-6.i586
+>!> 92: I__s_[S1:0][package]cracklib-2.8.6-6.i586
+>!> 93: I__s_[S1:0][package]crafty-20.1-5.i586
+>!> 94: I__s_[S1:0][package]cron-4.1-37.i586
+>!> 95: I__s_[S1:0][package]cups-1.1.23-31.i586
+>!> 96: I__s_[S1:0][package]cups-SUSE-ppds-dat-1.1.20-111.i586
+>!> 97: I__s_[S1:0][package]cups-client-1.1.23-31.i586
+>!> 98: I__s_[S1:0][package]cups-drivers-1.1.23-20.i586
+>!> 99: I__s_[S1:0][package]cups-drivers-stp-1.1.23-20.i586
+>!> 100: I__s_[S1:0][package]cups-libs-1.1.23-31.i586
+>!> 101: I__s_[S1:0][package]curl-7.15.1-11.i586
+>!> 102: I__s_[S1:0][package]cyrus-sasl-2.1.21-10.i586
+>!> 103: I__s_[S1:0][package]cyrus-sasl-crammd5-2.1.21-10.i586
+>!> 104: I__s_[S1:0][package]cyrus-sasl-digestmd5-2.1.21-10.i586
+>!> 105: I__s_[S1:0][package]cyrus-sasl-plain-2.1.21-10.i586
+>!> 106: I__s_[S1:0][package]cyrus-sasl-saslauthd-2.1.21-10.i586
+>!> 107: I__s_[S1:0][package]db-4.3.29-8.i686
+>!> 108: I__s_[S1:0][package]dbus-1-0.60-20.i586
+>!> 109: I__s_[S1:0][package]dbus-1-glib-0.60-20.i586
+>!> 110: I__s_[S1:0][package]dbus-1-mono-0.60-20.i586
+>!> 111: I__s_[S1:0][package]dbus-1-qt3-0.60-20.i586
+>!> 112: I__s_[S1:0][package]dbus-1-x11-0.60-20.i586
+>!> 113: I__s_[S1:0][package]dcraw-1.315-5.i586
+>!> 114: I__s_[S1:0][package]dejavu-2.2-7.noarch
+>!> 115: I__s_[S1:0][package]deltarpm-3.3-5.i586
+>!> 116: I__s_[S1:0][package]desktop-data-SuSE-10.1-21.noarch
+>!> 117: I__s_[S1:0][package]desktop-file-utils-0.10-15.i586
+>!> 118: I__s_[S1:0][package]desktop-translations-10.1-14.noarch
+>!> 119: I__s_[S1:0][package]device-mapper-1.02.02-8.i586
+>!> 120: I__s_[S1:0][package]devs-10.1-1.i586
+>!> 121: I__s_[S1:0][package]dhcdbd-1.12-7.i586
+>!> 122: I__s_[S1:0][package]dhcp-3.0.3-13.i586
+>!> 123: I__s_[S1:0][package]dhcp-client-3.0.3-13.i586
+>!> 124: I__s_[S1:0][package]dhcpcd-1.3.22pl4-216.i586
+>!> 125: I__s_[S1:0][package]dialog-0.9b-197.i586
+>!> 126: I__s_[S1:0][package]diffutils-2.8.7-10.i586
+>!> 127: I__s_[S1:0][package]digikam-0.8.1-13.i586
+>!> 128: I__s_[S1:0][package]digikamimageplugins-0.8.0-7.i586
+>!> 129: I__s_[S1:0][package]dirmngr-0.9.2-8.i586
+>!> 130: I__s_[S1:0][package]dmraid-0.99_1.0.0rc8-7.i586
+>!> 131: I__s_[S1:0][package]dos2unix-3.1-309.i586
+>!> 132: I__s_[S1:0][package]dosbootdisk-1.1-46.i586
+>!> 133: I__s_[S1:0][package]dosfstools-2.11-8.i586
+>!> 134: I__s_[S1:0][package]dragonegg-0.1-11.i586
+>!> 135: I__s_[S1:0][package]dvd+rw-tools-6.1-7.i586
+>!> 136: I__s_[S1:0][package]e2fsprogs-1.38-18.i586
+>!> 137: I__s_[S1:0][package]ed-0.2-874.i586
+>!> 138: I__s_[S1:0][package]efont-unicode-0.4.2-12.noarch
+>!> 139: I__s_[S1:0][package]eject-2.1.0-5.i586
+>!> 140: I__s_[S1:0][package]enigma-0.92-13.i586
+>!> 141: I__s_[S1:0][package]enscript-1.6.4-12.i586
+>!> 142: I__s_[S1:0][package]esound-0.2.36-12.i586
+>!> 143: I__s_[S1:0][package]ethtool-3-8.i586
+>!> 144: I__s_[S1:0][package]expat-2.0.0-6.i586
+>!> 145: I__s_[S1:0][package]fam-2.6.10-140.i586
+>!> 146: I__s_[S1:0][package]fam-server-2.6.10-140.i586
+>!> 147: I__s_[S1:0][package]fbset-2.1-790.i586
+>!> 148: I__s_[S1:0][package]file-4.16-7.i586
+>!> 149: I__s_[S1:0][package]fileshareset-2.0-53.i586
+>!> 150: I__s_[S1:0][package]filesystem-10.0.42-11.i586
+>!> 151: I__s_[S1:0][package]fillup-1.42-111.i586
+>!> 152: I__s_[S1:0][package]filters-2006.1.25-4.i586
+>!> 153: I__s_[S1:0][package]findutils-4.2.27-6.i586
+>!> 154: I__s_[S1:0][package]finger-1.3-7.i586
+>!> 155: I__s_[S1:0][package]flac-1.1.2-8.i586
+>!> 156: I__s_[S1:0][package]fontconfig-2.3.94-2.i586
+>!> 157: I__s_[S1:0][package]fonts-config-20060210-5.noarch
+>!> 158: I__s_[S1:0][package]foomatic-filters-3.0.2-12.i586
+>!> 159: I__s_[S1:0][package]freeciv-2.0.7-8.i586
+>!> 160: I__s_[S1:0][package]freeglut-051110-8.i586
+>!> 161: I__s_[S1:0][package]freetype-1.3.1-1166.i586
+>!> 162: I__s_[S1:0][package]freetype2-2.1.10-9.i586
+>!> 163: I__s_[S1:0][package]fribidi-0.10.4-493.i586
+>!> 164: I__s_[S1:0][package]frozen-bubble-1.0.0-343.i586
+>!> 165: I__s_[S1:0][package]fvwm2-2.5.12-11.i586
+>!> 166: I__s_[S1:0][package]gail-1.8.8-8.i586
+>!> 167: I__s_[S1:0][package]gawk-3.1.5-11.i586
+>!> 168: I__s_[S1:0][package]gconf2-2.12.1-20.i586
+>!> 169: I__s_[S1:0][package]gdb-6.4-8.i586
+>!> 170: I__s_[S1:0][package]gdbm-1.8.3-236.i586
+>!> 171: I__s_[S1:0][package]gettext-0.14.5-6.i586
+>!> 172: I__s_[S1:0][package]ghostscript-fonts-other-8.15.2rc1-13.i586
+>!> 173: I__s_[S1:0][package]ghostscript-fonts-std-8.15.2rc1-13.i586
+>!> 174: I__s_[S1:0][package]ghostscript-library-8.15.2rc1-13.i586
+>!> 175: I__s_[S1:0][package]ghostscript-x11-8.15.2rc1-13.i586
+>!> 176: I__s_[S1:0][package]giflib-4.1.4-7.i586
+>!> 177: I__s_[S1:0][package]gimp-2.2.10-14.i586
+>!> 178: I__s_[S1:0][package]gimp-cmyk-0.3-14.i586
+>!> 179: I__s_[S1:0][package]gle-3.0.6-654.i586
+>!> 180: I__s_[S1:0][package]glib-1.2.10-602.i586
+>!> 181: I__s_[S1:0][package]glib-sharp2-2.8.2-4.i586
+>!> 182: I__s_[S1:0][package]glib2-2.8.5-12.i586
+>!> 183: I__s_[S1:0][package]glibc-2.4-6.i686
+>!> 184: I__s_[S1:0][package]glibc-i18ndata-2.4-6.i586
+>!> 185: I__s_[S1:0][package]glibc-locale-2.4-6.i586
+>!> 186: I__s_[S1:0][package]glitz-0.4.4-14.i586
+>!> 187: I__s_[S1:0][package]gmime-2.1.19-6.i586
+>!> 188: I__s_[S1:0][package]gmp-4.1.4-13.i586
+>!> 189: I__s_[S1:0][package]gnome-desktop-2.12.2-13.i586
+>!> 190: I__s_[S1:0][package]gnome-filesystem-0.1-249.i586
+>!> 191: I__s_[S1:0][package]gnome-icon-theme-2.12.1-14.noarch
+>!> 192: I__s_[S1:0][package]gnome-keyring-0.4.6-8.i586
+>!> 193: I__s_[S1:0][package]gnome-mime-data-2.4.2-13.i586
+>!> 194: I__s_[S1:0][package]gnome-vfs2-2.12.2-37.i586
+>!> 195: I__s_[S1:0][package]gnutls-1.2.10-6.i586
+>!> 196: I__s_[S1:0][package]goom2k4-rc2-41.i586
+>!> 197: I__s_[S1:0][package]gpart-0.1h-485.i586
+>!> 198: I__s_[S1:0][package]gpg-1.4.2-16.i586
+>!> 199: I__s_[S1:0][package]gpg2-1.9.18-10.i586
+>!> 200: I__s_[S1:0][package]gpgme-1.0.3-9.i586
+>!> 201: I__s_[S1:0][package]gpm-1.20.1-315.i586
+>!> 202: I__s_[S1:0][package]grep-2.5.1a-12.i586
+>!> 203: I__s_[S1:0][package]groff-1.18.1.1-22.i586
+>!> 204: I__s_[S1:0][package]grub-0.97-6.i586
+>!> 205: I__s_[S1:0][package]gsf-sharp-0.7-13.i586
+>!> 206: I__s_[S1:0][package]gtk-1.2.10-900.i586
+>!> 207: I__s_[S1:0][package]gtk-qt-engine-0.7cvs20060209-9.i586
+>!> 208: I__s_[S1:0][package]gtk-sharp2-2.8.2-4.i586
+>!> 209: I__s_[S1:0][package]gtk2-2.8.10-20.i586
+>!> 210: I__s_[S1:0][package]gtksourceview-1.5.6-10.i586
+>!> 211: I__s_[S1:0][package]gwenview-1.3.1-8.i586
+>!> 212: I__s_[S1:0][package]gzip-1.3.5-152.i586
+>!> 213: I__s_[S1:0][package]hal-0.5.6-16.i586
+>!> 214: I__s_[S1:0][package]hal-resmgr-0.1_SVNr77-5.i586
+>!> 215: I__s_[S1:0][package]hdparm-6.3-6.i586
+>!> 216: I__s_[S1:0][package]hplip-0.9.7-9.i586
+>!> 217: I__s_[S1:0][package]hplip-hpijs-0.9.7-9.i586
+>!> 218: I__s_[S1:0][package]htdig-3.2.0b6-14.i586
+>!> 219: I__s_[S1:0][package]hwinfo-12.13-2.i586
+>!> 220: I__s_[S1:0][package]i4l-base-2006.2.28-4.i586
+>!> 221: I__s_[S1:0][package]i4l-isdnlog-2006.2.28-4.i586
+>!> 222: I__s_[S1:0][package]i4lfirm-2006.2.28-4.i586
+>!> 223: I__s_[S1:0][package]id3lib-3.8.3-97.i586
+>!> 224: I__s_[S1:0][package]ifnteuro-1.2.1-202.noarch
+>!> 225: I__s_[S1:0][package]ifplugd-0.28-10.i586
+>!> 226: I__s_[S1:0][package]imlib-1.9.14-206.i586
+>!> 227: I__s_[S1:0][package]imlib2-1.2.1-10.i586
+>!> 228: I__s_[S1:0][package]imlib2-loaders-1.2.1-10.i586
+>!> 229: I__s_[S1:0][package]info-4.8-15.i586
+>!> 230: I__s_[S1:0][package]info2html-1.4-9.noarch
+>!> 231: I__s_[S1:0][package]initviocons-0.4-309.i586
+>!> 232: I__s_[S1:0][package]insserv-1.04.0-13.i586
+>!> 233: I__s_[S1:0][package]intlfnts-1.2.1-202.noarch
+>!> 234: I__s_[S1:0][package]iproute2-2.6.15-6.i586
+>!> 235: I__s_[S1:0][package]iptables-1.3.5-6.i586
+>!> 236: I__s_[S1:0][package]iputils-ss021109-160.i586
+>!> 237: I__s_[S1:0][package]isapnp-1.26-498.i586
+>!> 238: I__s_[S1:0][package]ispell-3.2.06-471.i586
+>!> 239: I__s_[S1:0][package]ispell-american-3.2.06-471.i586
+>!> 240: I__s_[S1:0][package]ispell-british-3.2.06-471.i586
+>!> 241: I__s_[S1:0][package]jack-0.100.0-10.i586
+>!> 242: I__s_[S1:0][package]java-1_4_2-gcj-compat-1.4.2.0-20.i586
+>!> 243: I__s_[S1:0][package]jfsutils-1.1.10-6.i586
+>!> 244: I__s_[S1:0][package]joe-3.3-8.i586
+>!> 245: I__s_[S1:0][package]jpackage-utils-1.6.3-11.i586
+>!> 246: I__s_[S1:0][package]jpeg-6b-745.i586
+>!> 247: I__s_[S1:0][package]k3b-0.12.14-3.i586
+>!> 248: I__s_[S1:0][package]kaffeine-0.7.1-15.i586
+>!> 249: I__s_[S1:0][package]kbd-1.12-53.i586
+>!> 250: I__s_[S1:0][package]kde3-i18n-de-3.5.1-9.noarch
+>!> 251: I__s_[S1:0][package]kdeaddons3-kate-3.5.1-9.i586
+>!> 252: I__s_[S1:0][package]kdeaddons3-kicker-3.5.1-9.i586
+>!> 253: I__s_[S1:0][package]kdeaddons3-konqueror-3.5.1-9.i586
+>!> 254: I__s_[S1:0][package]kdeartwork3-kscreensaver-3.5.1-10.i586
+>!> 255: I__s_[S1:0][package]kdeartwork3-sound-3.5.1-10.i586
+>!> 256: I__s_[S1:0][package]kdeartwork3-xscreensaver-3.5.1-10.i586
+>!> 257: I__s_[S1:0][package]kdebase3-3.5.1-41.i586
+>!> 258: I__s_[S1:0][package]kdebase3-SuSE-10.1-37.i586
+>!> 259: I__s_[S1:0][package]kdebase3-kdm-3.5.1-41.i586
+>!> 260: I__s_[S1:0][package]kdebase3-ksysguardd-3.5.1-41.i586
+>!> 261: I__s_[S1:0][package]kdebase3-nsplugin-3.5.1-41.i586
+>!> 262: I__s_[S1:0][package]kdebase3-samba-3.5.1-41.i586
+>!> 263: I__s_[S1:0][package]kdebase3-session-3.5.1-41.i586
+>!> 264: I__s_[S1:0][package]kdebindings3-python-3.5.1-9.i586
+>!> 265: I__s_[S1:0][package]kdebluetooth-0.0.svn20051202-15.i586
+>!> 266: I__s_[S1:0][package]kdegames3-3.5.1-7.i586
+>!> 267: I__s_[S1:0][package]kdegraphics3-3.5.1-11.i586
+>!> 268: I__s_[S1:0][package]kdegraphics3-fax-3.5.1-11.i586
+>!> 269: I__s_[S1:0][package]kdegraphics3-kamera-3.5.1-11.i586
+>!> 270: I__s_[S1:0][package]kdegraphics3-pdf-3.5.1-11.i586
+>!> 271: I__s_[S1:0][package]kdegraphics3-postscript-3.5.1-11.i586
+>!> 272: I__s_[S1:0][package]kdegraphics3-scan-3.5.1-11.i586
+>!> 273: I__s_[S1:0][package]kdelibs3-3.5.1-26.i586
+>!> 274: I__s_[S1:0][package]kdelibs3-doc-3.5.1-26.i586
+>!> 275: I__s_[S1:0][package]kdemultimedia3-3.5.1-9.i586
+>!> 276: I__s_[S1:0][package]kdemultimedia3-CD-3.5.1-9.i586
+>!> 277: I__s_[S1:0][package]kdemultimedia3-mixer-3.5.1-9.i586
+>!> 278: I__s_[S1:0][package]kdenetwork3-3.5.1-16.i586
+>!> 279: I__s_[S1:0][package]kdenetwork3-InstantMessenger-3.5.1-16.i586
+>!> 280: I__s_[S1:0][package]kdenetwork3-news-3.5.1-16.i586
+>!> 281: I__s_[S1:0][package]kdenetwork3-vnc-3.5.1-16.i586
+>!> 282: I__s_[S1:0][package]kdepim3-3.5.1-22.i586
+>!> 283: I__s_[S1:0][package]kdepim3-kpilot-3.5.1-22.i586
+>!> 284: I__s_[S1:0][package]kdepim3-networkstatus-3.5.1-22.i586
+>!> 285: I__s_[S1:0][package]kdepim3-sync-3.5.1-22.i586
+>!> 286: I__s_[S1:0][package]kdetv-0.8.8-7.i586
+>!> 287: I__s_[S1:0][package]kdeutils3-3.5.1-12.i586
+>!> 288: I__s_[S1:0][package]kdeutils3-laptop-3.5.1-12.i586
+>!> 289: U__s_[S2:1][package]kernel-default-2.6.16_rc5_git14-3c.i586
+>!> 290: I__s_[S1:1][package]kernel-smp-2.6.16_rc5_git14-2.i586
+>!> 291: U_Th_[S2:1][package]kernel-smp-2.6.16_rc5_git14-3c.i586
+>!> 292: I__s_[S1:0][package]kerry-0.09-2.i586
+>!> 293: I__s_[S1:0][package]kio_beagle-0.2-8.i586
+>!> 294: I__s_[S1:0][package]kio_ipodslave-0.7.2-5.i586
+>!> 295: I__s_[S1:0][package]kio_slp-0.4.1-9.i586
+>!> 296: I__s_[S1:0][package]kipi-plugins-0.1.0rc1-12.i586
+>!> 297: I__s_[S1:0][package]klogd-1.4.1-552.i586
+>!> 298: I__s_[S1:0][package]knights-0.6-415.i586
+>!> 299: I__s_[S1:0][package]konversation-0.18-13.i586
+>!> 300: I__s_[S1:0][package]kpowersave-0.5.11-2.i586
+>!> 301: I__s_[S1:0][package]krb5-1.4.3-11.i586
+>!> 302: I__s_[S1:0][package]krecord-1.16-18.i586
+>!> 303: I__s_[S1:0][package]kscpm-0.5.3-9.i586
+>!> 304: I__s_[S1:0][package]ksymoops-2.4.11-10.i586
+>!> 305: I__s_[S1:0][package]ktorrent-1.2-11.i586
+>!> 306: U__s_[S0:0][language]ar-.noarch
+>!> 307: U__s_[S0:0][language]bg-.noarch
+>!> 308: U__s_[S0:0][language]cs-.noarch
+>!> 309: U__s_[S0:0][language]de-.noarch
+>!> 310: U__s_[S0:0][language]el-.noarch
+>!> 311: U__s_[S0:0][language]en-.noarch
+>!> 312: U__s_[S0:0][language]en_GB-.noarch
+>!> 313: U__s_[S0:0][language]he-.noarch
+>!> 314: U__s_[S0:0][language]ru-.noarch
+>!> 315: I__s_[S1:0][package]ldapcpplib-0.0.4-6.i586
+>!> 316: I__s_[S1:0][package]less-394-6.i586
+>!> 317: I__s_[S1:0][package]lftp-3.4.0-14.i586
+>!> 318: I__s_[S1:0][package]libacl-2.2.34-5.i586
+>!> 319: I__s_[S1:0][package]libakode-2.0.0-11.i586
+>!> 320: I__s_[S1:0][package]libao-0.8.6-12.i586
+>!> 321: I__s_[S1:0][package]libapparmor-2.0-9.i586
+>!> 322: I__s_[S1:0][package]libart_lgpl-2.3.17-10.i586
+>!> 323: I__s_[S1:0][package]libattr-2.4.28-7.i586
+>!> 324: I__s_[S1:0][package]libbeagle-0.2.2.1-4.i586
+>!> 325: I__s_[S1:0][package]libbonobo-2.10.1-17.i586
+>!> 326: I__s_[S1:0][package]libbonoboui-2.10.1-15.i586
+>!> 327: I__s_[S1:0][package]libcap-1.92-492.i586
+>!> 328: I__s_[S1:0][package]libcddb-1.2.1-11.i586
+>!> 329: I__s_[S1:0][package]libcdio-0.76-9.i586
+>!> 330: I__s_[S1:0][package]libcom_err-1.38-18.i586
+>!> 331: I__s_[S1:0][package]libcroco-0.6.0-16.i586
+>!> 332: I__s_[S1:0][package]libdrm-2.0-8.i586
+>!> 333: I__s_[S1:0][package]libevent-1.1-6.i586
+>!> 334: I__s_[S1:0][package]libexif-0.6.13-13.i586
+>!> 335: I__s_[S1:0][package]libgcc-4.1.0-5.i586
+>!> 336: I__s_[S1:0][package]libgcj-4.1.0-5.i586
+>!> 337: I__s_[S1:0][package]libgcrypt-1.2.2-6.i586
+>!> 338: I__s_[S1:0][package]libgimpprint-4.2.7-55.i586
+>!> 339: I__s_[S1:0][package]libglade2-2.5.1-17.i586
+>!> 340: I__s_[S1:0][package]libgnome-2.12.0.1-18.i586
+>!> 341: I__s_[S1:0][package]libgnomecanvas-2.12.0-12.i586
+>!> 342: I__s_[S1:0][package]libgnomecups-0.2.2-13.i586
+>!> 343: I__s_[S1:0][package]libgnomeprint-2.12.1-12.i586
+>!> 344: I__s_[S1:0][package]libgnomeprintui-2.12.1-12.i586
+>!> 345: I__s_[S1:0][package]libgnomesu-1.0.0-17.i586
+>!> 346: I__s_[S1:0][package]libgnomeui-2.12.0-16.i586
+>!> 347: I__s_[S1:0][package]libgpg-error-1.0-9.i586
+>!> 348: I__s_[S1:0][package]libgphoto2-2.1.99.0head-15.i586
+>!> 349: I__s_[S1:0][package]libgsf-1.13.99-5.i586
+>!> 350: I__s_[S1:0][package]libgsf-gnome-1.13.99-5.i586
+>!> 351: I__s_[S1:0][package]libgssapi-0.6-6.i586
+>!> 352: I__s_[S1:0][package]libgtkhtml-2.11.0-9.i586
+>!> 353: I__s_[S1:0][package]libicu-3.4-9.i586
+>!> 354: I__s_[S1:0][package]libid3tag-0.15.1b-27.i586
+>!> 355: I__s_[S1:0][package]libidl-0.8.6-11.i586
+>!> 356: I__s_[S1:0][package]libidn-0.6.0-7.i586
+>!> 357: I__s_[S1:0][package]libieee1284-0.2.10-6.i586
+>!> 358: I__s_[S1:0][package]libjasper-1.701.0-9.i586
+>!> 359: I__s_[S1:0][package]libjpeg-6.2.0-745.i586
+>!> 360: I__s_[S1:0][package]libkexif-0.2.2-8.i586
+>!> 361: I__s_[S1:0][package]libkipi-0.1.2-8.i586
+>!> 362: I__s_[S1:0][package]libksba-0.9.12-7.i586
+>!> 363: I__s_[S1:0][package]liblcms-1.15-5.i586
+>!> 364: I__s_[S1:0][package]libmal-0.31-163.i586
+>!> 365: I__s_[S1:0][package]libmikmod-3.1.11-7.i586
+>!> 366: I__s_[S1:0][package]libmng-1.0.9-9.i586
+>!> 367: I__s_[S1:0][package]libmusicbrainz-2.1.2-5.i586
+>!> 368: I__s_[S1:0][package]libnetpbm-1.0.0-649.i586
+>!> 369: I__s_[S1:0][package]libnl-1.0-11.i586
+>!> 370: I__s_[S1:0][package]libnscd-1.1-9.i586
+>!> 371: I__s_[S1:0][package]libogg-1.1.3-6.i586
+>!> 372: I__s_[S1:0][package]libopencdk-0.5.5-8.i586
+>!> 373: I__s_[S1:0][package]libpcap-0.9.4-5.i586
+>!> 374: I__s_[S1:0][package]libpng-1.2.8-12.i586
+>!> 375: I__s_[S1:0][package]librpcsecgss-0.7-6.i586
+>!> 376: I__s_[S1:0][package]librsvg-2.12.7-8.i586
+>!> 377: I__s_[S1:0][package]libsamplerate-0.1.2-8.i586
+>!> 378: I__s_[S1:0][package]libsmbclient-3.0.21c-8.i586
+>!> 379: I__s_[S1:0][package]libsndfile-1.0.12-6.i586
+>!> 380: I__s_[S1:0][package]libstdc++-4.1.0-5.i586
+>!> 381: I__s_[S1:0][package]libstroke-0.5.1-8.i586
+>!> 382: I__s_[S1:0][package]libtheora-1.0alpha5-9.i586
+>!> 383: I__s_[S1:0][package]libtiff-3.8.0-7.i586
+>!> 384: I__s_[S1:0][package]libtool-1.5.22-6.i586
+>!> 385: I__s_[S1:0][package]libtunepimp-0.4.1-6.i586
+>!> 386: I__s_[S1:0][package]libusb-0.1.12-2.i586
+>!> 387: I__s_[S1:0][package]libvisual-0.2.0-17.i586
+>!> 388: I__s_[S1:0][package]libvisual-plugins-0.2.0-20.i586
+>!> 389: I__s_[S1:0][package]libvorbis-1.1.2-6.i586
+>!> 390: I__s_[S1:0][package]libwmf-0.2.8.2-103.i586
+>!> 391: I__s_[S1:0][package]libxcrypt-2.4-5.i586
+>!> 392: I__s_[S1:0][package]libxml2-2.6.23-8.i586
+>!> 393: I__s_[S1:0][package]libxslt-1.1.15-8.i586
+>!> 394: I__s_[S1:0][package]liby2util-2.13.7-3.i586
+>!> 395: I__s_[S1:0][package]libzio-0.1-10.i586
+>!> 396: I__s_[S1:0][package]libzypp-0.0.8-49.i586
+>!> 397: I__s_[S1:0][package]libzypp-zmd-backend-7.1.1-10.i586
+>!> 398: I__s_[S1:0][package]lilo-22.7-11.i586
+>!> 399: I__s_[S1:0][package]limal-1.1.5-3.i586
+>!> 400: I__s_[S1:0][package]limal-bootloader-1.0.5-7.i586
+>!> 401: I__s_[S1:0][package]limal-perl-1.1.5-3.i586
+>!> 402: I__s_[S1:0][package]linux-atm-lib-2.5.0-7.i586
+>!> 403: I__s_[S1:0][package]log4net-1.2.9-10.i586
+>!> 404: I__s_[S1:0][package]logrotate-3.7.3-6.i586
+>!> 405: I__s_[S1:0][package]lsb-3.0-11.i586
+>!> 406: I__s_[S1:0][package]lsof-4.76-6.i586
+>!> 407: I__s_[S1:0][package]lua-5.0.2-10.i586
+>!> 408: I__s_[S1:0][package]lzo-2.02-5.i586
+>!> 409: I__s_[S1:0][package]m4-1.4.4-5.i586
+>!> 410: I__s_[S1:0][package]mDNSResponder-107.5-6.i586
+>!> 411: I__s_[S1:0][package]mailx-11.25-7.i586
+>!> 412: I__s_[S1:0][package]make-3.80-194.i586
+>!> 413: I__s_[S1:0][package]man-2.4.1-229.i586
+>!> 414: I__s_[S1:0][package]man-pages-2.25-2.noarch
+>!> 415: I__s_[S1:0][package]manufacturer-PPDs-0.5-7.i586
+>!> 416: I__s_[S1:0][package]master-boot-code-1.6-11.i586
+>!> 417: I__s_[S1:0][package]mc-4.6.1-21.i586
+>!> 418: I__s_[S1:0][package]mdadm-2.2-13.i586
+>!> 419: I__s_[S1:0][package]microcode_ctl-1.13-6.i586
+>!> 420: I__s_[S1:0][package]mingetty-0.9.6s-81.i586
+>!> 421: I__s_[S1:0][package]mkinitrd-1.2-77.i586
+>!> 422: I__s_[S1:0][package]mkisofs-2.01-17.i586
+>!> 423: I__s_[S1:0][package]mktemp-1.5-737.i586
+>!> 424: I__s_[S1:0][package]module-init-tools-3.2.2-16.i586
+>!> 425: I__s_[S1:0][package]mono-core-1.1.13.4-4.i586
+>!> 426: I__s_[S1:0][package]mono-data-1.1.13.4-4.i586
+>!> 427: I__s_[S1:0][package]mono-data-sqlite-1.1.13.4-4.i586
+>!> 428: I__s_[S1:0][package]mono-web-1.1.13.4-4.i586
+>!> 429: I__s_[S1:0][package]mozilla-nspr-4.6.1-15.i586
+>!> 430: I__s_[S1:0][package]mozilla-nss-3.11-14.i586
+>!> 431: I__s_[S1:0][package]mtools-3.9.10-9.i586
+>!> 432: I__s_[S1:0][package]myspell-american-20040623-20.noarch
+>!> 433: I__s_[S1:0][package]myspell-british-20050526-14.noarch
+>!> 434: I__s_[S1:0][package]myspell-german-20051213-11.noarch
+>!> 435: I__s_[S1:0][package]ncurses-5.5-10.i586
+>!> 436: I__s_[S1:0][package]neon-0.24.7-13.i586
+>!> 437: I__s_[S1:0][package]net-snmp-5.3.0.1-10.i586
+>!> 438: I__s_[S1:0][package]net-tools-1.60-574.i586
+>!> 439: I__s_[S1:0][package]netcat-1.10-876.i586
+>!> 440: I__s_[S1:0][package]netcfg-10.0.42-5.noarch
+>!> 441: I__s_[S1:0][package]netpbm-10.26.22-6.i586
+>!> 442: I__s_[S1:0][package]nfs-utils-1.0.7-24.i586
+>!> 443: I__s_[S1:0][package]nfsidmap-0.12-6.i586
+>!> 444: U__s_[S2:1][package]novfs-kmp-default-1.2.0_2.6.16_rc5_git14_3c-8.i586
+>!> 445: I__s_[S1:1][package]novfs-kmp-smp-1.2.0_2.6.16_rc5_git14_2-8.i586
+>!> 446: I__s_[S1:0][package]nscd-2.4-6.i586
+>!> 447: I__s_[S1:0][package]ntfsprogs-1.11.2-6.i586
+>!> 448: U__s_[S2:1][package]nvidia-gfx-kmp-default-1.0.8178_2.6.16_rc5_git14_3c-1.i586
+>!> 449: I__s_[S1:0][package]ocrad-0.13-7.i586
+>!> 450: I__s_[S1:0][package]openct-0.6.6-8.i586
+>!> 451: I__s_[S1:0][package]openldap2-client-2.3.19-10.i586
+>!> 452: I__s_[S1:0][package]openmotif-libs-2.2.4-11.i586
+>!> 453: I__s_[S1:0][package]openobex-1.0.1-61.i586
+>!> 454: I__s_[S1:0][package]opensc-0.9.6-10.i586
+>!> 455: I__s_[S1:0][package]openslp-1.2.0-13.i586
+>!> 456: I__s_[S1:0][package]openssh-4.2p1-11.i586
+>!> 457: I__s_[S1:0][package]openssh-askpass-4.2p1-11.i586
+>!> 458: I__s_[S1:0][package]openssl-0.9.8a-11.i586
+>!> 459: I__s_[S1:0][package]orbit2-2.12.4-10.i586
+>!> 460: I__s_[S1:0][package]pam-0.99.3.0-14.i586
+>!> 461: I__s_[S1:0][package]pam-modules-10.1-1.i586
+>!> 462: I__s_[S1:0][package]pango-1.10.2-13.i586
+>!> 463: I__s_[S1:0][package]parted-1.6.25.1-7.i586
+>!> 464: I__s_[S1:0][package]patch-2.5.9-153.i586
+>!> 465: I__s_[S1:0][package]pax-3.4-7.i586
+>!> 466: I__s_[S1:0][package]pciutils-2.2.1-7.i586
+>!> 467: I__s_[S1:0][package]pcre-6.4-7.i586
+>!> 468: I__s_[S1:0][package]pcsc-lite-1.2.9_beta9-8.i586
+>!> 469: I__s_[S1:0][package]perl-5.8.8-7.i586
+>!> 470: I__s_[S1:0][package]perl-Bootloader-0.2.13-2.i586
+>!> 471: I__s_[S1:0][package]perl-Config-Crontab-1.11-5.i586
+>!> 472: I__s_[S1:0][package]perl-Crypt-SmbHash-0.12-6.i586
+>!> 473: I__s_[S1:0][package]perl-DBD-SQLite-1.11-7.i586
+>!> 474: I__s_[S1:0][package]perl-DBI-1.50-5.i586
+>!> 475: I__s_[S1:0][package]perl-Digest-MD4-1.5-6.i586
+>!> 476: I__s_[S1:0][package]perl-Digest-SHA1-2.10-8.i586
+>!> 477: I__s_[S1:0][package]perl-File-Tail-0.99.3-5.i586
+>!> 478: I__s_[S1:0][package]perl-HTML-Parser-3.48-5.i586
+>!> 479: I__s_[S1:0][package]perl-HTML-Tagset-3.10-5.i586
+>!> 480: I__s_[S1:0][package]perl-IO-Socket-SSL-0.97-7.i586
+>!> 481: I__s_[S1:0][package]perl-Net-Daemon-0.38-54.i586
+>!> 482: I__s_[S1:0][package]perl-Net_SSLeay-1.30-6.i586
+>!> 483: I__s_[S1:0][package]perl-PDA-Pilot-0.12.0_pre4-13.i586
+>!> 484: I__s_[S1:0][package]perl-Parse-RecDescent-1.80-252.i586
+>!> 485: I__s_[S1:0][package]perl-PlRPC-0.2018-6.i586
+>!> 486: I__s_[S1:0][package]perl-TermReadKey-2.30-6.i586
+>!> 487: I__s_[S1:0][package]perl-TermReadLine-Gnu-1.15-6.i586
+>!> 488: I__s_[S1:0][package]perl-TimeDate-1.16-129.i586
+>!> 489: I__s_[S1:0][package]perl-URI-1.35-8.i586
+>!> 490: I__s_[S1:0][package]perl-X500-DN-0.28-126.i586
+>!> 491: I__s_[S1:0][package]perl-XML-Parser-2.34-36.i586
+>!> 492: I__s_[S1:0][package]perl-XML-Writer-0.600-6.i586
+>!> 493: I__s_[S1:0][package]perl-gettext-1.05-6.i586
+>!> 494: I__s_[S1:0][package]perl-libwww-perl-5.805-5.i586
+>!> 495: I__s_[S1:0][package]permissions-2006.2.24-3.i586
+>!> 496: I__s_[S1:0][package]pico-4.64-12.i586
+>!> 497: I__s_[S1:0][package]pilot-link-0.12.0_pre4-13.i586
+>!> 498: I__s_[S1:0][package]pin-0.35-5.noarch
+>!> 499: I__s_[S1:0][package]pinentry-0.7.2-8.i586
+>!> 500: I__s_[S1:0][package]pmtools-20050823-16.i586
+>!> 501: I__s_[S1:0][package]poppler-0.4.4-10.i586
+>!> 502: I__s_[S1:0][package]poppler-qt-0.4.4-10.i586
+>!> 503: I__s_[S1:0][package]popt-1.7-253.i586
+>!> 504: I__s_[S1:0][package]portmap-5beta-742.i586
+>!> 505: I__s_[S1:0][package]postfix-2.2.6-10.i586
+>!> 506: I__s_[S1:0][package]powersave-0.12.4-2.i586
+>!> 507: I__s_[S1:0][package]powersave-libs-0.12.4-2.i586
+>!> 508: I__s_[S1:0][package]ppp-2.4.3-26.i586
+>!> 509: I__s_[S1:0][package]pptp-1.7.0-6.i586
+>!> 510: I__s_[S1:0][package]preload-0.2-18.i586
+>!> 511: I__s_[S1:0][package]procinfo-18-48.i586
+>!> 512: I__s_[S1:0][package]procmail-3.22-49.i586
+>!> 513: I__s_[S1:0][package]procps-3.2.6-9.i586
+>!> 514: I__s_[S1:0][package]providers-2006.1.25-4.noarch
+>!> 515: I__s_[S1:0][package]psmisc-22.1-7.i586
+>!> 516: I__s_[S1:0][package]psutils-p17-873.i586
+>!> 517: I__s_[S1:0][package]pwdutils-3.0.7.1-9.i586
+>!> 518: I__s_[S1:0][package]python-2.4.2-10.i586
+>!> 519: I__s_[S1:0][package]python-qt-3.5.1-9.i586
+>!> 520: I__s_[S1:0][package]python-xml-2.4.2-10.i586
+>!> 521: I__s_[S1:0][package]qca-1.0-18.i586
+>!> 522: I__s_[S1:0][package]qscintilla-1.65-7.i586
+>!> 523: I__s_[S1:0][package]qt3-3.3.5-41.i586
+>!> 524: I__s_[S1:0][package]readline-5.1-14.i586
+>!> 525: I__s_[S1:0][package]recode-3.6-497.i586
+>!> 526: I__s_[S1:0][package]reiserfs-3.6.19-10.i586
+>!> 527: I__s_[S1:0][package]release-notes-10.1.9-2.noarch
+>!> 528: I__s_[S1:0][package]resmgr-0.9.8_SVNr75-8.i586
+>!> 529: I__s_[S1:0][package]rpm-4.4.2-25.i586
+>!> 530: I__s_[S1:0][package]rrdtool-1.2.12-6.i586
+>!> 531: I__s_[S1:0][package]rsh-0.17-566.i586
+>!> 532: I__s_[S1:0][package]rsync-2.6.6-9.i586
+>!> 533: I__s_[S1:0][package]rug-7.1.1-13.i586
+>!> 534: I__s_[S1:0][package]samba-client-3.0.21c-8.i586
+>!> 535: I__s_[S1:0][package]sane-1.0.17-8.i586
+>!> 536: I__s_[S1:0][package]sash-3.7-39.i586
+>!> 537: I__s_[S1:0][package]sax2-7.1-94.i586
+>!> 538: I__s_[S1:0][package]sax2-gui-1.7-94.i586
+>!> 539: I__s_[S1:0][package]sax2-ident-1.7-94.i586
+>!> 540: I__s_[S1:0][package]sax2-libsax-7.1-94.i586
+>!> 541: I__s_[S1:0][package]sax2-libsax-perl-7.1-94.i586
+>!> 542: I__s_[S1:0][package]sax2-tools-2.7-94.i586
+>!> 543: I__s_[S1:0][package]scpm-1.1.3-8.i586
+>!> 544: I__s_[S1:0][package]screen-4.0.2-55.i586
+>!> 545: I__s_[S1:0][package]scsi-1.7_2.36_1.19_0.17_0.97-4.i586
+>!> 546: I__s_[S1:0][package]sed-4.1.4-10.i586
+>!> 547: I__s_[S1:0][selection]SuSE-Documentation-10-46.noarch
+>!> 548: I__s_[S1:0][selection]default-10-46.noarch
+>!> 549: I__s_[S1:0][package]sensors-2.10.0-3.i586
+>!> 550: I__s_[S1:0][package]setserial-2.17-586.i586
+>!> 551: I__s_[S1:0][package]sgml-skel-0.6-274.noarch
+>!> 552: I__s_[S1:0][package]shared-mime-info-0.16cvs20060309-3.i586
+>!> 553: I__s_[S1:0][package]siga-10.101-5.noarch
+>!> 554: I__s_[S1:0][package]sisctrl-0.0.20051202-6.i586
+>!> 555: I__s_[S1:0][package]slang-2.0.5-7.i586
+>!> 556: I__s_[S1:0][package]smpppd-1.59-12.i586
+>!> 557: I__s_[S1:0][package]speex-1.0.5-7.i586
+>!> 558: I__s_[S1:0][package]sqlite-3.2.8-7.i586
+>!> 559: I__s_[S1:0][package]sqlite2-2.8.17-7.i586
+>!> 560: I__s_[S1:0][package]src_vipa-2.0.3-5.i586
+>!> 561: I__s_[S1:0][package]startup-notification-0.8-13.i586
+>!> 562: I__s_[S1:0][package]strace-4.5.14-2.i586
+>!> 563: I__s_[S1:0][package]sudo-1.6.8p12-11.i586
+>!> 564: I__s_[S1:0][package]sumf-0.2.1-9.i586
+>!> 565: I__s_[S1:0][package]supertux-0.1.3-12.i586
+>!> 566: I__s_[S1:0][package]suse-build-key-1.0-675.noarch
+>!> 567: I__s_[S1:0][package]suse-release-10.1-2.i586
+>!> 568: I__s_[S1:0][package]suseRegister-1.0-22.noarch
+>!> 569: I__s_[S1:0][package]susehelp-2006.03.03-5.noarch
+>!> 570: I__s_[S1:0][package]susehelp_de-2006.03.03-5.noarch
+>!> 571: I__s_[S1:0][package]susehelp_en-2006.03.03-5.noarch
+>!> 572: I__s_[S1:0][package]suselinux-manual_en-10.1-10.noarch
+>!> 573: I__s_[S1:0][package]suspend-20060306-2.i586
+>!> 574: I__s_[S1:0][package]sysconfig-0.50.6-5.i586
+>!> 575: I__s_[S1:0][package]sysfsutils-1.3.0-9.i586
+>!> 576: I__s_[S1:0][package]syslinux-3.11-11.i586
+>!> 577: I__s_[S1:0][package]syslog-ng-1.6.8-12.i586
+>!> 578: I__s_[S1:0][package]sysvinit-2.86-13.i586
+>!> 579: I__s_[S1:0][package]taglib-1.4-13.i586
+>!> 580: I__s_[S1:0][package]tar-1.15.1-16.i586
+>!> 581: I__s_[S1:0][package]tcpd-7.6-723.i586
+>!> 582: I__s_[S1:0][package]tcsh-6.14.00-9.i586
+>!> 583: I__s_[S1:0][package]telnet-1.2-7.i586
+>!> 584: I__s_[S1:0][package]terminfo-5.5-10.i586
+>!> 585: I__s_[S1:0][package]testgart-0.1-196.i586
+>!> 586: I__s_[S1:0][package]tiff-3.8.0-7.i586
+>!> 587: I__s_[S1:0][package]tightvnc-1.2.9-191.i586
+>!> 588: I__s_[S1:0][package]timezone-2.4-6.i586
+>!> 589: I__s_[S1:0][package]tiny-nvidia-installer-1.0.7-6.i586
+>!> 590: I__s_[S1:0][package]tree-1.5.0-6.i586
+>!> 591: I__s_[S1:0][package]udev-085-7.i586
+>!> 592: I__s_[S1:0][package]unclutter-8-843.i586
+>!> 593: I__s_[S1:0][package]unixODBC-2.2.11-13.i586
+>!> 594: I__s_[S1:0][package]unrar-3.5.4-8.i586
+>!> 595: I__s_[S1:0][package]unzip-5.52-9.i586
+>!> 596: I__s_[S1:0][package]update-alternatives-1.8.3-9.noarch
+>!> 597: I__s_[S1:0][package]usbutils-0.71-14.i586
+>!> 598: I__s_[S1:0][package]utempter-0.5.5-9.i586
+>!> 599: I__s_[S1:0][package]util-linux-2.12r-19.i586
+>!> 600: I__s_[S1:0][package]v4l-conf-3.94-14.i586
+>!> 601: I__s_[S1:0][package]vacation-1.2.6.1-143.i586
+>!> 602: I__s_[S1:0][package]vcdimager-0.7.23-12.i586
+>!> 603: I__s_[S1:0][package]vim-6.4.6-11.i586
+>!> 604: I__s_[S1:0][package]vorbis-tools-1.1.1-6.i586
+>!> 605: I__s_[S1:0][package]w3m-0.5.1-11.i586
+>!> 606: I__s_[S1:0][package]wdiff-0.5.2-667.i586
+>!> 607: I__s_[S1:0][package]wget-1.10.2-8.i586
+>!> 608: I__s_[S1:0][package]wireless-tools-28pre13-15.i586
+>!> 609: I__s_[S1:0][package]words-6-11.noarch
+>!> 610: I__s_[S1:0][package]wpa_supplicant-0.4.8-5.i586
+>!> 611: I__s_[S1:0][package]wv-1.0.3-13.i586
+>!> 612: I__s_[S1:0][package]wvdial-1.54-75.i586
+>!> 613: I__s_[S1:0][package]wvstreams-4.2.1-6.i586
+>!> 614: I__s_[S1:0][package]x11-input-gunze-031126-22.i586
+>!> 615: I__s_[S1:0][package]x11-input-synaptics-0.14.4-8.i586
+>!> 616: I__s_[S1:0][package]x11-input-wacom-0.7.2-9.i586
+>!> 617: I__s_[S1:0][package]x11-tools-0.1-29.i586
+>!> 618: I__s_[S1:0][package]xdelta-1.1.3-13.i586
+>!> 619: I__s_[S1:0][package]xdg-menu-0.2-58.i586
+>!> 620: I__s_[S1:0][package]xdmbgrd-0.5-37.i586
+>!> 621: I__s_[S1:0][package]xfsprogs-2.7.11-10.i586
+>!> 622: I__s_[S1:0][package]xine-lib-1.1.1-11.i586
+>!> 623: I__s_[S1:0][package]xinetd-2.3.14-7.i586
+>!> 624: I__s_[S1:0][package]xkeyboard-config-0.7-10.noarch
+>!> 625: I__s_[S1:0][package]xli-20050904-9.i586
+>!> 626: I__s_[S1:0][package]xlockmore-5.21-6.i586
+>!> 627: I__s_[S1:0][package]xmoto-0.1.11-7.i586
+>!> 628: I__s_[S1:0][package]xmset-1.2-9.i586
+>!> 629: I__s_[S1:0][package]xntp-4.2.0a-62.i586
+>!> 630: I__s_[S1:0][package]xorg-x11-6.9.0-25.i586
+>!> 631: I__s_[S1:0][package]xorg-x11-Xvnc-6.9.0-25.i586
+>!> 632: I__s_[S1:0][package]xorg-x11-driver-video-6.9.0-27.i586
+>!> 633: I__s_[S1:0][package]xorg-x11-driver-video-nvidia-6.9.0-27.i586
+>!> 634: I__s_[S1:0][package]xorg-x11-fonts-100dpi-6.9.0-25.i586
+>!> 635: I__s_[S1:0][package]xorg-x11-fonts-75dpi-6.9.0-25.i586
+>!> 636: I__s_[S1:0][package]xorg-x11-fonts-scalable-6.9.0-25.i586
+>!> 637: I__s_[S1:0][package]xorg-x11-libs-6.9.0-25.i586
+>!> 638: I__s_[S1:0][package]xorg-x11-server-6.9.0-25.i586
+>!> 639: I__s_[S1:0][package]xorg-x11-server-glx-6.9.0-25.i586
+>!> 640: I__s_[S1:0][package]xpdf-tools-3.01-14.i586
+>!> 641: I__s_[S1:0][package]xscreensaver-4.23-10.i586
+>!> 642: I__s_[S1:0][package]xterm-208-7.i586
+>!> 643: I__s_[S1:0][package]xtermset-0.5.2-127.i586
+>!> 644: I__s_[S1:0][package]yast2-2.13.36-2.i586
+>!> 645: I__s_[S1:0][package]yast2-apparmor-2.0-15.noarch
+>!> 646: I__s_[S1:0][package]yast2-backup-2.13.1-3.noarch
+>!> 647: I__s_[S1:0][package]yast2-bluetooth-2.13.2-3.noarch
+>!> 648: I__s_[S1:0][package]yast2-bootfloppy-2.13.23-2.i586
+>!> 649: I__s_[S1:0][package]yast2-bootloader-2.13.23-2.i586
+>!> 650: I__s_[S1:0][package]yast2-control-center-2.13.2-6.i586
+>!> 651: I__s_[S1:0][package]yast2-core-2.13.17-6.i586
+>!> 652: I__s_[S1:0][package]yast2-country-2.13.16-3.i586
+>!> 653: I__s_[S1:0][package]yast2-dhcp-server-2.13.1-3.noarch
+>!> 654: I__s_[S1:0][package]yast2-dns-server-2.13.7-3.noarch
+>!> 655: I__s_[S1:0][package]yast2-firewall-2.13.6-3.noarch
+>!> 656: I__s_[S1:0][package]yast2-hardware-detection-2.13.3-6.i586
+>!> 657: I__s_[S1:0][package]yast2-http-server-2.13.10-2.noarch
+>!> 658: I__s_[S1:0][package]yast2-inetd-2.13.2-3.noarch
+>!> 659: I__s_[S1:0][package]yast2-installation-2.13.35-2.noarch
+>!> 660: I__s_[S1:0][package]yast2-irda-2.13.1-5.noarch
+>!> 661: I__s_[S1:0][package]yast2-kerberos-client-2.13.3-3.noarch
+>!> 662: I__s_[S1:0][package]yast2-ldap-2.13.3-3.i586
+>!> 663: I__s_[S1:0][package]yast2-ldap-client-2.13.10-3.noarch
+>!> 664: I__s_[S1:0][package]yast2-mail-2.13.3-3.noarch
+>!> 665: I__s_[S1:0][package]yast2-mail-aliases-2.13.3-3.noarch
+>!> 666: I__s_[S1:0][package]yast2-mouse-2.13.7-7.i586
+>!> 667: I__s_[S1:0][package]yast2-ncurses-2.13.13-2.i586
+>!> 668: I__s_[S1:0][package]yast2-network-2.13.35-2.i586
+>!> 669: I__s_[S1:0][package]yast2-nfs-client-2.13.3-3.noarch
+>!> 670: I__s_[S1:0][package]yast2-nfs-server-2.13.3-3.noarch
+>!> 671: I__s_[S1:0][package]yast2-nis-client-2.13.2-3.i586
+>!> 672: I__s_[S1:0][package]yast2-nis-server-2.13.1-6.noarch
+>!> 673: I__s_[S1:0][package]yast2-ntp-client-2.13.4-2.noarch
+>!> 674: I__s_[S1:0][package]yast2-online-update-2.13.8-2.i586
+>!> 675: I__s_[S1:0][package]yast2-packager-2.13.46-2.i586
+>!> 676: I__s_[S1:0][package]yast2-pam-2.13.2-6.noarch
+>!> 677: I__s_[S1:0][package]yast2-perl-bindings-2.13.4-6.i586
+>!> 678: I__s_[S1:0][package]yast2-phone-services-2.13.1-3.noarch
+>!> 679: I__s_[S1:0][package]yast2-pkg-bindings-2.13.28-2.i586
+>!> 680: I__s_[S1:0][package]yast2-power-management-2.13.5-5.i586
+>!> 681: I__s_[S1:0][package]yast2-powertweak-2.13.5-5.noarch
+>!> 682: I__s_[S1:0][package]yast2-printer-2.13.4-4.i586
+>!> 683: I__s_[S1:0][package]yast2-profile-manager-2.13.4-5.i586
+>!> 684: I__s_[S1:0][package]yast2-qt-2.13.33-2.i586
+>!> 685: I__s_[S1:0][package]yast2-repair-2.13.3-5.noarch
+>!> 686: I__s_[S1:0][package]yast2-restore-2.13.1-3.noarch
+>!> 687: I__s_[S1:0][package]yast2-runlevel-2.13.5-5.noarch
+>!> 688: I__s_[S1:0][package]yast2-samba-client-2.13.10-2.noarch
+>!> 689: I__s_[S1:0][package]yast2-samba-server-2.13.7-2.noarch
+>!> 690: I__s_[S1:0][package]yast2-scanner-2.13.15-3.noarch
+>!> 691: I__s_[S1:0][package]yast2-schema-2.13.2-4.noarch
+>!> 692: I__s_[S1:0][package]yast2-security-2.13.2-5.noarch
+>!> 693: I__s_[S1:0][package]yast2-slp-2.13.1-5.i586
+>!> 694: I__s_[S1:0][package]yast2-sound-2.13.9-3.i586
+>!> 695: I__s_[S1:0][package]yast2-storage-2.13.35-2.i586
+>!> 696: I__s_[S1:0][package]yast2-storage-lib-2.13.35-2.i586
+>!> 697: I__s_[S1:0][package]yast2-support-2.13.2-3.noarch
+>!> 698: I__s_[S1:0][package]yast2-sysconfig-2.13.5-5.noarch
+>!> 699: I__s_[S1:0][package]yast2-tftp-server-2.13.3-3.noarch
+>!> 700: I__s_[S1:0][package]yast2-theme-SuSELinux-2.13.3-7.noarch
+>!> 701: I__s_[S1:0][package]yast2-trans-de-2.13.11-3.noarch
+>!> 702: I__s_[S1:0][package]yast2-trans-stats-2.11.0-12.noarch
+>!> 703: I__s_[S1:0][package]yast2-transfer-2.13.3-3.i586
+>!> 704: I__s_[S1:0][package]yast2-tune-2.13.4-5.i586
+>!> 705: I__s_[S1:0][package]yast2-tv-2.13.7-3.noarch
+>!> 706: I__s_[S1:0][package]yast2-update-2.13.5-2.i586
+>!> 707: I__s_[S1:0][package]yast2-users-2.13.15-2.i586
+>!> 708: I__s_[S1:0][package]yast2-vm-2.13.27-3.i586
+>!> 709: I__s_[S1:0][package]yast2-x11-2.13.6-27.noarch
+>!> 710: I__s_[S1:0][package]yast2-xml-2.13.1-6.i586
+>!> 711: I__s_[S1:0][package]yp-tools-2.9-9.i586
+>!> 712: I__s_[S1:0][package]ypbind-1.19.1-7.i586
+>!> 713: I__s_[S1:0][package]zen-updater-7.1.0-16.i586
+>!> 714: I__s_[S1:0][package]zip-2.31-8.i586
+>!> 715: I__s_[S1:0][package]ziptool-1.4.0-117.i586
+>!> 716: I__s_[S1:0][package]zisofs-tools-1.0.6-8.i586
+>!> 717: I__s_[S1:0][package]zlib-1.2.3-8.i586
+>!> 718: I__s_[S1:0][package]zmd-7.1.1-24.i586
+>!> 719: I__s_[S1:0][package]zsh-4.2.6-8.i586
+>!> 720: I__s_[S1:0][package]zvbi-0.2.16-10.i586
+>!> 1 problems found:
+>!> Problem:
+>!> This would invalidate novfs-kmp-smp-1.2.0_2.6.16_rc5_git14_2-8.i586.
+>!> novfs-kmp-smp-1.2.0_2.6.16_rc5_git14_2-8.i586 has unfulfilled requirements
+>!>    Solution:
+>!>       delete novfs-kmp-smp
+>!>       delete novfs-kmp-smp-1.2.0_2.6.16_rc5_git14_2-8.i586

Added: trunk/sat-solver/testsuite/data.libzypp/kernel-tests/1_2_2-smp-test.xml
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/kernel-tests/1_2_2-smp-test.xml?rev=7490&view=auto
==============================================================================
--- trunk/sat-solver/testsuite/data.libzypp/kernel-tests/1_2_2-smp-test.xml (added)
+++ trunk/sat-solver/testsuite/data.libzypp/kernel-tests/1_2_2-smp-test.xml Fri Oct 12 14:33:29 2007
@@ -0,0 +1,28 @@
+<?xml version="1.0"?>
+<test>
+<setup>
+  <system file="1.2.2-smp-system.xml.gz"/>
+  <channel name="packages" file="1.2.2-smp-packages.xml.gz"/>
+  <hardwareInfo path="kernel-hardware"/>
+</setup>
+<!-- 
+    (1.2) Kernel ABI has changed
+
+      The KMPs and the kernel become incompatible. This results in
+      a mismatch in kernel(name) = version Provides of the kernel and
+      requires of the KMP. The resolver should indicate a conflict to
+      be resolved interactively.
+      (1.2.2) Updated some-kmp-$flavor packages are available, but
+             none for the flavor of the installed kernel
+
+       Same result as (1.2.1).
+
+
+-->
+
+<trial>
+  <distupgrade delete_unmaintained="false"/>
+  <reportproblems/>
+</trial>
+
+</test>

Added: trunk/sat-solver/testsuite/data.libzypp/kernel-tests/2.1-default-packages.solv
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/kernel-tests/2.1-default-packages.solv?rev=7490&view=auto
==============================================================================
Binary file - no diff available.

Added: trunk/sat-solver/testsuite/data.libzypp/kernel-tests/2.1-default-system.solv
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/kernel-tests/2.1-default-system.solv?rev=7490&view=auto
==============================================================================
Binary file - no diff available.

Added: trunk/sat-solver/testsuite/data.libzypp/kernel-tests/2.1-smp-packages.solv
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/kernel-tests/2.1-smp-packages.solv?rev=7490&view=auto
==============================================================================
Binary file - no diff available.

Added: trunk/sat-solver/testsuite/data.libzypp/kernel-tests/2.1-smp-system.solv
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/kernel-tests/2.1-smp-system.solv?rev=7490&view=auto
==============================================================================
Binary file - no diff available.

Added: trunk/sat-solver/testsuite/data.libzypp/kernel-tests/2.2.1-default-packages.solv
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/kernel-tests/2.2.1-default-packages.solv?rev=7490&view=auto
==============================================================================
Binary file - no diff available.

Added: trunk/sat-solver/testsuite/data.libzypp/kernel-tests/2.2.1-default-system.solv
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/kernel-tests/2.2.1-default-system.solv?rev=7490&view=auto
==============================================================================
Binary file - no diff available.

Added: trunk/sat-solver/testsuite/data.libzypp/kernel-tests/2.2.1-smp-packages.solv
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/kernel-tests/2.2.1-smp-packages.solv?rev=7490&view=auto
==============================================================================
Binary file - no diff available.

Added: trunk/sat-solver/testsuite/data.libzypp/kernel-tests/2.2.1-smp-system.solv
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/kernel-tests/2.2.1-smp-system.solv?rev=7490&view=auto
==============================================================================
Binary file - no diff available.

Added: trunk/sat-solver/testsuite/data.libzypp/kernel-tests/2.2.2-default-packages.solv
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/kernel-tests/2.2.2-default-packages.solv?rev=7490&view=auto
==============================================================================
Binary file - no diff available.

Added: trunk/sat-solver/testsuite/data.libzypp/kernel-tests/2.2.2-default-system.solv
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/kernel-tests/2.2.2-default-system.solv?rev=7490&view=auto
==============================================================================
Binary file - no diff available.

Added: trunk/sat-solver/testsuite/data.libzypp/kernel-tests/2.2.2-smp-packages.solv
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/kernel-tests/2.2.2-smp-packages.solv?rev=7490&view=auto
==============================================================================
Binary file - no diff available.

Added: trunk/sat-solver/testsuite/data.libzypp/kernel-tests/2.6.16_rc5_git14-2-packages.solv
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/kernel-tests/2.6.16_rc5_git14-2-packages.solv?rev=7490&view=auto
==============================================================================
Binary file - no diff available.

Added: trunk/sat-solver/testsuite/data.libzypp/kernel-tests/2.6.16_rc5_git14-3-packages.solv
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/kernel-tests/2.6.16_rc5_git14-3-packages.solv?rev=7490&view=auto
==============================================================================
Binary file - no diff available.

Added: trunk/sat-solver/testsuite/data.libzypp/kernel-tests/2.6.16_rc5_git14-3c-packages.solv
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/kernel-tests/2.6.16_rc5_git14-3c-packages.solv?rev=7490&view=auto
==============================================================================
Binary file - no diff available.

Added: trunk/sat-solver/testsuite/data.libzypp/kernel-tests/2_2_1-default-manual-test.solution
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/kernel-tests/2_2_1-default-manual-test.solution?rev=7490&view=auto
==============================================================================
--- trunk/sat-solver/testsuite/data.libzypp/kernel-tests/2_2_1-default-manual-test.solution (added)
+++ trunk/sat-solver/testsuite/data.libzypp/kernel-tests/2_2_1-default-manual-test.solution Fri Oct 12 14:33:29 2007
@@ -0,0 +1,9 @@
+>!> setting HardwareInfo to: ./kernel-hardware
+>!> Installing nvidia-gfx-kmp-default from channel packages
+>!> 1 problems found:
+>!> Problem:
+>!> This would invalidate novfs-kmp-default-1.2.0_2.6.16_rc5_git14_3c-8.i586.
+>!> novfs-kmp-default-1.2.0_2.6.16_rc5_git14_3c-8.i586 has unfulfilled requirements
+>!>    Solution:
+>!>       delete novfs-kmp-default
+>!>       delete novfs-kmp-default-1.2.0_2.6.16_rc5_git14_3c-8.i586

Added: trunk/sat-solver/testsuite/data.libzypp/kernel-tests/2_2_1-default-manual-test.xml
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/kernel-tests/2_2_1-default-manual-test.xml?rev=7490&view=auto
==============================================================================
--- trunk/sat-solver/testsuite/data.libzypp/kernel-tests/2_2_1-default-manual-test.xml (added)
+++ trunk/sat-solver/testsuite/data.libzypp/kernel-tests/2_2_1-default-manual-test.xml Fri Oct 12 14:33:29 2007
@@ -0,0 +1,29 @@
+<?xml version="1.0"?>
+<test>
+<setup>
+  <system file="2.2.1-default-system.xml.gz"/>
+  <channel name="packages" file="2.2.1-default-packages.xml.gz"/>
+  <hardwareInfo path="kernel-hardware"/>
+</setup>
+<!-- 
+(2) KMP Update
+
+    This case triggers when a KMP becomes available on an installation
+    source ("catalog") that has a higher [epoch/]version/release number
+    that the installed KMP.
+
+    (2.2) The kABI of the kernel and of the KMP differ
+
+      (2.2.1) No kernel with the new kABI is available
+
+       The new KMP cannot be installed. The resolver should show this
+       as a conflict that cannot be resolved. (Uninstalling the kernel
+       is not a viable option.)
+-->
+
+<trial>
+  <install channel="packages" kind="package" name="nvidia-gfx-kmp-default"/>
+  <reportproblems/>
+</trial>
+
+</test>

Added: trunk/sat-solver/testsuite/data.libzypp/kernel-tests/2_2_1-default-test.solution
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/kernel-tests/2_2_1-default-test.solution?rev=7490&view=auto
==============================================================================
--- trunk/sat-solver/testsuite/data.libzypp/kernel-tests/2_2_1-default-test.solution (added)
+++ trunk/sat-solver/testsuite/data.libzypp/kernel-tests/2_2_1-default-test.solution Fri Oct 12 14:33:29 2007
@@ -0,0 +1,725 @@
+>!> setting HardwareInfo to: ./kernel-hardware
+>!> Doing distribution upgrade ...
+>!> 1: I__s_[S1:0][package]3ddiag-0.729-7.i586
+>!> 2: I__s_[S1:0][package]855resolution-0.4-11.i586
+>!> 3: I__s_[S1:0][package]CheckHardware-0.1-980.i586
+>!> 4: I__s_[S1:0][package]Crystalcursors-0.5-32.noarch
+>!> 5: I__s_[S1:0][package]Mesa-6.4.2-6.i586
+>!> 6: I__s_[S1:0][package]MozillaFirefox-1.5.0.1-15.i586
+>!> 7: I__s_[S1:0][package]MozillaFirefox-translations-1.5.0.1-15.i586
+>!> 8: I__s_[S1:0][package]NX-1.5.0-29.i586
+>!> 9: I__s_[S1:0][package]NetworkManager-0.6.1-4.i586
+>!> 10: I__s_[S1:0][package]NetworkManager-kde-0.1r5879-2.i586
+>!> 11: I__s_[S1:0][package]OpenEXR-1.2.2-9.i586
+>!> 12: I__s_[S1:0][package]OpenOffice_org-2.0.2-7.i586
+>!> 13: I__s_[S1:0][package]OpenOffice_org-Quickstarter-1.0-478.i586
+>!> 14: I__s_[S1:0][package]OpenOffice_org-de-2.0.2-7.i586
+>!> 15: I__s_[S1:0][package]OpenOffice_org-de-templates-8.2-164.i586
+>!> 16: I__s_[S1:0][package]OpenOffice_org-kde-2.0.2-7.i586
+>!> 17: I__s_[S1:0][package]SDL-1.2.9-12.i586
+>!> 18: I__s_[S1:0][package]SDL_image-1.2.4-9.i586
+>!> 19: I__s_[S1:0][package]SDL_mixer-1.2.6-10.i586
+>!> 20: I__s_[S1:0][package]SDL_net-1.2.5-229.i586
+>!> 21: I__s_[S1:0][package]SDL_perl-1.20.0-364.i586
+>!> 22: I__s_[S1:0][package]SDL_ttf-2.0.6-229.i586
+>!> 23: I__s_[S1:0][package]SuSEfirewall2-3.4_SVNr139-2.noarch
+>!> 24: I__s_[S1:0][package]WindowMaker-0.92.0-16.i586
+>!> 25: I__s_[S1:0][package]WindowMaker-applets-1.0-668.i586
+>!> 26: I__s_[S1:0][package]WindowMaker-themes-0.1-245.noarch
+>!> 27: I__s_[S1:0][package]a2ps-4.13-1067.i586
+>!> 28: I__s_[S1:0][package]aaa_base-10.1-5.i586
+>!> 29: I__s_[S1:0][package]aaa_skel-2006.2.24-3.i586
+>!> 30: I__s_[S1:0][package]aalib-1.4.0-296.i586
+>!> 31: I__s_[S1:0][package]acl-2.2.34-5.i586
+>!> 32: I__s_[S1:0][package]acpid-1.0.4-22.i586
+>!> 33: I__s_[S1:0][package]alsa-1.0.11-17.i586
+>!> 34: I__s_[S1:0][package]alsa-firmware-1.0.10-6.noarch
+>!> 35: I__s_[S1:0][package]alsa-tools-1.0.11-9.i586
+>!> 36: I__s_[S1:0][package]amarok-1.3.8-15.i586
+>!> 37: I__s_[S1:0][package]amarok-libvisual-1.3.8-15.i586
+>!> 38: I__s_[S1:0][package]amarok-xine-1.3.8-15.i586
+>!> 39: I__s_[S1:0][package]apparmor-docs-2.0-8.noarch
+>!> 40: I__s_[S1:0][package]apparmor-parser-2.0-12.i586
+>!> 41: I__s_[S1:0][package]apparmor-profiles-2.0-15.noarch
+>!> 42: I__s_[S1:0][package]apparmor-utils-2.0-12.noarch
+>!> 43: I__s_[S1:0][package]arts-1.5.1-8.i586
+>!> 44: I__s_[S1:0][package]ash-1.6.1-8.i586
+>!> 45: I__s_[S1:0][package]aspell-0.60.3-12.i586
+>!> 46: I__s_[S1:0][package]aspell-de-0.50.2-344.i586
+>!> 47: I__s_[S1:0][package]aspell-en-6.0-13.i586
+>!> 48: I__s_[S1:0][package]at-3.1.8-914.i586
+>!> 49: I__s_[S1:0][package]atk-1.10.3-8.i586
+>!> 50: I__s_[S1:0][package]attr-2.4.28-7.i586
+>!> 51: I__s_[S1:0][package]audiofile-0.2.6-10.i586
+>!> 52: I__s_[S1:0][package]audit-1.1.3-13.i586
+>!> 53: I__s_[S1:0][package]audit-libs-1.1.3-13.i586
+>!> 54: I__s_[S1:0][package]autofs-4.1.4-16.i586
+>!> 55: I__s_[S1:0][package]autoyast2-2.13.29-2.noarch
+>!> 56: I__s_[S1:0][package]autoyast2-installation-2.13.29-2.noarch
+>!> 57: I__s_[S1:0][package]awesfx-0.5.0d-9.i586
+>!> 58: I__s_[S1:0][package]bash-3.1-14.i586
+>!> 59: I__s_[S1:0][package]bc-1.06-757.i586
+>!> 60: I__s_[S1:0][package]beagle-0.2.2.1-4.i586
+>!> 61: I__s_[S1:0][package]bind-libs-9.3.2-10.i586
+>!> 62: I__s_[S1:0][package]bind-utils-9.3.2-10.i586
+>!> 63: I__s_[S1:0][package]binutils-2.16.91.0.5-8.i586
+>!> 64: I__s_[S1:0][package]blocxx-1.0.0-7.i586
+>!> 65: I__s_[S1:0][package]bluez-libs-2.24-5.i586
+>!> 66: I__s_[S1:0][package]bluez-utils-2.24-7.i586
+>!> 67: I__s_[S1:0][package]boost-1.33.1-8.i586
+>!> 68: I__s_[S1:0][package]bootloader-theme-SUSELinux-Prof-2006.3.9-2.noarch
+>!> 69: I__s_[S1:0][package]bootsplash-3.3-8.i586
+>!> 70: I__s_[S1:0][package]bootsplash-theme-SuSE-3.1-60.i586
+>!> 71: I__s_[S1:0][package]busybox-1.1.0-6.i586
+>!> 72: I__s_[S1:0][package]bzip2-1.0.3-10.i586
+>!> 73: I__s_[S1:0][package]cabextract-1.1-9.i586
+>!> 74: I__s_[S1:0][package]cairo-1.0.2-16.i586
+>!> 75: I__s_[S1:0][package]capi4linux-2006.2.28-4.i586
+>!> 76: I__s_[S1:0][package]cdparanoia-IIIalpha9.8-555.i586
+>!> 77: I__s_[S1:0][package]cdrdao-1.2.0-10.i586
+>!> 78: I__s_[S1:0][package]cdrecord-2.01-17.i586
+>!> 79: I__s_[S1:0][package]checkmedia-2.1-7.i586
+>!> 80: I__s_[S1:0][package]cifs-mount-3.0.21c-8.i586
+>!> 81: U__s_[S2:1][package]cloop-kmp-default-2.01_2.6.16_rc5_git14_2-15.i586
+>!> 82: I__s_[S1:1][package]cloop-kmp-default-2.01_2.6.16_rc5_git14_3c-15.i586
+>!> 83: I__s_[S1:1][package]cloop-kmp-smp-2.01_2.6.16_rc5_git14_3c-15.i586
+>!> 84: I__s_[S1:0][package]compat-2006.1.25-4.i586
+>!> 85: I__s_[S1:0][package]compat-curl2-7.11.0-13.i586
+>!> 86: I__s_[S1:0][package]compat-libstdc++-5.0.7-15.i586
+>!> 87: I__s_[S1:0][package]compat-openssl097g-0.9.7g-6.i586
+>!> 88: I__s_[S1:0][package]convmv-1.09-5.noarch
+>!> 89: I__s_[S1:0][package]coreutils-5.93-14.i586
+>!> 90: I__s_[S1:0][package]cpio-2.6-12.i586
+>!> 91: I__s_[S1:0][package]cpp-4.1.0-5.i586
+>!> 92: I__s_[S1:0][package]cpufrequtils-0.4-6.i586
+>!> 93: I__s_[S1:0][package]cracklib-2.8.6-6.i586
+>!> 94: I__s_[S1:0][package]crafty-20.1-5.i586
+>!> 95: I__s_[S1:0][package]cron-4.1-37.i586
+>!> 96: I__s_[S1:0][package]cups-1.1.23-31.i586
+>!> 97: I__s_[S1:0][package]cups-SUSE-ppds-dat-1.1.20-111.i586
+>!> 98: I__s_[S1:0][package]cups-client-1.1.23-31.i586
+>!> 99: I__s_[S1:0][package]cups-drivers-1.1.23-20.i586
+>!> 100: I__s_[S1:0][package]cups-drivers-stp-1.1.23-20.i586
+>!> 101: I__s_[S1:0][package]cups-libs-1.1.23-31.i586
+>!> 102: I__s_[S1:0][package]curl-7.15.1-11.i586
+>!> 103: I__s_[S1:0][package]cyrus-sasl-2.1.21-10.i586
+>!> 104: I__s_[S1:0][package]cyrus-sasl-crammd5-2.1.21-10.i586
+>!> 105: I__s_[S1:0][package]cyrus-sasl-digestmd5-2.1.21-10.i586
+>!> 106: I__s_[S1:0][package]cyrus-sasl-plain-2.1.21-10.i586
+>!> 107: I__s_[S1:0][package]cyrus-sasl-saslauthd-2.1.21-10.i586
+>!> 108: I__s_[S1:0][package]db-4.3.29-8.i686
+>!> 109: I__s_[S1:0][package]dbus-1-0.60-20.i586
+>!> 110: I__s_[S1:0][package]dbus-1-glib-0.60-20.i586
+>!> 111: I__s_[S1:0][package]dbus-1-mono-0.60-20.i586
+>!> 112: I__s_[S1:0][package]dbus-1-qt3-0.60-20.i586
+>!> 113: I__s_[S1:0][package]dbus-1-x11-0.60-20.i586
+>!> 114: I__s_[S1:0][package]dcraw-1.315-5.i586
+>!> 115: I__s_[S1:0][package]dejavu-2.2-7.noarch
+>!> 116: I__s_[S1:0][package]deltarpm-3.3-5.i586
+>!> 117: I__s_[S1:0][package]desktop-data-SuSE-10.1-21.noarch
+>!> 118: I__s_[S1:0][package]desktop-file-utils-0.10-15.i586
+>!> 119: I__s_[S1:0][package]desktop-translations-10.1-14.noarch
+>!> 120: I__s_[S1:0][package]device-mapper-1.02.02-8.i586
+>!> 121: I__s_[S1:0][package]devs-10.1-1.i586
+>!> 122: I__s_[S1:0][package]dhcdbd-1.12-7.i586
+>!> 123: I__s_[S1:0][package]dhcp-3.0.3-13.i586
+>!> 124: I__s_[S1:0][package]dhcp-client-3.0.3-13.i586
+>!> 125: I__s_[S1:0][package]dhcpcd-1.3.22pl4-216.i586
+>!> 126: I__s_[S1:0][package]dialog-0.9b-197.i586
+>!> 127: I__s_[S1:0][package]diffutils-2.8.7-10.i586
+>!> 128: I__s_[S1:0][package]digikam-0.8.1-13.i586
+>!> 129: I__s_[S1:0][package]digikamimageplugins-0.8.0-7.i586
+>!> 130: I__s_[S1:0][package]dirmngr-0.9.2-8.i586
+>!> 131: I__s_[S1:0][package]dmraid-0.99_1.0.0rc8-7.i586
+>!> 132: I__s_[S1:0][package]dos2unix-3.1-309.i586
+>!> 133: I__s_[S1:0][package]dosbootdisk-1.1-46.i586
+>!> 134: I__s_[S1:0][package]dosfstools-2.11-8.i586
+>!> 135: I__s_[S1:0][package]dragonegg-0.1-11.i586
+>!> 136: I__s_[S1:0][package]dvd+rw-tools-6.1-7.i586
+>!> 137: I__s_[S1:0][package]e2fsprogs-1.38-18.i586
+>!> 138: I__s_[S1:0][package]ed-0.2-874.i586
+>!> 139: I__s_[S1:0][package]efont-unicode-0.4.2-12.noarch
+>!> 140: I__s_[S1:0][package]eject-2.1.0-5.i586
+>!> 141: I__s_[S1:0][package]enigma-0.92-13.i586
+>!> 142: I__s_[S1:0][package]enscript-1.6.4-12.i586
+>!> 143: I__s_[S1:0][package]esound-0.2.36-12.i586
+>!> 144: I__s_[S1:0][package]ethtool-3-8.i586
+>!> 145: I__s_[S1:0][package]expat-2.0.0-6.i586
+>!> 146: I__s_[S1:0][package]fam-2.6.10-140.i586
+>!> 147: I__s_[S1:0][package]fam-server-2.6.10-140.i586
+>!> 148: I__s_[S1:0][package]fbset-2.1-790.i586
+>!> 149: I__s_[S1:0][package]file-4.16-7.i586
+>!> 150: I__s_[S1:0][package]fileshareset-2.0-53.i586
+>!> 151: I__s_[S1:0][package]filesystem-10.0.42-11.i586
+>!> 152: I__s_[S1:0][package]fillup-1.42-111.i586
+>!> 153: I__s_[S1:0][package]filters-2006.1.25-4.i586
+>!> 154: I__s_[S1:0][package]findutils-4.2.27-6.i586
+>!> 155: I__s_[S1:0][package]finger-1.3-7.i586
+>!> 156: I__s_[S1:0][package]flac-1.1.2-8.i586
+>!> 157: I__s_[S1:0][package]fontconfig-2.3.94-2.i586
+>!> 158: I__s_[S1:0][package]fonts-config-20060210-5.noarch
+>!> 159: I__s_[S1:0][package]foomatic-filters-3.0.2-12.i586
+>!> 160: I__s_[S1:0][package]freeciv-2.0.7-8.i586
+>!> 161: I__s_[S1:0][package]freeglut-051110-8.i586
+>!> 162: I__s_[S1:0][package]freetype-1.3.1-1166.i586
+>!> 163: I__s_[S1:0][package]freetype2-2.1.10-9.i586
+>!> 164: I__s_[S1:0][package]fribidi-0.10.4-493.i586
+>!> 165: I__s_[S1:0][package]frozen-bubble-1.0.0-343.i586
+>!> 166: I__s_[S1:0][package]fvwm2-2.5.12-11.i586
+>!> 167: I__s_[S1:0][package]gail-1.8.8-8.i586
+>!> 168: I__s_[S1:0][package]gawk-3.1.5-11.i586
+>!> 169: I__s_[S1:0][package]gconf2-2.12.1-20.i586
+>!> 170: I__s_[S1:0][package]gdb-6.4-8.i586
+>!> 171: I__s_[S1:0][package]gdbm-1.8.3-236.i586
+>!> 172: I__s_[S1:0][package]gettext-0.14.5-6.i586
+>!> 173: I__s_[S1:0][package]ghostscript-fonts-other-8.15.2rc1-13.i586
+>!> 174: I__s_[S1:0][package]ghostscript-fonts-std-8.15.2rc1-13.i586
+>!> 175: I__s_[S1:0][package]ghostscript-library-8.15.2rc1-13.i586
+>!> 176: I__s_[S1:0][package]ghostscript-x11-8.15.2rc1-13.i586
+>!> 177: I__s_[S1:0][package]giflib-4.1.4-7.i586
+>!> 178: I__s_[S1:0][package]gimp-2.2.10-14.i586
+>!> 179: I__s_[S1:0][package]gimp-cmyk-0.3-14.i586
+>!> 180: I__s_[S1:0][package]gle-3.0.6-654.i586
+>!> 181: I__s_[S1:0][package]glib-1.2.10-602.i586
+>!> 182: I__s_[S1:0][package]glib-sharp2-2.8.2-4.i586
+>!> 183: I__s_[S1:0][package]glib2-2.8.5-12.i586
+>!> 184: I__s_[S1:0][package]glibc-2.4-6.i686
+>!> 185: I__s_[S1:0][package]glibc-i18ndata-2.4-6.i586
+>!> 186: I__s_[S1:0][package]glibc-locale-2.4-6.i586
+>!> 187: I__s_[S1:0][package]glitz-0.4.4-14.i586
+>!> 188: I__s_[S1:0][package]gmime-2.1.19-6.i586
+>!> 189: I__s_[S1:0][package]gmp-4.1.4-13.i586
+>!> 190: I__s_[S1:0][package]gnome-desktop-2.12.2-13.i586
+>!> 191: I__s_[S1:0][package]gnome-filesystem-0.1-249.i586
+>!> 192: I__s_[S1:0][package]gnome-icon-theme-2.12.1-14.noarch
+>!> 193: I__s_[S1:0][package]gnome-keyring-0.4.6-8.i586
+>!> 194: I__s_[S1:0][package]gnome-mime-data-2.4.2-13.i586
+>!> 195: I__s_[S1:0][package]gnome-vfs2-2.12.2-37.i586
+>!> 196: I__s_[S1:0][package]gnutls-1.2.10-6.i586
+>!> 197: I__s_[S1:0][package]goom2k4-rc2-41.i586
+>!> 198: I__s_[S1:0][package]gpart-0.1h-485.i586
+>!> 199: I__s_[S1:0][package]gpg-1.4.2-16.i586
+>!> 200: I__s_[S1:0][package]gpg2-1.9.18-10.i586
+>!> 201: I__s_[S1:0][package]gpgme-1.0.3-9.i586
+>!> 202: I__s_[S1:0][package]gpm-1.20.1-315.i586
+>!> 203: I__s_[S1:0][package]grep-2.5.1a-12.i586
+>!> 204: I__s_[S1:0][package]groff-1.18.1.1-22.i586
+>!> 205: I__s_[S1:0][package]grub-0.97-6.i586
+>!> 206: I__s_[S1:0][package]gsf-sharp-0.7-13.i586
+>!> 207: I__s_[S1:0][package]gtk-1.2.10-900.i586
+>!> 208: I__s_[S1:0][package]gtk-qt-engine-0.7cvs20060209-9.i586
+>!> 209: I__s_[S1:0][package]gtk-sharp2-2.8.2-4.i586
+>!> 210: I__s_[S1:0][package]gtk2-2.8.10-20.i586
+>!> 211: I__s_[S1:0][package]gtksourceview-1.5.6-10.i586
+>!> 212: I__s_[S1:0][package]gwenview-1.3.1-8.i586
+>!> 213: I__s_[S1:0][package]gzip-1.3.5-152.i586
+>!> 214: I__s_[S1:0][package]hal-0.5.6-16.i586
+>!> 215: I__s_[S1:0][package]hal-resmgr-0.1_SVNr77-5.i586
+>!> 216: I__s_[S1:0][package]hdparm-6.3-6.i586
+>!> 217: I__s_[S1:0][package]hplip-0.9.7-9.i586
+>!> 218: I__s_[S1:0][package]hplip-hpijs-0.9.7-9.i586
+>!> 219: I__s_[S1:0][package]htdig-3.2.0b6-14.i586
+>!> 220: I__s_[S1:0][package]hwinfo-12.13-2.i586
+>!> 221: I__s_[S1:0][package]i4l-base-2006.2.28-4.i586
+>!> 222: I__s_[S1:0][package]i4l-isdnlog-2006.2.28-4.i586
+>!> 223: I__s_[S1:0][package]i4lfirm-2006.2.28-4.i586
+>!> 224: I__s_[S1:0][package]id3lib-3.8.3-97.i586
+>!> 225: I__s_[S1:0][package]ifnteuro-1.2.1-202.noarch
+>!> 226: I__s_[S1:0][package]ifplugd-0.28-10.i586
+>!> 227: I__s_[S1:0][package]imlib-1.9.14-206.i586
+>!> 228: I__s_[S1:0][package]imlib2-1.2.1-10.i586
+>!> 229: I__s_[S1:0][package]imlib2-loaders-1.2.1-10.i586
+>!> 230: I__s_[S1:0][package]info-4.8-15.i586
+>!> 231: I__s_[S1:0][package]info2html-1.4-9.noarch
+>!> 232: I__s_[S1:0][package]initviocons-0.4-309.i586
+>!> 233: I__s_[S1:0][package]insserv-1.04.0-13.i586
+>!> 234: I__s_[S1:0][package]intlfnts-1.2.1-202.noarch
+>!> 235: I__s_[S1:0][package]iproute2-2.6.15-6.i586
+>!> 236: I__s_[S1:0][package]iptables-1.3.5-6.i586
+>!> 237: I__s_[S1:0][package]iputils-ss021109-160.i586
+>!> 238: I__s_[S1:0][package]isapnp-1.26-498.i586
+>!> 239: I__s_[S1:0][package]ispell-3.2.06-471.i586
+>!> 240: I__s_[S1:0][package]ispell-american-3.2.06-471.i586
+>!> 241: I__s_[S1:0][package]ispell-british-3.2.06-471.i586
+>!> 242: I__s_[S1:0][package]jack-0.100.0-10.i586
+>!> 243: I__s_[S1:0][package]java-1_4_2-gcj-compat-1.4.2.0-20.i586
+>!> 244: I__s_[S1:0][package]jfsutils-1.1.10-6.i586
+>!> 245: I__s_[S1:0][package]joe-3.3-8.i586
+>!> 246: I__s_[S1:0][package]jpackage-utils-1.6.3-11.i586
+>!> 247: I__s_[S1:0][package]jpeg-6b-745.i586
+>!> 248: I__s_[S1:0][package]k3b-0.12.14-3.i586
+>!> 249: I__s_[S1:0][package]kaffeine-0.7.1-15.i586
+>!> 250: I__s_[S1:0][package]kbd-1.12-53.i586
+>!> 251: I__s_[S1:0][package]kde3-i18n-de-3.5.1-9.noarch
+>!> 252: I__s_[S1:0][package]kdeaddons3-kate-3.5.1-9.i586
+>!> 253: I__s_[S1:0][package]kdeaddons3-kicker-3.5.1-9.i586
+>!> 254: I__s_[S1:0][package]kdeaddons3-konqueror-3.5.1-9.i586
+>!> 255: I__s_[S1:0][package]kdeartwork3-kscreensaver-3.5.1-10.i586
+>!> 256: I__s_[S1:0][package]kdeartwork3-sound-3.5.1-10.i586
+>!> 257: I__s_[S1:0][package]kdeartwork3-xscreensaver-3.5.1-10.i586
+>!> 258: I__s_[S1:0][package]kdebase3-3.5.1-41.i586
+>!> 259: I__s_[S1:0][package]kdebase3-SuSE-10.1-37.i586
+>!> 260: I__s_[S1:0][package]kdebase3-kdm-3.5.1-41.i586
+>!> 261: I__s_[S1:0][package]kdebase3-ksysguardd-3.5.1-41.i586
+>!> 262: I__s_[S1:0][package]kdebase3-nsplugin-3.5.1-41.i586
+>!> 263: I__s_[S1:0][package]kdebase3-samba-3.5.1-41.i586
+>!> 264: I__s_[S1:0][package]kdebase3-session-3.5.1-41.i586
+>!> 265: I__s_[S1:0][package]kdebindings3-python-3.5.1-9.i586
+>!> 266: I__s_[S1:0][package]kdebluetooth-0.0.svn20051202-15.i586
+>!> 267: I__s_[S1:0][package]kdegames3-3.5.1-7.i586
+>!> 268: I__s_[S1:0][package]kdegraphics3-3.5.1-11.i586
+>!> 269: I__s_[S1:0][package]kdegraphics3-fax-3.5.1-11.i586
+>!> 270: I__s_[S1:0][package]kdegraphics3-kamera-3.5.1-11.i586
+>!> 271: I__s_[S1:0][package]kdegraphics3-pdf-3.5.1-11.i586
+>!> 272: I__s_[S1:0][package]kdegraphics3-postscript-3.5.1-11.i586
+>!> 273: I__s_[S1:0][package]kdegraphics3-scan-3.5.1-11.i586
+>!> 274: I__s_[S1:0][package]kdelibs3-3.5.1-26.i586
+>!> 275: I__s_[S1:0][package]kdelibs3-doc-3.5.1-26.i586
+>!> 276: I__s_[S1:0][package]kdemultimedia3-3.5.1-9.i586
+>!> 277: I__s_[S1:0][package]kdemultimedia3-CD-3.5.1-9.i586
+>!> 278: I__s_[S1:0][package]kdemultimedia3-mixer-3.5.1-9.i586
+>!> 279: I__s_[S1:0][package]kdenetwork3-3.5.1-16.i586
+>!> 280: I__s_[S1:0][package]kdenetwork3-InstantMessenger-3.5.1-16.i586
+>!> 281: I__s_[S1:0][package]kdenetwork3-news-3.5.1-16.i586
+>!> 282: I__s_[S1:0][package]kdenetwork3-vnc-3.5.1-16.i586
+>!> 283: I__s_[S1:0][package]kdepim3-3.5.1-22.i586
+>!> 284: I__s_[S1:0][package]kdepim3-kpilot-3.5.1-22.i586
+>!> 285: I__s_[S1:0][package]kdepim3-networkstatus-3.5.1-22.i586
+>!> 286: I__s_[S1:0][package]kdepim3-sync-3.5.1-22.i586
+>!> 287: I__s_[S1:0][package]kdetv-0.8.8-7.i586
+>!> 288: I__s_[S1:0][package]kdeutils3-3.5.1-12.i586
+>!> 289: I__s_[S1:0][package]kdeutils3-laptop-3.5.1-12.i586
+>!> 290: U__s_[S2:1][package]kernel-default-2.6.16_rc5_git14-2.i586
+>!> 291: I__s_[S1:0][package]kerry-0.09-2.i586
+>!> 292: I__s_[S1:0][package]kio_beagle-0.2-8.i586
+>!> 293: I__s_[S1:0][package]kio_ipodslave-0.7.2-5.i586
+>!> 294: I__s_[S1:0][package]kio_slp-0.4.1-9.i586
+>!> 295: I__s_[S1:0][package]kipi-plugins-0.1.0rc1-12.i586
+>!> 296: I__s_[S1:0][package]klogd-1.4.1-552.i586
+>!> 297: I__s_[S1:0][package]knights-0.6-415.i586
+>!> 298: I__s_[S1:0][package]konversation-0.18-13.i586
+>!> 299: I__s_[S1:0][package]kpowersave-0.5.11-2.i586
+>!> 300: I__s_[S1:0][package]krb5-1.4.3-11.i586
+>!> 301: I__s_[S1:0][package]krecord-1.16-18.i586
+>!> 302: I__s_[S1:0][package]kscpm-0.5.3-9.i586
+>!> 303: I__s_[S1:0][package]ksymoops-2.4.11-10.i586
+>!> 304: I__s_[S1:0][package]ktorrent-1.2-11.i586
+>!> 305: U__s_[S0:0][language]ar-.noarch
+>!> 306: U__s_[S0:0][language]bg-.noarch
+>!> 307: U__s_[S0:0][language]cs-.noarch
+>!> 308: U__s_[S0:0][language]de-.noarch
+>!> 309: U__s_[S0:0][language]el-.noarch
+>!> 310: U__s_[S0:0][language]en-.noarch
+>!> 311: U__s_[S0:0][language]en_GB-.noarch
+>!> 312: U__s_[S0:0][language]he-.noarch
+>!> 313: U__s_[S0:0][language]ru-.noarch
+>!> 314: I__s_[S1:0][package]ldapcpplib-0.0.4-6.i586
+>!> 315: I__s_[S1:0][package]less-394-6.i586
+>!> 316: I__s_[S1:0][package]lftp-3.4.0-14.i586
+>!> 317: I__s_[S1:0][package]libacl-2.2.34-5.i586
+>!> 318: I__s_[S1:0][package]libakode-2.0.0-11.i586
+>!> 319: I__s_[S1:0][package]libao-0.8.6-12.i586
+>!> 320: I__s_[S1:0][package]libapparmor-2.0-9.i586
+>!> 321: I__s_[S1:0][package]libart_lgpl-2.3.17-10.i586
+>!> 322: I__s_[S1:0][package]libattr-2.4.28-7.i586
+>!> 323: I__s_[S1:0][package]libbeagle-0.2.2.1-4.i586
+>!> 324: I__s_[S1:0][package]libbonobo-2.10.1-17.i586
+>!> 325: I__s_[S1:0][package]libbonoboui-2.10.1-15.i586
+>!> 326: I__s_[S1:0][package]libcap-1.92-492.i586
+>!> 327: I__s_[S1:0][package]libcddb-1.2.1-11.i586
+>!> 328: I__s_[S1:0][package]libcdio-0.76-9.i586
+>!> 329: I__s_[S1:0][package]libcom_err-1.38-18.i586
+>!> 330: I__s_[S1:0][package]libcroco-0.6.0-16.i586
+>!> 331: I__s_[S1:0][package]libdrm-2.0-8.i586
+>!> 332: I__s_[S1:0][package]libevent-1.1-6.i586
+>!> 333: I__s_[S1:0][package]libexif-0.6.13-13.i586
+>!> 334: I__s_[S1:0][package]libgcc-4.1.0-5.i586
+>!> 335: I__s_[S1:0][package]libgcj-4.1.0-5.i586
+>!> 336: I__s_[S1:0][package]libgcrypt-1.2.2-6.i586
+>!> 337: I__s_[S1:0][package]libgimpprint-4.2.7-55.i586
+>!> 338: I__s_[S1:0][package]libglade2-2.5.1-17.i586
+>!> 339: I__s_[S1:0][package]libgnome-2.12.0.1-18.i586
+>!> 340: I__s_[S1:0][package]libgnomecanvas-2.12.0-12.i586
+>!> 341: I__s_[S1:0][package]libgnomecups-0.2.2-13.i586
+>!> 342: I__s_[S1:0][package]libgnomeprint-2.12.1-12.i586
+>!> 343: I__s_[S1:0][package]libgnomeprintui-2.12.1-12.i586
+>!> 344: I__s_[S1:0][package]libgnomesu-1.0.0-17.i586
+>!> 345: I__s_[S1:0][package]libgnomeui-2.12.0-16.i586
+>!> 346: I__s_[S1:0][package]libgpg-error-1.0-9.i586
+>!> 347: I__s_[S1:0][package]libgphoto2-2.1.99.0head-15.i586
+>!> 348: I__s_[S1:0][package]libgsf-1.13.99-5.i586
+>!> 349: I__s_[S1:0][package]libgsf-gnome-1.13.99-5.i586
+>!> 350: I__s_[S1:0][package]libgssapi-0.6-6.i586
+>!> 351: I__s_[S1:0][package]libgtkhtml-2.11.0-9.i586
+>!> 352: I__s_[S1:0][package]libicu-3.4-9.i586
+>!> 353: I__s_[S1:0][package]libid3tag-0.15.1b-27.i586
+>!> 354: I__s_[S1:0][package]libidl-0.8.6-11.i586
+>!> 355: I__s_[S1:0][package]libidn-0.6.0-7.i586
+>!> 356: I__s_[S1:0][package]libieee1284-0.2.10-6.i586
+>!> 357: I__s_[S1:0][package]libjasper-1.701.0-9.i586
+>!> 358: I__s_[S1:0][package]libjpeg-6.2.0-745.i586
+>!> 359: I__s_[S1:0][package]libkexif-0.2.2-8.i586
+>!> 360: I__s_[S1:0][package]libkipi-0.1.2-8.i586
+>!> 361: I__s_[S1:0][package]libksba-0.9.12-7.i586
+>!> 362: I__s_[S1:0][package]liblcms-1.15-5.i586
+>!> 363: I__s_[S1:0][package]libmal-0.31-163.i586
+>!> 364: I__s_[S1:0][package]libmikmod-3.1.11-7.i586
+>!> 365: I__s_[S1:0][package]libmng-1.0.9-9.i586
+>!> 366: I__s_[S1:0][package]libmusicbrainz-2.1.2-5.i586
+>!> 367: I__s_[S1:0][package]libnetpbm-1.0.0-649.i586
+>!> 368: I__s_[S1:0][package]libnl-1.0-11.i586
+>!> 369: I__s_[S1:0][package]libnscd-1.1-9.i586
+>!> 370: I__s_[S1:0][package]libogg-1.1.3-6.i586
+>!> 371: I__s_[S1:0][package]libopencdk-0.5.5-8.i586
+>!> 372: I__s_[S1:0][package]libpcap-0.9.4-5.i586
+>!> 373: I__s_[S1:0][package]libpng-1.2.8-12.i586
+>!> 374: I__s_[S1:0][package]librpcsecgss-0.7-6.i586
+>!> 375: I__s_[S1:0][package]librsvg-2.12.7-8.i586
+>!> 376: I__s_[S1:0][package]libsamplerate-0.1.2-8.i586
+>!> 377: I__s_[S1:0][package]libsmbclient-3.0.21c-8.i586
+>!> 378: I__s_[S1:0][package]libsndfile-1.0.12-6.i586
+>!> 379: I__s_[S1:0][package]libstdc++-4.1.0-5.i586
+>!> 380: I__s_[S1:0][package]libstroke-0.5.1-8.i586
+>!> 381: I__s_[S1:0][package]libtheora-1.0alpha5-9.i586
+>!> 382: I__s_[S1:0][package]libtiff-3.8.0-7.i586
+>!> 383: I__s_[S1:0][package]libtool-1.5.22-6.i586
+>!> 384: I__s_[S1:0][package]libtunepimp-0.4.1-6.i586
+>!> 385: I__s_[S1:0][package]libusb-0.1.12-2.i586
+>!> 386: I__s_[S1:0][package]libvisual-0.2.0-17.i586
+>!> 387: I__s_[S1:0][package]libvisual-plugins-0.2.0-20.i586
+>!> 388: I__s_[S1:0][package]libvorbis-1.1.2-6.i586
+>!> 389: I__s_[S1:0][package]libwmf-0.2.8.2-103.i586
+>!> 390: I__s_[S1:0][package]libxcrypt-2.4-5.i586
+>!> 391: I__s_[S1:0][package]libxml2-2.6.23-8.i586
+>!> 392: I__s_[S1:0][package]libxslt-1.1.15-8.i586
+>!> 393: I__s_[S1:0][package]liby2util-2.13.7-3.i586
+>!> 394: I__s_[S1:0][package]libzio-0.1-10.i586
+>!> 395: I__s_[S1:0][package]libzypp-0.0.8-49.i586
+>!> 396: I__s_[S1:0][package]libzypp-zmd-backend-7.1.1-10.i586
+>!> 397: I__s_[S1:0][package]lilo-22.7-11.i586
+>!> 398: I__s_[S1:0][package]limal-1.1.5-3.i586
+>!> 399: I__s_[S1:0][package]limal-bootloader-1.0.5-7.i586
+>!> 400: I__s_[S1:0][package]limal-perl-1.1.5-3.i586
+>!> 401: I__s_[S1:0][package]linux-atm-lib-2.5.0-7.i586
+>!> 402: I__s_[S1:0][package]log4net-1.2.9-10.i586
+>!> 403: I__s_[S1:0][package]logrotate-3.7.3-6.i586
+>!> 404: I__s_[S1:0][package]lsb-3.0-11.i586
+>!> 405: I__s_[S1:0][package]lsof-4.76-6.i586
+>!> 406: I__s_[S1:0][package]lua-5.0.2-10.i586
+>!> 407: I__s_[S1:0][package]lzo-2.02-5.i586
+>!> 408: I__s_[S1:0][package]m4-1.4.4-5.i586
+>!> 409: I__s_[S1:0][package]mDNSResponder-107.5-6.i586
+>!> 410: I__s_[S1:0][package]mailx-11.25-7.i586
+>!> 411: I__s_[S1:0][package]make-3.80-194.i586
+>!> 412: I__s_[S1:0][package]man-2.4.1-229.i586
+>!> 413: I__s_[S1:0][package]man-pages-2.25-2.noarch
+>!> 414: I__s_[S1:0][package]manufacturer-PPDs-0.5-7.i586
+>!> 415: I__s_[S1:0][package]master-boot-code-1.6-11.i586
+>!> 416: I__s_[S1:0][package]mc-4.6.1-21.i586
+>!> 417: I__s_[S1:0][package]mdadm-2.2-13.i586
+>!> 418: I__s_[S1:0][package]microcode_ctl-1.13-6.i586
+>!> 419: I__s_[S1:0][package]mingetty-0.9.6s-81.i586
+>!> 420: I__s_[S1:0][package]mkinitrd-1.2-77.i586
+>!> 421: I__s_[S1:0][package]mkisofs-2.01-17.i586
+>!> 422: I__s_[S1:0][package]mktemp-1.5-737.i586
+>!> 423: I__s_[S1:0][package]module-init-tools-3.2.2-16.i586
+>!> 424: I__s_[S1:0][package]mono-core-1.1.13.4-4.i586
+>!> 425: I__s_[S1:0][package]mono-data-1.1.13.4-4.i586
+>!> 426: I__s_[S1:0][package]mono-data-sqlite-1.1.13.4-4.i586
+>!> 427: I__s_[S1:0][package]mono-web-1.1.13.4-4.i586
+>!> 428: I__s_[S1:0][package]mozilla-nspr-4.6.1-15.i586
+>!> 429: I__s_[S1:0][package]mozilla-nss-3.11-14.i586
+>!> 430: I__s_[S1:0][package]mtools-3.9.10-9.i586
+>!> 431: I__s_[S1:0][package]myspell-american-20040623-20.noarch
+>!> 432: I__s_[S1:0][package]myspell-british-20050526-14.noarch
+>!> 433: I__s_[S1:0][package]myspell-german-20051213-11.noarch
+>!> 434: I__s_[S1:0][package]ncurses-5.5-10.i586
+>!> 435: I__s_[S1:0][package]neon-0.24.7-13.i586
+>!> 436: I__s_[S1:0][package]net-snmp-5.3.0.1-10.i586
+>!> 437: I__s_[S1:0][package]net-tools-1.60-574.i586
+>!> 438: I__s_[S1:0][package]netcat-1.10-876.i586
+>!> 439: I__s_[S1:0][package]netcfg-10.0.42-5.noarch
+>!> 440: I__s_[S1:0][package]netpbm-10.26.22-6.i586
+>!> 441: I__s_[S1:0][package]nfs-utils-1.0.7-24.i586
+>!> 442: I__s_[S1:0][package]nfsidmap-0.12-6.i586
+>!> 443: U__s_[S2:1][package]novfs-kmp-default-1.2.0_2.6.16_rc5_git14_2-8.i586
+>!> 444: I__s_[S1:1][package]novfs-kmp-default-1.2.0_2.6.16_rc5_git14_3c-8.i586
+>!> 445: I__s_[S1:1][package]novfs-kmp-smp-1.2.0_2.6.16_rc5_git14_3c-8.i586
+>!> 446: I__s_[S1:0][package]nscd-2.4-6.i586
+>!> 447: I__s_[S1:0][package]ntfsprogs-1.11.2-6.i586
+>!> 448: U__s_[S2:1][package]nvidia-gfx-kmp-default-1.0.8178_2.6.16_rc5_git14_2-1.i586
+>!> 449: I__s_[S1:1][package]nvidia-gfx-kmp-default-1.0.8178_2.6.16_rc5_git14_3c-1.i586
+>!> 450: I__s_[S1:1][package]nvidia-gfx-kmp-smp-1.0.8178_2.6.16_rc5_git14_3c-1.i586
+>!> 451: I__s_[S1:0][package]ocrad-0.13-7.i586
+>!> 452: I__s_[S1:0][package]openct-0.6.6-8.i586
+>!> 453: I__s_[S1:0][package]openldap2-client-2.3.19-10.i586
+>!> 454: I__s_[S1:0][package]openmotif-libs-2.2.4-11.i586
+>!> 455: I__s_[S1:0][package]openobex-1.0.1-61.i586
+>!> 456: I__s_[S1:0][package]opensc-0.9.6-10.i586
+>!> 457: I__s_[S1:0][package]openslp-1.2.0-13.i586
+>!> 458: I__s_[S1:0][package]openssh-4.2p1-11.i586
+>!> 459: I__s_[S1:0][package]openssh-askpass-4.2p1-11.i586
+>!> 460: I__s_[S1:0][package]openssl-0.9.8a-11.i586
+>!> 461: I__s_[S1:0][package]orbit2-2.12.4-10.i586
+>!> 462: I__s_[S1:0][package]pam-0.99.3.0-14.i586
+>!> 463: I__s_[S1:0][package]pam-modules-10.1-1.i586
+>!> 464: I__s_[S1:0][package]pango-1.10.2-13.i586
+>!> 465: I__s_[S1:0][package]parted-1.6.25.1-7.i586
+>!> 466: I__s_[S1:0][package]patch-2.5.9-153.i586
+>!> 467: I__s_[S1:0][package]pax-3.4-7.i586
+>!> 468: I__s_[S1:0][package]pciutils-2.2.1-7.i586
+>!> 469: I__s_[S1:0][package]pcre-6.4-7.i586
+>!> 470: I__s_[S1:0][package]pcsc-lite-1.2.9_beta9-8.i586
+>!> 471: I__s_[S1:0][package]perl-5.8.8-7.i586
+>!> 472: I__s_[S1:0][package]perl-Bootloader-0.2.13-2.i586
+>!> 473: I__s_[S1:0][package]perl-Config-Crontab-1.11-5.i586
+>!> 474: I__s_[S1:0][package]perl-Crypt-SmbHash-0.12-6.i586
+>!> 475: I__s_[S1:0][package]perl-DBD-SQLite-1.11-7.i586
+>!> 476: I__s_[S1:0][package]perl-DBI-1.50-5.i586
+>!> 477: I__s_[S1:0][package]perl-Digest-MD4-1.5-6.i586
+>!> 478: I__s_[S1:0][package]perl-Digest-SHA1-2.10-8.i586
+>!> 479: I__s_[S1:0][package]perl-File-Tail-0.99.3-5.i586
+>!> 480: I__s_[S1:0][package]perl-HTML-Parser-3.48-5.i586
+>!> 481: I__s_[S1:0][package]perl-HTML-Tagset-3.10-5.i586
+>!> 482: I__s_[S1:0][package]perl-IO-Socket-SSL-0.97-7.i586
+>!> 483: I__s_[S1:0][package]perl-Net-Daemon-0.38-54.i586
+>!> 484: I__s_[S1:0][package]perl-Net_SSLeay-1.30-6.i586
+>!> 485: I__s_[S1:0][package]perl-PDA-Pilot-0.12.0_pre4-13.i586
+>!> 486: I__s_[S1:0][package]perl-Parse-RecDescent-1.80-252.i586
+>!> 487: I__s_[S1:0][package]perl-PlRPC-0.2018-6.i586
+>!> 488: I__s_[S1:0][package]perl-TermReadKey-2.30-6.i586
+>!> 489: I__s_[S1:0][package]perl-TermReadLine-Gnu-1.15-6.i586
+>!> 490: I__s_[S1:0][package]perl-TimeDate-1.16-129.i586
+>!> 491: I__s_[S1:0][package]perl-URI-1.35-8.i586
+>!> 492: I__s_[S1:0][package]perl-X500-DN-0.28-126.i586
+>!> 493: I__s_[S1:0][package]perl-XML-Parser-2.34-36.i586
+>!> 494: I__s_[S1:0][package]perl-XML-Writer-0.600-6.i586
+>!> 495: I__s_[S1:0][package]perl-gettext-1.05-6.i586
+>!> 496: I__s_[S1:0][package]perl-libwww-perl-5.805-5.i586
+>!> 497: I__s_[S1:0][package]permissions-2006.2.24-3.i586
+>!> 498: I__s_[S1:0][package]pico-4.64-12.i586
+>!> 499: I__s_[S1:0][package]pilot-link-0.12.0_pre4-13.i586
+>!> 500: I__s_[S1:0][package]pin-0.35-5.noarch
+>!> 501: I__s_[S1:0][package]pinentry-0.7.2-8.i586
+>!> 502: I__s_[S1:0][package]pmtools-20050823-16.i586
+>!> 503: I__s_[S1:0][package]poppler-0.4.4-10.i586
+>!> 504: I__s_[S1:0][package]poppler-qt-0.4.4-10.i586
+>!> 505: I__s_[S1:0][package]popt-1.7-253.i586
+>!> 506: I__s_[S1:0][package]portmap-5beta-742.i586
+>!> 507: I__s_[S1:0][package]postfix-2.2.6-10.i586
+>!> 508: I__s_[S1:0][package]powersave-0.12.4-2.i586
+>!> 509: I__s_[S1:0][package]powersave-libs-0.12.4-2.i586
+>!> 510: I__s_[S1:0][package]ppp-2.4.3-26.i586
+>!> 511: I__s_[S1:0][package]pptp-1.7.0-6.i586
+>!> 512: I__s_[S1:0][package]preload-0.2-18.i586
+>!> 513: I__s_[S1:0][package]procinfo-18-48.i586
+>!> 514: I__s_[S1:0][package]procmail-3.22-49.i586
+>!> 515: I__s_[S1:0][package]procps-3.2.6-9.i586
+>!> 516: I__s_[S1:0][package]providers-2006.1.25-4.noarch
+>!> 517: I__s_[S1:0][package]psmisc-22.1-7.i586
+>!> 518: I__s_[S1:0][package]psutils-p17-873.i586
+>!> 519: I__s_[S1:0][package]pwdutils-3.0.7.1-9.i586
+>!> 520: I__s_[S1:0][package]python-2.4.2-10.i586
+>!> 521: I__s_[S1:0][package]python-qt-3.5.1-9.i586
+>!> 522: I__s_[S1:0][package]python-xml-2.4.2-10.i586
+>!> 523: I__s_[S1:0][package]qca-1.0-18.i586
+>!> 524: I__s_[S1:0][package]qscintilla-1.65-7.i586
+>!> 525: I__s_[S1:0][package]qt3-3.3.5-41.i586
+>!> 526: I__s_[S1:0][package]readline-5.1-14.i586
+>!> 527: I__s_[S1:0][package]recode-3.6-497.i586
+>!> 528: I__s_[S1:0][package]reiserfs-3.6.19-10.i586
+>!> 529: I__s_[S1:0][package]release-notes-10.1.9-2.noarch
+>!> 530: I__s_[S1:0][package]resmgr-0.9.8_SVNr75-8.i586
+>!> 531: I__s_[S1:0][package]rpm-4.4.2-25.i586
+>!> 532: I__s_[S1:0][package]rrdtool-1.2.12-6.i586
+>!> 533: I__s_[S1:0][package]rsh-0.17-566.i586
+>!> 534: I__s_[S1:0][package]rsync-2.6.6-9.i586
+>!> 535: I__s_[S1:0][package]rug-7.1.1-13.i586
+>!> 536: I__s_[S1:0][package]samba-client-3.0.21c-8.i586
+>!> 537: I__s_[S1:0][package]sane-1.0.17-8.i586
+>!> 538: I__s_[S1:0][package]sash-3.7-39.i586
+>!> 539: I__s_[S1:0][package]sax2-7.1-94.i586
+>!> 540: I__s_[S1:0][package]sax2-gui-1.7-94.i586
+>!> 541: I__s_[S1:0][package]sax2-ident-1.7-94.i586
+>!> 542: I__s_[S1:0][package]sax2-libsax-7.1-94.i586
+>!> 543: I__s_[S1:0][package]sax2-libsax-perl-7.1-94.i586
+>!> 544: I__s_[S1:0][package]sax2-tools-2.7-94.i586
+>!> 545: I__s_[S1:0][package]scpm-1.1.3-8.i586
+>!> 546: I__s_[S1:0][package]screen-4.0.2-55.i586
+>!> 547: I__s_[S1:0][package]scsi-1.7_2.36_1.19_0.17_0.97-4.i586
+>!> 548: I__s_[S1:0][package]sed-4.1.4-10.i586
+>!> 549: I__s_[S1:0][selection]SuSE-Documentation-10-46.noarch
+>!> 550: I__s_[S1:0][selection]default-10-46.noarch
+>!> 551: I__s_[S1:0][package]sensors-2.10.0-3.i586
+>!> 552: I__s_[S1:0][package]setserial-2.17-586.i586
+>!> 553: I__s_[S1:0][package]sgml-skel-0.6-274.noarch
+>!> 554: I__s_[S1:0][package]shared-mime-info-0.16cvs20060309-3.i586
+>!> 555: I__s_[S1:0][package]siga-10.101-5.noarch
+>!> 556: I__s_[S1:0][package]sisctrl-0.0.20051202-6.i586
+>!> 557: I__s_[S1:0][package]slang-2.0.5-7.i586
+>!> 558: I__s_[S1:0][package]smpppd-1.59-12.i586
+>!> 559: I__s_[S1:0][package]speex-1.0.5-7.i586
+>!> 560: I__s_[S1:0][package]sqlite-3.2.8-7.i586
+>!> 561: I__s_[S1:0][package]sqlite2-2.8.17-7.i586
+>!> 562: I__s_[S1:0][package]src_vipa-2.0.3-5.i586
+>!> 563: I__s_[S1:0][package]startup-notification-0.8-13.i586
+>!> 564: I__s_[S1:0][package]strace-4.5.14-2.i586
+>!> 565: I__s_[S1:0][package]sudo-1.6.8p12-11.i586
+>!> 566: I__s_[S1:0][package]sumf-0.2.1-9.i586
+>!> 567: I__s_[S1:0][package]supertux-0.1.3-12.i586
+>!> 568: I__s_[S1:0][package]suse-build-key-1.0-675.noarch
+>!> 569: I__s_[S1:0][package]suse-release-10.1-2.i586
+>!> 570: I__s_[S1:0][package]suseRegister-1.0-22.noarch
+>!> 571: I__s_[S1:0][package]susehelp-2006.03.03-5.noarch
+>!> 572: I__s_[S1:0][package]susehelp_de-2006.03.03-5.noarch
+>!> 573: I__s_[S1:0][package]susehelp_en-2006.03.03-5.noarch
+>!> 574: I__s_[S1:0][package]suselinux-manual_en-10.1-10.noarch
+>!> 575: I__s_[S1:0][package]suspend-20060306-2.i586
+>!> 576: I__s_[S1:0][package]sysconfig-0.50.6-5.i586
+>!> 577: I__s_[S1:0][package]sysfsutils-1.3.0-9.i586
+>!> 578: I__s_[S1:0][package]syslinux-3.11-11.i586
+>!> 579: I__s_[S1:0][package]syslog-ng-1.6.8-12.i586
+>!> 580: I__s_[S1:0][package]sysvinit-2.86-13.i586
+>!> 581: I__s_[S1:0][package]taglib-1.4-13.i586
+>!> 582: I__s_[S1:0][package]tar-1.15.1-16.i586
+>!> 583: I__s_[S1:0][package]tcpd-7.6-723.i586
+>!> 584: I__s_[S1:0][package]tcsh-6.14.00-9.i586
+>!> 585: I__s_[S1:0][package]telnet-1.2-7.i586
+>!> 586: I__s_[S1:0][package]terminfo-5.5-10.i586
+>!> 587: I__s_[S1:0][package]testgart-0.1-196.i586
+>!> 588: I__s_[S1:0][package]tiff-3.8.0-7.i586
+>!> 589: I__s_[S1:0][package]tightvnc-1.2.9-191.i586
+>!> 590: I__s_[S1:0][package]timezone-2.4-6.i586
+>!> 591: I__s_[S1:0][package]tiny-nvidia-installer-1.0.7-6.i586
+>!> 592: I__s_[S1:0][package]tree-1.5.0-6.i586
+>!> 593: I__s_[S1:0][package]udev-085-7.i586
+>!> 594: I__s_[S1:0][package]unclutter-8-843.i586
+>!> 595: I__s_[S1:0][package]unixODBC-2.2.11-13.i586
+>!> 596: I__s_[S1:0][package]unrar-3.5.4-8.i586
+>!> 597: I__s_[S1:0][package]unzip-5.52-9.i586
+>!> 598: I__s_[S1:0][package]update-alternatives-1.8.3-9.noarch
+>!> 599: I__s_[S1:0][package]usbutils-0.71-14.i586
+>!> 600: I__s_[S1:0][package]utempter-0.5.5-9.i586
+>!> 601: I__s_[S1:0][package]util-linux-2.12r-19.i586
+>!> 602: I__s_[S1:0][package]v4l-conf-3.94-14.i586
+>!> 603: I__s_[S1:0][package]vacation-1.2.6.1-143.i586
+>!> 604: I__s_[S1:0][package]vcdimager-0.7.23-12.i586
+>!> 605: I__s_[S1:0][package]vim-6.4.6-11.i586
+>!> 606: I__s_[S1:0][package]vorbis-tools-1.1.1-6.i586
+>!> 607: I__s_[S1:0][package]w3m-0.5.1-11.i586
+>!> 608: I__s_[S1:0][package]wdiff-0.5.2-667.i586
+>!> 609: I__s_[S1:0][package]wget-1.10.2-8.i586
+>!> 610: I__s_[S1:0][package]wireless-tools-28pre13-15.i586
+>!> 611: I__s_[S1:0][package]words-6-11.noarch
+>!> 612: I__s_[S1:0][package]wpa_supplicant-0.4.8-5.i586
+>!> 613: I__s_[S1:0][package]wv-1.0.3-13.i586
+>!> 614: I__s_[S1:0][package]wvdial-1.54-75.i586
+>!> 615: I__s_[S1:0][package]wvstreams-4.2.1-6.i586
+>!> 616: I__s_[S1:0][package]x11-input-gunze-031126-22.i586
+>!> 617: I__s_[S1:0][package]x11-input-synaptics-0.14.4-8.i586
+>!> 618: I__s_[S1:0][package]x11-input-wacom-0.7.2-9.i586
+>!> 619: I__s_[S1:0][package]x11-tools-0.1-29.i586
+>!> 620: I__s_[S1:0][package]xdelta-1.1.3-13.i586
+>!> 621: I__s_[S1:0][package]xdg-menu-0.2-58.i586
+>!> 622: I__s_[S1:0][package]xdmbgrd-0.5-37.i586
+>!> 623: I__s_[S1:0][package]xfsprogs-2.7.11-10.i586
+>!> 624: I__s_[S1:0][package]xine-lib-1.1.1-11.i586
+>!> 625: I__s_[S1:0][package]xinetd-2.3.14-7.i586
+>!> 626: I__s_[S1:0][package]xkeyboard-config-0.7-10.noarch
+>!> 627: I__s_[S1:0][package]xli-20050904-9.i586
+>!> 628: I__s_[S1:0][package]xlockmore-5.21-6.i586
+>!> 629: I__s_[S1:0][package]xmoto-0.1.11-7.i586
+>!> 630: I__s_[S1:0][package]xmset-1.2-9.i586
+>!> 631: I__s_[S1:0][package]xntp-4.2.0a-62.i586
+>!> 632: I__s_[S1:0][package]xorg-x11-6.9.0-25.i586
+>!> 633: I__s_[S1:0][package]xorg-x11-Xvnc-6.9.0-25.i586
+>!> 634: I__s_[S1:0][package]xorg-x11-driver-video-6.9.0-27.i586
+>!> 635: I__s_[S1:0][package]xorg-x11-driver-video-nvidia-6.9.0-27.i586
+>!> 636: I__s_[S1:0][package]xorg-x11-fonts-100dpi-6.9.0-25.i586
+>!> 637: I__s_[S1:0][package]xorg-x11-fonts-75dpi-6.9.0-25.i586
+>!> 638: I__s_[S1:0][package]xorg-x11-fonts-scalable-6.9.0-25.i586
+>!> 639: I__s_[S1:0][package]xorg-x11-libs-6.9.0-25.i586
+>!> 640: I__s_[S1:0][package]xorg-x11-server-6.9.0-25.i586
+>!> 641: I__s_[S1:0][package]xorg-x11-server-glx-6.9.0-25.i586
+>!> 642: I__s_[S1:0][package]xpdf-tools-3.01-14.i586
+>!> 643: I__s_[S1:0][package]xscreensaver-4.23-10.i586
+>!> 644: I__s_[S1:0][package]xterm-208-7.i586
+>!> 645: I__s_[S1:0][package]xtermset-0.5.2-127.i586
+>!> 646: I__s_[S1:0][package]yast2-2.13.36-2.i586
+>!> 647: I__s_[S1:0][package]yast2-apparmor-2.0-15.noarch
+>!> 648: I__s_[S1:0][package]yast2-backup-2.13.1-3.noarch
+>!> 649: I__s_[S1:0][package]yast2-bluetooth-2.13.2-3.noarch
+>!> 650: I__s_[S1:0][package]yast2-bootfloppy-2.13.23-2.i586
+>!> 651: I__s_[S1:0][package]yast2-bootloader-2.13.23-2.i586
+>!> 652: I__s_[S1:0][package]yast2-control-center-2.13.2-6.i586
+>!> 653: I__s_[S1:0][package]yast2-core-2.13.17-6.i586
+>!> 654: I__s_[S1:0][package]yast2-country-2.13.16-3.i586
+>!> 655: I__s_[S1:0][package]yast2-dhcp-server-2.13.1-3.noarch
+>!> 656: I__s_[S1:0][package]yast2-dns-server-2.13.7-3.noarch
+>!> 657: I__s_[S1:0][package]yast2-firewall-2.13.6-3.noarch
+>!> 658: I__s_[S1:0][package]yast2-hardware-detection-2.13.3-6.i586
+>!> 659: I__s_[S1:0][package]yast2-http-server-2.13.10-2.noarch
+>!> 660: I__s_[S1:0][package]yast2-inetd-2.13.2-3.noarch
+>!> 661: I__s_[S1:0][package]yast2-installation-2.13.35-2.noarch
+>!> 662: I__s_[S1:0][package]yast2-irda-2.13.1-5.noarch
+>!> 663: I__s_[S1:0][package]yast2-kerberos-client-2.13.3-3.noarch
+>!> 664: I__s_[S1:0][package]yast2-ldap-2.13.3-3.i586
+>!> 665: I__s_[S1:0][package]yast2-ldap-client-2.13.10-3.noarch
+>!> 666: I__s_[S1:0][package]yast2-mail-2.13.3-3.noarch
+>!> 667: I__s_[S1:0][package]yast2-mail-aliases-2.13.3-3.noarch
+>!> 668: I__s_[S1:0][package]yast2-mouse-2.13.7-7.i586
+>!> 669: I__s_[S1:0][package]yast2-ncurses-2.13.13-2.i586
+>!> 670: I__s_[S1:0][package]yast2-network-2.13.35-2.i586
+>!> 671: I__s_[S1:0][package]yast2-nfs-client-2.13.3-3.noarch
+>!> 672: I__s_[S1:0][package]yast2-nfs-server-2.13.3-3.noarch
+>!> 673: I__s_[S1:0][package]yast2-nis-client-2.13.2-3.i586
+>!> 674: I__s_[S1:0][package]yast2-nis-server-2.13.1-6.noarch
+>!> 675: I__s_[S1:0][package]yast2-ntp-client-2.13.4-2.noarch
+>!> 676: I__s_[S1:0][package]yast2-online-update-2.13.8-2.i586
+>!> 677: I__s_[S1:0][package]yast2-packager-2.13.46-2.i586
+>!> 678: I__s_[S1:0][package]yast2-pam-2.13.2-6.noarch
+>!> 679: I__s_[S1:0][package]yast2-perl-bindings-2.13.4-6.i586
+>!> 680: I__s_[S1:0][package]yast2-phone-services-2.13.1-3.noarch
+>!> 681: I__s_[S1:0][package]yast2-pkg-bindings-2.13.28-2.i586
+>!> 682: I__s_[S1:0][package]yast2-power-management-2.13.5-5.i586
+>!> 683: I__s_[S1:0][package]yast2-powertweak-2.13.5-5.noarch
+>!> 684: I__s_[S1:0][package]yast2-printer-2.13.4-4.i586
+>!> 685: I__s_[S1:0][package]yast2-profile-manager-2.13.4-5.i586
+>!> 686: I__s_[S1:0][package]yast2-qt-2.13.33-2.i586
+>!> 687: I__s_[S1:0][package]yast2-repair-2.13.3-5.noarch
+>!> 688: I__s_[S1:0][package]yast2-restore-2.13.1-3.noarch
+>!> 689: I__s_[S1:0][package]yast2-runlevel-2.13.5-5.noarch
+>!> 690: I__s_[S1:0][package]yast2-samba-client-2.13.10-2.noarch
+>!> 691: I__s_[S1:0][package]yast2-samba-server-2.13.7-2.noarch
+>!> 692: I__s_[S1:0][package]yast2-scanner-2.13.15-3.noarch
+>!> 693: I__s_[S1:0][package]yast2-schema-2.13.2-4.noarch
+>!> 694: I__s_[S1:0][package]yast2-security-2.13.2-5.noarch
+>!> 695: I__s_[S1:0][package]yast2-slp-2.13.1-5.i586
+>!> 696: I__s_[S1:0][package]yast2-sound-2.13.9-3.i586
+>!> 697: I__s_[S1:0][package]yast2-storage-2.13.35-2.i586
+>!> 698: I__s_[S1:0][package]yast2-storage-lib-2.13.35-2.i586
+>!> 699: I__s_[S1:0][package]yast2-support-2.13.2-3.noarch
+>!> 700: I__s_[S1:0][package]yast2-sysconfig-2.13.5-5.noarch
+>!> 701: I__s_[S1:0][package]yast2-tftp-server-2.13.3-3.noarch
+>!> 702: I__s_[S1:0][package]yast2-theme-SuSELinux-2.13.3-7.noarch
+>!> 703: I__s_[S1:0][package]yast2-trans-de-2.13.11-3.noarch
+>!> 704: I__s_[S1:0][package]yast2-trans-stats-2.11.0-12.noarch
+>!> 705: I__s_[S1:0][package]yast2-transfer-2.13.3-3.i586
+>!> 706: I__s_[S1:0][package]yast2-tune-2.13.4-5.i586
+>!> 707: I__s_[S1:0][package]yast2-tv-2.13.7-3.noarch
+>!> 708: I__s_[S1:0][package]yast2-update-2.13.5-2.i586
+>!> 709: I__s_[S1:0][package]yast2-users-2.13.15-2.i586
+>!> 710: I__s_[S1:0][package]yast2-vm-2.13.27-3.i586
+>!> 711: I__s_[S1:0][package]yast2-x11-2.13.6-27.noarch
+>!> 712: I__s_[S1:0][package]yast2-xml-2.13.1-6.i586
+>!> 713: I__s_[S1:0][package]yp-tools-2.9-9.i586
+>!> 714: I__s_[S1:0][package]ypbind-1.19.1-7.i586
+>!> 715: I__s_[S1:0][package]zen-updater-7.1.0-16.i586
+>!> 716: I__s_[S1:0][package]zip-2.31-8.i586
+>!> 717: I__s_[S1:0][package]ziptool-1.4.0-117.i586
+>!> 718: I__s_[S1:0][package]zisofs-tools-1.0.6-8.i586
+>!> 719: I__s_[S1:0][package]zlib-1.2.3-8.i586
+>!> 720: I__s_[S1:0][package]zmd-7.1.1-24.i586
+>!> 721: I__s_[S1:0][package]zsh-4.2.6-8.i586
+>!> 722: I__s_[S1:0][package]zvbi-0.2.16-10.i586
+>!> No problems so far

Added: trunk/sat-solver/testsuite/data.libzypp/kernel-tests/2_2_1-default-test.xml
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/kernel-tests/2_2_1-default-test.xml?rev=7490&view=auto
==============================================================================
--- trunk/sat-solver/testsuite/data.libzypp/kernel-tests/2_2_1-default-test.xml (added)
+++ trunk/sat-solver/testsuite/data.libzypp/kernel-tests/2_2_1-default-test.xml Fri Oct 12 14:33:29 2007
@@ -0,0 +1,29 @@
+<?xml version="1.0"?>
+<test>
+<setup>
+  <system file="2.2.1-default-system.xml.gz"/>
+  <channel name="packages" file="2.2.1-default-packages.xml.gz"/>
+  <hardwareInfo path="kernel-hardware"/>
+</setup>
+<!-- 
+(2) KMP Update
+
+    This case triggers when a KMP becomes available on an installation
+    source ("catalog") that has a higher [epoch/]version/release number
+    that the installed KMP.
+
+    (2.2) The kABI of the kernel and of the KMP differ
+
+      (2.2.1) No kernel with the new kABI is available
+
+       The new KMP cannot be installed. The resolver should show this
+       as a conflict that cannot be resolved. (Uninstalling the kernel
+       is not a viable option.)
+-->
+
+<trial>
+  <distupgrade delete_unmaintained="false"/>
+  <reportproblems/>
+</trial>
+
+</test>

Added: trunk/sat-solver/testsuite/data.libzypp/kernel-tests/2_2_2-default-test.solution
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/kernel-tests/2_2_2-default-test.solution?rev=7490&view=auto
==============================================================================
--- trunk/sat-solver/testsuite/data.libzypp/kernel-tests/2_2_2-default-test.solution (added)
+++ trunk/sat-solver/testsuite/data.libzypp/kernel-tests/2_2_2-default-test.solution Fri Oct 12 14:33:29 2007
@@ -0,0 +1,753 @@
+>!> setting HardwareInfo to: ./kernel-hardware
+>!> Doing distribution upgrade ...
+>!> 1: I__s_[S1:0][package]3ddiag-0.729-7.i586
+>!> 2: I__s_[S1:0][package]855resolution-0.4-11.i586
+>!> 3: I__s_[S1:0][package]CheckHardware-0.1-980.i586
+>!> 4: I__s_[S1:0][package]Crystalcursors-0.5-32.noarch
+>!> 5: I__s_[S1:0][package]Mesa-6.4.2-6.i586
+>!> 6: I__s_[S1:0][package]MozillaFirefox-1.5.0.1-15.i586
+>!> 7: I__s_[S1:0][package]MozillaFirefox-translations-1.5.0.1-15.i586
+>!> 8: I__s_[S1:0][package]NX-1.5.0-29.i586
+>!> 9: I__s_[S1:0][package]NetworkManager-0.6.1-4.i586
+>!> 10: I__s_[S1:0][package]NetworkManager-kde-0.1r5879-2.i586
+>!> 11: I__s_[S1:0][package]OpenEXR-1.2.2-9.i586
+>!> 12: I__s_[S1:0][package]OpenOffice_org-2.0.2-7.i586
+>!> 13: I__s_[S1:0][package]OpenOffice_org-Quickstarter-1.0-478.i586
+>!> 14: I__s_[S1:0][package]OpenOffice_org-de-2.0.2-7.i586
+>!> 15: I__s_[S1:0][package]OpenOffice_org-de-templates-8.2-164.i586
+>!> 16: I__s_[S1:0][package]OpenOffice_org-kde-2.0.2-7.i586
+>!> 17: I__s_[S1:0][package]SDL-1.2.9-12.i586
+>!> 18: I__s_[S1:0][package]SDL_image-1.2.4-9.i586
+>!> 19: I__s_[S1:0][package]SDL_mixer-1.2.6-10.i586
+>!> 20: I__s_[S1:0][package]SDL_net-1.2.5-229.i586
+>!> 21: I__s_[S1:0][package]SDL_perl-1.20.0-364.i586
+>!> 22: I__s_[S1:0][package]SDL_ttf-2.0.6-229.i586
+>!> 23: I__s_[S1:0][package]SuSEfirewall2-3.4_SVNr139-2.noarch
+>!> 24: I__s_[S1:0][package]WindowMaker-0.92.0-16.i586
+>!> 25: I__s_[S1:0][package]WindowMaker-applets-1.0-668.i586
+>!> 26: I__s_[S1:0][package]WindowMaker-themes-0.1-245.noarch
+>!> 27: I__s_[S1:0][package]a2ps-4.13-1067.i586
+>!> 28: I__s_[S1:0][package]aaa_base-10.1-5.i586
+>!> 29: I__s_[S1:0][package]aaa_skel-2006.2.24-3.i586
+>!> 30: I__s_[S1:0][package]aalib-1.4.0-296.i586
+>!> 31: I__s_[S1:0][package]acl-2.2.34-5.i586
+>!> 32: I__s_[S1:0][package]acpid-1.0.4-22.i586
+>!> 33: I__s_[S1:0][package]alsa-1.0.11-17.i586
+>!> 34: I__s_[S1:0][package]alsa-firmware-1.0.10-6.noarch
+>!> 35: I__s_[S1:0][package]alsa-tools-1.0.11-9.i586
+>!> 36: I__s_[S1:0][package]amarok-1.3.8-15.i586
+>!> 37: I__s_[S1:0][package]amarok-libvisual-1.3.8-15.i586
+>!> 38: I__s_[S1:0][package]amarok-xine-1.3.8-15.i586
+>!> 39: I__s_[S1:0][package]apparmor-docs-2.0-8.noarch
+>!> 40: I__s_[S1:0][package]apparmor-parser-2.0-12.i586
+>!> 41: I__s_[S1:0][package]apparmor-profiles-2.0-15.noarch
+>!> 42: I__s_[S1:0][package]apparmor-utils-2.0-12.noarch
+>!> 43: I__s_[S1:0][package]arts-1.5.1-8.i586
+>!> 44: I__s_[S1:0][package]ash-1.6.1-8.i586
+>!> 45: I__s_[S1:0][package]aspell-0.60.3-12.i586
+>!> 46: I__s_[S1:0][package]aspell-de-0.50.2-344.i586
+>!> 47: I__s_[S1:0][package]aspell-en-6.0-13.i586
+>!> 48: I__s_[S1:0][package]at-3.1.8-914.i586
+>!> 49: I__s_[S1:0][package]atk-1.10.3-8.i586
+>!> 50: I__s_[S1:0][package]attr-2.4.28-7.i586
+>!> 51: I__s_[S1:0][package]audiofile-0.2.6-10.i586
+>!> 52: I__s_[S1:0][package]audit-1.1.3-13.i586
+>!> 53: I__s_[S1:0][package]audit-libs-1.1.3-13.i586
+>!> 54: I__s_[S1:0][package]autofs-4.1.4-16.i586
+>!> 55: I__s_[S1:0][package]autoyast2-2.13.29-2.noarch
+>!> 56: I__s_[S1:0][package]autoyast2-installation-2.13.29-2.noarch
+>!> 57: I__s_[S1:0][package]awesfx-0.5.0d-9.i586
+>!> 58: I__s_[S1:0][package]bash-3.1-14.i586
+>!> 59: I__s_[S1:0][package]bc-1.06-757.i586
+>!> 60: I__s_[S1:0][package]beagle-0.2.2.1-4.i586
+>!> 61: I__s_[S1:0][package]bind-libs-9.3.2-10.i586
+>!> 62: I__s_[S1:0][package]bind-utils-9.3.2-10.i586
+>!> 63: I__s_[S1:0][package]binutils-2.16.91.0.5-8.i586
+>!> 64: I__s_[S1:0][package]blocxx-1.0.0-7.i586
+>!> 65: I__s_[S1:0][package]bluez-libs-2.24-5.i586
+>!> 66: I__s_[S1:0][package]bluez-utils-2.24-7.i586
+>!> 67: I__s_[S1:0][package]boost-1.33.1-8.i586
+>!> 68: I__s_[S1:0][package]bootloader-theme-SUSELinux-Prof-2006.3.9-2.noarch
+>!> 69: I__s_[S1:0][package]bootsplash-3.3-8.i586
+>!> 70: I__s_[S1:0][package]bootsplash-theme-SuSE-3.1-60.i586
+>!> 71: I__s_[S1:0][package]busybox-1.1.0-6.i586
+>!> 72: I__s_[S1:0][package]bzip2-1.0.3-10.i586
+>!> 73: I__s_[S1:0][package]cabextract-1.1-9.i586
+>!> 74: I__s_[S1:0][package]cairo-1.0.2-16.i586
+>!> 75: I__s_[S1:0][package]capi4linux-2006.2.28-4.i586
+>!> 76: I__s_[S1:0][package]cdparanoia-IIIalpha9.8-555.i586
+>!> 77: I__s_[S1:0][package]cdrdao-1.2.0-10.i586
+>!> 78: I__s_[S1:0][package]cdrecord-2.01-17.i586
+>!> 79: I__s_[S1:0][package]checkmedia-2.1-7.i586
+>!> 80: I__s_[S1:0][package]cifs-mount-3.0.21c-8.i586
+>!> 81: I__s_[S1:1][package]cloop-kmp-default-2.01_2.6.16_rc5_git14_2-15.i586
+>!> 82: U_Th_[S2:1][package]cloop-kmp-default-2.01_2.6.16_rc5_git14_3c-15.i586
+>!> 83: U__s_[S2:1][package]cloop-kmp-smp-2.01_2.6.16_rc5_git14_3c-15.i586
+>!> 84: I__s_[S1:0][package]compat-2006.1.25-4.i586
+>!> 85: I__s_[S1:0][package]compat-curl2-7.11.0-13.i586
+>!> 86: I__s_[S1:0][package]compat-libstdc++-5.0.7-15.i586
+>!> 87: I__s_[S1:0][package]compat-openssl097g-0.9.7g-6.i586
+>!> 88: I__s_[S1:0][package]convmv-1.09-5.noarch
+>!> 89: I__s_[S1:0][package]coreutils-5.93-14.i586
+>!> 90: I__s_[S1:0][package]cpio-2.6-12.i586
+>!> 91: I__s_[S1:0][package]cpp-4.1.0-5.i586
+>!> 92: I__s_[S1:0][package]cpufrequtils-0.4-6.i586
+>!> 93: I__s_[S1:0][package]cracklib-2.8.6-6.i586
+>!> 94: I__s_[S1:0][package]crafty-20.1-5.i586
+>!> 95: I__s_[S1:0][package]cron-4.1-37.i586
+>!> 96: I__s_[S1:0][package]cups-1.1.23-31.i586
+>!> 97: I__s_[S1:0][package]cups-SUSE-ppds-dat-1.1.20-111.i586
+>!> 98: I__s_[S1:0][package]cups-client-1.1.23-31.i586
+>!> 99: I__s_[S1:0][package]cups-drivers-1.1.23-20.i586
+>!> 100: I__s_[S1:0][package]cups-drivers-stp-1.1.23-20.i586
+>!> 101: I__s_[S1:0][package]cups-libs-1.1.23-31.i586
+>!> 102: I__s_[S1:0][package]curl-7.15.1-11.i586
+>!> 103: I__s_[S1:0][package]cyrus-sasl-2.1.21-10.i586
+>!> 104: I__s_[S1:0][package]cyrus-sasl-crammd5-2.1.21-10.i586
+>!> 105: I__s_[S1:0][package]cyrus-sasl-digestmd5-2.1.21-10.i586
+>!> 106: I__s_[S1:0][package]cyrus-sasl-plain-2.1.21-10.i586
+>!> 107: I__s_[S1:0][package]cyrus-sasl-saslauthd-2.1.21-10.i586
+>!> 108: I__s_[S1:0][package]db-4.3.29-8.i686
+>!> 109: I__s_[S1:0][package]dbus-1-0.60-20.i586
+>!> 110: I__s_[S1:0][package]dbus-1-glib-0.60-20.i586
+>!> 111: I__s_[S1:0][package]dbus-1-mono-0.60-20.i586
+>!> 112: I__s_[S1:0][package]dbus-1-qt3-0.60-20.i586
+>!> 113: I__s_[S1:0][package]dbus-1-x11-0.60-20.i586
+>!> 114: I__s_[S1:0][package]dcraw-1.315-5.i586
+>!> 115: I__s_[S1:0][package]dejavu-2.2-7.noarch
+>!> 116: I__s_[S1:0][package]deltarpm-3.3-5.i586
+>!> 117: I__s_[S1:0][package]desktop-data-SuSE-10.1-21.noarch
+>!> 118: I__s_[S1:0][package]desktop-file-utils-0.10-15.i586
+>!> 119: I__s_[S1:0][package]desktop-translations-10.1-14.noarch
+>!> 120: I__s_[S1:0][package]device-mapper-1.02.02-8.i586
+>!> 121: I__s_[S1:0][package]devs-10.1-1.i586
+>!> 122: I__s_[S1:0][package]dhcdbd-1.12-7.i586
+>!> 123: I__s_[S1:0][package]dhcp-3.0.3-13.i586
+>!> 124: I__s_[S1:0][package]dhcp-client-3.0.3-13.i586
+>!> 125: I__s_[S1:0][package]dhcpcd-1.3.22pl4-216.i586
+>!> 126: I__s_[S1:0][package]dialog-0.9b-197.i586
+>!> 127: I__s_[S1:0][package]diffutils-2.8.7-10.i586
+>!> 128: I__s_[S1:0][package]digikam-0.8.1-13.i586
+>!> 129: I__s_[S1:0][package]digikamimageplugins-0.8.0-7.i586
+>!> 130: I__s_[S1:0][package]dirmngr-0.9.2-8.i586
+>!> 131: I__s_[S1:0][package]dmraid-0.99_1.0.0rc8-7.i586
+>!> 132: I__s_[S1:0][package]dos2unix-3.1-309.i586
+>!> 133: I__s_[S1:0][package]dosbootdisk-1.1-46.i586
+>!> 134: I__s_[S1:0][package]dosfstools-2.11-8.i586
+>!> 135: I__s_[S1:0][package]dragonegg-0.1-11.i586
+>!> 136: I__s_[S1:0][package]dvd+rw-tools-6.1-7.i586
+>!> 137: I__s_[S1:0][package]e2fsprogs-1.38-18.i586
+>!> 138: I__s_[S1:0][package]ed-0.2-874.i586
+>!> 139: I__s_[S1:0][package]efont-unicode-0.4.2-12.noarch
+>!> 140: I__s_[S1:0][package]eject-2.1.0-5.i586
+>!> 141: I__s_[S1:0][package]enigma-0.92-13.i586
+>!> 142: I__s_[S1:0][package]enscript-1.6.4-12.i586
+>!> 143: I__s_[S1:0][package]esound-0.2.36-12.i586
+>!> 144: I__s_[S1:0][package]ethtool-3-8.i586
+>!> 145: I__s_[S1:0][package]expat-2.0.0-6.i586
+>!> 146: I__s_[S1:0][package]fam-2.6.10-140.i586
+>!> 147: I__s_[S1:0][package]fam-server-2.6.10-140.i586
+>!> 148: I__s_[S1:0][package]fbset-2.1-790.i586
+>!> 149: I__s_[S1:0][package]file-4.16-7.i586
+>!> 150: I__s_[S1:0][package]fileshareset-2.0-53.i586
+>!> 151: I__s_[S1:0][package]filesystem-10.0.42-11.i586
+>!> 152: I__s_[S1:0][package]fillup-1.42-111.i586
+>!> 153: I__s_[S1:0][package]filters-2006.1.25-4.i586
+>!> 154: I__s_[S1:0][package]findutils-4.2.27-6.i586
+>!> 155: I__s_[S1:0][package]finger-1.3-7.i586
+>!> 156: I__s_[S1:0][package]flac-1.1.2-8.i586
+>!> 157: I__s_[S1:0][package]fontconfig-2.3.94-2.i586
+>!> 158: I__s_[S1:0][package]fonts-config-20060210-5.noarch
+>!> 159: I__s_[S1:0][package]foomatic-filters-3.0.2-12.i586
+>!> 160: I__s_[S1:0][package]freeciv-2.0.7-8.i586
+>!> 161: I__s_[S1:0][package]freeglut-051110-8.i586
+>!> 162: I__s_[S1:0][package]freetype-1.3.1-1166.i586
+>!> 163: I__s_[S1:0][package]freetype2-2.1.10-9.i586
+>!> 164: I__s_[S1:0][package]fribidi-0.10.4-493.i586
+>!> 165: I__s_[S1:0][package]frozen-bubble-1.0.0-343.i586
+>!> 166: I__s_[S1:0][package]fvwm2-2.5.12-11.i586
+>!> 167: I__s_[S1:0][package]gail-1.8.8-8.i586
+>!> 168: I__s_[S1:0][package]gawk-3.1.5-11.i586
+>!> 169: I__s_[S1:0][package]gconf2-2.12.1-20.i586
+>!> 170: I__s_[S1:0][package]gdb-6.4-8.i586
+>!> 171: I__s_[S1:0][package]gdbm-1.8.3-236.i586
+>!> 172: I__s_[S1:0][package]gettext-0.14.5-6.i586
+>!> 173: I__s_[S1:0][package]ghostscript-fonts-other-8.15.2rc1-13.i586
+>!> 174: I__s_[S1:0][package]ghostscript-fonts-std-8.15.2rc1-13.i586
+>!> 175: I__s_[S1:0][package]ghostscript-library-8.15.2rc1-13.i586
+>!> 176: I__s_[S1:0][package]ghostscript-x11-8.15.2rc1-13.i586
+>!> 177: I__s_[S1:0][package]giflib-4.1.4-7.i586
+>!> 178: I__s_[S1:0][package]gimp-2.2.10-14.i586
+>!> 179: I__s_[S1:0][package]gimp-cmyk-0.3-14.i586
+>!> 180: I__s_[S1:0][package]gle-3.0.6-654.i586
+>!> 181: I__s_[S1:0][package]glib-1.2.10-602.i586
+>!> 182: I__s_[S1:0][package]glib-sharp2-2.8.2-4.i586
+>!> 183: I__s_[S1:0][package]glib2-2.8.5-12.i586
+>!> 184: I__s_[S1:0][package]glibc-2.4-6.i686
+>!> 185: I__s_[S1:0][package]glibc-i18ndata-2.4-6.i586
+>!> 186: I__s_[S1:0][package]glibc-locale-2.4-6.i586
+>!> 187: I__s_[S1:0][package]glitz-0.4.4-14.i586
+>!> 188: I__s_[S1:0][package]gmime-2.1.19-6.i586
+>!> 189: I__s_[S1:0][package]gmp-4.1.4-13.i586
+>!> 190: I__s_[S1:0][package]gnome-desktop-2.12.2-13.i586
+>!> 191: I__s_[S1:0][package]gnome-filesystem-0.1-249.i586
+>!> 192: I__s_[S1:0][package]gnome-icon-theme-2.12.1-14.noarch
+>!> 193: I__s_[S1:0][package]gnome-keyring-0.4.6-8.i586
+>!> 194: I__s_[S1:0][package]gnome-mime-data-2.4.2-13.i586
+>!> 195: I__s_[S1:0][package]gnome-vfs2-2.12.2-37.i586
+>!> 196: I__s_[S1:0][package]gnutls-1.2.10-6.i586
+>!> 197: I__s_[S1:0][package]goom2k4-rc2-41.i586
+>!> 198: I__s_[S1:0][package]gpart-0.1h-485.i586
+>!> 199: I__s_[S1:0][package]gpg-1.4.2-16.i586
+>!> 200: I__s_[S1:0][package]gpg2-1.9.18-10.i586
+>!> 201: I__s_[S1:0][package]gpgme-1.0.3-9.i586
+>!> 202: I__s_[S1:0][package]gpm-1.20.1-315.i586
+>!> 203: I__s_[S1:0][package]grep-2.5.1a-12.i586
+>!> 204: I__s_[S1:0][package]groff-1.18.1.1-22.i586
+>!> 205: I__s_[S1:0][package]grub-0.97-6.i586
+>!> 206: I__s_[S1:0][package]gsf-sharp-0.7-13.i586
+>!> 207: I__s_[S1:0][package]gtk-1.2.10-900.i586
+>!> 208: I__s_[S1:0][package]gtk-qt-engine-0.7cvs20060209-9.i586
+>!> 209: I__s_[S1:0][package]gtk-sharp2-2.8.2-4.i586
+>!> 210: I__s_[S1:0][package]gtk2-2.8.10-20.i586
+>!> 211: I__s_[S1:0][package]gtksourceview-1.5.6-10.i586
+>!> 212: I__s_[S1:0][package]gwenview-1.3.1-8.i586
+>!> 213: I__s_[S1:0][package]gzip-1.3.5-152.i586
+>!> 214: I__s_[S1:0][package]hal-0.5.6-16.i586
+>!> 215: I__s_[S1:0][package]hal-resmgr-0.1_SVNr77-5.i586
+>!> 216: I__s_[S1:0][package]hdparm-6.3-6.i586
+>!> 217: I__s_[S1:0][package]hplip-0.9.7-9.i586
+>!> 218: I__s_[S1:0][package]hplip-hpijs-0.9.7-9.i586
+>!> 219: I__s_[S1:0][package]htdig-3.2.0b6-14.i586
+>!> 220: I__s_[S1:0][package]hwinfo-12.13-2.i586
+>!> 221: I__s_[S1:0][package]i4l-base-2006.2.28-4.i586
+>!> 222: I__s_[S1:0][package]i4l-isdnlog-2006.2.28-4.i586
+>!> 223: I__s_[S1:0][package]i4lfirm-2006.2.28-4.i586
+>!> 224: I__s_[S1:0][package]id3lib-3.8.3-97.i586
+>!> 225: I__s_[S1:0][package]ifnteuro-1.2.1-202.noarch
+>!> 226: I__s_[S1:0][package]ifplugd-0.28-10.i586
+>!> 227: I__s_[S1:0][package]imlib-1.9.14-206.i586
+>!> 228: I__s_[S1:0][package]imlib2-1.2.1-10.i586
+>!> 229: I__s_[S1:0][package]imlib2-loaders-1.2.1-10.i586
+>!> 230: I__s_[S1:0][package]info-4.8-15.i586
+>!> 231: I__s_[S1:0][package]info2html-1.4-9.noarch
+>!> 232: I__s_[S1:0][package]initviocons-0.4-309.i586
+>!> 233: I__s_[S1:0][package]insserv-1.04.0-13.i586
+>!> 234: I__s_[S1:0][package]intlfnts-1.2.1-202.noarch
+>!> 235: I__s_[S1:0][package]iproute2-2.6.15-6.i586
+>!> 236: I__s_[S1:0][package]iptables-1.3.5-6.i586
+>!> 237: I__s_[S1:0][package]iputils-ss021109-160.i586
+>!> 238: I__s_[S1:0][package]isapnp-1.26-498.i586
+>!> 239: I__s_[S1:0][package]ispell-3.2.06-471.i586
+>!> 240: I__s_[S1:0][package]ispell-american-3.2.06-471.i586
+>!> 241: I__s_[S1:0][package]ispell-british-3.2.06-471.i586
+>!> 242: I__s_[S1:0][package]jack-0.100.0-10.i586
+>!> 243: I__s_[S1:0][package]java-1_4_2-gcj-compat-1.4.2.0-20.i586
+>!> 244: I__s_[S1:0][package]jfsutils-1.1.10-6.i586
+>!> 245: I__s_[S1:0][package]joe-3.3-8.i586
+>!> 246: I__s_[S1:0][package]jpackage-utils-1.6.3-11.i586
+>!> 247: I__s_[S1:0][package]jpeg-6b-745.i586
+>!> 248: I__s_[S1:0][package]k3b-0.12.14-3.i586
+>!> 249: I__s_[S1:0][package]kaffeine-0.7.1-15.i586
+>!> 250: I__s_[S1:0][package]kbd-1.12-53.i586
+>!> 251: I__s_[S1:0][package]kde3-i18n-de-3.5.1-9.noarch
+>!> 252: I__s_[S1:0][package]kdeaddons3-kate-3.5.1-9.i586
+>!> 253: I__s_[S1:0][package]kdeaddons3-kicker-3.5.1-9.i586
+>!> 254: I__s_[S1:0][package]kdeaddons3-konqueror-3.5.1-9.i586
+>!> 255: I__s_[S1:0][package]kdeartwork3-kscreensaver-3.5.1-10.i586
+>!> 256: I__s_[S1:0][package]kdeartwork3-sound-3.5.1-10.i586
+>!> 257: I__s_[S1:0][package]kdeartwork3-xscreensaver-3.5.1-10.i586
+>!> 258: I__s_[S1:0][package]kdebase3-3.5.1-41.i586
+>!> 259: I__s_[S1:0][package]kdebase3-SuSE-10.1-37.i586
+>!> 260: I__s_[S1:0][package]kdebase3-kdm-3.5.1-41.i586
+>!> 261: I__s_[S1:0][package]kdebase3-ksysguardd-3.5.1-41.i586
+>!> 262: I__s_[S1:0][package]kdebase3-nsplugin-3.5.1-41.i586
+>!> 263: I__s_[S1:0][package]kdebase3-samba-3.5.1-41.i586
+>!> 264: I__s_[S1:0][package]kdebase3-session-3.5.1-41.i586
+>!> 265: I__s_[S1:0][package]kdebindings3-python-3.5.1-9.i586
+>!> 266: I__s_[S1:0][package]kdebluetooth-0.0.svn20051202-15.i586
+>!> 267: I__s_[S1:0][package]kdegames3-3.5.1-7.i586
+>!> 268: I__s_[S1:0][package]kdegraphics3-3.5.1-11.i586
+>!> 269: I__s_[S1:0][package]kdegraphics3-fax-3.5.1-11.i586
+>!> 270: I__s_[S1:0][package]kdegraphics3-kamera-3.5.1-11.i586
+>!> 271: I__s_[S1:0][package]kdegraphics3-pdf-3.5.1-11.i586
+>!> 272: I__s_[S1:0][package]kdegraphics3-postscript-3.5.1-11.i586
+>!> 273: I__s_[S1:0][package]kdegraphics3-scan-3.5.1-11.i586
+>!> 274: I__s_[S1:0][package]kdelibs3-3.5.1-26.i586
+>!> 275: I__s_[S1:0][package]kdelibs3-doc-3.5.1-26.i586
+>!> 276: I__s_[S1:0][package]kdemultimedia3-3.5.1-9.i586
+>!> 277: I__s_[S1:0][package]kdemultimedia3-CD-3.5.1-9.i586
+>!> 278: I__s_[S1:0][package]kdemultimedia3-mixer-3.5.1-9.i586
+>!> 279: I__s_[S1:0][package]kdenetwork3-3.5.1-16.i586
+>!> 280: I__s_[S1:0][package]kdenetwork3-InstantMessenger-3.5.1-16.i586
+>!> 281: I__s_[S1:0][package]kdenetwork3-news-3.5.1-16.i586
+>!> 282: I__s_[S1:0][package]kdenetwork3-vnc-3.5.1-16.i586
+>!> 283: I__s_[S1:0][package]kdepim3-3.5.1-22.i586
+>!> 284: I__s_[S1:0][package]kdepim3-kpilot-3.5.1-22.i586
+>!> 285: I__s_[S1:0][package]kdepim3-networkstatus-3.5.1-22.i586
+>!> 286: I__s_[S1:0][package]kdepim3-sync-3.5.1-22.i586
+>!> 287: I__s_[S1:0][package]kdetv-0.8.8-7.i586
+>!> 288: I__s_[S1:0][package]kdeutils3-3.5.1-12.i586
+>!> 289: I__s_[S1:0][package]kdeutils3-laptop-3.5.1-12.i586
+>!> 290: I__s_[S1:1][package]kernel-default-2.6.16_rc5_git14-2.i586
+>!> 291: U__s_[S2:1][package]kernel-smp-2.6.16_rc5_git14-3c.i586
+>!> 292: I__s_[S1:0][package]kerry-0.09-2.i586
+>!> 293: I__s_[S1:0][package]kio_beagle-0.2-8.i586
+>!> 294: I__s_[S1:0][package]kio_ipodslave-0.7.2-5.i586
+>!> 295: I__s_[S1:0][package]kio_slp-0.4.1-9.i586
+>!> 296: I__s_[S1:0][package]kipi-plugins-0.1.0rc1-12.i586
+>!> 297: I__s_[S1:0][package]klogd-1.4.1-552.i586
+>!> 298: I__s_[S1:0][package]knights-0.6-415.i586
+>!> 299: I__s_[S1:0][package]konversation-0.18-13.i586
+>!> 300: I__s_[S1:0][package]kpowersave-0.5.11-2.i586
+>!> 301: I__s_[S1:0][package]krb5-1.4.3-11.i586
+>!> 302: I__s_[S1:0][package]krecord-1.16-18.i586
+>!> 303: I__s_[S1:0][package]kscpm-0.5.3-9.i586
+>!> 304: I__s_[S1:0][package]ksymoops-2.4.11-10.i586
+>!> 305: I__s_[S1:0][package]ktorrent-1.2-11.i586
+>!> 306: U__s_[S0:0][language]ar-.noarch
+>!> 307: U__s_[S0:0][language]bg-.noarch
+>!> 308: U__s_[S0:0][language]cs-.noarch
+>!> 309: U__s_[S0:0][language]de-.noarch
+>!> 310: U__s_[S0:0][language]el-.noarch
+>!> 311: U__s_[S0:0][language]en-.noarch
+>!> 312: U__s_[S0:0][language]en_GB-.noarch
+>!> 313: U__s_[S0:0][language]he-.noarch
+>!> 314: U__s_[S0:0][language]ru-.noarch
+>!> 315: I__s_[S1:0][package]ldapcpplib-0.0.4-6.i586
+>!> 316: I__s_[S1:0][package]less-394-6.i586
+>!> 317: I__s_[S1:0][package]lftp-3.4.0-14.i586
+>!> 318: I__s_[S1:0][package]libacl-2.2.34-5.i586
+>!> 319: I__s_[S1:0][package]libakode-2.0.0-11.i586
+>!> 320: I__s_[S1:0][package]libao-0.8.6-12.i586
+>!> 321: I__s_[S1:0][package]libapparmor-2.0-9.i586
+>!> 322: I__s_[S1:0][package]libart_lgpl-2.3.17-10.i586
+>!> 323: I__s_[S1:0][package]libattr-2.4.28-7.i586
+>!> 324: I__s_[S1:0][package]libbeagle-0.2.2.1-4.i586
+>!> 325: I__s_[S1:0][package]libbonobo-2.10.1-17.i586
+>!> 326: I__s_[S1:0][package]libbonoboui-2.10.1-15.i586
+>!> 327: I__s_[S1:0][package]libcap-1.92-492.i586
+>!> 328: I__s_[S1:0][package]libcddb-1.2.1-11.i586
+>!> 329: I__s_[S1:0][package]libcdio-0.76-9.i586
+>!> 330: I__s_[S1:0][package]libcom_err-1.38-18.i586
+>!> 331: I__s_[S1:0][package]libcroco-0.6.0-16.i586
+>!> 332: I__s_[S1:0][package]libdrm-2.0-8.i586
+>!> 333: I__s_[S1:0][package]libevent-1.1-6.i586
+>!> 334: I__s_[S1:0][package]libexif-0.6.13-13.i586
+>!> 335: I__s_[S1:0][package]libgcc-4.1.0-5.i586
+>!> 336: I__s_[S1:0][package]libgcj-4.1.0-5.i586
+>!> 337: I__s_[S1:0][package]libgcrypt-1.2.2-6.i586
+>!> 338: I__s_[S1:0][package]libgimpprint-4.2.7-55.i586
+>!> 339: I__s_[S1:0][package]libglade2-2.5.1-17.i586
+>!> 340: I__s_[S1:0][package]libgnome-2.12.0.1-18.i586
+>!> 341: I__s_[S1:0][package]libgnomecanvas-2.12.0-12.i586
+>!> 342: I__s_[S1:0][package]libgnomecups-0.2.2-13.i586
+>!> 343: I__s_[S1:0][package]libgnomeprint-2.12.1-12.i586
+>!> 344: I__s_[S1:0][package]libgnomeprintui-2.12.1-12.i586
+>!> 345: I__s_[S1:0][package]libgnomesu-1.0.0-17.i586
+>!> 346: I__s_[S1:0][package]libgnomeui-2.12.0-16.i586
+>!> 347: I__s_[S1:0][package]libgpg-error-1.0-9.i586
+>!> 348: I__s_[S1:0][package]libgphoto2-2.1.99.0head-15.i586
+>!> 349: I__s_[S1:0][package]libgsf-1.13.99-5.i586
+>!> 350: I__s_[S1:0][package]libgsf-gnome-1.13.99-5.i586
+>!> 351: I__s_[S1:0][package]libgssapi-0.6-6.i586
+>!> 352: I__s_[S1:0][package]libgtkhtml-2.11.0-9.i586
+>!> 353: I__s_[S1:0][package]libicu-3.4-9.i586
+>!> 354: I__s_[S1:0][package]libid3tag-0.15.1b-27.i586
+>!> 355: I__s_[S1:0][package]libidl-0.8.6-11.i586
+>!> 356: I__s_[S1:0][package]libidn-0.6.0-7.i586
+>!> 357: I__s_[S1:0][package]libieee1284-0.2.10-6.i586
+>!> 358: I__s_[S1:0][package]libjasper-1.701.0-9.i586
+>!> 359: I__s_[S1:0][package]libjpeg-6.2.0-745.i586
+>!> 360: I__s_[S1:0][package]libkexif-0.2.2-8.i586
+>!> 361: I__s_[S1:0][package]libkipi-0.1.2-8.i586
+>!> 362: I__s_[S1:0][package]libksba-0.9.12-7.i586
+>!> 363: I__s_[S1:0][package]liblcms-1.15-5.i586
+>!> 364: I__s_[S1:0][package]libmal-0.31-163.i586
+>!> 365: I__s_[S1:0][package]libmikmod-3.1.11-7.i586
+>!> 366: I__s_[S1:0][package]libmng-1.0.9-9.i586
+>!> 367: I__s_[S1:0][package]libmusicbrainz-2.1.2-5.i586
+>!> 368: I__s_[S1:0][package]libnetpbm-1.0.0-649.i586
+>!> 369: I__s_[S1:0][package]libnl-1.0-11.i586
+>!> 370: I__s_[S1:0][package]libnscd-1.1-9.i586
+>!> 371: I__s_[S1:0][package]libogg-1.1.3-6.i586
+>!> 372: I__s_[S1:0][package]libopencdk-0.5.5-8.i586
+>!> 373: I__s_[S1:0][package]libpcap-0.9.4-5.i586
+>!> 374: I__s_[S1:0][package]libpng-1.2.8-12.i586
+>!> 375: I__s_[S1:0][package]librpcsecgss-0.7-6.i586
+>!> 376: I__s_[S1:0][package]librsvg-2.12.7-8.i586
+>!> 377: I__s_[S1:0][package]libsamplerate-0.1.2-8.i586
+>!> 378: I__s_[S1:0][package]libsmbclient-3.0.21c-8.i586
+>!> 379: I__s_[S1:0][package]libsndfile-1.0.12-6.i586
+>!> 380: I__s_[S1:0][package]libstdc++-4.1.0-5.i586
+>!> 381: I__s_[S1:0][package]libstroke-0.5.1-8.i586
+>!> 382: I__s_[S1:0][package]libtheora-1.0alpha5-9.i586
+>!> 383: I__s_[S1:0][package]libtiff-3.8.0-7.i586
+>!> 384: I__s_[S1:0][package]libtool-1.5.22-6.i586
+>!> 385: I__s_[S1:0][package]libtunepimp-0.4.1-6.i586
+>!> 386: I__s_[S1:0][package]libusb-0.1.12-2.i586
+>!> 387: I__s_[S1:0][package]libvisual-0.2.0-17.i586
+>!> 388: I__s_[S1:0][package]libvisual-plugins-0.2.0-20.i586
+>!> 389: I__s_[S1:0][package]libvorbis-1.1.2-6.i586
+>!> 390: I__s_[S1:0][package]libwmf-0.2.8.2-103.i586
+>!> 391: I__s_[S1:0][package]libxcrypt-2.4-5.i586
+>!> 392: I__s_[S1:0][package]libxml2-2.6.23-8.i586
+>!> 393: I__s_[S1:0][package]libxslt-1.1.15-8.i586
+>!> 394: I__s_[S1:0][package]liby2util-2.13.7-3.i586
+>!> 395: I__s_[S1:0][package]libzio-0.1-10.i586
+>!> 396: I__s_[S1:0][package]libzypp-0.0.8-49.i586
+>!> 397: I__s_[S1:0][package]libzypp-zmd-backend-7.1.1-10.i586
+>!> 398: I__s_[S1:0][package]lilo-22.7-11.i586
+>!> 399: I__s_[S1:0][package]limal-1.1.5-3.i586
+>!> 400: I__s_[S1:0][package]limal-bootloader-1.0.5-7.i586
+>!> 401: I__s_[S1:0][package]limal-perl-1.1.5-3.i586
+>!> 402: I__s_[S1:0][package]linux-atm-lib-2.5.0-7.i586
+>!> 403: I__s_[S1:0][package]log4net-1.2.9-10.i586
+>!> 404: I__s_[S1:0][package]logrotate-3.7.3-6.i586
+>!> 405: I__s_[S1:0][package]lsb-3.0-11.i586
+>!> 406: I__s_[S1:0][package]lsof-4.76-6.i586
+>!> 407: I__s_[S1:0][package]lua-5.0.2-10.i586
+>!> 408: I__s_[S1:0][package]lzo-2.02-5.i586
+>!> 409: I__s_[S1:0][package]m4-1.4.4-5.i586
+>!> 410: I__s_[S1:0][package]mDNSResponder-107.5-6.i586
+>!> 411: I__s_[S1:0][package]mailx-11.25-7.i586
+>!> 412: I__s_[S1:0][package]make-3.80-194.i586
+>!> 413: I__s_[S1:0][package]man-2.4.1-229.i586
+>!> 414: I__s_[S1:0][package]man-pages-2.25-2.noarch
+>!> 415: I__s_[S1:0][package]manufacturer-PPDs-0.5-7.i586
+>!> 416: I__s_[S1:0][package]master-boot-code-1.6-11.i586
+>!> 417: I__s_[S1:0][package]mc-4.6.1-21.i586
+>!> 418: I__s_[S1:0][package]mdadm-2.2-13.i586
+>!> 419: I__s_[S1:0][package]microcode_ctl-1.13-6.i586
+>!> 420: I__s_[S1:0][package]mingetty-0.9.6s-81.i586
+>!> 421: I__s_[S1:0][package]mkinitrd-1.2-77.i586
+>!> 422: I__s_[S1:0][package]mkisofs-2.01-17.i586
+>!> 423: I__s_[S1:0][package]mktemp-1.5-737.i586
+>!> 424: I__s_[S1:0][package]module-init-tools-3.2.2-16.i586
+>!> 425: I__s_[S1:0][package]mono-core-1.1.13.4-4.i586
+>!> 426: I__s_[S1:0][package]mono-data-1.1.13.4-4.i586
+>!> 427: I__s_[S1:0][package]mono-data-sqlite-1.1.13.4-4.i586
+>!> 428: I__s_[S1:0][package]mono-web-1.1.13.4-4.i586
+>!> 429: I__s_[S1:0][package]mozilla-nspr-4.6.1-15.i586
+>!> 430: I__s_[S1:0][package]mozilla-nss-3.11-14.i586
+>!> 431: I__s_[S1:0][package]mtools-3.9.10-9.i586
+>!> 432: I__s_[S1:0][package]myspell-american-20040623-20.noarch
+>!> 433: I__s_[S1:0][package]myspell-british-20050526-14.noarch
+>!> 434: I__s_[S1:0][package]myspell-german-20051213-11.noarch
+>!> 435: I__s_[S1:0][package]ncurses-5.5-10.i586
+>!> 436: I__s_[S1:0][package]neon-0.24.7-13.i586
+>!> 437: I__s_[S1:0][package]net-snmp-5.3.0.1-10.i586
+>!> 438: I__s_[S1:0][package]net-tools-1.60-574.i586
+>!> 439: I__s_[S1:0][package]netcat-1.10-876.i586
+>!> 440: I__s_[S1:0][package]netcfg-10.0.42-5.noarch
+>!> 441: I__s_[S1:0][package]netpbm-10.26.22-6.i586
+>!> 442: I__s_[S1:0][package]nfs-utils-1.0.7-24.i586
+>!> 443: I__s_[S1:0][package]nfsidmap-0.12-6.i586
+>!> 444: I__s_[S1:1][package]novfs-kmp-default-1.2.0_2.6.16_rc5_git14_2-8.i586
+>!> 445: U_Th_[S2:1][package]novfs-kmp-default-1.2.0_2.6.16_rc5_git14_3c-8.i586
+>!> 446: U__s_[S2:1][package]novfs-kmp-smp-1.2.0_2.6.16_rc5_git14_3c-8.i586
+>!> 447: I__s_[S1:0][package]nscd-2.4-6.i586
+>!> 448: I__s_[S1:0][package]ntfsprogs-1.11.2-6.i586
+>!> 449: I__s_[S1:1][package]nvidia-gfx-kmp-default-1.0.8178_2.6.16_rc5_git14_2-1.i586
+>!> 450: U_Th_[S2:1][package]nvidia-gfx-kmp-default-1.0.8178_2.6.16_rc5_git14_3c-1.i586
+>!> 451: U__s_[S2:1][package]nvidia-gfx-kmp-smp-1.0.8178_2.6.16_rc5_git14_3c-1.i586
+>!> 452: I__s_[S1:0][package]ocrad-0.13-7.i586
+>!> 453: I__s_[S1:0][package]openct-0.6.6-8.i586
+>!> 454: I__s_[S1:0][package]openldap2-client-2.3.19-10.i586
+>!> 455: I__s_[S1:0][package]openmotif-libs-2.2.4-11.i586
+>!> 456: I__s_[S1:0][package]openobex-1.0.1-61.i586
+>!> 457: I__s_[S1:0][package]opensc-0.9.6-10.i586
+>!> 458: I__s_[S1:0][package]openslp-1.2.0-13.i586
+>!> 459: I__s_[S1:0][package]openssh-4.2p1-11.i586
+>!> 460: I__s_[S1:0][package]openssh-askpass-4.2p1-11.i586
+>!> 461: I__s_[S1:0][package]openssl-0.9.8a-11.i586
+>!> 462: I__s_[S1:0][package]orbit2-2.12.4-10.i586
+>!> 463: I__s_[S1:0][package]pam-0.99.3.0-14.i586
+>!> 464: I__s_[S1:0][package]pam-modules-10.1-1.i586
+>!> 465: I__s_[S1:0][package]pango-1.10.2-13.i586
+>!> 466: I__s_[S1:0][package]parted-1.6.25.1-7.i586
+>!> 467: I__s_[S1:0][package]patch-2.5.9-153.i586
+>!> 468: I__s_[S1:0][package]pax-3.4-7.i586
+>!> 469: I__s_[S1:0][package]pciutils-2.2.1-7.i586
+>!> 470: I__s_[S1:0][package]pcre-6.4-7.i586
+>!> 471: I__s_[S1:0][package]pcsc-lite-1.2.9_beta9-8.i586
+>!> 472: I__s_[S1:0][package]perl-5.8.8-7.i586
+>!> 473: I__s_[S1:0][package]perl-Bootloader-0.2.13-2.i586
+>!> 474: I__s_[S1:0][package]perl-Config-Crontab-1.11-5.i586
+>!> 475: I__s_[S1:0][package]perl-Crypt-SmbHash-0.12-6.i586
+>!> 476: I__s_[S1:0][package]perl-DBD-SQLite-1.11-7.i586
+>!> 477: I__s_[S1:0][package]perl-DBI-1.50-5.i586
+>!> 478: I__s_[S1:0][package]perl-Digest-MD4-1.5-6.i586
+>!> 479: I__s_[S1:0][package]perl-Digest-SHA1-2.10-8.i586
+>!> 480: I__s_[S1:0][package]perl-File-Tail-0.99.3-5.i586
+>!> 481: I__s_[S1:0][package]perl-HTML-Parser-3.48-5.i586
+>!> 482: I__s_[S1:0][package]perl-HTML-Tagset-3.10-5.i586
+>!> 483: I__s_[S1:0][package]perl-IO-Socket-SSL-0.97-7.i586
+>!> 484: I__s_[S1:0][package]perl-Net-Daemon-0.38-54.i586
+>!> 485: I__s_[S1:0][package]perl-Net_SSLeay-1.30-6.i586
+>!> 486: I__s_[S1:0][package]perl-PDA-Pilot-0.12.0_pre4-13.i586
+>!> 487: I__s_[S1:0][package]perl-Parse-RecDescent-1.80-252.i586
+>!> 488: I__s_[S1:0][package]perl-PlRPC-0.2018-6.i586
+>!> 489: I__s_[S1:0][package]perl-TermReadKey-2.30-6.i586
+>!> 490: I__s_[S1:0][package]perl-TermReadLine-Gnu-1.15-6.i586
+>!> 491: I__s_[S1:0][package]perl-TimeDate-1.16-129.i586
+>!> 492: I__s_[S1:0][package]perl-URI-1.35-8.i586
+>!> 493: I__s_[S1:0][package]perl-X500-DN-0.28-126.i586
+>!> 494: I__s_[S1:0][package]perl-XML-Parser-2.34-36.i586
+>!> 495: I__s_[S1:0][package]perl-XML-Writer-0.600-6.i586
+>!> 496: I__s_[S1:0][package]perl-gettext-1.05-6.i586
+>!> 497: I__s_[S1:0][package]perl-libwww-perl-5.805-5.i586
+>!> 498: I__s_[S1:0][package]permissions-2006.2.24-3.i586
+>!> 499: I__s_[S1:0][package]pico-4.64-12.i586
+>!> 500: I__s_[S1:0][package]pilot-link-0.12.0_pre4-13.i586
+>!> 501: I__s_[S1:0][package]pin-0.35-5.noarch
+>!> 502: I__s_[S1:0][package]pinentry-0.7.2-8.i586
+>!> 503: I__s_[S1:0][package]pmtools-20050823-16.i586
+>!> 504: I__s_[S1:0][package]poppler-0.4.4-10.i586
+>!> 505: I__s_[S1:0][package]poppler-qt-0.4.4-10.i586
+>!> 506: I__s_[S1:0][package]popt-1.7-253.i586
+>!> 507: I__s_[S1:0][package]portmap-5beta-742.i586
+>!> 508: I__s_[S1:0][package]postfix-2.2.6-10.i586
+>!> 509: I__s_[S1:0][package]powersave-0.12.4-2.i586
+>!> 510: I__s_[S1:0][package]powersave-libs-0.12.4-2.i586
+>!> 511: I__s_[S1:0][package]ppp-2.4.3-26.i586
+>!> 512: I__s_[S1:0][package]pptp-1.7.0-6.i586
+>!> 513: I__s_[S1:0][package]preload-0.2-18.i586
+>!> 514: I__s_[S1:0][package]procinfo-18-48.i586
+>!> 515: I__s_[S1:0][package]procmail-3.22-49.i586
+>!> 516: I__s_[S1:0][package]procps-3.2.6-9.i586
+>!> 517: I__s_[S1:0][package]providers-2006.1.25-4.noarch
+>!> 518: I__s_[S1:0][package]psmisc-22.1-7.i586
+>!> 519: I__s_[S1:0][package]psutils-p17-873.i586
+>!> 520: I__s_[S1:0][package]pwdutils-3.0.7.1-9.i586
+>!> 521: I__s_[S1:0][package]python-2.4.2-10.i586
+>!> 522: I__s_[S1:0][package]python-qt-3.5.1-9.i586
+>!> 523: I__s_[S1:0][package]python-xml-2.4.2-10.i586
+>!> 524: I__s_[S1:0][package]qca-1.0-18.i586
+>!> 525: I__s_[S1:0][package]qscintilla-1.65-7.i586
+>!> 526: I__s_[S1:0][package]qt3-3.3.5-41.i586
+>!> 527: I__s_[S1:0][package]readline-5.1-14.i586
+>!> 528: I__s_[S1:0][package]recode-3.6-497.i586
+>!> 529: I__s_[S1:0][package]reiserfs-3.6.19-10.i586
+>!> 530: I__s_[S1:0][package]release-notes-10.1.9-2.noarch
+>!> 531: I__s_[S1:0][package]resmgr-0.9.8_SVNr75-8.i586
+>!> 532: I__s_[S1:0][package]rpm-4.4.2-25.i586
+>!> 533: I__s_[S1:0][package]rrdtool-1.2.12-6.i586
+>!> 534: I__s_[S1:0][package]rsh-0.17-566.i586
+>!> 535: I__s_[S1:0][package]rsync-2.6.6-9.i586
+>!> 536: I__s_[S1:0][package]rug-7.1.1-13.i586
+>!> 537: I__s_[S1:0][package]samba-client-3.0.21c-8.i586
+>!> 538: I__s_[S1:0][package]sane-1.0.17-8.i586
+>!> 539: I__s_[S1:0][package]sash-3.7-39.i586
+>!> 540: I__s_[S1:0][package]sax2-7.1-94.i586
+>!> 541: I__s_[S1:0][package]sax2-gui-1.7-94.i586
+>!> 542: I__s_[S1:0][package]sax2-ident-1.7-94.i586
+>!> 543: I__s_[S1:0][package]sax2-libsax-7.1-94.i586
+>!> 544: I__s_[S1:0][package]sax2-libsax-perl-7.1-94.i586
+>!> 545: I__s_[S1:0][package]sax2-tools-2.7-94.i586
+>!> 546: I__s_[S1:0][package]scpm-1.1.3-8.i586
+>!> 547: I__s_[S1:0][package]screen-4.0.2-55.i586
+>!> 548: I__s_[S1:0][package]scsi-1.7_2.36_1.19_0.17_0.97-4.i586
+>!> 549: I__s_[S1:0][package]sed-4.1.4-10.i586
+>!> 550: I__s_[S1:0][selection]SuSE-Documentation-10-46.noarch
+>!> 551: I__s_[S1:0][selection]default-10-46.noarch
+>!> 552: I__s_[S1:0][package]sensors-2.10.0-3.i586
+>!> 553: I__s_[S1:0][package]setserial-2.17-586.i586
+>!> 554: I__s_[S1:0][package]sgml-skel-0.6-274.noarch
+>!> 555: I__s_[S1:0][package]shared-mime-info-0.16cvs20060309-3.i586
+>!> 556: I__s_[S1:0][package]siga-10.101-5.noarch
+>!> 557: I__s_[S1:0][package]sisctrl-0.0.20051202-6.i586
+>!> 558: I__s_[S1:0][package]slang-2.0.5-7.i586
+>!> 559: I__s_[S1:0][package]smpppd-1.59-12.i586
+>!> 560: I__s_[S1:0][package]speex-1.0.5-7.i586
+>!> 561: I__s_[S1:0][package]sqlite-3.2.8-7.i586
+>!> 562: I__s_[S1:0][package]sqlite2-2.8.17-7.i586
+>!> 563: I__s_[S1:0][package]src_vipa-2.0.3-5.i586
+>!> 564: I__s_[S1:0][package]startup-notification-0.8-13.i586
+>!> 565: I__s_[S1:0][package]strace-4.5.14-2.i586
+>!> 566: I__s_[S1:0][package]sudo-1.6.8p12-11.i586
+>!> 567: I__s_[S1:0][package]sumf-0.2.1-9.i586
+>!> 568: I__s_[S1:0][package]supertux-0.1.3-12.i586
+>!> 569: I__s_[S1:0][package]suse-build-key-1.0-675.noarch
+>!> 570: I__s_[S1:0][package]suse-release-10.1-2.i586
+>!> 571: I__s_[S1:0][package]suseRegister-1.0-22.noarch
+>!> 572: I__s_[S1:0][package]susehelp-2006.03.03-5.noarch
+>!> 573: I__s_[S1:0][package]susehelp_de-2006.03.03-5.noarch
+>!> 574: I__s_[S1:0][package]susehelp_en-2006.03.03-5.noarch
+>!> 575: I__s_[S1:0][package]suselinux-manual_en-10.1-10.noarch
+>!> 576: I__s_[S1:0][package]suspend-20060306-2.i586
+>!> 577: I__s_[S1:0][package]sysconfig-0.50.6-5.i586
+>!> 578: I__s_[S1:0][package]sysfsutils-1.3.0-9.i586
+>!> 579: I__s_[S1:0][package]syslinux-3.11-11.i586
+>!> 580: I__s_[S1:0][package]syslog-ng-1.6.8-12.i586
+>!> 581: I__s_[S1:0][package]sysvinit-2.86-13.i586
+>!> 582: I__s_[S1:0][package]taglib-1.4-13.i586
+>!> 583: I__s_[S1:0][package]tar-1.15.1-16.i586
+>!> 584: I__s_[S1:0][package]tcpd-7.6-723.i586
+>!> 585: I__s_[S1:0][package]tcsh-6.14.00-9.i586
+>!> 586: I__s_[S1:0][package]telnet-1.2-7.i586
+>!> 587: I__s_[S1:0][package]terminfo-5.5-10.i586
+>!> 588: I__s_[S1:0][package]testgart-0.1-196.i586
+>!> 589: I__s_[S1:0][package]tiff-3.8.0-7.i586
+>!> 590: I__s_[S1:0][package]tightvnc-1.2.9-191.i586
+>!> 591: I__s_[S1:0][package]timezone-2.4-6.i586
+>!> 592: I__s_[S1:0][package]tiny-nvidia-installer-1.0.7-6.i586
+>!> 593: I__s_[S1:0][package]tree-1.5.0-6.i586
+>!> 594: I__s_[S1:0][package]udev-085-7.i586
+>!> 595: I__s_[S1:0][package]unclutter-8-843.i586
+>!> 596: I__s_[S1:0][package]unixODBC-2.2.11-13.i586
+>!> 597: I__s_[S1:0][package]unrar-3.5.4-8.i586
+>!> 598: I__s_[S1:0][package]unzip-5.52-9.i586
+>!> 599: I__s_[S1:0][package]update-alternatives-1.8.3-9.noarch
+>!> 600: I__s_[S1:0][package]usbutils-0.71-14.i586
+>!> 601: I__s_[S1:0][package]utempter-0.5.5-9.i586
+>!> 602: I__s_[S1:0][package]util-linux-2.12r-19.i586
+>!> 603: I__s_[S1:0][package]v4l-conf-3.94-14.i586
+>!> 604: I__s_[S1:0][package]vacation-1.2.6.1-143.i586
+>!> 605: I__s_[S1:0][package]vcdimager-0.7.23-12.i586
+>!> 606: I__s_[S1:0][package]vim-6.4.6-11.i586
+>!> 607: I__s_[S1:0][package]vorbis-tools-1.1.1-6.i586
+>!> 608: I__s_[S1:0][package]w3m-0.5.1-11.i586
+>!> 609: I__s_[S1:0][package]wdiff-0.5.2-667.i586
+>!> 610: I__s_[S1:0][package]wget-1.10.2-8.i586
+>!> 611: I__s_[S1:0][package]wireless-tools-28pre13-15.i586
+>!> 612: I__s_[S1:0][package]words-6-11.noarch
+>!> 613: I__s_[S1:0][package]wpa_supplicant-0.4.8-5.i586
+>!> 614: I__s_[S1:0][package]wv-1.0.3-13.i586
+>!> 615: I__s_[S1:0][package]wvdial-1.54-75.i586
+>!> 616: I__s_[S1:0][package]wvstreams-4.2.1-6.i586
+>!> 617: I__s_[S1:0][package]x11-input-gunze-031126-22.i586
+>!> 618: I__s_[S1:0][package]x11-input-synaptics-0.14.4-8.i586
+>!> 619: I__s_[S1:0][package]x11-input-wacom-0.7.2-9.i586
+>!> 620: I__s_[S1:0][package]x11-tools-0.1-29.i586
+>!> 621: I__s_[S1:0][package]xdelta-1.1.3-13.i586
+>!> 622: I__s_[S1:0][package]xdg-menu-0.2-58.i586
+>!> 623: I__s_[S1:0][package]xdmbgrd-0.5-37.i586
+>!> 624: I__s_[S1:0][package]xfsprogs-2.7.11-10.i586
+>!> 625: I__s_[S1:0][package]xine-lib-1.1.1-11.i586
+>!> 626: I__s_[S1:0][package]xinetd-2.3.14-7.i586
+>!> 627: I__s_[S1:0][package]xkeyboard-config-0.7-10.noarch
+>!> 628: I__s_[S1:0][package]xli-20050904-9.i586
+>!> 629: I__s_[S1:0][package]xlockmore-5.21-6.i586
+>!> 630: I__s_[S1:0][package]xmoto-0.1.11-7.i586
+>!> 631: I__s_[S1:0][package]xmset-1.2-9.i586
+>!> 632: I__s_[S1:0][package]xntp-4.2.0a-62.i586
+>!> 633: I__s_[S1:0][package]xorg-x11-6.9.0-25.i586
+>!> 634: I__s_[S1:0][package]xorg-x11-Xvnc-6.9.0-25.i586
+>!> 635: I__s_[S1:0][package]xorg-x11-driver-video-6.9.0-27.i586
+>!> 636: I__s_[S1:0][package]xorg-x11-driver-video-nvidia-6.9.0-27.i586
+>!> 637: I__s_[S1:0][package]xorg-x11-fonts-100dpi-6.9.0-25.i586
+>!> 638: I__s_[S1:0][package]xorg-x11-fonts-75dpi-6.9.0-25.i586
+>!> 639: I__s_[S1:0][package]xorg-x11-fonts-scalable-6.9.0-25.i586
+>!> 640: I__s_[S1:0][package]xorg-x11-libs-6.9.0-25.i586
+>!> 641: I__s_[S1:0][package]xorg-x11-server-6.9.0-25.i586
+>!> 642: I__s_[S1:0][package]xorg-x11-server-glx-6.9.0-25.i586
+>!> 643: I__s_[S1:0][package]xpdf-tools-3.01-14.i586
+>!> 644: I__s_[S1:0][package]xscreensaver-4.23-10.i586
+>!> 645: I__s_[S1:0][package]xterm-208-7.i586
+>!> 646: I__s_[S1:0][package]xtermset-0.5.2-127.i586
+>!> 647: I__s_[S1:0][package]yast2-2.13.36-2.i586
+>!> 648: I__s_[S1:0][package]yast2-apparmor-2.0-15.noarch
+>!> 649: I__s_[S1:0][package]yast2-backup-2.13.1-3.noarch
+>!> 650: I__s_[S1:0][package]yast2-bluetooth-2.13.2-3.noarch
+>!> 651: I__s_[S1:0][package]yast2-bootfloppy-2.13.23-2.i586
+>!> 652: I__s_[S1:0][package]yast2-bootloader-2.13.23-2.i586
+>!> 653: I__s_[S1:0][package]yast2-control-center-2.13.2-6.i586
+>!> 654: I__s_[S1:0][package]yast2-core-2.13.17-6.i586
+>!> 655: I__s_[S1:0][package]yast2-country-2.13.16-3.i586
+>!> 656: I__s_[S1:0][package]yast2-dhcp-server-2.13.1-3.noarch
+>!> 657: I__s_[S1:0][package]yast2-dns-server-2.13.7-3.noarch
+>!> 658: I__s_[S1:0][package]yast2-firewall-2.13.6-3.noarch
+>!> 659: I__s_[S1:0][package]yast2-hardware-detection-2.13.3-6.i586
+>!> 660: I__s_[S1:0][package]yast2-http-server-2.13.10-2.noarch
+>!> 661: I__s_[S1:0][package]yast2-inetd-2.13.2-3.noarch
+>!> 662: I__s_[S1:0][package]yast2-installation-2.13.35-2.noarch
+>!> 663: I__s_[S1:0][package]yast2-irda-2.13.1-5.noarch
+>!> 664: I__s_[S1:0][package]yast2-kerberos-client-2.13.3-3.noarch
+>!> 665: I__s_[S1:0][package]yast2-ldap-2.13.3-3.i586
+>!> 666: I__s_[S1:0][package]yast2-ldap-client-2.13.10-3.noarch
+>!> 667: I__s_[S1:0][package]yast2-mail-2.13.3-3.noarch
+>!> 668: I__s_[S1:0][package]yast2-mail-aliases-2.13.3-3.noarch
+>!> 669: I__s_[S1:0][package]yast2-mouse-2.13.7-7.i586
+>!> 670: I__s_[S1:0][package]yast2-ncurses-2.13.13-2.i586
+>!> 671: I__s_[S1:0][package]yast2-network-2.13.35-2.i586
+>!> 672: I__s_[S1:0][package]yast2-nfs-client-2.13.3-3.noarch
+>!> 673: I__s_[S1:0][package]yast2-nfs-server-2.13.3-3.noarch
+>!> 674: I__s_[S1:0][package]yast2-nis-client-2.13.2-3.i586
+>!> 675: I__s_[S1:0][package]yast2-nis-server-2.13.1-6.noarch
+>!> 676: I__s_[S1:0][package]yast2-ntp-client-2.13.4-2.noarch
+>!> 677: I__s_[S1:0][package]yast2-online-update-2.13.8-2.i586
+>!> 678: I__s_[S1:0][package]yast2-packager-2.13.46-2.i586
+>!> 679: I__s_[S1:0][package]yast2-pam-2.13.2-6.noarch
+>!> 680: I__s_[S1:0][package]yast2-perl-bindings-2.13.4-6.i586
+>!> 681: I__s_[S1:0][package]yast2-phone-services-2.13.1-3.noarch
+>!> 682: I__s_[S1:0][package]yast2-pkg-bindings-2.13.28-2.i586
+>!> 683: I__s_[S1:0][package]yast2-power-management-2.13.5-5.i586
+>!> 684: I__s_[S1:0][package]yast2-powertweak-2.13.5-5.noarch
+>!> 685: I__s_[S1:0][package]yast2-printer-2.13.4-4.i586
+>!> 686: I__s_[S1:0][package]yast2-profile-manager-2.13.4-5.i586
+>!> 687: I__s_[S1:0][package]yast2-qt-2.13.33-2.i586
+>!> 688: I__s_[S1:0][package]yast2-repair-2.13.3-5.noarch
+>!> 689: I__s_[S1:0][package]yast2-restore-2.13.1-3.noarch
+>!> 690: I__s_[S1:0][package]yast2-runlevel-2.13.5-5.noarch
+>!> 691: I__s_[S1:0][package]yast2-samba-client-2.13.10-2.noarch
+>!> 692: I__s_[S1:0][package]yast2-samba-server-2.13.7-2.noarch
+>!> 693: I__s_[S1:0][package]yast2-scanner-2.13.15-3.noarch
+>!> 694: I__s_[S1:0][package]yast2-schema-2.13.2-4.noarch
+>!> 695: I__s_[S1:0][package]yast2-security-2.13.2-5.noarch
+>!> 696: I__s_[S1:0][package]yast2-slp-2.13.1-5.i586
+>!> 697: I__s_[S1:0][package]yast2-sound-2.13.9-3.i586
+>!> 698: I__s_[S1:0][package]yast2-storage-2.13.35-2.i586
+>!> 699: I__s_[S1:0][package]yast2-storage-lib-2.13.35-2.i586
+>!> 700: I__s_[S1:0][package]yast2-support-2.13.2-3.noarch
+>!> 701: I__s_[S1:0][package]yast2-sysconfig-2.13.5-5.noarch
+>!> 702: I__s_[S1:0][package]yast2-tftp-server-2.13.3-3.noarch
+>!> 703: I__s_[S1:0][package]yast2-theme-SuSELinux-2.13.3-7.noarch
+>!> 704: I__s_[S1:0][package]yast2-trans-de-2.13.11-3.noarch
+>!> 705: I__s_[S1:0][package]yast2-trans-stats-2.11.0-12.noarch
+>!> 706: I__s_[S1:0][package]yast2-transfer-2.13.3-3.i586
+>!> 707: I__s_[S1:0][package]yast2-tune-2.13.4-5.i586
+>!> 708: I__s_[S1:0][package]yast2-tv-2.13.7-3.noarch
+>!> 709: I__s_[S1:0][package]yast2-update-2.13.5-2.i586
+>!> 710: I__s_[S1:0][package]yast2-users-2.13.15-2.i586
+>!> 711: I__s_[S1:0][package]yast2-vm-2.13.27-3.i586
+>!> 712: I__s_[S1:0][package]yast2-x11-2.13.6-27.noarch
+>!> 713: I__s_[S1:0][package]yast2-xml-2.13.1-6.i586
+>!> 714: I__s_[S1:0][package]yp-tools-2.9-9.i586
+>!> 715: I__s_[S1:0][package]ypbind-1.19.1-7.i586
+>!> 716: I__s_[S1:0][package]zen-updater-7.1.0-16.i586
+>!> 717: I__s_[S1:0][package]zip-2.31-8.i586
+>!> 718: I__s_[S1:0][package]ziptool-1.4.0-117.i586
+>!> 719: I__s_[S1:0][package]zisofs-tools-1.0.6-8.i586
+>!> 720: I__s_[S1:0][package]zlib-1.2.3-8.i586
+>!> 721: I__s_[S1:0][package]zmd-7.1.1-24.i586
+>!> 722: I__s_[S1:0][package]zsh-4.2.6-8.i586
+>!> 723: I__s_[S1:0][package]zvbi-0.2.16-10.i586
+>!> 3 problems found:
+>!> Problem:
+>!> cloop-kmp-default cannot be installed due to missing dependencies
+>!> There are no installable providers of kernel(default:lib) == 277c4352b0756bca for cloop-kmp-default-2.01_2.6.16_rc5_git14_3c-15.i586[packages]
+>!>    Solution:
+>!>       do not install cloop-kmp-default
+>!>       do not install cloop-kmp-default-2.01_2.6.16_rc5_git14_3c-15.i586[packages]
+>!>    Solution:
+>!>       Ignore this requirement just here
+>!>       
+>!> Problem:
+>!> novfs-kmp-default cannot be installed due to missing dependencies
+>!> There are no installable providers of kernel(default:arch_i386_kernel) == 865f5f6b995e3429 for novfs-kmp-default-1.2.0_2.6.16_rc5_git14_3c-8.i586[packages]
+>!>    Solution:
+>!>       do not install novfs-kmp-default
+>!>       do not install novfs-kmp-default-1.2.0_2.6.16_rc5_git14_3c-8.i586[packages]
+>!>    Solution:
+>!>       Ignore this requirement just here
+>!>       
+>!> Problem:
+>!> nvidia-gfx-kmp-default cannot be installed due to missing dependencies
+>!> There are no installable providers of kernel(default:drivers_pci) == 4ba79070e5eef93c for nvidia-gfx-kmp-default-1.0.8178_2.6.16_rc5_git14_3c-1.i586[packages]
+>!>    Solution:
+>!>       do not install nvidia-gfx-kmp-default
+>!>       do not install nvidia-gfx-kmp-default-1.0.8178_2.6.16_rc5_git14_3c-1.i586[packages]
+>!>    Solution:
+>!>       Ignore this requirement just here
+>!>       

Added: trunk/sat-solver/testsuite/data.libzypp/kernel-tests/2_2_2-default-test.xml
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/kernel-tests/2_2_2-default-test.xml?rev=7490&view=auto
==============================================================================
--- trunk/sat-solver/testsuite/data.libzypp/kernel-tests/2_2_2-default-test.xml (added)
+++ trunk/sat-solver/testsuite/data.libzypp/kernel-tests/2_2_2-default-test.xml Fri Oct 12 14:33:29 2007
@@ -0,0 +1,30 @@
+<?xml version="1.0"?>
+<test>
+<setup>
+  <system file="2.2.2-default-system.xml.gz"/>
+  <channel name="packages" file="2.2.2-default-packages.xml.gz"/>
+  <hardwareInfo path="kernel-hardware"/>
+</setup>
+<!-- 
+(2) KMP Update
+
+    This case triggers when a KMP becomes available on an installation
+    source ("catalog") that has a higher [epoch/]version/release number
+    that the installed KMP.
+
+    (2.2) The kABI of the kernel and of the KMP differ
+
+      (2.2.2) A kernel of another flavor with the new kABI is available
+
+       The resolver could propose to remove the current kernel, install
+       the kernel that is compatible with the new KMP, and the new KMP.
+       I don't think it is necessary to offer this solution, though.
+
+-->
+
+<trial>
+  <distupgrade delete_unmaintained="false"/>
+  <reportproblems/>
+</trial>
+
+</test>

Added: trunk/sat-solver/testsuite/data.libzypp/kernel-tests/Bug160341-system.solv
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/kernel-tests/Bug160341-system.solv?rev=7490&view=auto
==============================================================================
Binary file - no diff available.

Added: trunk/sat-solver/testsuite/data.libzypp/kernel-tests/Bug160341-test.solution
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/kernel-tests/Bug160341-test.solution?rev=7490&view=auto
==============================================================================
--- trunk/sat-solver/testsuite/data.libzypp/kernel-tests/Bug160341-test.solution (added)
+++ trunk/sat-solver/testsuite/data.libzypp/kernel-tests/Bug160341-test.solution Fri Oct 12 14:33:29 2007
@@ -0,0 +1,6 @@
+>!> setting HardwareInfo to: ./kernel-hardware
+>!> Installing kernel-default from channel packages2
+>!> No problems so far
+>!> Solution #1:
+>!> upgrade kernel-default-2.6.16_rc5_git14-2.i586 => kernel-default-2.6.16_rc5_git14-3.i586[packages2]
+>!> installs=0, upgrades=1, uninstalls=0

Added: trunk/sat-solver/testsuite/data.libzypp/kernel-tests/Bug160341-test.xml
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/kernel-tests/Bug160341-test.xml?rev=7490&view=auto
==============================================================================
--- trunk/sat-solver/testsuite/data.libzypp/kernel-tests/Bug160341-test.xml (added)
+++ trunk/sat-solver/testsuite/data.libzypp/kernel-tests/Bug160341-test.xml Fri Oct 12 14:33:29 2007
@@ -0,0 +1,21 @@
+<?xml version="1.0"?>
+<test>
+<setup>
+  <system file="Bug160341-system.xml.gz"/>
+  <channel name="packages2" file="2.6.16_rc5_git14-3-packages.xml.gz"/>
+  <hardwareInfo path="kernel-hardware"/>
+</setup>
+<!-- 
+When doing a "rug install kernel-default", rug installs the following packages:
+  kernel-default-2.6.16_rc5_git14-3
+  novfs-kmp-default-1.2.0_2.6.16_rc5_git14_3-8
+
+The expected result would be to only get kernel-default-2.6.16_rc5_git14-3; all
+-->
+
+<trial>
+ <install channel="packages2" kind="package" name="kernel-default"/>
+  <reportproblems/>
+</trial>
+
+</test>

Added: trunk/sat-solver/testsuite/data.libzypp/kernel-tests/beta8-kde-system.solv
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/kernel-tests/beta8-kde-system.solv?rev=7490&view=auto
==============================================================================
Binary file - no diff available.

Added: trunk/sat-solver/testsuite/data.libzypp/kernel-tests/beta8-packages.solv
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/kernel-tests/beta8-packages.solv?rev=7490&view=auto
==============================================================================
Binary file - no diff available.

Added: trunk/sat-solver/testsuite/data.libzypp/kernel-tests/kernel-repo.solv
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/kernel-tests/kernel-repo.solv?rev=7490&view=auto
==============================================================================
Binary file - no diff available.

Added: trunk/sat-solver/testsuite/data.libzypp/kernel-tests/kernel-system.solv
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/kernel-tests/kernel-system.solv?rev=7490&view=auto
==============================================================================
Binary file - no diff available.

Added: trunk/sat-solver/testsuite/data.libzypp/kernel-tests/sl10.1-beta7-packages.solv
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/kernel-tests/sl10.1-beta7-packages.solv?rev=7490&view=auto
==============================================================================
Binary file - no diff available.

Added: trunk/sat-solver/testsuite/data.libzypp/kernel-tests/sl10.1-beta7-selections.solv
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/kernel-tests/sl10.1-beta7-selections.solv?rev=7490&view=auto
==============================================================================
Binary file - no diff available.

Added: trunk/sat-solver/testsuite/data.libzypp/language-tests/beta52-aspell-fr-test.solution
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/language-tests/beta52-aspell-fr-test.solution?rev=7490&view=auto
==============================================================================
--- trunk/sat-solver/testsuite/data.libzypp/language-tests/beta52-aspell-fr-test.solution (added)
+++ trunk/sat-solver/testsuite/data.libzypp/language-tests/beta52-aspell-fr-test.solution Fri Oct 12 14:33:29 2007
@@ -0,0 +1,29 @@
+>!> Requesting locale fr
+>!> Available locales: af, af_ZA, am, ar, as, bg, bn, br, bs, ca, ca_ES, cs, cs_CZ, cy, cy_GB, cz, da, da_DK, de, de_CH, de_DE, el, el_GR, en, en_AU, en_GB, en_NZ, en_US, eo, es, es_ES, es_MX, et, et_EE, eu, fa, fi, fo, fo_FO, fr, fr_FR, fy, ga, ga_IE, gu, he, hi, hr, hr_HR, hu, id_ID, is, it, it_IT, ja, ka, kk, km, kn, ko, lo, lt, mi_NZ, mk, ml, ms_MY, my, nb, nb_NO, nds, ne, nl, nl_NL, nn, nn_NO, pa, pl, pl_PL, pt, pt_BR, pt_PT, ro, ro_RO, ru, ru_RU, se, sk, sk_SK, sl, sl_SI, sr, srLatn, sv, sv_SE, ta, te, tg, th, tr, uk, vi, zh, zh_CN, zh_HK, zh_TW
+>!> Installing aspell from channel beta52
+>!> Solution #1:
+>!> install aspell-0.60.3-10.i586[beta52]
+>!> install aspell-fr-0.50.3-341.i586[beta52]
+>!> install bash-3.1-10.i586[beta52]
+>!> install bzip2-1.0.3-9.i586[beta52]
+>!> install coreutils-5.93-12.i586[beta52]
+>!> install cracklib-2.8.6-4.i586[beta52]
+>!> install db-4.3.29-7.i686[beta52]
+>!> install filesystem-10.0.42-9.i586[beta52]
+>!> install fillup-1.42-110.i586[beta52]
+>!> install gdbm-1.8.3-235.i586[beta52]
+>!> install glibc-2.3.90-69.i686[beta52]
+>!> install gzip-1.3.5-149.i586[beta52]
+>!> install info-4.8-14.i586[beta52]
+>!> install language:fr-.noarch
+>!> install libacl-2.2.34-4.i586[beta52]
+>!> install libattr-2.4.28-5.i586[beta52]
+>!> install libgcc-4.1.0_20060223-3.i586[beta52]
+>!> install libstdc++-4.1.0_20060223-3.i586[beta52]
+>!> install libzio-0.1-9.i586[beta52]
+>!> install ncurses-5.5-8.i586[beta52]
+>!> install pam-0.99.3.0-10.i586[beta52]
+>!> install perl-5.8.8-6.i586[beta52]
+>!> install readline-5.1-10.i586[beta52]
+>!> install zlib-1.2.3-7.i586[beta52]
+>!> installs=24, upgrades=0, uninstalls=0

Added: trunk/sat-solver/testsuite/data.libzypp/language-tests/beta52-aspell-fr-test.xml
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/language-tests/beta52-aspell-fr-test.xml?rev=7490&view=auto
==============================================================================
--- trunk/sat-solver/testsuite/data.libzypp/language-tests/beta52-aspell-fr-test.xml (added)
+++ trunk/sat-solver/testsuite/data.libzypp/language-tests/beta52-aspell-fr-test.xml Fri Oct 12 14:33:29 2007
@@ -0,0 +1,15 @@
+<?xml version="1.0"?>
+<!--
+  set unknown
+  -> install aspell
+-->
+<test>
+<setup>
+  <channel name="beta52" file="beta52-i386-packages.xml.gz"/>
+  <locale name="fr"/>
+</setup>
+<trial>
+  <availablelocales/>
+  <install channel="beta52" name="aspell"/>
+</trial>
+</test>

Added: trunk/sat-solver/testsuite/data.libzypp/language-tests/beta52-i386-packages.solv
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/language-tests/beta52-i386-packages.solv?rev=7490&view=auto
==============================================================================
Binary file - no diff available.

Added: trunk/sat-solver/testsuite/data.libzypp/language-tests/beta8-selections.solv
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/language-tests/beta8-selections.solv?rev=7490&view=auto
==============================================================================
Binary file - no diff available.

Added: trunk/sat-solver/testsuite/data.libzypp/language-tests/possible-locales-test.solution
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/language-tests/possible-locales-test.solution?rev=7490&view=auto
==============================================================================
--- trunk/sat-solver/testsuite/data.libzypp/language-tests/possible-locales-test.solution (added)
+++ trunk/sat-solver/testsuite/data.libzypp/language-tests/possible-locales-test.solution Fri Oct 12 14:33:29 2007
@@ -0,0 +1,17 @@
+>!> Requesting locale de
+>!> Requesting locale de_DE
+>!> Requesting locale de_AT
+>!> Requesting locale ja
+>!> Requesting locale zh
+>!>1: U_Tu_[S0:0][language]de-.noarch
+>!>2: U_Tu_[S0:0][language]de_AT-.noarch
+>!>3: U_Tu_[S0:0][language]de_DE-.noarch
+>!>4: U_Tu_[S0:0][language]ja-.noarch
+>!>5: U_Tu_[S0:0][language]zh-.noarch
+>!> Solution #1:
+>!> install language:de-.noarch
+>!> install language:de_AT-.noarch
+>!> install language:de_DE-.noarch
+>!> install language:ja-.noarch
+>!> install language:zh-.noarch
+>!> installs=5, upgrades=0, uninstalls=0

Added: trunk/sat-solver/testsuite/data.libzypp/language-tests/possible-locales-test.xml
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/language-tests/possible-locales-test.xml?rev=7490&view=auto
==============================================================================
--- trunk/sat-solver/testsuite/data.libzypp/language-tests/possible-locales-test.xml (added)
+++ trunk/sat-solver/testsuite/data.libzypp/language-tests/possible-locales-test.xml Fri Oct 12 14:33:29 2007
@@ -0,0 +1,16 @@
+<?xml version="1.0"?>
+<!--
+  set some possible locales
+-->
+<test>
+<setup>
+  <locale name="de"/>
+  <locale name="de_DE"/>
+  <locale name="de_AT"/>
+  <locale name="ja"/>
+  <locale name="zh"/>
+</setup>
+<trial>
+  <showpool all="yes" prefix=">!>"/>
+</trial>
+</test>

Added: trunk/sat-solver/testsuite/data.libzypp/lock-tests/exercise-10-packages.solv
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/lock-tests/exercise-10-packages.solv?rev=7490&view=auto
==============================================================================
Binary file - no diff available.

Added: trunk/sat-solver/testsuite/data.libzypp/lock-tests/exercise-58-test.solution
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/lock-tests/exercise-58-test.solution?rev=7490&view=auto
==============================================================================
--- trunk/sat-solver/testsuite/data.libzypp/lock-tests/exercise-58-test.solution (added)
+++ trunk/sat-solver/testsuite/data.libzypp/lock-tests/exercise-58-test.solution Fri Oct 12 14:33:29 2007
@@ -0,0 +1,6 @@
+>!> Locking A from channel test
+>!> Installing B from channel test
+>!> Solution #1:
+>!> install AA-1.0-1.noarch[test]
+>!> install B-1.0-1.noarch[test]
+>!> installs=2, upgrades=0, uninstalls=0

Added: trunk/sat-solver/testsuite/data.libzypp/lock-tests/exercise-58-test.xml
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/lock-tests/exercise-58-test.xml?rev=7490&view=auto
==============================================================================
--- trunk/sat-solver/testsuite/data.libzypp/lock-tests/exercise-58-test.xml (added)
+++ trunk/sat-solver/testsuite/data.libzypp/lock-tests/exercise-58-test.xml Fri Oct 12 14:33:29 2007
@@ -0,0 +1,17 @@
+<?xml version="1.0"?>
+
+<test>
+
+<!-- In this test we lock foo-set and remove one of its children.
+     The update should fail. -->
+
+<setup>
+  <channel name="test" file="exercise-10-packages.xml.gz"/>
+  <lock package="A" channel="test"/>
+</setup>
+
+<trial>
+  <install channel="test" package="B"/>
+</trial>
+
+</test>

Added: trunk/sat-solver/testsuite/data.libzypp/lock-tests/exercise-obscureobsoletes-packages.solv
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/lock-tests/exercise-obscureobsoletes-packages.solv?rev=7490&view=auto
==============================================================================
Binary file - no diff available.

Added: trunk/sat-solver/testsuite/data.libzypp/lock-tests/exercise-obscureobsoletes-system.solv
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/lock-tests/exercise-obscureobsoletes-system.solv?rev=7490&view=auto
==============================================================================
Binary file - no diff available.

Added: trunk/sat-solver/testsuite/data.libzypp/lock-tests/required-packages.solv
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/lock-tests/required-packages.solv?rev=7490&view=auto
==============================================================================
Binary file - no diff available.

Added: trunk/sat-solver/testsuite/data.libzypp/lock-tests/single-package.solv
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/lock-tests/single-package.solv?rev=7490&view=auto
==============================================================================
Binary file - no diff available.

Added: trunk/sat-solver/testsuite/data.libzypp/lock-tests/single-package2.solv
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/lock-tests/single-package2.solv?rev=7490&view=auto
==============================================================================
Binary file - no diff available.

Added: trunk/sat-solver/testsuite/data.libzypp/patch-tests/glibc-i586-package.solv
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/patch-tests/glibc-i586-package.solv?rev=7490&view=auto
==============================================================================
Binary file - no diff available.

Added: trunk/sat-solver/testsuite/data.libzypp/patch-tests/jumbo-patch-test-installed.solv
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/patch-tests/jumbo-patch-test-installed.solv?rev=7490&view=auto
==============================================================================
Binary file - no diff available.

Added: trunk/sat-solver/testsuite/data.libzypp/patch-tests/jumbo-patch.solv
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/patch-tests/jumbo-patch.solv?rev=7490&view=auto
==============================================================================
Binary file - no diff available.

Added: trunk/sat-solver/testsuite/data.libzypp/patch-tests/kernel-installed.solv
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/patch-tests/kernel-installed.solv?rev=7490&view=auto
==============================================================================
Binary file - no diff available.

Added: trunk/sat-solver/testsuite/data.libzypp/patch-tests/libzypp-i586-package.solv
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/patch-tests/libzypp-i586-package.solv?rev=7490&view=auto
==============================================================================
Binary file - no diff available.

Added: trunk/sat-solver/testsuite/data.libzypp/patch-tests/libzypp-ppc-package.solv
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/patch-tests/libzypp-ppc-package.solv?rev=7490&view=auto
==============================================================================
Binary file - no diff available.

Added: trunk/sat-solver/testsuite/data.libzypp/patch-tests/libzypp-ppc64-package.solv
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/patch-tests/libzypp-ppc64-package.solv?rev=7490&view=auto
==============================================================================
Binary file - no diff available.

Added: trunk/sat-solver/testsuite/data.libzypp/patch-tests/libzypp-x86_64-package.solv
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/patch-tests/libzypp-x86_64-package.solv?rev=7490&view=auto
==============================================================================
Binary file - no diff available.

Added: trunk/sat-solver/testsuite/data.libzypp/patch-tests/load-armstrong-test.solution
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/patch-tests/load-armstrong-test.solution?rev=7490&view=auto
==============================================================================
--- trunk/sat-solver/testsuite/data.libzypp/patch-tests/load-armstrong-test.solution (added)
+++ trunk/sat-solver/testsuite/data.libzypp/patch-tests/load-armstrong-test.solution Fri Oct 12 14:33:29 2007
@@ -0,0 +1,6 @@
+>!> Establishing state ...
+>!> Established context
+>!> patch:patch-pine-1-0.noarch[armstrong] US__<satisfied>
+>!> atom:mutt-1.5.9i-17.i586[armstrong] UU__<uneeded>
+>!> patch:patch-mutt-1-0.noarch[armstrong] US__<satisfied>
+>!> atom:pine-4.64-10.i586[armstrong] UU__<uneeded>

Added: trunk/sat-solver/testsuite/data.libzypp/patch-tests/load-armstrong-test.xml
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/patch-tests/load-armstrong-test.xml?rev=7490&view=auto
==============================================================================
--- trunk/sat-solver/testsuite/data.libzypp/patch-tests/load-armstrong-test.xml (added)
+++ trunk/sat-solver/testsuite/data.libzypp/patch-tests/load-armstrong-test.xml Fri Oct 12 14:33:29 2007
@@ -0,0 +1,15 @@
+<?xml version="1.0"?>
+<!--
+   load patch data from armstrong.suse.de
+-->
+<test>
+<setup>
+  <arch name="i686"/>
+  <source url="http://zypp:ZYpp@xxxxxxxxxxxxxxxxx/download/Code/10/update/i386" name="armstrong"/>
+</setup>
+<trial>
+  <showpool all="yes"/>
+  <establish/>
+  <showpool all="true" prefix="ESTABLISHED:"/>
+</trial>
+</test>

Added: trunk/sat-solver/testsuite/data.libzypp/patch-tests/mutt-new-package.solv
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/patch-tests/mutt-new-package.solv?rev=7490&view=auto
==============================================================================
Binary file - no diff available.

Added: trunk/sat-solver/testsuite/data.libzypp/patch-tests/mutt-old-package.solv
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/patch-tests/mutt-old-package.solv?rev=7490&view=auto
==============================================================================
Binary file - no diff available.

Added: trunk/sat-solver/testsuite/data.libzypp/patch-tests/parallel-atmos-fail-test.solution
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/patch-tests/parallel-atmos-fail-test.solution?rev=7490&view=auto
==============================================================================
--- trunk/sat-solver/testsuite/data.libzypp/patch-tests/parallel-atmos-fail-test.solution (added)
+++ trunk/sat-solver/testsuite/data.libzypp/patch-tests/parallel-atmos-fail-test.solution Fri Oct 12 14:33:29 2007
@@ -0,0 +1,8 @@
+>!> Installing patch:patch-B1 from channel new_source
+>!> 1 problems found:
+>!> Problem:
+>!> This would invalidate atom:A-1.0-1.i586.
+>!> atom:A-1.0-1.i586 has unfulfilled requirements
+>!>    Solution:
+>!>       delete A
+>!>       delete atom:A-1.0-1.i586

Added: trunk/sat-solver/testsuite/data.libzypp/patch-tests/parallel-atmos-fail-test.xml
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/patch-tests/parallel-atmos-fail-test.xml?rev=7490&view=auto
==============================================================================
--- trunk/sat-solver/testsuite/data.libzypp/patch-tests/parallel-atmos-fail-test.xml (added)
+++ trunk/sat-solver/testsuite/data.libzypp/patch-tests/parallel-atmos-fail-test.xml Fri Oct 12 14:33:29 2007
@@ -0,0 +1,18 @@
+<?xml version="1.0"?>
+<!--
+   patch-B1 will be installed. patch-A1 has an atom with the same
+   same. No error concerning parallel installation of the atom will
+   be displayed BUT atom of patch-A1 NEEDS the older version of 
+   package A. So this error will be displayed.
+-->
+<test>
+<setup>
+  <arch name="i586"/>
+  <system file="patchA-fail-installed.xml"/>
+  <channel file="patchB-new.xml" name="new_source"/>
+</setup>
+<trial>
+  <install channel="new_source" kind="patch" package="patch-B1"/>
+  <reportproblems/>
+</trial>
+</test>

Added: trunk/sat-solver/testsuite/data.libzypp/patch-tests/patch-fetchmsttfonts.sh-1829.solv
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/patch-tests/patch-fetchmsttfonts.sh-1829.solv?rev=7490&view=auto
==============================================================================
Binary file - no diff available.

Added: trunk/sat-solver/testsuite/data.libzypp/patch-tests/patch-kernel1.solv
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/patch-tests/patch-kernel1.solv?rev=7490&view=auto
==============================================================================
Binary file - no diff available.

Added: trunk/sat-solver/testsuite/data.libzypp/patch-tests/patch-kernel2.solv
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/patch-tests/patch-kernel2.solv?rev=7490&view=auto
==============================================================================
Binary file - no diff available.

Added: trunk/sat-solver/testsuite/data.libzypp/patch-tests/patch-message.solv
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/patch-tests/patch-message.solv?rev=7490&view=auto
==============================================================================
Binary file - no diff available.

Added: trunk/sat-solver/testsuite/data.libzypp/patch-tests/patchA-fail-installed.solv
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/patch-tests/patchA-fail-installed.solv?rev=7490&view=auto
==============================================================================
Binary file - no diff available.

Added: trunk/sat-solver/testsuite/data.libzypp/patch-tests/patchA-installed.solv
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/patch-tests/patchA-installed.solv?rev=7490&view=auto
==============================================================================
Binary file - no diff available.

Added: trunk/sat-solver/testsuite/data.libzypp/patch-tests/patchA-new.solv
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/patch-tests/patchA-new.solv?rev=7490&view=auto
==============================================================================
Binary file - no diff available.

Added: trunk/sat-solver/testsuite/data.libzypp/patch-tests/patchB-new.solv
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/patch-tests/patchB-new.solv?rev=7490&view=auto
==============================================================================
Binary file - no diff available.

Added: trunk/sat-solver/testsuite/data.libzypp/patch-tests/pine-new-package.solv
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/patch-tests/pine-new-package.solv?rev=7490&view=auto
==============================================================================
Binary file - no diff available.

Added: trunk/sat-solver/testsuite/data.libzypp/patch-tests/pine-old-package.solv
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/patch-tests/pine-old-package.solv?rev=7490&view=auto
==============================================================================
Binary file - no diff available.

Added: trunk/sat-solver/testsuite/data.libzypp/patch-tests/rc3-ppc-packages.solv
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/patch-tests/rc3-ppc-packages.solv?rev=7490&view=auto
==============================================================================
Binary file - no diff available.

Added: trunk/sat-solver/testsuite/data.libzypp/patch-tests/rc3-x86_64-packages.solv
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/patch-tests/rc3-x86_64-packages.solv?rev=7490&view=auto
==============================================================================
Binary file - no diff available.

Added: trunk/sat-solver/testsuite/data.libzypp/patch-tests/right-mutt-test.solution
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/patch-tests/right-mutt-test.solution?rev=7490&view=auto
==============================================================================
--- trunk/sat-solver/testsuite/data.libzypp/patch-tests/right-mutt-test.solution (added)
+++ trunk/sat-solver/testsuite/data.libzypp/patch-tests/right-mutt-test.solution Fri Oct 12 14:33:29 2007
@@ -0,0 +1,6 @@
+>!> Establishing state ...
+>!> Established context
+>!> patch:patch-pine-1-0.noarch[armstrong] US__<satisfied>
+>!> atom:mutt-1.5.9i-17.i586[armstrong] US__<satisfied>
+>!> patch:patch-mutt-1-0.noarch[armstrong] US__<satisfied>
+>!> atom:pine-4.64-10.i586[armstrong] UU__<uneeded>

Added: trunk/sat-solver/testsuite/data.libzypp/patch-tests/right-mutt-test.xml
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/patch-tests/right-mutt-test.xml?rev=7490&view=auto
==============================================================================
--- trunk/sat-solver/testsuite/data.libzypp/patch-tests/right-mutt-test.xml (added)
+++ trunk/sat-solver/testsuite/data.libzypp/patch-tests/right-mutt-test.xml Fri Oct 12 14:33:29 2007
@@ -0,0 +1,16 @@
+<?xml version="1.0"?>
+<!--
+   load patch data from armstrong.suse.de
+-->
+<test>
+<setup>
+  <arch name="i686"/>
+  <system file="mutt-new-package.xml"/>
+  <source url="http://zypp:ZYpp@xxxxxxxxxxxxxxxxx/download/Code/10/update/i386" name="armstrong"/>
+</setup>
+<trial>
+  <showpool all="yes"/>
+  <establish/>
+  <showpool all="true" prefix="ESTABLISHED:"/>
+</trial>
+</test>

Added: trunk/sat-solver/testsuite/data.libzypp/repos/factory/factory_i686-packages.solv
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/repos/factory/factory_i686-packages.solv?rev=7490&view=auto
==============================================================================
Binary file - no diff available.

Added: trunk/sat-solver/testsuite/data.libzypp/repos/factory/factory_i686-packages.xml.gz
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/repos/factory/factory_i686-packages.xml.gz?rev=7490&view=auto
==============================================================================
Binary file - no diff available.

Added: trunk/sat-solver/testsuite/data.libzypp/repos/factory/factory_i686-patterns.solv
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/repos/factory/factory_i686-patterns.solv?rev=7490&view=auto
==============================================================================
Binary file - no diff available.

Added: trunk/sat-solver/testsuite/data.libzypp/repos/factory/factory_i686-patterns.xml.gz
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/repos/factory/factory_i686-patterns.xml.gz?rev=7490&view=auto
==============================================================================
Binary file - no diff available.

Added: trunk/sat-solver/testsuite/data.libzypp/repos/factory/factory_i686-products.xml
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/repos/factory/factory_i686-products.xml?rev=7490&view=auto
==============================================================================
--- trunk/sat-solver/testsuite/data.libzypp/repos/factory/factory_i686-products.xml (added)
+++ trunk/sat-solver/testsuite/data.libzypp/repos/factory/factory_i686-products.xml Fri Oct 12 14:33:29 2007
@@ -0,0 +1,21 @@
+<channel><subchannel>
+<product>
+  <name>openSUSE</name>
+  <summary>openSUSE FACTORY 10.2</summary>
+  <history>
+    <update>
+      <hid>12345</hid>
+      <version>10.2</version>
+      <arch>i586</arch>
+    </update>
+  </history>
+  <requires>
+    <dep name='openSUSE-release' refers='package' />
+    <dep name='=' refers='package' />
+    <dep name='10.2' refers='package' />
+  </requires>
+  <provides>
+    <dep name='' refers='product' />
+  </provides>
+</product>
+</subchannel></channel>

Added: trunk/sat-solver/testsuite/data.libzypp/repos/openSUSE10.3/openSUSE10.3B2_all.solv
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/repos/openSUSE10.3/openSUSE10.3B2_all.solv?rev=7490&view=auto
==============================================================================
Binary file - no diff available.

Added: trunk/sat-solver/testsuite/data.libzypp/repos/openSUSE10.3/openSUSE10.3B2_all.xml.gz
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/repos/openSUSE10.3/openSUSE10.3B2_all.xml.gz?rev=7490&view=auto
==============================================================================
Binary file - no diff available.

Added: trunk/sat-solver/testsuite/data.libzypp/repos/openSUSE10.3/openSUSE10.3_x86_64-packages.solv
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/repos/openSUSE10.3/openSUSE10.3_x86_64-packages.solv?rev=7490&view=auto
==============================================================================
Binary file - no diff available.

Added: trunk/sat-solver/testsuite/data.libzypp/repos/openSUSE10.3/openSUSE10.3_x86_64-packages.xml.gz
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/repos/openSUSE10.3/openSUSE10.3_x86_64-packages.xml.gz?rev=7490&view=auto
==============================================================================
Binary file - no diff available.

Added: trunk/sat-solver/testsuite/data.libzypp/repos/openSUSE10.3/openSUSE10.3_x86_64-patterns.solv
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/repos/openSUSE10.3/openSUSE10.3_x86_64-patterns.solv?rev=7490&view=auto
==============================================================================
Binary file - no diff available.

Added: trunk/sat-solver/testsuite/data.libzypp/repos/openSUSE10.3/openSUSE10.3_x86_64-patterns.xml.gz
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/repos/openSUSE10.3/openSUSE10.3_x86_64-patterns.xml.gz?rev=7490&view=auto
==============================================================================
Binary file - no diff available.

Added: trunk/sat-solver/testsuite/data.libzypp/repos/openSUSE10.3/openSUSE10.3_x86_64-products.xml
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/repos/openSUSE10.3/openSUSE10.3_x86_64-products.xml?rev=7490&view=auto
==============================================================================
--- trunk/sat-solver/testsuite/data.libzypp/repos/openSUSE10.3/openSUSE10.3_x86_64-products.xml (added)
+++ trunk/sat-solver/testsuite/data.libzypp/repos/openSUSE10.3/openSUSE10.3_x86_64-products.xml Fri Oct 12 14:33:29 2007
@@ -0,0 +1,21 @@
+<channel><subchannel>
+<product>
+  <name>openSUSE-DVD5-download</name>
+  <summary>openSUSE 10.3</summary>
+  <history>
+    <update>
+      <hid>12345</hid>
+      <version>10.3</version>
+      <arch>x86_64</arch>
+    </update>
+  </history>
+  <requires>
+    <dep name='openSUSE-release' refers='package' />
+    <dep name='=' refers='package' />
+    <dep name='10.3' refers='package' />
+    <dep name='basesystem' refers='pattern' />
+  </requires>
+  <provides>openSUSE = 10.3</provides>
+  <obsoletes>SUSE_LINUX <= 10.2</obsoletes>
+</product>
+</subchannel></channel>

Added: trunk/sat-solver/testsuite/data.libzypp/repos/sl10.1/10.1-patches.xml
URL: http://svn.opensuse.org/viewcvs/zypp/trunk/sat-solver/testsuite/data.libzypp/repos/sl10.1/10.1-patches.xml?rev=7490&view=auto
==============================================================================
--- trunk/sat-solver/testsuite/data.libzypp/repos/sl10.1/10.1-patches.xml (added)
+++ trunk/sat-solver/testsuite/data.libzypp/repos/sl10.1/10.1-patches.xml Fri Oct 12 14:33:29 2007
@@ -0,0 +1,171641 @@
+<channel><subchannel>
+
+<patch>
+       <name>zope</name>
+       <arch>noarch</arch>
+       <version>1869</version>
+       <release>0</release>
+       <requires>
+               <dep kind="atom" name="zope" epoch="0" version="2.7.8" release="15.5" op="EQ"/>
+       </requires>
+</patch>
+<atom>
+       <name>zope</name>
+       <arch>i586</arch>
+       <version>2.7.8</version>
+       <release>15.5</release>
+       <freshens>
+               <dep kind="package" name="zope"/>
+       </freshens>
+       <requires>
+               <dep kind="package" name="zope" epoch="0" version="2.7.8" release="15.5" op="GE"/>
+       </requires>
+</atom>
+<atom>
+       <name>zope</name>
+       <arch>ppc</arch>
+       <version>2.7.8</version>
+       <release>15.5</release>
+       <freshens>
+               <dep kind="package" name="zope"/>
+       </freshens>
+       <requires>
+               <dep kind="package" name="zope" epoch="0" version="2.7.8" release="15.5" op="GE"/>
+       </requires>
+</atom>
+<atom>
+       <name>zope</name>
+       <arch>x86_64</arch>
+       <version>2.7.8</version>
+       <release>15.5</release>
+       <freshens>
+               <dep kind="package" name="zope"/>
+       </freshens>
+       <requires>
+               <dep kind="package" name="zope" epoch="0" version="2.7.8" release="15.5" op="GE"/>
+       </requires>
+</atom>
+<package>
+       <name>zope</name>
+       <summary>zope security update</summary>
+       <description>A bug in the way the docutils module parses and renders
+"restructured text" could lead to information disclosure.
+</description>
+       <arch>i586</arch>
+       <version>2.7.8</version>
+       <release>15.5</release>
+       <filesize>4144392</filesize>
+       <installedsize>16937251</installedsize>
+       <history>
+               <update>
+                       <arch>i586</arch>
+                       <epoch>0</epoch>
+                       <version>2.7.8</version>
+                       <release>15.5</release>
+                       <filename>zope-2.7.8-15.5.i586.rpm</filename>
+                       <filesize>4144392</filesize>
+                       <installedsize>16937251</installedsize>
+                       <importance>security</importance>
+                       <description>no desc</description>
+               </update>
+       </history>
+       <deps>
+               <provides>
+                       <dep name="Acquisition.so"/>
+                       <dep name="BTree.so"/>
+                       <dep name="ComputedAttribute.so"/>
+                       <dep name="ExtensionClass.so"/>
+                       <dep name="IIBTree.so"/>
+                       <dep name="IOBTree.so"/>
+                       <dep name="ISO_8859_1_Splitter.so"/>
+                       <dep name="MethodObject.so"/>
+                       <dep name="Missing.so"/>
+                       <dep name="MultiMapping.so"/>
+                       <dep name="OIBTree.so"/>
+                       <dep name="Record.so"/>
+                       <dep name="Splitter.so"/>
+                       <dep name="ThreadLock.so"/>
+                       <dep name="TimeStamp.so"/>
+                       <dep name="UnicodeSplitter.so"/>
+                       <dep name="ZopeSplitter.so"/>
+                       <dep name="_IIBTree.so"/>
+                       <dep name="_IOBTree.so"/>
+                       <dep name="_OIBTree.so"/>
+                       <dep name="_OOBTree.so"/>
+                       <dep name="_fsBTree.so"/>
+                       <dep name="_helper.so"/>
+                       <dep name="cAccessControl.so"/>
+                       <dep name="cDocumentTemplate.so"/>
+                       <dep name="cPersistence.so"/>
+                       <dep name="cPickleCache.so"/>
+                       <dep name="coptimizations.so"/>
+                       <dep name="dcpyexpat.so"/>
+                       <dep name="initgroups.so"/>
+                       <dep name="intSet.so"/>
+                       <dep name="okascore.so"/>
+                       <dep name="stopper.so"/>
+                       <dep name="winlock.so"/>
+                       <dep name="zope" op="EQ" version="2.7.8" release="15.5"/>
+               </provides>
+               <requires>
+                       <dep name="/usr/sbin/useradd" pre="1"/>
+                       <dep name="/usr/sbin/usermod" pre="1"/>
+                       <dep name="/usr/sbin/groupadd" pre="1"/>
+                       <dep name="python"/>
+                       <dep name="python-xml"/>
+                       <dep name="/bin/sh" pre="1"/>
+                       <dep name="/bin/sh" pre="1"/>
+                       <dep name="/bin/sh" pre="1"/>
+                       <dep name="/bin/sh" pre="1"/>
+                       <dep name="rpmlib(PayloadFilesHavePrefix)" op="LE" version="4.0" release="1" pre="1"/>
+                       <dep name="rpmlib(CompressedFileNames)" op="LE" version="3.0.4" release="1" pre="1"/>
+                       <dep name="/bin/sh"/>
+                       <dep name="/usr/bin/env"/>
+                       <dep name="/usr/bin/python"/>
+                       <dep name="libc.so.6"/>
+                       <dep name="libc.so.6(GLIBC_2.0)"/>
+                       <dep name="libc.so.6(GLIBC_2.1.3)"/>
+                       <dep name="libc.so.6(GLIBC_2.3)"/>
+                       <dep name="libc.so.6(GLIBC_2.3.4)"/>
+                       <dep name="libpthread.so.0"/>
+                       <dep name="libpthread.so.0(GLIBC_2.0)"/>
+                       <dep name="rpmlib(PayloadIsBzip2)" op="LE" version="3.0.5" release="1" pre="1"/>
+               </requires>
+       </deps>
+</package>
+<package>
+       <name>zope</name>
+       <summary>zope security update</summary>
+       <description>A bug in the way the docutils module parses and renders
+"restructured text" could lead to information disclosure.
+</description>
+       <arch>ppc</arch>
+       <version>2.7.8</version>
+       <release>15.5</release>
+       <filesize>4191193</filesize>
+       <installedsize>17302431</installedsize>
+       <history>
+               <update>
+                       <arch>ppc</arch>
+                       <epoch>0</epoch>
+                       <version>2.7.8</version>
+                       <release>15.5</release>
+                       <filename>zope-2.7.8-15.5.ppc.rpm</filename>
+                       <filesize>4191193</filesize>
+                       <installedsize>17302431</installedsize>
+                       <importance>security</importance>
+                       <description>no desc</description>
+               </update>
+       </history>
+       <deps>
+               <provides>
+                       <dep name="Acquisition.so"/>
+                       <dep name="BTree.so"/>
+                       <dep name="ComputedAttribute.so"/>
+                       <dep name="ExtensionClass.so"/>
+                       <dep name="IIBTree.so"/>
+                       <dep name="IOBTree.so"/>
+                       <dep name="ISO_8859_1_Splitter.so"/>
+                       <dep name="MethodObject.so"/>
+                       <dep name="Missing.so"/>
+                       <dep name="MultiMapping.so"/>
+                       <dep name="OIBTree.so"/>
+                       <dep name="Record.so"/>
+                       <dep name="Splitter.so"/>
+                       <dep name="ThreadLock.so"/>
+                       <dep name="TimeStamp.so"/>
+                       <dep name="UnicodeSplitter.so"/>
+                       <dep name="ZopeSplitter.so"/>
+                       <dep name="_IIBTree.so"/>
+                       <dep name="_IOBTree.so"/>
+                       <dep name="_OIBTree.so"/>
+                       <dep name="_OOBTree.so"/>
+                       <dep name="_fsBTree.so"/>
+                       <dep name="_helper.so"/>
+                       <dep name="cAccessControl.so"/>
+                       <dep name="cDocumentTemplate.so"/>
+                       <dep name="cPersistence.so"/>
+                       <dep name="cPickleCache.so"/>
+                       <dep name="coptimizations.so"/>
+                       <dep name="dcpyexpat.so"/>
+                       <dep name="initgroups.so"/>
+                       <dep name="intSet.so"/>
+                       <dep name="okascore.so"/>
+                       <dep name="stopper.so"/>
+                       <dep name="winlock.so"/>
+                       <dep name="zope" op="EQ" version="2.7.8" release="15.5"/>
+               </provides>
+               <requires>
+                       <dep name="/usr/sbin/useradd" pre="1"/>
+                       <dep name="/usr/sbin/usermod" pre="1"/>
+                       <dep name="/usr/sbin/groupadd" pre="1"/>
+                       <dep name="python"/>
+                       <dep name="python-xml"/>
+                       <dep name="/bin/sh" pre="1"/>
+                       <dep name="/bin/sh" pre="1"/>
+                       <dep name="/bin/sh" pre="1"/>
+                       <dep name="/bin/sh" pre="1"/>
+                       <dep name="rpmlib(PayloadFilesHavePrefix)" op="LE" version="4.0" release="1" pre="1"/>
+                       <dep name="rpmlib(CompressedFileNames)" op="LE" version="3.0.4" release="1" pre="1"/>
+                       <dep name="/bin/sh"/>
+                       <dep name="/usr/bin/env"/>
+                       <dep name="/usr/bin/python"/>
+                       <dep name="libc.so.6"/>
+                       <dep name="libc.so.6(GLIBC_2.0)"/>
+                       <dep name="libc.so.6(GLIBC_2.1.3)"/>
+                       <dep name="libc.so.6(GLIBC_2.3)"/>
+                       <dep name="libc.so.6(GLIBC_2.3.4)"/>
+                       <dep name="libc.so.6(GLIBC_2.4)"/>
+                       <dep name="libpthread.so.0"/>
+                       <dep name="libpthread.so.0(GLIBC_2.3.4)"/>
+                       <dep name="rpmlib(PayloadIsBzip2)" op="LE" version="3.0.5" release="1" pre="1"/>
+               </requires>
+       </deps>
+</package>
+<package>
+       <name>zope</name>
+       <summary>zope security update</summary>
+       <description>A bug in the way the docutils module parses and renders
+"restructured text" could lead to information disclosure.
+</description>
+       <arch>x86_64</arch>
+       <version>2.7.8</version>
+       <release>15.5</release>
+       <filesize>4179719</filesize>
+       <installedsize>17111047</installedsize>
+       <history>
+               <update>
+                       <arch>x86_64</arch>
+                       <epoch>0</epoch>
+                       <version>2.7.8</version>
+                       <release>15.5</release>
+                       <filename>zope-2.7.8-15.5.x86_64.rpm</filename>
+                       <filesize>4179719</filesize>
+                       <installedsize>17111047</installedsize>
+                       <importance>security</importance>
+                       <description>no desc</description>
+               </update>
+       </history>
+       <deps>
+               <provides>
+                       <dep name="Acquisition.so()(64bit)"/>
+                       <dep name="BTree.so()(64bit)"/>
+                       <dep name="ComputedAttribute.so()(64bit)"/>
+                       <dep name="ExtensionClass.so()(64bit)"/>
+                       <dep name="IIBTree.so()(64bit)"/>
+                       <dep name="IOBTree.so()(64bit)"/>
+                       <dep name="ISO_8859_1_Splitter.so()(64bit)"/>
+                       <dep name="MethodObject.so()(64bit)"/>
+                       <dep name="Missing.so()(64bit)"/>
+                       <dep name="MultiMapping.so()(64bit)"/>
+                       <dep name="OIBTree.so()(64bit)"/>
+                       <dep name="Record.so()(64bit)"/>
+                       <dep name="Splitter.so()(64bit)"/>
+                       <dep name="ThreadLock.so()(64bit)"/>
+                       <dep name="TimeStamp.so()(64bit)"/>
+                       <dep name="UnicodeSplitter.so()(64bit)"/>
+                       <dep name="ZopeSplitter.so()(64bit)"/>
+                       <dep name="_IIBTree.so()(64bit)"/>
+                       <dep name="_IOBTree.so()(64bit)"/>
+                       <dep name="_OIBTree.so()(64bit)"/>
+                       <dep name="_OOBTree.so()(64bit)"/>
+                       <dep name="_fsBTree.so()(64bit)"/>
+                       <dep name="_helper.so()(64bit)"/>
+                       <dep name="cAccessControl.so()(64bit)"/>
+                       <dep name="cDocumentTemplate.so()(64bit)"/>
+                       <dep name="cPersistence.so()(64bit)"/>
+                       <dep name="cPickleCache.so()(64bit)"/>
+                       <dep name="coptimizations.so()(64bit)"/>
+                       <dep name="dcpyexpat.so()(64bit)"/>
+                       <dep name="initgroups.so()(64bit)"/>
+                       <dep name="intSet.so()(64bit)"/>
+                       <dep name="okascore.so()(64bit)"/>
+                       <dep name="stopper.so()(64bit)"/>
+                       <dep name="winlock.so()(64bit)"/>
+                       <dep name="zope" op="EQ" version="2.7.8" release="15.5"/>
+               </provides>
+               <requires>
+                       <dep name="/usr/sbin/useradd" pre="1"/>
+                       <dep name="/usr/sbin/usermod" pre="1"/>
+                       <dep name="/usr/sbin/groupadd" pre="1"/>
+                       <dep name="python"/>
+                       <dep name="python-xml"/>
+                       <dep name="/bin/sh" pre="1"/>
+                       <dep name="/bin/sh" pre="1"/>
+                       <dep name="/bin/sh" pre="1"/>
+                       <dep name="/bin/sh" pre="1"/>
+                       <dep name="rpmlib(PayloadFilesHavePrefix)" op="LE" version="4.0" release="1" pre="1"/>
+                       <dep name="rpmlib(CompressedFileNames)" op="LE" version="3.0.4" release="1" pre="1"/>
+                       <dep name="/bin/sh"/>
+                       <dep name="/usr/bin/env"/>
+                       <dep name="/usr/bin/python"/>
+                       <dep name="libc.so.6()(64bit)"/>
+                       <dep name="libc.so.6(GLIBC_2.2.5)(64bit)"/>
+                       <dep name="libc.so.6(GLIBC_2.3)(64bit)"/>
+                       <dep name="libc.so.6(GLIBC_2.3.4)(64bit)"/>
+                       <dep name="libpthread.so.0()(64bit)"/>
+                       <dep name="libpthread.so.0(GLIBC_2.2.5)(64bit)"/>
+                       <dep name="rpmlib(PayloadIsBzip2)" op="LE" version="3.0.5" release="1" pre="1"/>
+               </requires>
+       </deps>
+</package>
+</subchannel></channel>
+<channel><subchannel>
+
+<patch>
+       <name>yast2-trans-de</name>
+       <arch>noarch</arch>
+       <version>1685</version>
+       <release>0</release>
+       <requires>
+               <dep kind="atom" name="yast2-trans-bg" epoch="0" version="2.13.11" release="0.2" op="EQ"/>
+               <dep kind="atom" name="yast2-trans-cs" epoch="0" version="2.13.32" release="0.2" op="EQ"/>
+               <dep kind="atom" name="yast2-trans-da" epoch="0" version="2.13.14" release="0.2" op="EQ"/>
+               <dep kind="atom" name="yast2-trans-de" epoch="0" version="2.13.28" release="1.2" op="EQ"/>
+               <dep kind="atom" name="yast2-trans-el_GR" epoch="0" version="2.13.15" release="0.2" op="EQ"/>
+               <dep kind="atom" name="yast2-trans-es" epoch="0" version="2.13.24" release="0.2" op="EQ"/>
+               <dep kind="atom" name="yast2-trans-fi" epoch="0" version="2.13.19" release="0.2" op="EQ"/>
+               <dep kind="atom" name="yast2-trans-fr" epoch="0" version="2.13.24" release="0.2" op="EQ"/>
+               <dep kind="atom" name="yast2-trans-hu" epoch="0" version="2.13.35" release="0.2" op="EQ"/>
+               <dep kind="atom" name="yast2-trans-it" epoch="0" version="2.13.20" release="0.2" op="EQ"/>
+               <dep kind="atom" name="yast2-trans-ja" epoch="0" version="2.13.19" release="0.2" op="EQ"/>
+               <dep kind="atom" name="yast2-trans-km" epoch="0" version="2.13.14" release="0.2" op="EQ"/>
+               <dep kind="atom" name="yast2-trans-ko" epoch="0" version="2.13.11" release="0.2" op="EQ"/>
+               <dep kind="atom" name="yast2-trans-nb" epoch="0" version="2.13.9" release="0.2" op="EQ"/>
+               <dep kind="atom" name="yast2-trans-nl" epoch="0" version="2.13.7" release="0.2" op="EQ"/>
+               <dep kind="atom" name="yast2-trans-pl" epoch="0" version="2.13.17" release="0.2" op="EQ"/>
+               <dep kind="atom" name="yast2-trans-pt" epoch="0" version="2.13.12" release="0.2" op="EQ"/>
+               <dep kind="atom" name="yast2-trans-pt_BR" epoch="0" version="2.13.14" release="1.2" op="EQ"/>
+               <dep kind="atom" name="yast2-trans-ro" epoch="0" version="2.13.6" release="0.2" op="EQ"/>
+               <dep kind="atom" name="yast2-trans-ru" epoch="0" version="2.13.14" release="0.2" op="EQ"/>
+               <dep kind="atom" name="yast2-trans-sk" epoch="0" version="2.13.11" release="1.2" op="EQ"/>
+               <dep kind="atom" name="yast2-trans-sl_SI" epoch="0" version="2.13.10" release="0.2" op="EQ"/>
+               <dep kind="atom" name="yast2-trans-uk" epoch="0" version="2.13.11" release="0.2" op="EQ"/>
+               <dep kind="atom" name="yast2-trans-zh_CN" epoch="0" version="2.13.20" release="1.2" op="EQ"/>
+               <dep kind="atom" name="yast2-trans-zh_TW" epoch="0" version="2.13.18" release="1.2" op="EQ"/>
+       </requires>
+</patch>
+<atom>
+       <name>yast2-trans-bg</name>
+       <arch>noarch</arch>
+       <version>2.13.11</version>
+       <release>0.2</release>
+       <freshens>
+               <dep kind="package" name="yast2-trans-bg"/>
+       </freshens>
+       <requires>
+               <dep kind="package" name="yast2-trans-bg" epoch="0" version="2.13.11" release="0.2" op="GE"/>
+       </requires>
+</atom>
+<atom>
+       <name>yast2-trans-cs</name>
+       <arch>noarch</arch>
+       <version>2.13.32</version>
+       <release>0.2</release>
+       <freshens>
+               <dep kind="package" name="yast2-trans-cs"/>
+       </freshens>
+       <requires>
+               <dep kind="package" name="yast2-trans-cs" epoch="0" version="2.13.32" release="0.2" op="GE"/>
+       </requires>
+</atom>
+<atom>
+       <name>yast2-trans-da</name>
+       <arch>noarch</arch>
+       <version>2.13.14</version>
+       <release>0.2</release>
+       <freshens>
+               <dep kind="package" name="yast2-trans-da"/>
+       </freshens>
+       <requires>
+               <dep kind="package" name="yast2-trans-da" epoch="0" version="2.13.14" release="0.2" op="GE"/>
+       </requires>
+</atom>
+<atom>
+       <name>yast2-trans-de</name>
+       <arch>noarch</arch>
+       <version>2.13.28</version>
+       <release>1.2</release>
+       <freshens>
+               <dep kind="package" name="yast2-trans-de"/>
+       </freshens>
+       <requires>
+               <dep kind="package" name="yast2-trans-de" epoch="0" version="2.13.28" release="1.2" op="GE"/>
+       </requires>
+</atom>
+<atom>
+       <name>yast2-trans-el_GR</name>
+       <arch>noarch</arch>
+       <version>2.13.15</version>
+       <release>0.2</release>
+       <freshens>
+               <dep kind="package" name="yast2-trans-el_GR"/>
+       </freshens>
+       <requires>
+               <dep kind="package" name="yast2-trans-el_GR" epoch="0" version="2.13.15" release="0.2" op="GE"/>
+       </requires>
+</atom>
+<atom>
+       <name>yast2-trans-es</name>
+       <arch>noarch</arch>
+       <version>2.13.24</version>
+       <release>0.2</release>
+       <freshens>
+               <dep kind="package" name="yast2-trans-es"/>
+       </freshens>
+       <requires>
+               <dep kind="package" name="yast2-trans-es" epoch="0" version="2.13.24" release="0.2" op="GE"/>
+       </requires>
+</atom>
+<atom>
+       <name>yast2-trans-fi</name>
+       <arch>noarch</arch>
+       <version>2.13.19</version>
+       <release>0.2</release>
+       <freshens>
+               <dep kind="package" name="yast2-trans-fi"/>
+       </freshens>
+       <requires>
+               <dep kind="package" name="yast2-trans-fi" epoch="0" version="2.13.19" release="0.2" op="GE"/>
+       </requires>
+</atom>
+<atom>
+       <name>yast2-trans-fr</name>
+       <arch>noarch</arch>
+       <version>2.13.24</version>
+       <release>0.2</release>
+       <freshens>
+               <dep kind="package" name="yast2-trans-fr"/>
+       </freshens>
+       <requires>
+               <dep kind="package" name="yast2-trans-fr" epoch="0" version="2.13.24" release="0.2" op="GE"/>
+       </requires>
+</atom>
+<atom>
+       <name>yast2-trans-hu</name>
+       <arch>noarch</arch>
+       <version>2.13.35</version>
+       <release>0.2</release>
+       <freshens>
+               <dep kind="package" name="yast2-trans-hu"/>
+       </freshens>
+       <requires>
+               <dep kind="package" name="yast2-trans-hu" epoch="0" version="2.13.35" release="0.2" op="GE"/>
+       </requires>
+</atom>
+<atom>
+       <name>yast2-trans-it</name>
+       <arch>noarch</arch>
+       <version>2.13.20</version>
+       <release>0.2</release>
+       <freshens>
+               <dep kind="package" name="yast2-trans-it"/>
+       </freshens>
+       <requires>
+               <dep kind="package" name="yast2-trans-it" epoch="0" version="2.13.20" release="0.2" op="GE"/>
+       </requires>
+</atom>
+<atom>
+       <name>yast2-trans-ja</name>
+       <arch>noarch</arch>
+       <version>2.13.19</version>
+       <release>0.2</release>
+       <freshens>
+               <dep kind="package" name="yast2-trans-ja"/>
+       </freshens>
+       <requires>
+               <dep kind="package" name="yast2-trans-ja" epoch="0" version="2.13.19" release="0.2" op="GE"/>
+       </requires>
+</atom>
+<atom>
+       <name>yast2-trans-km</name>
+       <arch>noarch</arch>
+       <version>2.13.14</version>
+       <release>0.2</release>
+       <freshens>
+               <dep kind="package" name="yast2-trans-km"/>
+       </freshens>
+       <requires>
+               <dep kind="package" name="yast2-trans-km" epoch="0" version="2.13.14" release="0.2" op="GE"/>
+       </requires>
+</atom>
+<atom>
+       <name>yast2-trans-ko</name>
+       <arch>noarch</arch>
+       <version>2.13.11</version>
+       <release>0.2</release>
+       <freshens>
+               <dep kind="package" name="yast2-trans-ko"/>
+       </freshens>
+       <requires>
+               <dep kind="package" name="yast2-trans-ko" epoch="0" version="2.13.11" release="0.2" op="GE"/>
+       </requires>
+</atom>
+<atom>
+       <name>yast2-trans-nb</name>
+       <arch>noarch</arch>
+       <version>2.13.9</version>
+       <release>0.2</release>
+       <freshens>
+               <dep kind="package" name="yast2-trans-nb"/>
+       </freshens>
+       <requires>
+               <dep kind="package" name="yast2-trans-nb" epoch="0" version="2.13.9" release="0.2" op="GE"/>
+       </requires>
+</atom>
+<atom>
+       <name>yast2-trans-nl</name>
+       <arch>noarch</arch>
+       <version>2.13.7</version>
+       <release>0.2</release>
+       <freshens>
+               <dep kind="package" name="yast2-trans-nl"/>
+       </freshens>
+       <requires>
+               <dep kind="package" name="yast2-trans-nl" epoch="0" version="2.13.7" release="0.2" op="GE"/>
+       </requires>
+</atom>
+<atom>
+       <name>yast2-trans-pl</name>
+       <arch>noarch</arch>
+       <version>2.13.17</version>
+       <release>0.2</release>
+       <freshens>
+               <dep kind="package" name="yast2-trans-pl"/>
+       </freshens>
+       <requires>
+               <dep kind="package" name="yast2-trans-pl" epoch="0" version="2.13.17" release="0.2" op="GE"/>
+       </requires>
+</atom>
+<atom>
+       <name>yast2-trans-pt</name>
+       <arch>noarch</arch>
+       <version>2.13.12</version>
+       <release>0.2</release>
+       <freshens>
+               <dep kind="package" name="yast2-trans-pt"/>
+       </freshens>
+       <requires>
+               <dep kind="package" name="yast2-trans-pt" epoch="0" version="2.13.12" release="0.2" op="GE"/>
+       </requires>
+</atom>
+<atom>
+       <name>yast2-trans-pt_BR</name>
+       <arch>noarch</arch>
+       <version>2.13.14</version>
+       <release>1.2</release>
+       <freshens>
+               <dep kind="package" name="yast2-trans-pt_BR"/>
+       </freshens>
+       <requires>
+               <dep kind="package" name="yast2-trans-pt_BR" epoch="0" version="2.13.14" release="1.2" op="GE"/>
+       </requires>
+</atom>
+<atom>
+       <name>yast2-trans-ro</name>
+       <arch>noarch</arch>
+       <version>2.13.6</version>
+       <release>0.2</release>
+       <freshens>
+               <dep kind="package" name="yast2-trans-ro"/>
+       </freshens>
+       <requires>
+               <dep kind="package" name="yast2-trans-ro" epoch="0" version="2.13.6" release="0.2" op="GE"/>
+       </requires>
+</atom>
+<atom>
+       <name>yast2-trans-ru</name>
+       <arch>noarch</arch>
+       <version>2.13.14</version>
+       <release>0.2</release>
+       <freshens>
+               <dep kind="package" name="yast2-trans-ru"/>
+       </freshens>
+       <requires>
+               <dep kind="package" name="yast2-trans-ru" epoch="0" version="2.13.14" release="0.2" op="GE"/>
+       </requires>
+</atom>
+<atom>
+       <name>yast2-trans-sk</name>
+       <arch>noarch</arch>
+       <version>2.13.11</version>
+       <release>1.2</release>
+       <freshens>
+               <dep kind="package" name="yast2-trans-sk"/>
+       </freshens>
+       <requires>
+               <dep kind="package" name="yast2-trans-sk" epoch="0" version="2.13.11" release="1.2" op="GE"/>
+       </requires>
+</atom>
+<atom>
+       <name>yast2-trans-sl_SI</name>
+       <arch>noarch</arch>
+       <version>2.13.10</version>
+       <release>0.2</release>
+       <freshens>
+               <dep kind="package" name="yast2-trans-sl_SI"/>
+       </freshens>
+       <requires>
+               <dep kind="package" name="yast2-trans-sl_SI" epoch="0" version="2.13.10" release="0.2" op="GE"/>
+       </requires>
+</atom>
+<atom>
+       <name>yast2-trans-uk</name>
+       <arch>noarch</arch>
+       <version>2.13.11</version>
+       <release>0.2</release>
+       <freshens>
+               <dep kind="package" name="yast2-trans-uk"/>
+       </freshens>
+       <requires>
+               <dep kind="package" name="yast2-trans-uk" epoch="0" version="2.13.11" release="0.2" op="GE"/>
+       </requires>
+</atom>
+<atom>
+       <name>yast2-trans-zh_CN</name>
+       <arch>noarch</arch>
+       <version>2.13.20</version>
+       <release>1.2</release>
+       <freshens>
+               <dep kind="package" name="yast2-trans-zh_CN"/>
+       </freshens>
+       <requires>
+               <dep kind="package" name="yast2-trans-zh_CN" epoch="0" version="2.13.20" release="1.2" op="GE"/>
+       </requires>
+</atom>
+<atom>
+       <name>yast2-trans-zh_TW</name>
+       <arch>noarch</arch>
+       <version>2.13.18</version>
+       <release>1.2</release>
+       <freshens>
+               <dep kind="package" name="yast2-trans-zh_TW"/>
+       </freshens>
+       <requires>
+               <dep kind="package" name="yast2-trans-zh_TW" epoch="0" version="2.13.18" release="1.2" op="GE"/>
+       </requires>
+</atom>
+<package>
+       <name>yast2-trans-bg</name>
+       <summary>Update of YaST Translations</summary>
+       <description>This Update enhances and improves the YaST translations of
+several languages.
+</description>
+       <arch>noarch</arch>
+       <version>2.13.11</version>
+       <release>0.2</release>
+       <filesize>443232</filesize>
+       <installedsize>2013255</installedsize>
+       <history>
+               <update>
+                       <arch>noarch</arch>
+                       <epoch>0</epoch>
+                       <version>2.13.11</version>
+                       <release>0.2</release>
+                       <filename>yast2-trans-bg-2.13.11-0.2.noarch.rpm</filename>
+                       <filesize>443232</filesize>
+                       <installedsize>2013255</installedsize>
+                       <importance>recommended</importance>
+                       <description>no desc</description>
+               </update>
+       </history>
+       <deps>
+               <provides>
+                       <dep name="locale(yast2:bg)"/>
+                       <dep name="yast2-trans-inst-general:/usr/lib/YaST2/locale/bg/LC_MESSAGES/general.mo"/>
+                       <dep name="y2t_inst:/usr/lib/YaST2/locale/bg/LC_MESSAGES/installation.mo"/>
+                       <dep name="y2t_menu:/usr/lib/YaST2/locale/bg/LC_MESSAGES/menu.mo"/>
+                       <dep name="y2t_inst-general:/usr/lib/YaST2/locale/bg/LC_MESSAGES/general.mo"/>
+                       <dep name="yast2-trans-bg" op="EQ" version="2.13.11" release="0.2"/>
+               </provides>
+               <requires>
+                       <dep name="rpmlib(PayloadFilesHavePrefix)" op="LE" version="4.0" release="1" pre="1"/>
+                       <dep name="rpmlib(CompressedFileNames)" op="LE" version="3.0.4" release="1" pre="1"/>
+                       <dep name="rpmlib(PayloadIsBzip2)" op="LE" version="3.0.5" release="1" pre="1"/>
+               </requires>
+       </deps>
+</package>
+<package>
+       <name>yast2-trans-cs</name>
+       <summary>Update of YaST Translations</summary>
+       <description>This Update enhances and improves the YaST translations of
+several languages.
+</description>
+       <arch>noarch</arch>
+       <version>2.13.32</version>
+       <release>0.2</release>
+       <filesize>591352</filesize>
+       <installedsize>2090398</installedsize>
+       <history>
+               <update>
+                       <arch>noarch</arch>
+                       <epoch>0</epoch>
+                       <version>2.13.32</version>
+                       <release>0.2</release>
+                       <filename>yast2-trans-cs-2.13.32-0.2.noarch.rpm</filename>
+                       <filesize>591352</filesize>
+                       <installedsize>2090398</installedsize>
+                       <importance>recommended</importance>
+                       <description>no desc</description>
+               </update>
+       </history>
+       <deps>
+               <provides>
+                       <dep name="locale(yast2:cs)"/>
+                       <dep name="yast2-trans-inst-general:/usr/lib/YaST2/locale/cs/LC_MESSAGES/general.mo"/>
+                       <dep name="y2t_inst:/usr/lib/YaST2/locale/cs/LC_MESSAGES/installation.mo"/>
+                       <dep name="y2t_menu:/usr/lib/YaST2/locale/cs/LC_MESSAGES/menu.mo"/>
+                       <dep name="y2t_inst-general:/usr/lib/YaST2/locale/cs/LC_MESSAGES/general.mo"/>
+                       <dep name="yast2-trans-cs" op="EQ" version="2.13.32" release="0.2"/>
+               </provides>
+               <requires>
+                       <dep name="rpmlib(PayloadFilesHavePrefix)" op="LE" version="4.0" release="1" pre="1"/>
+                       <dep name="rpmlib(CompressedFileNames)" op="LE" version="3.0.4" release="1" pre="1"/>
+                       <dep name="rpmlib(PayloadIsBzip2)" op="LE" version="3.0.5" release="1" pre="1"/>
+               </requires>
+       </deps>
+</package>
+<package>
+       <name>yast2-trans-da</name>
+       <summary>Update of YaST Translations</summary>
+       <description>This Update enhances and improves the YaST translations of
+several languages.
+</description>
+       <arch>noarch</arch>
+       <version>2.13.14</version>
+       <release>0.2</release>
+       <filesize>345758</filesize>
+       <installedsize>1190453</installedsize>
+       <history>
+               <update>
+                       <arch>noarch</arch>
+                       <epoch>0</epoch>
+                       <version>2.13.14</version>
+                       <release>0.2</release>
+                       <filename>yast2-trans-da-2.13.14-0.2.noarch.rpm</filename>
+                       <filesize>345758</filesize>
+                       <installedsize>1190453</installedsize>
+                       <importance>recommended</importance>
+                       <description>no desc</description>
+               </update>
+       </history>
+       <deps>
+               <provides>
+                       <dep name="locale(yast2:da)"/>
+                       <dep name="yast2-trans-inst-general:/usr/lib/YaST2/locale/da/LC_MESSAGES/general.mo"/>
+                       <dep name="y2t_inst:/usr/lib/YaST2/locale/da/LC_MESSAGES/installation.mo"/>
+                       <dep name="y2t_menu:/usr/lib/YaST2/locale/da/LC_MESSAGES/menu.mo"/>
+                       <dep name="y2t_inst-general:/usr/lib/YaST2/locale/da/LC_MESSAGES/general.mo"/>
+                       <dep name="yast2-trans-da" op="EQ" version="2.13.14" release="0.2"/>
+               </provides>
+               <requires>
+                       <dep name="rpmlib(PayloadFilesHavePrefix)" op="LE" version="4.0" release="1" pre="1"/>
+                       <dep name="rpmlib(CompressedFileNames)" op="LE" version="3.0.4" release="1" pre="1"/>
+                       <dep name="rpmlib(PayloadIsBzip2)" op="LE" version="3.0.5" release="1" pre="1"/>
+               </requires>
+       </deps>
+</package>
+<package>
+       <name>yast2-trans-de</name>
+       <summary>Update of YaST Translations</summary>
+       <description>This Update enhances and improves the YaST translations of
+several languages.
+</description>
+       <arch>noarch</arch>
+       <version>2.13.28</version>
+       <release>1.2</release>
+       <filesize>603131</filesize>
+       <installedsize>2221511</installedsize>
+       <history>
+               <update>
+                       <arch>noarch</arch>
+                       <epoch>0</epoch>
+                       <version>2.13.28</version>
+                       <release>1.2</release>
+                       <filename>yast2-trans-de-2.13.28-1.2.noarch.rpm</filename>
+                       <filesize>603131</filesize>
+                       <installedsize>2221511</installedsize>
+                       <importance>recommended</importance>
+                       <description>no desc</description>
+               </update>
+       </history>
+       <deps>
+               <provides>
+                       <dep name="locale(yast2:de)"/>
+                       <dep name="yast2-trans-inst-general:/usr/lib/YaST2/locale/de/LC_MESSAGES/general.mo"/>
+                       <dep name="y2t_inst:/usr/lib/YaST2/locale/de/LC_MESSAGES/installation.mo"/>
+                       <dep name="y2t_menu:/usr/lib/YaST2/locale/de/LC_MESSAGES/menu.mo"/>
+                       <dep name="y2t_inst-general:/usr/lib/YaST2/locale/de/LC_MESSAGES/general.mo"/>
+                       <dep name="yast2-trans-de" op="EQ" version="2.13.28" release="1.2"/>
+               </provides>
+               <requires>
+                       <dep name="rpmlib(PayloadFilesHavePrefix)" op="LE" version="4.0" release="1" pre="1"/>
+                       <dep name="rpmlib(CompressedFileNames)" op="LE" version="3.0.4" release="1" pre="1"/>
+                       <dep name="rpmlib(PayloadIsBzip2)" op="LE" version="3.0.5" release="1" pre="1"/>
+               </requires>
+       </deps>
+</package>
+<package>
+       <name>yast2-trans-el_GR</name>
+       <summary>Update of YaST Translations</summary>
+       <description>This Update enhances and improves the YaST translations of
+several languages.
+</description>
+       <arch>noarch</arch>
+       <version>2.13.15</version>
+       <release>0.2</release>
+       <filesize>564797</filesize>
+       <installedsize>2660745</installedsize>
+       <history>
+               <update>
+                       <arch>noarch</arch>
+                       <epoch>0</epoch>
+                       <version>2.13.15</version>
+                       <release>0.2</release>
+                       <filename>yast2-trans-el_GR-2.13.15-0.2.noarch.rpm</filename>
+                       <filesize>564797</filesize>
+                       <installedsize>2660745</installedsize>
+                       <importance>recommended</importance>
+                       <description>no desc</description>
+               </update>
+       </history>
+       <deps>
+               <provides>
+                       <dep name="locale(yast2:el_GR)"/>
+                       <dep name="yast2-trans-inst-general:/usr/lib/YaST2/locale/el_GR/LC_MESSAGES/general.mo"/>
+                       <dep name="y2t_inst:/usr/lib/YaST2/locale/el_GR/LC_MESSAGES/installation.mo"/>
+                       <dep name="y2t_menu:/usr/lib/YaST2/locale/el_GR/LC_MESSAGES/menu.mo"/>
+                       <dep name="y2t_inst-general:/usr/lib/YaST2/locale/el_GR/LC_MESSAGES/general.mo"/>
+                       <dep name="locale(yast:el)"/>
+                       <dep name="yast2-trans-el_GR" op="EQ" version="2.13.15" release="0.2"/>
+               </provides>
+               <requires>
+                       <dep name="rpmlib(PayloadFilesHavePrefix)" op="LE" version="4.0" release="1" pre="1"/>
+                       <dep name="rpmlib(CompressedFileNames)" op="LE" version="3.0.4" release="1" pre="1"/>
+                       <dep name="rpmlib(PayloadIsBzip2)" op="LE" version="3.0.5" release="1" pre="1"/>
+               </requires>
+       </deps>
+</package>
+<package>
+       <name>yast2-trans-es</name>
+       <summary>Update of YaST Translations</summary>
+       <description>This Update enhances and improves the YaST translations of
+several languages.
+</description>
+       <arch>noarch</arch>
+       <version>2.13.24</version>
+       <release>0.2</release>
+       <filesize>590179</filesize>
+       <installedsize>2207051</installedsize>
+       <history>
+               <update>
+                       <arch>noarch</arch>
+                       <epoch>0</epoch>
+                       <version>2.13.24</version>
+                       <release>0.2</release>
+                       <filename>yast2-trans-es-2.13.24-0.2.noarch.rpm</filename>
+                       <filesize>590179</filesize>
+                       <installedsize>2207051</installedsize>
+                       <importance>recommended</importance>
+                       <description>no desc</description>
+               </update>
+       </history>
+       <deps>
+               <provides>
+                       <dep name="locale(yast2:es)"/>
+                       <dep name="yast2-trans-inst-general:/usr/lib/YaST2/locale/es/LC_MESSAGES/general.mo"/>
+                       <dep name="y2t_inst:/usr/lib/YaST2/locale/es/LC_MESSAGES/installation.mo"/>
+                       <dep name="y2t_menu:/usr/lib/YaST2/locale/es/LC_MESSAGES/menu.mo"/>
+                       <dep name="y2t_inst-general:/usr/lib/YaST2/locale/es/LC_MESSAGES/general.mo"/>
+                       <dep name="yast2-trans-es" op="EQ" version="2.13.24" release="0.2"/>
+               </provides>
+               <requires>
+                       <dep name="rpmlib(PayloadFilesHavePrefix)" op="LE" version="4.0" release="1" pre="1"/>
+                       <dep name="rpmlib(CompressedFileNames)" op="LE" version="3.0.4" release="1" pre="1"/>
+                       <dep name="rpmlib(PayloadIsBzip2)" op="LE" version="3.0.5" release="1" pre="1"/>
+               </requires>
+       </deps>
+</package>
+<package>
+       <name>yast2-trans-fi</name>
+       <summary>Update of YaST Translations</summary>
+       <description>This Update enhances and improves the YaST translations of
+several languages.
+</description>
+       <arch>noarch</arch>
+       <version>2.13.19</version>
+       <release>0.2</release>
+       <filesize>572056</filesize>
+       <installedsize>2065842</installedsize>
+       <history>
+               <update>
+                       <arch>noarch</arch>
+                       <epoch>0</epoch>
+                       <version>2.13.19</version>
+                       <release>0.2</release>
+                       <filename>yast2-trans-fi-2.13.19-0.2.noarch.rpm</filename>
+                       <filesize>572056</filesize>
+                       <installedsize>2065842</installedsize>
+                       <importance>recommended</importance>
+                       <description>no desc</description>
+               </update>
+       </history>
+       <deps>
+               <provides>
+                       <dep name="locale(yast2:fi)"/>
+                       <dep name="yast2-trans-fi" op="EQ" version="2.13.19" release="0.2"/>
+               </provides>
+               <requires>
+                       <dep name="rpmlib(PayloadFilesHavePrefix)" op="LE" version="4.0" release="1" pre="1"/>
+                       <dep name="rpmlib(CompressedFileNames)" op="LE" version="3.0.4" release="1" pre="1"/>
+                       <dep name="rpmlib(PayloadIsBzip2)" op="LE" version="3.0.5" release="1" pre="1"/>
+               </requires>
+       </deps>
+</package>
+<package>
+       <name>yast2-trans-fr</name>
+       <summary>Update of YaST Translations</summary>
+       <description>This Update enhances and improves the YaST translations of
+several languages.
+</description>
+       <arch>noarch</arch>
+       <version>2.13.24</version>
+       <release>0.2</release>
+       <filesize>593012</filesize>
+       <installedsize>2244658</installedsize>
+       <history>
+               <update>
+                       <arch>noarch</arch>
+                       <epoch>0</epoch>
+                       <version>2.13.24</version>
+                       <release>0.2</release>
+                       <filename>yast2-trans-fr-2.13.24-0.2.noarch.rpm</filename>
+                       <filesize>593012</filesize>
+                       <installedsize>2244658</installedsize>
+                       <importance>recommended</importance>
+                       <description>no desc</description>
+               </update>
+       </history>
+       <deps>
+               <provides>
+                       <dep name="locale(yast2:fr)"/>
+                       <dep name="yast2-trans-inst-general:/usr/lib/YaST2/locale/fr/LC_MESSAGES/general.mo"/>
+                       <dep name="y2t_inst:/usr/lib/YaST2/locale/fr/LC_MESSAGES/installation.mo"/>
+                       <dep name="y2t_menu:/usr/lib/YaST2/locale/fr/LC_MESSAGES/menu.mo"/>
+                       <dep name="y2t_inst-general:/usr/lib/YaST2/locale/fr/LC_MESSAGES/general.mo"/>
+                       <dep name="yast2-trans-fr" op="EQ" version="2.13.24" release="0.2"/>
+               </provides>
+               <requires>
+                       <dep name="rpmlib(PayloadFilesHavePrefix)" op="LE" version="4.0" release="1" pre="1"/>
+                       <dep name="rpmlib(CompressedFileNames)" op="LE" version="3.0.4" release="1" pre="1"/>
+                       <dep name="rpmlib(PayloadIsBzip2)" op="LE" version="3.0.5" release="1" pre="1"/>
+               </requires>
+       </deps>
+</package>
+<package>
+       <name>yast2-trans-hu</name>
+       <summary>Update of YaST Translations</summary>
+       <description>This Update enhances and improves the YaST translations of
+several languages.
+</description>
+       <arch>noarch</arch>
+       <version>2.13.35</version>
+       <release>0.2</release>
+       <filesize>604036</filesize>
+       <installedsize>2238234</installedsize>
+       <history>
+               <update>
+                       <arch>noarch</arch>
+                       <epoch>0</epoch>
+                       <version>2.13.35</version>
+                       <release>0.2</release>
+                       <filename>yast2-trans-hu-2.13.35-0.2.noarch.rpm</filename>
+                       <filesize>604036</filesize>
+                       <installedsize>2238234</installedsize>
+                       <importance>recommended</importance>
+                       <description>no desc</description>
+               </update>
+       </history>
+       <deps>
+               <provides>
+                       <dep name="locale(yast2:hu)"/>
+                       <dep name="yast2-trans-inst-general:/usr/lib/YaST2/locale/hu/LC_MESSAGES/general.mo"/>
+                       <dep name="y2t_inst:/usr/lib/YaST2/locale/hu/LC_MESSAGES/installation.mo"/>
+                       <dep name="y2t_menu:/usr/lib/YaST2/locale/hu/LC_MESSAGES/menu.mo"/>
+                       <dep name="y2t_inst-general:/usr/lib/YaST2/locale/hu/LC_MESSAGES/general.mo"/>
+                       <dep name="yast2-trans-hu" op="EQ" version="2.13.35" release="0.2"/>
+               </provides>
+               <requires>
+                       <dep name="rpmlib(PayloadFilesHavePrefix)" op="LE" version="4.0" release="1" pre="1"/>
+                       <dep name="rpmlib(CompressedFileNames)" op="LE" version="3.0.4" release="1" pre="1"/>
+                       <dep name="rpmlib(PayloadIsBzip2)" op="LE" version="3.0.5" release="1" pre="1"/>
+               </requires>
+       </deps>
+</package>
+<package>
+       <name>yast2-trans-it</name>
+       <summary>Update of YaST Translations</summary>
+       <description>This Update enhances and improves the YaST translations of
+several languages.
+</description>
+       <arch>noarch</arch>
+       <version>2.13.20</version>
+       <release>0.2</release>
+       <filesize>588889</filesize>
+       <installedsize>2177066</installedsize>
+       <history>
+               <update>
+                       <arch>noarch</arch>
+                       <epoch>0</epoch>
+                       <version>2.13.20</version>
+                       <release>0.2</release>
+                       <filename>yast2-trans-it-2.13.20-0.2.noarch.rpm</filename>
+                       <filesize>588889</filesize>
+                       <installedsize>2177066</installedsize>
+                       <importance>recommended</importance>
+                       <description>no desc</description>
+               </update>
+       </history>
+       <deps>
+               <provides>
+                       <dep name="locale(yast2:it)"/>
+                       <dep name="yast2-trans-inst-general:/usr/lib/YaST2/locale/it/LC_MESSAGES/general.mo"/>
+                       <dep name="y2t_inst:/usr/lib/YaST2/locale/it/LC_MESSAGES/installation.mo"/>
+                       <dep name="y2t_menu:/usr/lib/YaST2/locale/it/LC_MESSAGES/menu.mo"/>
+                       <dep name="y2t_inst-general:/usr/lib/YaST2/locale/it/LC_MESSAGES/general.mo"/>
+                       <dep name="yast2-trans-it" op="EQ" version="2.13.20" release="0.2"/>
+               </provides>
+               <requires>
+                       <dep name="rpmlib(PayloadFilesHavePrefix)" op="LE" version="4.0" release="1" pre="1"/>
+                       <dep name="rpmlib(CompressedFileNames)" op="LE" version="3.0.4" release="1" pre="1"/>
+                       <dep name="rpmlib(PayloadIsBzip2)" op="LE" version="3.0.5" release="1" pre="1"/>
+               </requires>
+       </deps>
+</package>
+<package>
+       <name>yast2-trans-ja</name>
+       <summary>Update of YaST Translations</summary>
+       <description>This Update enhances and improves the YaST translations of
+several languages.
+</description>
+       <arch>noarch</arch>
+       <version>2.13.19</version>
+       <release>0.2</release>
+       <filesize>571251</filesize>
+       <installedsize>2432545</installedsize>
+       <history>
+               <update>
+                       <arch>noarch</arch>
+                       <epoch>0</epoch>
+                       <version>2.13.19</version>
+                       <release>0.2</release>
+                       <filename>yast2-trans-ja-2.13.19-0.2.noarch.rpm</filename>
+                       <filesize>571251</filesize>
+                       <installedsize>2432545</installedsize>
+                       <importance>recommended</importance>
+                       <description>no desc</description>
+               </update>
+       </history>
+       <deps>
+               <provides>
+                       <dep name="locale(yast2:ja)"/>
+                       <dep name="yast2-trans-inst-general:/usr/lib/YaST2/locale/ja/LC_MESSAGES/general.mo"/>
+                       <dep name="y2t_inst:/usr/lib/YaST2/locale/ja/LC_MESSAGES/installation.mo"/>
+                       <dep name="y2t_menu:/usr/lib/YaST2/locale/ja/LC_MESSAGES/menu.mo"/>
+                       <dep name="y2t_inst-general:/usr/lib/YaST2/locale/ja/LC_MESSAGES/general.mo"/>
+                       <dep name="yast2-trans-ja" op="EQ" version="2.13.19" release="0.2"/>
+               </provides>
+               <requires>
+                       <dep name="rpmlib(PayloadFilesHavePrefix)" op="LE" version="4.0" release="1" pre="1"/>
+                       <dep name="rpmlib(CompressedFileNames)" op="LE" version="3.0.4" release="1" pre="1"/>
+                       <dep name="rpmlib(PayloadIsBzip2)" op="LE" version="3.0.5" release="1" pre="1"/>
+               </requires>
+       </deps>
+</package>
+<package>
+       <name>yast2-trans-km</name>
+       <summary>Update of YaST Translations</summary>
+       <description>This Update enhances and improves the YaST translations of
+several languages.
+</description>
+       <arch>noarch</arch>
+       <version>2.13.14</version>
+       <release>0.2</release>
+       <filesize>565444</filesize>
+       <installedsize>3408340</installedsize>
+       <history>
+               <update>
+                       <arch>noarch</arch>
+                       <epoch>0</epoch>
+                       <version>2.13.14</version>
+                       <release>0.2</release>
+                       <filename>yast2-trans-km-2.13.14-0.2.noarch.rpm</filename>
+                       <filesize>565444</filesize>
+                       <installedsize>3408340</installedsize>
+                       <importance>recommended</importance>
+                       <description>no desc</description>
+               </update>
+       </history>
+       <deps>
+               <provides>
+                       <dep name="locale(yast2:km)"/>
+                       <dep name="yast2-trans-km" op="EQ" version="2.13.14" release="0.2"/>
+               </provides>
+               <requires>
+                       <dep name="rpmlib(PayloadFilesHavePrefix)" op="LE" version="4.0" release="1" pre="1"/>
+                       <dep name="rpmlib(CompressedFileNames)" op="LE" version="3.0.4" release="1" pre="1"/>
+                       <dep name="rpmlib(PayloadIsBzip2)" op="LE" version="3.0.5" release="1" pre="1"/>
+               </requires>
+       </deps>
+</package>
+<package>
+       <name>yast2-trans-ko</name>
+       <summary>Update of YaST Translations</summary>
+       <description>This Update enhances and improves the YaST translations of
+several languages.
+</description>
+       <arch>noarch</arch>
+       <version>2.13.11</version>
+       <release>0.2</release>
+       <filesize>567593</filesize>
+       <installedsize>2245474</installedsize>
+       <history>
+               <update>
+                       <arch>noarch</arch>
+                       <epoch>0</epoch>
+                       <version>2.13.11</version>
+                       <release>0.2</release>
+                       <filename>yast2-trans-ko-2.13.11-0.2.noarch.rpm</filename>
+                       <filesize>567593</filesize>
+                       <installedsize>2245474</installedsize>
+                       <importance>recommended</importance>
+                       <description>no desc</description>
+               </update>
+       </history>
+       <deps>
+               <provides>
+                       <dep name="locale(yast2:ko)"/>
+                       <dep name="yast2-trans-inst-general:/usr/lib/YaST2/locale/ko/LC_MESSAGES/general.mo"/>
+                       <dep name="y2t_inst:/usr/lib/YaST2/locale/ko/LC_MESSAGES/installation.mo"/>
+                       <dep name="y2t_menu:/usr/lib/YaST2/locale/ko/LC_MESSAGES/menu.mo"/>
+                       <dep name="y2t_inst-general:/usr/lib/YaST2/locale/ko/LC_MESSAGES/general.mo"/>
+                       <dep name="yast2-trans-ko" op="EQ" version="2.13.11" release="0.2"/>
+               </provides>
+               <requires>
+                       <dep name="rpmlib(PayloadFilesHavePrefix)" op="LE" version="4.0" release="1" pre="1"/>
+                       <dep name="rpmlib(CompressedFileNames)" op="LE" version="3.0.4" release="1" pre="1"/>
+                       <dep name="rpmlib(PayloadIsBzip2)" op="LE" version="3.0.5" release="1" pre="1"/>
+               </requires>
+       </deps>
+</package>
+<package>
+       <name>yast2-trans-nb</name>
+       <summary>Update of YaST Translations</summary>
+       <description>This Update enhances and improves the YaST translations of
+several languages.
+</description>
+       <arch>noarch</arch>
+       <version>2.13.9</version>
+       <release>0.2</release>
+       <filesize>509375</filesize>
+       <installedsize>1863417</installedsize>
+       <history>
+               <update>
+                       <arch>noarch</arch>
+                       <epoch>0</epoch>
+                       <version>2.13.9</version>
+                       <release>0.2</release>
+                       <filename>yast2-trans-nb-2.13.9-0.2.noarch.rpm</filename>
+                       <filesize>509375</filesize>
+                       <installedsize>1863417</installedsize>
+                       <importance>recommended</importance>
+                       <description>no desc</description>
+               </update>
+       </history>
+       <deps>
+               <provides>
+                       <dep name="locale(yast2:nb)"/>
+                       <dep name="yast2-trans-nb" op="EQ" version="2.13.9" release="0.2"/>
+               </provides>
+               <requires>
+                       <dep name="rpmlib(PayloadFilesHavePrefix)" op="LE" version="4.0" release="1" pre="1"/>
+                       <dep name="rpmlib(CompressedFileNames)" op="LE" version="3.0.4" release="1" pre="1"/>
+                       <dep name="rpmlib(PayloadIsBzip2)" op="LE" version="3.0.5" release="1" pre="1"/>
+               </requires>
+       </deps>
+</package>
+<package>
+       <name>yast2-trans-nl</name>
+       <summary>Update of YaST Translations</summary>
+       <description>This Update enhances and improves the YaST translations of
+several languages.
+</description>
+       <arch>noarch</arch>
+       <version>2.13.7</version>
+       <release>0.2</release>
+       <filesize>519491</filesize>
+       <installedsize>1903506</installedsize>
+       <history>
+               <update>
+                       <arch>noarch</arch>
+                       <epoch>0</epoch>
+                       <version>2.13.7</version>
+                       <release>0.2</release>
+                       <filename>yast2-trans-nl-2.13.7-0.2.noarch.rpm</filename>
+                       <filesize>519491</filesize>
+                       <installedsize>1903506</installedsize>
+                       <importance>recommended</importance>
+                       <description>no desc</description>
+               </update>
+       </history>
+       <deps>
+               <provides>
+                       <dep name="locale(yast2:nl)"/>
+                       <dep name="yast2-trans-inst-general:/usr/lib/YaST2/locale/nl/LC_MESSAGES/general.mo"/>
+                       <dep name="y2t_inst:/usr/lib/YaST2/locale/nl/LC_MESSAGES/installation.mo"/>
+                       <dep name="y2t_menu:/usr/lib/YaST2/locale/nl/LC_MESSAGES/menu.mo"/>
+                       <dep name="y2t_inst-general:/usr/lib/YaST2/locale/nl/LC_MESSAGES/general.mo"/>
+                       <dep name="yast2-trans-nl" op="EQ" version="2.13.7" release="0.2"/>
+               </provides>
+               <requires>
+                       <dep name="rpmlib(PayloadFilesHavePrefix)" op="LE" version="4.0" release="1" pre="1"/>
+                       <dep name="rpmlib(CompressedFileNames)" op="LE" version="3.0.4" release="1" pre="1"/>
+                       <dep name="rpmlib(PayloadIsBzip2)" op="LE" version="3.0.5" release="1" pre="1"/>
+               </requires>
+       </deps>
+</package>
+<package>
+       <name>yast2-trans-pl</name>
+       <summary>Update of YaST Translations</summary>
+       <description>This Update enhances and improves the YaST translations of
+several languages.
+</description>
+       <arch>noarch</arch>
+       <version>2.13.17</version>
+       <release>0.2</release>
+       <filesize>598986</filesize>
+       <installedsize>2185355</installedsize>
+       <history>
+               <update>
+                       <arch>noarch</arch>
+                       <epoch>0</epoch>
+                       <version>2.13.17</version>
+                       <release>0.2</release>
+                       <filename>yast2-trans-pl-2.13.17-0.2.noarch.rpm</filename>
+                       <filesize>598986</filesize>
+                       <installedsize>2185355</installedsize>
+                       <importance>recommended</importance>
+                       <description>no desc</description>
+               </update>
+       </history>
+       <deps>
+               <provides>
+                       <dep name="locale(yast2:pl)"/>
+                       <dep name="yast2-trans-pl" op="EQ" version="2.13.17" release="0.2"/>
+               </provides>
+               <requires>
+                       <dep name="rpmlib(PayloadFilesHavePrefix)" op="LE" version="4.0" release="1" pre="1"/>
+                       <dep name="rpmlib(CompressedFileNames)" op="LE" version="3.0.4" release="1" pre="1"/>
+                       <dep name="rpmlib(PayloadIsBzip2)" op="LE" version="3.0.5" release="1" pre="1"/>
+               </requires>
+       </deps>
+</package>
+<package>
+       <name>yast2-trans-pt</name>
+       <summary>Update of YaST Translations</summary>
+       <description>This Update enhances and improves the YaST translations of
+several languages.
+</description>
+       <arch>noarch</arch>
+       <version>2.13.12</version>
+       <release>0.2</release>
+       <filesize>547857</filesize>
+       <installedsize>2021918</installedsize>
+       <history>
+               <update>
+                       <arch>noarch</arch>
+                       <epoch>0</epoch>
+                       <version>2.13.12</version>
+                       <release>0.2</release>
+                       <filename>yast2-trans-pt-2.13.12-0.2.noarch.rpm</filename>
+                       <filesize>547857</filesize>
+                       <installedsize>2021918</installedsize>
+                       <importance>recommended</importance>
+                       <description>no desc</description>
+               </update>
+       </history>
+       <deps>
+               <provides>
+                       <dep name="locale(yast2:pt)"/>
+                       <dep name="yast2-trans-inst-general:/usr/lib/YaST2/locale/pt/LC_MESSAGES/general.mo"/>
+                       <dep name="y2t_inst:/usr/lib/YaST2/locale/pt/LC_MESSAGES/installation.mo"/>
+                       <dep name="y2t_menu:/usr/lib/YaST2/locale/pt/LC_MESSAGES/menu.mo"/>
+                       <dep name="y2t_inst-general:/usr/lib/YaST2/locale/pt/LC_MESSAGES/general.mo"/>
+                       <dep name="yast2-trans-pt" op="EQ" version="2.13.12" release="0.2"/>
+               </provides>
+               <requires>
+                       <dep name="rpmlib(PayloadFilesHavePrefix)" op="LE" version="4.0" release="1" pre="1"/>
+                       <dep name="rpmlib(CompressedFileNames)" op="LE" version="3.0.4" release="1" pre="1"/>
+                       <dep name="rpmlib(PayloadIsBzip2)" op="LE" version="3.0.5" release="1" pre="1"/>
+               </requires>
+       </deps>
+</package>
+<package>
+       <name>yast2-trans-pt_BR</name>
+       <summary>Update of YaST Translations</summary>
+       <description>This Update enhances and improves the YaST translations of
+several languages.
+</description>
+       <arch>noarch</arch>
+       <version>2.13.14</version>
+       <release>1.2</release>
+       <filesize>586836</filesize>
+       <installedsize>2140971</installedsize>
+       <history>
+               <update>
+                       <arch>noarch</arch>
+                       <epoch>0</epoch>
+                       <version>2.13.14</version>
+                       <release>1.2</release>
+                       <filename>yast2-trans-pt_BR-2.13.14-1.2.noarch.rpm</filename>
+                       <filesize>586836</filesize>
+                       <installedsize>2140971</installedsize>
+                       <importance>recommended</importance>
+                       <description>no desc</description>
+               </update>
+       </history>
+       <deps>
+               <provides>
+                       <dep name="locale(yast2:pt_BR)"/>
+                       <dep name="yast2-trans-inst-general:/usr/lib/YaST2/locale/pt_BR/LC_MESSAGES/general.mo"/>
+                       <dep name="y2t_inst:/usr/lib/YaST2/locale/pt_BR/LC_MESSAGES/installation.mo"/>
+                       <dep name="y2t_menu:/usr/lib/YaST2/locale/pt_BR/LC_MESSAGES/menu.mo"/>
+                       <dep name="y2t_inst-general:/usr/lib/YaST2/locale/pt_BR/LC_MESSAGES/general.mo"/>
+                       <dep name="yast2-trans-pt_BR" op="EQ" version="2.13.14" release="1.2"/>
+               </provides>
+               <requires>
+                       <dep name="rpmlib(PayloadFilesHavePrefix)" op="LE" version="4.0" release="1" pre="1"/>
+                       <dep name="rpmlib(CompressedFileNames)" op="LE" version="3.0.4" release="1" pre="1"/>
+                       <dep name="rpmlib(PayloadIsBzip2)" op="LE" version="3.0.5" release="1" pre="1"/>
+               </requires>
+       </deps>
+</package>
+<package>
+       <name>yast2-trans-ro</name>
+       <summary>Update of YaST Translations</summary>
+       <description>This Update enhances and improves the YaST translations of
+several languages.
+</description>
+       <arch>noarch</arch>
+       <version>2.13.6</version>
+       <release>0.2</release>
+       <filesize>122672</filesize>
+       <installedsize>408774</installedsize>
+       <history>
+               <update>
+                       <arch>noarch</arch>
+                       <epoch>0</epoch>
+                       <version>2.13.6</version>
+                       <release>0.2</release>
+                       <filename>yast2-trans-ro-2.13.6-0.2.noarch.rpm</filename>
+                       <filesize>122672</filesize>
+                       <installedsize>408774</installedsize>
+                       <importance>recommended</importance>
+                       <description>no desc</description>
+               </update>
+       </history>
+       <deps>
+               <provides>
+                       <dep name="locale(yast2:ro)"/>
+                       <dep name="yast2-trans-ro" op="EQ" version="2.13.6" release="0.2"/>
+               </provides>
+               <requires>
+                       <dep name="rpmlib(PayloadFilesHavePrefix)" op="LE" version="4.0" release="1" pre="1"/>
+                       <dep name="rpmlib(CompressedFileNames)" op="LE" version="3.0.4" release="1" pre="1"/>
+                       <dep name="rpmlib(PayloadIsBzip2)" op="LE" version="3.0.5" release="1" pre="1"/>
+               </requires>
+       </deps>
+</package>
+<package>
+       <name>yast2-trans-ru</name>
+       <summary>Update of YaST Translations</summary>
+       <description>This Update enhances and improves the YaST translations of
+several languages.
+</description>
+       <arch>noarch</arch>
+       <version>2.13.14</version>
+       <release>0.2</release>
+       <filesize>437447</filesize>
+       <installedsize>1959845</installedsize>
+       <history>
+               <update>
+                       <arch>noarch</arch>
+                       <epoch>0</epoch>
+                       <version>2.13.14</version>
+                       <release>0.2</release>
+                       <filename>yast2-trans-ru-2.13.14-0.2.noarch.rpm</filename>
+                       <filesize>437447</filesize>
+                       <installedsize>1959845</installedsize>
+                       <importance>recommended</importance>
+                       <description>no desc</description>
+               </update>
+       </history>
+       <deps>
+               <provides>
+                       <dep name="locale(yast2:ru)"/>
+                       <dep name="yast2-trans-inst-general:/usr/lib/YaST2/locale/ru/LC_MESSAGES/general.mo"/>
+                       <dep name="y2t_inst:/usr/lib/YaST2/locale/ru/LC_MESSAGES/installation.mo"/>
+                       <dep name="y2t_menu:/usr/lib/YaST2/locale/ru/LC_MESSAGES/menu.mo"/>
+                       <dep name="y2t_inst-general:/usr/lib/YaST2/locale/ru/LC_MESSAGES/general.mo"/>
+                       <dep name="yast2-trans-ru" op="EQ" version="2.13.14" release="0.2"/>
+               </provides>
+               <requires>
+                       <dep name="rpmlib(PayloadFilesHavePrefix)" op="LE" version="4.0" release="1" pre="1"/>
+                       <dep name="rpmlib(CompressedFileNames)" op="LE" version="3.0.4" release="1" pre="1"/>
+                       <dep name="rpmlib(PayloadIsBzip2)" op="LE" version="3.0.5" release="1" pre="1"/>
+               </requires>
+       </deps>
+</package>
+<package>
+       <name>yast2-trans-sk</name>
+       <summary>Update of YaST Translations</summary>
+       <description>This Update enhances and improves the YaST translations of
+several languages.
+</description>
+       <arch>noarch</arch>
+       <version>2.13.11</version>
+       <release>1.2</release>
+       <filesize>400382</filesize>
+       <installedsize>1410677</installedsize>
+       <history>
+               <update>
+                       <arch>noarch</arch>
+                       <epoch>0</epoch>
+                       <version>2.13.11</version>
+                       <release>1.2</release>
+                       <filename>yast2-trans-sk-2.13.11-1.2.noarch.rpm</filename>
+                       <filesize>400382</filesize>
+                       <installedsize>1410677</installedsize>
+                       <importance>recommended</importance>
+                       <description>no desc</description>
+               </update>
+       </history>
+       <deps>
+               <provides>
+                       <dep name="locale(yast2:sk)"/>
+                       <dep name="yast2-trans-inst-general:/usr/lib/YaST2/locale/sk/LC_MESSAGES/general.mo"/>
+                       <dep name="y2t_inst:/usr/lib/YaST2/locale/sk/LC_MESSAGES/installation.mo"/>
+                       <dep name="y2t_menu:/usr/lib/YaST2/locale/sk/LC_MESSAGES/menu.mo"/>
+                       <dep name="y2t_inst-general:/usr/lib/YaST2/locale/sk/LC_MESSAGES/general.mo"/>
+                       <dep name="yast2-trans-sk" op="EQ" version="2.13.11" release="1.2"/>
+               </provides>
+               <requires>
+                       <dep name="rpmlib(PayloadFilesHavePrefix)" op="LE" version="4.0" release="1" pre="1"/>
+                       <dep name="rpmlib(CompressedFileNames)" op="LE" version="3.0.4" release="1" pre="1"/>
+                       <dep name="rpmlib(PayloadIsBzip2)" op="LE" version="3.0.5" release="1" pre="1"/>
+               </requires>
+       </deps>
+</package>
+<package>
+       <name>yast2-trans-sl_SI</name>
+       <summary>Update of YaST Translations</summary>
+       <description>This Update enhances and improves the YaST translations of
+several languages.
+</description>
+       <arch>noarch</arch>
+       <version>2.13.10</version>
+       <release>0.2</release>
+       <filesize>330465</filesize>
+       <installedsize>1125407</installedsize>
+       <history>
+               <update>
+                       <arch>noarch</arch>
+                       <epoch>0</epoch>
+                       <version>2.13.10</version>
+                       <release>0.2</release>
+                       <filename>yast2-trans-sl_SI-2.13.10-0.2.noarch.rpm</filename>
+                       <filesize>330465</filesize>
+                       <installedsize>1125407</installedsize>
+                       <importance>recommended</importance>
+                       <description>no desc</description>
+               </update>
+       </history>
+       <deps>
+               <provides>
+                       <dep name="locale(yast2:sl_SI)"/>
+                       <dep name="yast2-trans-inst-general:/usr/lib/YaST2/locale/sl_SI/LC_MESSAGES/general.mo"/>
+                       <dep name="y2t_inst:/usr/lib/YaST2/locale/sl_SI/LC_MESSAGES/installation.mo"/>
+                       <dep name="y2t_menu:/usr/lib/YaST2/locale/sl_SI/LC_MESSAGES/menu.mo"/>
+                       <dep name="y2t_inst-general:/usr/lib/YaST2/locale/sl_SI/LC_MESSAGES/general.mo"/>
+                       <dep name="locale(yast:sl)"/>
+                       <dep name="yast2-trans-sl_SI" op="EQ" version="2.13.10" release="0.2"/>
+               </provides>
+               <requires>
+                       <dep name="rpmlib(PayloadFilesHavePrefix)" op="LE" version="4.0" release="1" pre="1"/>
+                       <dep name="rpmlib(CompressedFileNames)" op="LE" version="3.0.4" release="1" pre="1"/>
+                       <dep name="rpmlib(PayloadIsBzip2)" op="LE" version="3.0.5" release="1" pre="1"/>
+               </requires>
+       </deps>
+</package>
+<package>
+       <name>yast2-trans-uk</name>
+       <summary>Update of YaST Translations</summary>
+       <description>This Update enhances and improves the YaST translations of
+several languages.
+</description>
+       <arch>noarch</arch>
+       <version>2.13.11</version>
+       <release>0.2</release>
+       <filesize>270429</filesize>
+       <installedsize>1157695</installedsize>
+       <history>
+               <update>
+                       <arch>noarch</arch>
+                       <epoch>0</epoch>
+                       <version>2.13.11</version>
+                       <release>0.2</release>
+                       <filename>yast2-trans-uk-2.13.11-0.2.noarch.rpm</filename>
+                       <filesize>270429</filesize>
+                       <installedsize>1157695</installedsize>
+                       <importance>recommended</importance>
+                       <description>no desc</description>
+               </update>
+       </history>
+       <deps>
+               <provides>
+                       <dep name="locale(yast2:uk)"/>
+                       <dep name="yast2-trans-uk" op="EQ" version="2.13.11" release="0.2"/>
+               </provides>
+               <requires>
+                       <dep name="rpmlib(PayloadFilesHavePrefix)" op="LE" version="4.0" release="1" pre="1"/>
+                       <dep name="rpmlib(CompressedFileNames)" op="LE" version="3.0.4" release="1" pre="1"/>
+                       <dep name="rpmlib(PayloadIsBzip2)" op="LE" version="3.0.5" release="1" pre="1"/>
+               </requires>
+       </deps>
+</package>
+<package>
+       <name>yast2-trans-zh_CN</name>
+       <summary>Update of YaST Translations</summary>
+       <description>This Update enhances and improves the YaST translations of
+several languages.
+</description>
+       <arch>noarch</arch>
+       <version>2.13.20</version>
+       <release>1.2</release>
+       <filesize>557789</filesize>
+       <installedsize>1979755</installedsize>
+       <history>
+               <update>
+                       <arch>noarch</arch>
+                       <epoch>0</epoch>
+                       <version>2.13.20</version>
+                       <release>1.2</release>
+                       <filename>yast2-trans-zh_CN-2.13.20-1.2.noarch.rpm</filename>
+                       <filesize>557789</filesize>
+                       <installedsize>1979755</installedsize>
+                       <importance>recommended</importance>
+                       <description>no desc</description>
+               </update>
+       </history>
+       <deps>
+               <provides>
+                       <dep name="locale(yast2:zh_CN)"/>
+                       <dep name="yast2-trans-inst-general:/usr/lib/YaST2/locale/zh_CN/LC_MESSAGES/general.mo"/>
+                       <dep name="y2t_inst:/usr/lib/YaST2/locale/zh_CN/LC_MESSAGES/installation.mo"/>
+                       <dep name="y2t_menu:/usr/lib/YaST2/locale/zh_CN/LC_MESSAGES/menu.mo"/>
+                       <dep name="y2t_inst-general:/usr/lib/YaST2/locale/zh_CN/LC_MESSAGES/general.mo"/>
+                       <dep name="yast2-trans-zh_CN" op="EQ" version="2.13.20" release="1.2"/>
+               </provides>
+               <requires>
+                       <dep name="rpmlib(PayloadFilesHavePrefix)" op="LE" version="4.0" release="1" pre="1"/>
+                       <dep name="rpmlib(CompressedFileNames)" op="LE" version="3.0.4" release="1" pre="1"/>
+                       <dep name="rpmlib(PayloadIsBzip2)" op="LE" version="3.0.5" release="1" pre="1"/>
+               </requires>
+       </deps>
+</package>
+<package>
+       <name>yast2-trans-zh_TW</name>
+       <summary>Update of YaST Translations</summary>
+       <description>This Update enhances and improves the YaST translations of
+several languages.
+</description>
+       <arch>noarch</arch>
+       <version>2.13.18</version>
+       <release>1.2</release>
+       <filesize>559832</filesize>
+       <installedsize>2006508</installedsize>
+       <history>
+               <update>
+                       <arch>noarch</arch>
+                       <epoch>0</epoch>
+                       <version>2.13.18</version>
+                       <release>1.2</release>
+                       <filename>yast2-trans-zh_TW-2.13.18-1.2.noarch.rpm</filename>
+                       <filesize>559832</filesize>
+                       <installedsize>2006508</installedsize>
+                       <importance>recommended</importance>
+                       <description>no desc</description>
+               </update>
+       </history>
+       <deps>
+               <provides>
+                       <dep name="locale(yast2:zh_TW)"/>
+                       <dep name="yast2-trans-inst-general:/usr/lib/YaST2/locale/zh_TW/LC_MESSAGES/general.mo"/>
+                       <dep name="y2t_inst:/usr/lib/YaST2/locale/zh_TW/LC_MESSAGES/installation.mo"/>
+                       <dep name="y2t_menu:/usr/lib/YaST2/locale/zh_TW/LC_MESSAGES/menu.mo"/>
+                       <dep name="y2t_inst-general:/usr/lib/YaST2/locale/zh_TW/LC_MESSAGES/general.mo"/>
+                       <dep name="yast2-trans-zh_TW" op="EQ" version="2.13.18" release="1.2"/>
+               </provides>
+               <requires>
+                       <dep name="rpmlib(PayloadFilesHavePrefix)" op="LE" version="4.0" release="1" pre="1"/>
+                       <dep name="rpmlib(CompressedFileNames)" op="LE" version="3.0.4" release="1" pre="1"/>
+                       <dep name="rpmlib(PayloadIsBzip2)" op="LE" version="3.0.5" release="1" pre="1"/>
+               </requires>
+       </deps>
+</package>
+</subchannel></channel>
+<channel><subchannel>
+
+<patch>
+       <name>yast2-storage</name>
+       <arch>noarch</arch>
+       <version>1591</version>
+       <release>0</release>
+       <requires>
+               <dep kind="atom" name="yast2-storage" epoch="0" version="2.13.68" release="0.2" op="EQ"/>
+               <dep kind="atom" name="yast2-storage-evms" epoch="0" version="2.13.68" release="0.2" op="EQ"/>
+       </requires>
+</patch>
+<atom>
+       <name>yast2-storage</name>
+       <arch>i586</arch>
+       <version>2.13.68</version>
+       <release>0.2</release>
+       <freshens>
+               <dep kind="package" name="yast2-storage"/>
+       </freshens>
+       <requires>
+               <dep kind="package" name="yast2-storage" epoch="0" version="2.13.68" release="0.2" op="GE"/>
+       </requires>
+</atom>
+<atom>
+       <name>yast2-storage</name>
+       <arch>ppc</arch>
+       <version>2.13.68</version>
+       <release>0.2</release>
+       <freshens>
+               <dep kind="package" name="yast2-storage"/>
+       </freshens>
+       <requires>
+               <dep kind="package" name="yast2-storage" epoch="0" version="2.13.68" release="0.2" op="GE"/>
+       </requires>
+</atom>
+<atom>
+       <name>yast2-storage</name>
+       <arch>x86_64</arch>
+       <version>2.13.68</version>
+       <release>0.2</release>
+       <freshens>
+               <dep kind="package" name="yast2-storage"/>
+       </freshens>
+       <requires>
+               <dep kind="package" name="yast2-storage" epoch="0" version="2.13.68" release="0.2" op="GE"/>
+       </requires>
+</atom>
+<atom>
+       <name>yast2-storage-evms</name>
+       <arch>i586</arch>
+       <version>2.13.68</version>
+       <release>0.2</release>
+       <freshens>
+               <dep kind="package" name="yast2-storage-evms"/>
+       </freshens>
+       <requires>
+               <dep kind="package" name="yast2-storage-evms" epoch="0" version="2.13.68" release="0.2" op="GE"/>
+       </requires>
+</atom>
+<atom>
+       <name>yast2-storage-evms</name>
+       <arch>ppc</arch>
+       <version>2.13.68</version>
+       <release>0.2</release>
+       <freshens>
+               <dep kind="package" name="yast2-storage-evms"/>
+       </freshens>
+       <requires>
+               <dep kind="package" name="yast2-storage-evms" epoch="0" version="2.13.68" release="0.2" op="GE"/>
+       </requires>
+</atom>
+<atom>
+       <name>yast2-storage-evms</name>
+       <arch>x86_64</arch>
+       <version>2.13.68</version>
+       <release>0.2</release>
+       <freshens>
+               <dep kind="package" name="yast2-storage-evms"/>
+       </freshens>
+       <requires>
+               <dep kind="package" name="yast2-storage-evms" epoch="0" version="2.13.68" release="0.2" op="GE"/>
+       </requires>
+</atom>
+<package>
+       <name>yast2-storage</name>
+       <summary>yast2-storage fix for crypt file creation</summary>
+       <description>This fixes the bug that creation of an encrypted file fails 
+silently in yast2 expert partitioner.
+</description>
+       <arch>i586</arch>
+       <version>2.13.68</version>
+       <release>0.2</release>
+       <filesize>545872</filesize>
+       <installedsize>2676519</installedsize>
+       <history>
+               <update>
+                       <arch>i586</arch>
+                       <epoch>0</epoch>
+                       <version>2.13.68</version>
+                       <release>0.2</release>
+                       <filename>yast2-storage-2.13.68-0.2.i586.rpm</filename>
+                       <filesize>545872</filesize>
+                       <installedsize>2676519</installedsize>
+                       <importance>recommended</importance>
+                       <description>no desc</description>
+               </update>
+       </history>
+       <deps>
+               <provides>
+                       <dep name="y2a_fdsk"/>
+                       <dep name="yast2-config-disk"/>
+                       <dep name="yast2-agent-fdisk"/>
+                       <dep name="yast2-agent-fdisk-devel"/>
+                       <dep name="yast2-trans-inst-partitioning"/>
+                       <dep name="y2t_inst-partitioning"/>
+                       <dep name="LibStorage.so"/>
+                       <dep name="libpy2StorageCallbacks.so.2"/>
+                       <dep name="perl(LibStorage)"/>
+                       <dep name="perl(LibStorage::ContainerInfo)"/>
+                       <dep name="perl(LibStorage::DiskInfo)"/>
+                       <dep name="perl(LibStorage::DmInfo)"/>
+                       <dep name="perl(LibStorage::EvmsCoInfo)"/>
+                       <dep name="perl(LibStorage::EvmsInfo)"/>
+                       <dep name="perl(LibStorage::FsCapabilities)"/>
+                       <dep name="perl(LibStorage::LoopInfo)"/>
+                       <dep name="perl(LibStorage::LvmLvInfo)"/>
+                       <dep name="perl(LibStorage::LvmVgInfo)"/>
+                       <dep name="perl(LibStorage::MdInfo)"/>
+                       <dep name="perl(LibStorage::PartitionInfo)"/>
+                       <dep name="perl(LibStorage::StorageInterface)"/>
+                       <dep name="perl(LibStorage::VolumeInfo)"/>
+                       <dep name="perl(LibStoragec)"/>
+                       <dep name="yast2-storage" op="EQ" version="2.13.68" release="0.2"/>
+               </provides>
+               <requires>
+                       <dep name="yast2"/>
+                       <dep name="parted"/>
+                       <dep name="yast2-installation"/>
+                       <dep name="yast2-storage-lib"/>
+                       <dep name="yast2-perl-bindings"/>
+                       <dep name="rpmlib(PayloadFilesHavePrefix)" op="LE" version="4.0" release="1" pre="1"/>
+                       <dep name="rpmlib(CompressedFileNames)" op="LE" version="3.0.4" release="1" pre="1"/>
+                       <dep name="/bin/bash"/>
+                       <dep name="libc.so.6"/>
+                       <dep name="libc.so.6(GLIBC_2.0)"/>
+                       <dep name="libc.so.6(GLIBC_2.1.3)"/>
+                       <dep name="libgcc_s.so.1"/>
+                       <dep name="libgcc_s.so.1(GCC_3.0)"/>
+                       <dep name="libm.so.6"/>
+                       <dep name="libstdc++.so.6"/>
+                       <dep name="libstdc++.so.6(CXXABI_1.3)"/>
+                       <dep name="libstdc++.so.6(GLIBCXX_3.4)"/>
+                       <dep name="liby2.so.2"/>
+                       <dep name="liby2storage.so.2"/>
+                       <dep name="libycp.so.2"/>
+                       <dep name="rpmlib(PayloadIsBzip2)" op="LE" version="3.0.5" release="1" pre="1"/>
+               </requires>
+       </deps>
+</package>
+<package>
+       <name>yast2-storage</name>
+       <summary>yast2-storage fix for crypt file creation</summary>
+       <description>This fixes the bug that creation of an encrypted file fails 
+silently in yast2 expert partitioner.
+</description>
+       <arch>ppc</arch>
+       <version>2.13.68</version>
+       <release>0.2</release>
+       <filesize>549283</filesize>
+       <installedsize>2665537</installedsize>
+       <history>
+               <update>
+                       <arch>ppc</arch>
+                       <epoch>0</epoch>
+                       <version>2.13.68</version>
+                       <release>0.2</release>
+                       <filename>yast2-storage-2.13.68-0.2.ppc.rpm</filename>
+                       <filesize>549283</filesize>
+                       <installedsize>2665537</installedsize>
+                       <importance>recommended</importance>
+                       <description>no desc</description>
+               </update>
+       </history>
+       <deps>
+               <provides>
+                       <dep name="y2a_fdsk"/>
+                       <dep name="yast2-config-disk"/>
+                       <dep name="yast2-agent-fdisk"/>
+                       <dep name="yast2-agent-fdisk-devel"/>
+                       <dep name="yast2-trans-inst-partitioning"/>
+                       <dep name="y2t_inst-partitioning"/>
+                       <dep name="LibStorage.so"/>
+                       <dep name="libpy2StorageCallbacks.so.2"/>
+                       <dep name="perl(LibStorage)"/>
+                       <dep name="perl(LibStorage::ContainerInfo)"/>
+                       <dep name="perl(LibStorage::DiskInfo)"/>
+                       <dep name="perl(LibStorage::DmInfo)"/>
+                       <dep name="perl(LibStorage::EvmsCoInfo)"/>
+                       <dep name="perl(LibStorage::EvmsInfo)"/>
+                       <dep name="perl(LibStorage::FsCapabilities)"/>
+                       <dep name="perl(LibStorage::LoopInfo)"/>
+                       <dep name="perl(LibStorage::LvmLvInfo)"/>
+                       <dep name="perl(LibStorage::LvmVgInfo)"/>
+                       <dep name="perl(LibStorage::MdInfo)"/>
+                       <dep name="perl(LibStorage::PartitionInfo)"/>
+                       <dep name="perl(LibStorage::StorageInterface)"/>
+                       <dep name="perl(LibStorage::VolumeInfo)"/>
+                       <dep name="perl(LibStoragec)"/>
+                       <dep name="yast2-storage" op="EQ" version="2.13.68" release="0.2"/>
+               </provides>
+               <requires>
+                       <dep name="yast2"/>
+                       <dep name="parted"/>
+                       <dep name="yast2-installation"/>
+                       <dep name="yast2-storage-lib"/>
+                       <dep name="yast2-perl-bindings"/>
+                       <dep name="rpmlib(PayloadFilesHavePrefix)" op="LE" version="4.0" release="1" pre="1"/>
+                       <dep name="rpmlib(CompressedFileNames)" op="LE" version="3.0.4" release="1" pre="1"/>
+                       <dep name="/bin/bash"/>
+                       <dep name="libc.so.6"/>
+                       <dep name="libc.so.6(GLIBC_2.0)"/>
+                       <dep name="libc.so.6(GLIBC_2.1.3)"/>
+                       <dep name="libc.so.6(GLIBC_2.4)"/>
+                       <dep name="libgcc_s.so.1"/>
+                       <dep name="libgcc_s.so.1(GCC_3.0)"/>
+                       <dep name="libm.so.6"/>
+                       <dep name="libstdc++.so.6"/>
+                       <dep name="libstdc++.so.6(CXXABI_1.3)"/>
+                       <dep name="libstdc++.so.6(GLIBCXX_3.4)"/>
+                       <dep name="liby2.so.2"/>
+                       <dep name="liby2storage.so.2"/>
+                       <dep name="libycp.so.2"/>
+                       <dep name="rpmlib(PayloadIsBzip2)" op="LE" version="3.0.5" release="1" pre="1"/>
+               </requires>
+       </deps>
+</package>
+<package>
+       <name>yast2-storage</name>
+       <summary>yast2-storage fix for crypt file creation</summary>
+       <description>This fixes the bug that creation of an encrypted file fails 
+silently in yast2 expert partitioner.
+</description>
+       <arch>x86_64</arch>
+       <version>2.13.68</version>
+       <release>0.2</release>
+       <filesize>552307</filesize>
+       <installedsize>2665751</installedsize>
+       <history>
+               <update>
+                       <arch>x86_64</arch>
+                       <epoch>0</epoch>
+                       <version>2.13.68</version>
+                       <release>0.2</release>
+                       <filename>yast2-storage-2.13.68-0.2.x86_64.rpm</filename>
+                       <filesize>552307</filesize>
+                       <installedsize>2665751</installedsize>
+                       <importance>recommended</importance>
+                       <description>no desc</description>
+               </update>
+       </history>
+       <deps>
+               <provides>
+                       <dep name="y2a_fdsk"/>
+                       <dep name="yast2-config-disk"/>
+                       <dep name="yast2-agent-fdisk"/>
+                       <dep name="yast2-agent-fdisk-devel"/>
+                       <dep name="yast2-trans-inst-partitioning"/>
+                       <dep name="y2t_inst-partitioning"/>
+                       <dep name="LibStorage.so()(64bit)"/>
+                       <dep name="libpy2StorageCallbacks.so.2()(64bit)"/>
+                       <dep name="perl(LibStorage)"/>
+                       <dep name="perl(LibStorage::ContainerInfo)"/>
+                       <dep name="perl(LibStorage::DiskInfo)"/>
+                       <dep name="perl(LibStorage::DmInfo)"/>
+                       <dep name="perl(LibStorage::EvmsCoInfo)"/>
+                       <dep name="perl(LibStorage::EvmsInfo)"/>
+                       <dep name="perl(LibStorage::FsCapabilities)"/>
+                       <dep name="perl(LibStorage::LoopInfo)"/>
+                       <dep name="perl(LibStorage::LvmLvInfo)"/>
+                       <dep name="perl(LibStorage::LvmVgInfo)"/>
+                       <dep name="perl(LibStorage::MdInfo)"/>
+                       <dep name="perl(LibStorage::PartitionInfo)"/>
+                       <dep name="perl(LibStorage::StorageInterface)"/>
+                       <dep name="perl(LibStorage::VolumeInfo)"/>
+                       <dep name="perl(LibStoragec)"/>
+                       <dep name="yast2-storage" op="EQ" version="2.13.68" release="0.2"/>
+               </provides>
+               <requires>
+                       <dep name="yast2"/>
+                       <dep name="parted"/>
+                       <dep name="yast2-installation"/>
+                       <dep name="yast2-storage-lib"/>
+                       <dep name="yast2-perl-bindings"/>
+                       <dep name="rpmlib(PayloadFilesHavePrefix)" op="LE" version="4.0" release="1" pre="1"/>
+                       <dep name="rpmlib(CompressedFileNames)" op="LE" version="3.0.4" release="1" pre="1"/>
+                       <dep name="/bin/bash"/>
+                       <dep name="libc.so.6()(64bit)"/>
+                       <dep name="libc.so.6(GLIBC_2.2.5)(64bit)"/>
+                       <dep name="libgcc_s.so.1()(64bit)"/>
+                       <dep name="libgcc_s.so.1(GCC_3.0)(64bit)"/>
+                       <dep name="libm.so.6()(64bit)"/>
+                       <dep name="libstdc++.so.6()(64bit)"/>
+                       <dep name="libstdc++.so.6(CXXABI_1.3)(64bit)"/>
+                       <dep name="libstdc++.so.6(GLIBCXX_3.4)(64bit)"/>
+                       <dep name="liby2.so.2()(64bit)"/>
+                       <dep name="liby2storage.so.2()(64bit)"/>
+                       <dep name="libycp.so.2()(64bit)"/>
+                       <dep name="rpmlib(PayloadIsBzip2)" op="LE" version="3.0.5" release="1" pre="1"/>
+               </requires>
+       </deps>
+</package>
+<package>
+       <name>yast2-storage-evms</name>
+       <summary>yast2-storage fix for crypt file creation</summary>
+       <description>This fixes the bug that creation of an encrypted file fails 
+silently in yast2 expert partitioner.
+</description>
+       <arch>i586</arch>
+       <version>2.13.68</version>
+       <release>0.2</release>
+       <filesize>115628</filesize>
+       <installedsize>117440</installedsize>
+       <history>
+               <update>
+                       <arch>i586</arch>
+                       <epoch>0</epoch>
+                       <version>2.13.68</version>
+                       <release>0.2</release>
+                       <filename>yast2-storage-evms-2.13.68-0.2.i586.rpm</filename>
+                       <filesize>115628</filesize>
+                       <installedsize>117440</installedsize>
+                       <importance>recommended</importance>
+                       <description>no desc</description>
+               </update>
+       </history>
+       <deps>
+               <provides>
+                       <dep name="yast2-storage-evms" op="EQ" version="2.13.68" release="0.2"/>
+               </provides>
+               <requires>
+                       <dep name="yast2-storage" op="EQ" version="2.13.68"/>
+                       <dep name="rpmlib(PayloadFilesHavePrefix)" op="LE" version="4.0" release="1" pre="1"/>
+                       <dep name="rpmlib(CompressedFileNames)" op="LE" version="3.0.4" release="1" pre="1"/>
+                       <dep name="libblocxx.so.4"/>
+                       <dep name="libc.so.6"/>
+                       <dep name="libc.so.6(GLIBC_2.0)"/>
+                       <dep name="libc.so.6(GLIBC_2.1.3)"/>
+                       <dep name="libc.so.6(GLIBC_2.2)"/>
+                       <dep name="libevms-2.5.so.0"/>
+                       <dep name="libevms-2.5.so.0(EVMS)"/>
+                       <dep name="libgcc_s.so.1"/>
+                       <dep name="libgcc_s.so.1(GCC_3.0)"/>
+                       <dep name="libgcc_s.so.1(GLIBC_2.0)"/>
+                       <dep name="libm.so.6"/>
+                       <dep name="libstdc++.so.6"/>
+                       <dep name="libstdc++.so.6(CXXABI_1.3)"/>
+                       <dep name="libstdc++.so.6(GLIBCXX_3.4)"/>
+                       <dep name="liby2storage.so.2"/>
+                       <dep name="rpmlib(PayloadIsBzip2)" op="LE" version="3.0.5" release="1" pre="1"/>
+               </requires>
+       </deps>
+</package>
+<package>
+       <name>yast2-storage-evms</name>
+       <summary>yast2-storage fix for crypt file creation</summary>
+       <description>This fixes the bug that creation of an encrypted file fails 
+silently in yast2 expert partitioner.
+</description>
+       <arch>ppc</arch>
+       <version>2.13.68</version>
+       <release>0.2</release>
+       <filesize>119711</filesize>
+       <installedsize>121644</installedsize>
+       <history>
+               <update>
+                       <arch>ppc</arch>
+                       <epoch>0</epoch>
+                       <version>2.13.68</version>
+                       <release>0.2</release>
+                       <filename>yast2-storage-evms-2.13.68-0.2.ppc.rpm</filename>
+                       <filesize>119711</filesize>
+                       <installedsize>121644</installedsize>
+                       <importance>recommended</importance>
+                       <description>no desc</description>
+               </update>
+       </history>
+       <deps>
+               <provides>
+                       <dep name="yast2-storage-evms" op="EQ" version="2.13.68" release="0.2"/>
+               </provides>
+               <requires>
+                       <dep name="yast2-storage" op="EQ" version="2.13.68"/>
+                       <dep name="rpmlib(PayloadFilesHavePrefix)" op="LE" version="4.0" release="1" pre="1"/>
+                       <dep name="rpmlib(CompressedFileNames)" op="LE" version="3.0.4" release="1" pre="1"/>
+                       <dep name="libblocxx.so.4"/>
+                       <dep name="libc.so.6"/>
+                       <dep name="libc.so.6(GLIBC_2.0)"/>
+                       <dep name="libc.so.6(GLIBC_2.1.3)"/>
+                       <dep name="libc.so.6(GLIBC_2.2)"/>
+                       <dep name="libevms-2.5.so.0"/>
+                       <dep name="libevms-2.5.so.0(EVMS)"/>
+                       <dep name="libgcc_s.so.1"/>
+                       <dep name="libgcc_s.so.1(GCC_3.0)"/>
+                       <dep name="libgcc_s.so.1(GLIBC_2.0)"/>
+                       <dep name="libm.so.6"/>
+                       <dep name="libstdc++.so.6"/>
+                       <dep name="libstdc++.so.6(CXXABI_1.3)"/>
+                       <dep name="libstdc++.so.6(GLIBCXX_3.4)"/>
+                       <dep name="liby2storage.so.2"/>
+                       <dep name="rpmlib(PayloadIsBzip2)" op="LE" version="3.0.5" release="1" pre="1"/>
+               </requires>
+       </deps>
+</package>
+<package>
+       <name>yast2-storage-evms</name>
+       <summary>yast2-storage fix for crypt file creation</summary>
+       <description>This fixes the bug that creation of an encrypted file fails 
+silently in yast2 expert partitioner.
+</description>
+       <arch>x86_64</arch>
+       <version>2.13.68</version>
+       <release>0.2</release>
+       <filesize>116856</filesize>
+       <installedsize>118992</installedsize>
+       <history>
+               <update>
+                       <arch>x86_64</arch>
+                       <epoch>0</epoch>
+                       <version>2.13.68</version>
+                       <release>0.2</release>
+                       <filename>yast2-storage-evms-2.13.68-0.2.x86_64.rpm</filename>
+                       <filesize>116856</filesize>
+                       <installedsize>118992</installedsize>
+                       <importance>recommended</importance>
+                       <description>no desc</description>
+               </update>
+       </history>
+       <deps>
+               <provides>
+                       <dep name="yast2-storage-evms" op="EQ" version="2.13.68" release="0.2"/>
+               </provides>
+               <requires>
+                       <dep name="yast2-storage" op="EQ" version="2.13.68"/>
+                       <dep name="rpmlib(PayloadFilesHavePrefix)" op="LE" version="4.0" release="1" pre="1"/>
+                       <dep name="rpmlib(CompressedFileNames)" op="LE" version="3.0.4" release="1" pre="1"/>
+                       <dep name="libblocxx.so.4()(64bit)"/>
+                       <dep name="libc.so.6()(64bit)"/>
+                       <dep name="libc.so.6(GLIBC_2.2.5)(64bit)"/>
+                       <dep name="libevms-2.5.so.0()(64bit)"/>
+                       <dep name="libevms-2.5.so.0(EVMS)(64bit)"/>
+                       <dep name="libgcc_s.so.1()(64bit)"/>
+                       <dep name="libgcc_s.so.1(GCC_3.0)(64bit)"/>
+                       <dep name="libm.so.6()(64bit)"/>
+                       <dep name="libstdc++.so.6()(64bit)"/>
+                       <dep name="libstdc++.so.6(CXXABI_1.3)(64bit)"/>
+                       <dep name="libstdc++.so.6(GLIBCXX_3.4)(64bit)"/>
+                       <dep name="liby2storage.so.2()(64bit)"/>
+                       <dep name="rpmlib(PayloadIsBzip2)" op="LE" version="3.0.5" release="1" pre="1"/>
+               </requires>
+       </deps>
+</package>
+</subchannel></channel>
+<channel><subchannel>
+
+<patch>
+       <name>yast2-sound</name>
+       <arch>noarch</arch>
+       <version>2134</version>
+       <release>0</release>
+       <requires>
+               <dep kind="atom" name="yast2-sound" epoch="0" version="2.13.11.1" release="0.2" op="EQ"/>
+       </requires>
+</patch>
+<atom>
+       <name>yast2-sound</name>
+       <arch>i586</arch>
+       <version>2.13.11.1</version>
+       <release>0.2</release>
+       <freshens>
+               <dep kind="package" name="yast2-sound"/>
+       </freshens>
+       <requires>
+               <dep kind="package" name="yast2-sound" epoch="0" version="2.13.11.1" release="0.2" op="GE"/>
+       </requires>
+</atom>
+<atom>
+       <name>yast2-sound</name>
+       <arch>ppc</arch>
+       <version>2.13.11.1</version>
+       <release>0.2</release>
+       <freshens>
+               <dep kind="package" name="yast2-sound"/>
+       </freshens>
+       <requires>
+               <dep kind="package" name="yast2-sound" epoch="0" version="2.13.11.1" release="0.2" op="GE"/>
+       </requires>
+</atom>
+<atom>
+       <name>yast2-sound</name>
+       <arch>x86_64</arch>
+       <version>2.13.11.1</version>
+       <release>0.2</release>
+       <freshens>
+               <dep kind="package" name="yast2-sound"/>
+       </freshens>
+       <requires>
+               <dep kind="package" name="yast2-sound" epoch="0" version="2.13.11.1" release="0.2" op="GE"/>
+       </requires>
+</atom>
+<package>
+       <name>yast2-sound</name>
+       <summary>yast2-sound: Fixed sound font installation in the yast sound configuration module</summary>
+       <description>This is o fix for the problem that the CD drive detection
+in the yast module was obsoleted, Yast could not detect the
+source drive for reading sound fonts (MIDI Sound Samples)
+properly.
+</description>
+       <arch>i586</arch>
+       <version>2.13.11.1</version>
+       <release>0.2</release>
+       <filesize>199549</filesize>
+       <installedsize>1047308</installedsize>
+       <history>
+               <update>
+                       <arch>i586</arch>
+                       <epoch>0</epoch>
+                       <version>2.13.11.1</version>
+                       <release>0.2</release>
+                       <filename>yast2-sound-2.13.11.1-0.2.i586.rpm</filename>
+                       <filesize>199549</filesize>
+                       <installedsize>1047308</installedsize>
+                       <importance>optional</importance>
+                       <description>no desc</description>
+               </update>
+       </history>
+       <deps>
+               <provides>
+                       <dep name="yast2-config-sound"/>
+                       <dep name="yast2-agent-audio"/>
+                       <dep name="yast2-agent-audio-devel"/>
+                       <dep name="yast2-trans-sound"/>
+                       <dep name="yast2-trans-soundd"/>
+                       <dep name="y2c_snd"/>
+                       <dep name="y2t_snd"/>
+                       <dep name="y2t_sndd"/>
+                       <dep name="y2c_sparc"/>
+                       <dep name="y2c_sprc"/>
+                       <dep name="yast2-db-sound"/>
+                       <dep name="y2d_snd"/>
+                       <dep name="libpy2ag_audio.so.2"/>
+                       <dep name="yast2-sound" op="EQ" version="2.13.11.1" release="0.2"/>
+               </provides>
+               <requires>
+                       <dep name="yast2"/>
+                       <dep name="alsa"/>
+                       <dep name="rpmlib(PayloadFilesHavePrefix)" op="LE" version="4.0" release="1" pre="1"/>
+                       <dep name="rpmlib(CompressedFileNames)" op="LE" version="3.0.4" release="1" pre="1"/>
+                       <dep name="/bin/bash"/>
+                       <dep name="libasound.so.2"/>
+                       <dep name="libasound.so.2(ALSA_0.9)"/>
+                       <dep name="libc.so.6"/>
+                       <dep name="libc.so.6(GLIBC_2.0)"/>
+                       <dep name="libc.so.6(GLIBC_2.1.3)"/>
+                       <dep name="libdl.so.2"/>
+                       <dep name="libgcc_s.so.1"/>
+                       <dep name="libgcc_s.so.1(GCC_3.0)"/>
+                       <dep name="libm.so.6"/>
+                       <dep name="libpthread.so.0"/>
+                       <dep name="libpthread.so.0(GLIBC_2.0)"/>
+                       <dep name="libscr.so.2"/>
+                       <dep name="libstdc++.so.6"/>
+                       <dep name="libstdc++.so.6(CXXABI_1.3)"/>
+                       <dep name="libstdc++.so.6(GLIBCXX_3.4)"/>
+                       <dep name="rpmlib(PayloadIsBzip2)" op="LE" version="3.0.5" release="1" pre="1"/>
+               </requires>
+       </deps>
+</package>
+<package>
+       <name>yast2-sound</name>
+       <summary>yast2-sound: Fixed sound font installation in the yast sound configuration module</summary>
+       <description>This is o fix for the problem that the CD drive detection
+in the yast module was obsoleted, Yast could not detect the
+source drive for reading sound fonts (MIDI Sound Samples)
+properly.
+</description>
+       <arch>ppc</arch>
+       <version>2.13.11.1</version>
+       <release>0.2</release>
+       <filesize>201914</filesize>
+       <installedsize>1052100</installedsize>
+       <history>
+               <update>
+                       <arch>ppc</arch>
+                       <epoch>0</epoch>
+                       <version>2.13.11.1</version>
+                       <release>0.2</release>
+                       <filename>yast2-sound-2.13.11.1-0.2.ppc.rpm</filename>
+                       <filesize>201914</filesize>
+                       <installedsize>1052100</installedsize>
+                       <importance>optional</importance>
+                       <description>no desc</description>
+               </update>
+       </history>
+       <deps>
+               <provides>
+                       <dep name="yast2-config-sound"/>
+                       <dep name="yast2-agent-audio"/>
+                       <dep name="yast2-agent-audio-devel"/>
+                       <dep name="yast2-trans-sound"/>
+                       <dep name="yast2-trans-soundd"/>
+                       <dep name="y2c_snd"/>
+                       <dep name="y2t_snd"/>
+                       <dep name="y2t_sndd"/>
+                       <dep name="y2c_sparc"/>
+                       <dep name="y2c_sprc"/>
+                       <dep name="yast2-db-sound"/>
+                       <dep name="y2d_snd"/>
+                       <dep name="libpy2ag_audio.so.2"/>
+                       <dep name="yast2-sound" op="EQ" version="2.13.11.1" release="0.2"/>
+               </provides>
+               <requires>
+                       <dep name="yast2"/>
+                       <dep name="alsa"/>
+                       <dep name="rpmlib(PayloadFilesHavePrefix)" op="LE" version="4.0" release="1" pre="1"/>
+                       <dep name="rpmlib(CompressedFileNames)" op="LE" version="3.0.4" release="1" pre="1"/>
+                       <dep name="/bin/bash"/>
+                       <dep name="libasound.so.2"/>
+                       <dep name="libasound.so.2(ALSA_0.9)"/>
+                       <dep name="libc.so.6"/>
+                       <dep name="libc.so.6(GLIBC_2.0)"/>
+                       <dep name="libc.so.6(GLIBC_2.1.3)"/>
+                       <dep name="libc.so.6(GLIBC_2.4)"/>
+                       <dep name="libdl.so.2"/>
+                       <dep name="libgcc_s.so.1"/>
+                       <dep name="libgcc_s.so.1(GCC_3.0)"/>
+                       <dep name="libm.so.6"/>
+                       <dep name="libpthread.so.0"/>
+                       <dep name="libpthread.so.0(GLIBC_2.0)"/>
+                       <dep name="libscr.so.2"/>
+                       <dep name="libstdc++.so.6"/>
+                       <dep name="libstdc++.so.6(CXXABI_1.3)"/>
+                       <dep name="libstdc++.so.6(GLIBCXX_3.4)"/>
+                       <dep name="rpmlib(PayloadIsBzip2)" op="LE" version="3.0.5" release="1" pre="1"/>
+               </requires>
+       </deps>
+</package>
+<package>
+       <name>yast2-sound</name>
+       <summary>yast2-sound: Fixed sound font installation in the yast sound configuration module</summary>
+       <description>This is o fix for the problem that the CD drive detection
+in the yast module was obsoleted, Yast could not detect the
+source drive for reading sound fonts (MIDI Sound Samples)
+properly.
+</description>
+       <arch>x86_64</arch>
+       <version>2.13.11.1</version>
+       <release>0.2</release>
+       <filesize>201440</filesize>
+       <installedsize>1053986</installedsize>
+       <history>
+               <update>
+                       <arch>x86_64</arch>
+                       <epoch>0</epoch>
+                       <version>2.13.11.1</version>
+                       <release>0.2</release>
+                       <filename>yast2-sound-2.13.11.1-0.2.x86_64.rpm</filename>
+                       <filesize>201440</filesize>
+                       <installedsize>1053986</installedsize>
+                       <importance>optional</importance>
+                       <description>no desc</description>
+               </update>
+       </history>
+       <deps>
+               <provides>
+                       <dep name="yast2-config-sound"/>
+                       <dep name="yast2-agent-audio"/>
+                       <dep name="yast2-agent-audio-devel"/>
+                       <dep name="yast2-trans-sound"/>
+                       <dep name="yast2-trans-soundd"/>
+                       <dep name="y2c_snd"/>
+                       <dep name="y2t_snd"/>
+                       <dep name="y2t_sndd"/>
+                       <dep name="y2c_sparc"/>
+                       <dep name="y2c_sprc"/>
+                       <dep name="yast2-db-sound"/>
+                       <dep name="y2d_snd"/>
+                       <dep name="libpy2ag_audio.so.2()(64bit)"/>
+                       <dep name="yast2-sound" op="EQ" version="2.13.11.1" release="0.2"/>
+               </provides>
+               <requires>
+                       <dep name="yast2"/>
+                       <dep name="alsa"/>
+                       <dep name="rpmlib(PayloadFilesHavePrefix)" op="LE" version="4.0" release="1" pre="1"/>
+                       <dep name="rpmlib(CompressedFileNames)" op="LE" version="3.0.4" release="1" pre="1"/>
+                       <dep name="/bin/bash"/>
+                       <dep name="libasound.so.2()(64bit)"/>
+                       <dep name="libasound.so.2(ALSA_0.9)(64bit)"/>
+                       <dep name="libc.so.6()(64bit)"/>
+                       <dep name="libc.so.6(GLIBC_2.2.5)(64bit)"/>
+                       <dep name="libdl.so.2()(64bit)"/>
+                       <dep name="libgcc_s.so.1()(64bit)"/>
+                       <dep name="libgcc_s.so.1(GCC_3.0)(64bit)"/>
+                       <dep name="libm.so.6()(64bit)"/>
+                       <dep name="libpthread.so.0()(64bit)"/>
+                       <dep name="libpthread.so.0(GLIBC_2.2.5)(64bit)"/>
+                       <dep name="libscr.so.2()(64bit)"/>
+                       <dep name="libstdc++.so.6()(64bit)"/>
+                       <dep name="libstdc++.so.6(CXXABI_1.3)(64bit)"/>
+                       <dep name="libstdc++.so.6(GLIBCXX_3.4)(64bit)"/>
+                       <dep name="rpmlib(PayloadIsBzip2)" op="LE" version="3.0.5" release="1" pre="1"/>
+               </requires>
+       </deps>
+</package>
+</subchannel></channel>
+<channel><subchannel>
+
+<patch>
+       <name>yast2-repair</name>
+       <arch>noarch</arch>
+       <version>1909</version>
+       <release>0</release>
+       <requires>
+               <dep kind="atom" name="yast2-repair" epoch="0" version="2.13.7" release="0.3" op="EQ"/>
+       </requires>
+</patch>
+<atom>
+       <name>yast2-repair</name>
+       <arch>noarch</arch>
+       <version>2.13.7</version>
+       <release>0.3</release>
+       <freshens>
+               <dep kind="package" name="yast2-repair"/>
+       </freshens>
+       <requires>
+               <dep kind="package" name="yast2-repair" epoch="0" version="2.13.7" release="0.3" op="GE"/>
+       </requires>
+</atom>
+<package>
+       <name>yast2-repair</name>
+       <summary>yast2-repair: Fixed adding obsolete /etc/fstab entries</summary>
+       <description>yast2-repair proposed adding entry for CD-ROM to
+/etc/fstab, but they are not used any more.
+</description>
+       <arch>noarch</arch>
+       <version>2.13.7</version>
+       <release>0.3</release>
+       <filesize>246778</filesize>
+       <installedsize>1936499</installedsize>
+       <history>
+               <update>
+                       <arch>noarch</arch>
+                       <epoch>0</epoch>
+                       <version>2.13.7</version>
+                       <release>0.3</release>
+                       <filename>yast2-repair-2.13.7-0.3.noarch.rpm</filename>
+                       <filesize>246778</filesize>
+                       <installedsize>1936499</installedsize>
+                       <importance>recommended</importance>
+                       <description>no desc</description>
+               </update>
+       </history>
+       <deps>
+               <provides>
+                       <dep name="yast2-repair" op="EQ" version="2.13.7" release="0.3"/>
+               </provides>
+               <requires>
+                       <dep name="yast2"/>
+                       <dep name="gpart"/>
+                       <dep name="reiserfs"/>
+                       <dep name="e2fsprogs"/>
+                       <dep name="yast2-bootloader"/>
+                       <dep name="yast2-storage"/>
+                       <dep name="rpmlib(PayloadFilesHavePrefix)" op="LE" version="4.0" release="1" pre="1"/>
+                       <dep name="rpmlib(CompressedFileNames)" op="LE" version="3.0.4" release="1" pre="1"/>
+                       <dep name="rpmlib(PayloadIsBzip2)" op="LE" version="3.0.5" release="1" pre="1"/>
+               </requires>
+       </deps>
+</package>
+</subchannel></channel>
+<channel><subchannel>
+
+<patch>
+       <name>yast2-printer</name>
+       <arch>noarch</arch>
+       <version>1972</version>
+       <release>0</release>
+       <requires>
+               <dep kind="atom" name="yast2-printer" epoch="0" version="2.13.19" release="1.3" op="EQ"/>
+       </requires>
+</patch>
+<atom>
+       <name>yast2-printer</name>
+       <arch>i586</arch>
+       <version>2.13.19</version>
+       <release>1.3</release>
+       <freshens>
+               <dep kind="package" name="yast2-printer"/>
+       </freshens>
+       <requires>
+               <dep kind="package" name="yast2-printer" epoch="0" version="2.13.19" release="1.3" op="GE"/>
+       </requires>
+</atom>
+<atom>
+       <name>yast2-printer</name>
+       <arch>ppc</arch>
+       <version>2.13.19</version>
+       <release>1.3</release>
+       <freshens>
+               <dep kind="package" name="yast2-printer"/>
+       </freshens>
+       <requires>
+               <dep kind="package" name="yast2-printer" epoch="0" version="2.13.19" release="1.3" op="GE"/>
+       </requires>
+</atom>
+<atom>
+       <name>yast2-printer</name>
+       <arch>x86_64</arch>
+       <version>2.13.19</version>
+       <release>1.3</release>
+       <freshens>
+               <dep kind="package" name="yast2-printer"/>
+       </freshens>
+       <requires>
+               <dep kind="package" name="yast2-printer" epoch="0" version="2.13.19" release="1.3" op="GE"/>
+       </requires>
+</atom>
+<package>
+       <name>yast2-printer</name>
+       <summary>Fix printer configuration writing</summary>
+       <description>When configured samba printer using authentication there
+was wrong characters writted. This patch fix that.
+</description>
+       <arch>i586</arch>
+       <version>2.13.19</version>
+       <release>1.3</release>
+       <filesize>660339</filesize>
+       <installedsize>3946792</installedsize>
+       <history>
+               <update>
+                       <arch>i586</arch>
+                       <epoch>0</epoch>
+                       <version>2.13.19</version>
+                       <release>1.3</release>
+                       <filename>yast2-printer-2.13.19-1.3.i586.rpm</filename>
+                       <filesize>660339</filesize>
+                       <installedsize>3946792</installedsize>
+                       <importance>recommended</importance>
+                       <description>no desc</description>
+               </update>
+       </history>
+       <deps>
+               <provides>
+                       <dep name="yast2-config-cups"/>
+                       <dep name="yast2-agent-printerdb"/>
+                       <dep name="yast2-agent-cups"/>
+                       <dep name="yast2-lib-printer"/>
+                       <dep name="yast2-config-printer"/>
+                       <dep name="y2c_cups"/>
+                       <dep name="y2c_prnt"/>
+                       <dep name="y2l_printer"/>
+                       <dep name="y2a_cups"/>
+                       <dep name="y2a_printerdb"/>
+                       <dep name="yast2-trans-printer"/>
+                       <dep name="yast2-trans-libprinter"/>
+                       <dep name="yast2-trans-printerdb"/>
+                       <dep name="yast2-trans-cups"/>
+                       <dep name="yast2-printerdb-devel"/>
+                       <dep name="yast2-cups-devel"/>
+                       <dep name="yast2-agent-cups-devel"/>
+                       <dep name="yast2-agent-printerdb-devel"/>
+                       <dep name="y2d_prnt"/>
+                       <dep name="y2t_prnt"/>
+                       <dep name="yast2-db-printer"/>
+                       <dep name="yast2-printerdb"/>
+                       <dep name="libpy2ag_cups.so.2"/>
+                       <dep name="libpy2ag_ppd.so.2"/>
+                       <dep name="yast2-printer" op="EQ" version="2.13.19" release="1.3"/>
+               </provides>
+               <requires>
+                       <dep name="yast2"/>
+                       <dep name="netcat"/>
+                       <dep name="zlib"/>
+                       <dep name="blocxx"/>
+                       <dep name="/usr/bin/host"/>
+                       <dep name="cups-libs"/>
+                       <dep name="rpmlib(PayloadFilesHavePrefix)" op="LE" version="4.0" release="1" pre="1"/>
+                       <dep name="rpmlib(CompressedFileNames)" op="LE" version="3.0.4" release="1" pre="1"/>
+                       <dep name="/bin/bash"/>
+                       <dep name="/usr/bin/perl"/>
+                       <dep name="libc.so.6"/>
+                       <dep name="libc.so.6(GLIBC_2.0)"/>
+                       <dep name="libc.so.6(GLIBC_2.1)"/>
+                       <dep name="libc.so.6(GLIBC_2.1.3)"/>
+                       <dep name="libc.so.6(GLIBC_2.3.2)"/>
+                       <dep name="libc.so.6(GLIBC_2.3.4)"/>
+                       <dep name="libcups.so.2"/>
+                       <dep name="libgcc_s.so.1"/>
+                       <dep name="libgcc_s.so.1(GCC_3.0)"/>
+                       <dep name="libm.so.6"/>
+                       <dep name="libscr.so.2"/>
+                       <dep name="libstdc++.so.6"/>
+                       <dep name="libstdc++.so.6(CXXABI_1.3)"/>
+                       <dep name="libstdc++.so.6(GLIBCXX_3.4)"/>
+                       <dep name="libz.so.1"/>
+                       <dep name="rpmlib(PayloadIsBzip2)" op="LE" version="3.0.5" release="1" pre="1"/>
+               </requires>
+       </deps>
+</package>
+<package>
+       <name>yast2-printer</name>
+       <summary>Fix printer configuration writing</summary>
+       <description>When configured samba printer using authentication there
+was wrong characters writted. This patch fix that.
+</description>
+       <arch>ppc</arch>
+       <version>2.13.19</version>
+       <release>1.3</release>
+       <filesize>655804</filesize>
+       <installedsize>3914256</installedsize>
+       <history>
+               <update>
+                       <arch>ppc</arch>
+                       <epoch>0</epoch>
+                       <version>2.13.19</version>
+                       <release>1.3</release>
+                       <filename>yast2-printer-2.13.19-1.3.ppc.rpm</filename>
+                       <filesize>655804</filesize>
+                       <installedsize>3914256</installedsize>
+                       <importance>recommended</importance>
+                       <description>no desc</description>
+               </update>
+       </history>
+       <deps>
+               <provides>
+                       <dep name="yast2-config-cups"/>
+                       <dep name="yast2-agent-printerdb"/>
+                       <dep name="yast2-agent-cups"/>
+                       <dep name="yast2-lib-printer"/>
+                       <dep name="yast2-config-printer"/>
+                       <dep name="y2c_cups"/>
+                       <dep name="y2c_prnt"/>
+                       <dep name="y2l_printer"/>
+                       <dep name="y2a_cups"/>
+                       <dep name="y2a_printerdb"/>
+                       <dep name="yast2-trans-printer"/>
+                       <dep name="yast2-trans-libprinter"/>
+                       <dep name="yast2-trans-printerdb"/>
+                       <dep name="yast2-trans-cups"/>
+                       <dep name="yast2-printerdb-devel"/>
+                       <dep name="yast2-cups-devel"/>
+                       <dep name="yast2-agent-cups-devel"/>
+                       <dep name="yast2-agent-printerdb-devel"/>
+                       <dep name="y2d_prnt"/>
+                       <dep name="y2t_prnt"/>
+                       <dep name="yast2-db-printer"/>
+                       <dep name="yast2-printerdb"/>
+                       <dep name="libpy2ag_cups.so.2"/>
+                       <dep name="libpy2ag_ppd.so.2"/>
+                       <dep name="yast2-printer" op="EQ" version="2.13.19" release="1.3"/>
+               </provides>
+               <requires>
+                       <dep name="yast2"/>
+                       <dep name="netcat"/>
+                       <dep name="zlib"/>
+                       <dep name="blocxx"/>
+                       <dep name="/usr/bin/host"/>
+                       <dep name="cups-libs"/>
+                       <dep name="rpmlib(PayloadFilesHavePrefix)" op="LE" version="4.0" release="1" pre="1"/>
+                       <dep name="rpmlib(CompressedFileNames)" op="LE" version="3.0.4" release="1" pre="1"/>
+                       <dep name="/bin/bash"/>
+                       <dep name="/usr/bin/perl"/>
+                       <dep name="libc.so.6"/>
+                       <dep name="libc.so.6(GLIBC_2.0)"/>
+                       <dep name="libc.so.6(GLIBC_2.1)"/>
+                       <dep name="libc.so.6(GLIBC_2.1.3)"/>
+                       <dep name="libc.so.6(GLIBC_2.3.2)"/>
+                       <dep name="libc.so.6(GLIBC_2.3.4)"/>
+                       <dep name="libc.so.6(GLIBC_2.4)"/>
+                       <dep name="libcups.so.2"/>
+                       <dep name="libgcc_s.so.1"/>
+                       <dep name="libgcc_s.so.1(GCC_3.0)"/>
+                       <dep name="libm.so.6"/>
+                       <dep name="libscr.so.2"/>
+                       <dep name="libstdc++.so.6"/>
+                       <dep name="libstdc++.so.6(CXXABI_1.3)"/>
+                       <dep name="libstdc++.so.6(GLIBCXX_3.4)"/>
+                       <dep name="libz.so.1"/>
+                       <dep name="rpmlib(PayloadIsBzip2)" op="LE" version="3.0.5" release="1" pre="1"/>
+               </requires>
+       </deps>
+</package>
+<package>
+       <name>yast2-printer</name>
+       <summary>Fix printer configuration writing</summary>
+       <description>When configured samba printer using authentication there
+was wrong characters writted. This patch fix that.
+</description>
+       <arch>x86_64</arch>
+       <version>2.13.19</version>
+       <release>1.3</release>
+       <filesize>667222</filesize>
+       <installedsize>3934975</installedsize>
+       <history>
+               <update>
+                       <arch>x86_64</arch>
+                       <epoch>0</epoch>
+                       <version>2.13.19</version>
+                       <release>1.3</release>
+                       <filename>yast2-printer-2.13.19-1.3.x86_64.rpm</filename>
+                       <filesize>667222</filesize>
+                       <installedsize>3934975</installedsize>
+                       <importance>recommended</importance>
+                       <description>no desc</description>
+               </update>
+       </history>
+       <deps>
+               <provides>
+                       <dep name="yast2-config-cups"/>
+                       <dep name="yast2-agent-printerdb"/>
+                       <dep name="yast2-agent-cups"/>
+                       <dep name="yast2-lib-printer"/>
+                       <dep name="yast2-config-printer"/>
+                       <dep name="y2c_cups"/>
+                       <dep name="y2c_prnt"/>
+                       <dep name="y2l_printer"/>
+                       <dep name="y2a_cups"/>
+                       <dep name="y2a_printerdb"/>
+                       <dep name="yast2-trans-printer"/>
+                       <dep name="yast2-trans-libprinter"/>
+                       <dep name="yast2-trans-printerdb"/>
+                       <dep name="yast2-trans-cups"/>
+                       <dep name="yast2-printerdb-devel"/>
+                       <dep name="yast2-cups-devel"/>
+                       <dep name="yast2-agent-cups-devel"/>
+                       <dep name="yast2-agent-printerdb-devel"/>
+                       <dep name="y2d_prnt"/>
+                       <dep name="y2t_prnt"/>
+                       <dep name="yast2-db-printer"/>
+                       <dep name="yast2-printerdb"/>
+                       <dep name="libpy2ag_cups.so.2()(64bit)"/>
+                       <dep name="libpy2ag_ppd.so.2()(64bit)"/>
+                       <dep name="yast2-printer" op="EQ" version="2.13.19" release="1.3"/>
+               </provides>
+               <requires>
+                       <dep name="yast2"/>
+                       <dep name="netcat"/>
+                       <dep name="zlib"/>
+                       <dep name="blocxx"/>
+                       <dep name="/usr/bin/host"/>
+                       <dep name="cups-libs"/>
+                       <dep name="rpmlib(PayloadFilesHavePrefix)" op="LE" version="4.0" release="1" pre="1"/>
+                       <dep name="rpmlib(CompressedFileNames)" op="LE" version="3.0.4" release="1" pre="1"/>
+                       <dep name="/bin/bash"/>
+                       <dep name="/usr/bin/perl"/>
+                       <dep name="libc.so.6()(64bit)"/>
+                       <dep name="libc.so.6(GLIBC_2.2.5)(64bit)"/>
+                       <dep name="libc.so.6(GLIBC_2.3.2)(64bit)"/>
+                       <dep name="libc.so.6(GLIBC_2.3.4)(64bit)"/>
+                       <dep name="libcups.so.2()(64bit)"/>
+                       <dep name="libgcc_s.so.1()(64bit)"/>
+                       <dep name="libgcc_s.so.1(GCC_3.0)(64bit)"/>
+                       <dep name="libm.so.6()(64bit)"/>
+                       <dep name="libscr.so.2()(64bit)"/>
+                       <dep name="libstdc++.so.6()(64bit)"/>
+                       <dep name="libstdc++.so.6(CXXABI_1.3)(64bit)"/>
+                       <dep name="libstdc++.so.6(GLIBCXX_3.4)(64bit)"/>
+                       <dep name="libz.so.1()(64bit)"/>
+                       <dep name="rpmlib(PayloadIsBzip2)" op="LE" version="3.0.5" release="1" pre="1"/>
+               </requires>
+       </deps>
+</package>
+</subchannel></channel>
+<channel><subchannel>
+
+<patch>
+       <name>yast2-online-update</name>
+       <arch>noarch</arch>
+       <version>1668</version>
+       <release>0</release>
+       <requires>
+               <dep kind="atom" name="yast2-online-update" epoch="0" version="2.13.42" release="1.2" op="EQ"/>
+       </requires>
+</patch>
+<atom>
+       <name>yast2-online-update</name>
+       <arch>noarch</arch>
+       <version>2.13.42</version>
+       <release>1.2</release>
+       <freshens>
+               <dep kind="package" name="yast2-online-update"/>
+       </freshens>
+       <requires>
+               <dep kind="package" name="yast2-online-update" epoch="0" version="2.13.42" release="1.2" op="GE"/>
+       </requires>
+</atom>
+<package>
+       <name>yast2-online-update</name>
+       <summary>yast2-online-update: Restart YOU in installation workflow.</summary>
+       <description>After applying libzypp patch during installation, 
+online-update did not restarted, so they was not a chance 
+to install any other patch. This update fixes the problem.
+</description>
+       <arch>noarch</arch>
+       <version>2.13.42</version>
+       <release>1.2</release>
+       <filesize>67895</filesize>
+       <installedsize>240791</installedsize>
+       <history>
+               <update>
+                       <arch>noarch</arch>
+                       <epoch>0</epoch>
+                       <version>2.13.42</version>
+                       <release>1.2</release>
+                       <filename>yast2-online-update-2.13.42-1.2.noarch.rpm</filename>
+                       <filesize>67895</filesize>
+                       <installedsize>240791</installedsize>
+                       <importance>recommended</importance>
+                       <description>no desc</description>
+               </update>
+       </history>
+       <deps>
+               <provides>
+                       <dep name="y2c_online_update"/>
+                       <dep name="yast2-config-online-update"/>
+                       <dep name="yast2-trans-online-update"/>
+                       <dep name="y2t_online_update"/>
+                       <dep name="yast2-online-update" op="EQ" version="2.13.42" release="1.2"/>
+               </provides>
+               <requires>
+                       <dep name="grep" pre="1"/>
+                       <dep name="sed" pre="1"/>
+                       <dep name="yast2"/>
+                       <dep name="/bin/sh" pre="1"/>
+                       <dep name="rpmlib(PayloadFilesHavePrefix)" op="LE" version="4.0" release="1" pre="1"/>
+                       <dep name="rpmlib(CompressedFileNames)" op="LE" version="3.0.4" release="1" pre="1"/>
+                       <dep name="rpmlib(PayloadIsBzip2)" op="LE" version="3.0.5" release="1" pre="1"/>
+               </requires>
+       </deps>
+</package>
+</subchannel></channel>
+<channel><subchannel>
+
+<patch>
+       <name>yast2-backup</name>
+       <arch>noarch</arch>
+       <version>1865</version>
+       <release>0</release>
+       <requires>
+               <dep kind="atom" name="yast2-backup" epoch="0" version="2.13.2" release="3.3" op="EQ"/>
+       </requires>
+</patch>
+<atom>
+       <name>yast2-backup</name>
+       <arch>noarch</arch>
+       <version>2.13.2</version>
+       <release>3.3</release>
+       <freshens>
+               <dep kind="package" name="yast2-backup"/>
+       </freshens>
+       <requires>
+               <dep kind="package" name="yast2-backup" epoch="0" version="2.13.2" release="3.3" op="GE"/>
+       </requires>
+</atom>
+<package>
+       <name>yast2-backup</name>
+       <summary>yast2-backup: Fixed UI problems, fixed handling of exceptions in /bin/df calls.</summary>
+       <description>There were some UI problems, e.g., filenames or package
+names cut off when the backup tool was reporting its
+progress. These dialogs were fixed to display the full
+information. Exceptions of calling /bin/df were also fixed,
+e.g., a missing /bin/df binary.
+</description>
+       <arch>noarch</arch>
+       <version>2.13.2</version>
+       <release>3.3</release>
+       <filesize>163569</filesize>
+       <installedsize>693213</installedsize>
+       <history>
+               <update>
+                       <arch>noarch</arch>
+                       <epoch>0</epoch>
+                       <version>2.13.2</version>
+                       <release>3.3</release>
+                       <filename>yast2-backup-2.13.2-3.3.noarch.rpm</filename>
+                       <filesize>163569</filesize>
+                       <installedsize>693213</installedsize>
+                       <importance>recommended</importance>
+                       <description>no desc</description>
+               </update>
+       </history>
+       <deps>
+               <provides>
+                       <dep name="yast2-module-backup"/>
+                       <dep name="yast2-trans-backup"/>
+                       <dep name="yast2-backup" op="EQ" version="2.13.2" release="3.3"/>
+               </provides>
+               <requires>
+                       <dep name="yast2"/>
+                       <dep name="yast2-core"/>
+                       <dep name="autoyast2-installation"/>
+                       <dep name="perl"/>
+                       <dep name="util-linux"/>
+                       <dep name="fileutils"/>
+                       <dep name="e2fsprogs"/>
+                       <dep name="tar"/>
+                       <dep name="bzip2"/>
+                       <dep name="gzip"/>
+                       <dep name="yast2-network"/>
+                       <dep name="coreutils"/>
+                       <dep name="yast2-tune"/>
+                       <dep name="yast2-storage"/>
+                       <dep name="yast2-nfs-client"/>
+                       <dep name="yast2-update"/>
+                       <dep name="rpmlib(PayloadFilesHavePrefix)" op="LE" version="4.0" release="1" pre="1"/>
+                       <dep name="rpmlib(CompressedFileNames)" op="LE" version="3.0.4" release="1" pre="1"/>
+                       <dep name="/bin/bash"/>
+                       <dep name="/usr/bin/perl"/>
+                       <dep name="rpmlib(PayloadIsBzip2)" op="LE" version="3.0.5" release="1" pre="1"/>
+               </requires>
+       </deps>
+</package>
+</subchannel></channel>
+<channel><subchannel>
+
+<patch>
+       <name>xv</name>
+       <arch>noarch</arch>
+       <version>1448</version>
+       <release>0</release>
+       <requires>
+               <dep kind="atom" name="xv" epoch="0" version="3.10a" release="1091.2" op="EQ"/>
+       </requires>
+</patch>
+<atom>
+       <name>xv</name>
+       <arch>i586</arch>
+       <version>3.10a</version>
+       <release>1091.2</release>
+       <freshens>
+               <dep kind="package" name="xv"/>
+       </freshens>
+       <requires>
+               <dep kind="package" name="xv" epoch="0" version="3.10a" release="1091.2" op="GE"/>
+       </requires>
+</atom>
+<atom>
+       <name>xv</name>
+       <arch>ppc</arch>
+       <version>3.10a</version>
+       <release>1091.2</release>
+       <freshens>
+               <dep kind="package" name="xv"/>
+       </freshens>
+       <requires>
+               <dep kind="package" name="xv" epoch="0" version="3.10a" release="1091.2" op="GE"/>
+       </requires>
+</atom>
+<atom>
+       <name>xv</name>
+       <arch>x86_64</arch>
+       <version>3.10a</version>
+       <release>1091.2</release>
+       <freshens>
+               <dep kind="package" name="xv"/>
+       </freshens>
+       <requires>
+               <dep kind="package" name="xv" epoch="0" version="3.10a" release="1091.2" op="GE"/>
+       </requires>
+</atom>
+<package>
+       <name>xv</name>
+       <summary>XV can not grab in KDE</summary>
+       <description>XV can not grab a window in KDE if numeric keypad is active 
+which is the default.
+</description>
+       <arch>i586</arch>
+       <version>3.10a</version>
+       <release>1091.2</release>
+       <filesize>1246170</filesize>
+       <installedsize>5456752</installedsize>
+       <history>
+               <update>
+                       <arch>i586</arch>
+                       <epoch>0</epoch>
+                       <version>3.10a</version>
+                       <release>1091.2</release>
+                       <filename>xv-3.10a-1091.2.i586.rpm</filename>
+                       <filesize>1246170</filesize>
+                       <installedsize>5456752</installedsize>
+                       <importance>recommended</importance>
+                       <description>no desc</description>
+               </update>
+       </history>
+       <deps>
+               <provides>
+                       <dep name="xv300"/>
+                       <dep name="xv" op="EQ" version="3.10a" release="1091.2"/>
+               </provides>
+               <requires>
+                       <dep name="rpmlib(PayloadFilesHavePrefix)" op="LE" version="4.0" release="1" pre="1"/>
+                       <dep name="rpmlib(CompressedFileNames)" op="LE" version="3.0.4" release="1" pre="1"/>
+                       <dep name="/bin/sh"/>
+                       <dep name="libX11.so.6"/>
+                       <dep name="libXext.so.6"/>
+                       <dep name="libc.so.6"/>
+                       <dep name="libc.so.6(GLIBC_2.0)"/>
+                       <dep name="libc.so.6(GLIBC_2.1)"/>
+                       <dep name="libc.so.6(GLIBC_2.2)"/>
+                       <dep name="libc.so.6(GLIBC_2.3)"/>
+                       <dep name="libc.so.6(GLIBC_2.3.4)"/>
+                       <dep name="libc.so.6(GLIBC_2.4)"/>
+                       <dep name="libjpeg.so.62"/>
+                       <dep name="libm.so.6"/>
+                       <dep name="libm.so.6(GLIBC_2.0)"/>
+                       <dep name="libpng.so.3"/>
+                       <dep name="libtiff.so.3"/>
+                       <dep name="libz.so.1"/>
+                       <dep name="rpmlib(PayloadIsBzip2)" op="LE" version="3.0.5" release="1" pre="1"/>
+               </requires>
+       </deps>
+</package>
+<package>
+       <name>xv</name>
+       <summary>XV can not grab in KDE</summary>
+       <description>XV can not grab a window in KDE if numeric keypad is active 
+which is the default.
+</description>
+       <arch>ppc</arch>
+       <version>3.10a</version>
+       <release>1091.2</release>
+       <filesize>1283310</filesize>
+       <installedsize>5486428</installedsize>
+       <history>
+               <update>
+                       <arch>ppc</arch>
+                       <epoch>0</epoch>
+                       <version>3.10a</version>
+                       <release>1091.2</release>
+                       <filename>xv-3.10a-1091.2.ppc.rpm</filename>
+                       <filesize>1283310</filesize>
+                       <installedsize>5486428</installedsize>
+                       <importance>recommended</importance>
+                       <description>no desc</description>
+               </update>
+       </history>
+       <deps>
+               <provides>
+                       <dep name="xv300"/>
+                       <dep name="xv" op="EQ" version="3.10a" release="1091.2"/>
+               </provides>
+               <requires>
+                       <dep name="rpmlib(PayloadFilesHavePrefix)" op="LE" version="4.0" release="1" pre="1"/>
+                       <dep name="rpmlib(CompressedFileNames)" op="LE" version="3.0.4" release="1" pre="1"/>
+                       <dep name="/bin/sh"/>
+                       <dep name="libX11.so.6"/>
+                       <dep name="libXext.so.6"/>
+                       <dep name="libc.so.6"/>
+                       <dep name="libc.so.6(GLIBC_2.0)"/>
+                       <dep name="libc.so.6(GLIBC_2.1)"/>
+                       <dep name="libc.so.6(GLIBC_2.2)"/>
+                       <dep name="libc.so.6(GLIBC_2.3)"/>
+                       <dep name="libc.so.6(GLIBC_2.3.4)"/>
+                       <dep name="libc.so.6(GLIBC_2.4)"/>
+                       <dep name="libjpeg.so.62"/>
+                       <dep name="libm.so.6"/>
+                       <dep name="libm.so.6(GLIBC_2.0)"/>
+                       <dep name="libpng.so.3"/>
+                       <dep name="libtiff.so.3"/>
+                       <dep name="libz.so.1"/>
+                       <dep name="rpmlib(PayloadIsBzip2)" op="LE" version="3.0.5" release="1" pre="1"/>
+               </requires>
+       </deps>
+</package>
+<package>
+       <name>xv</name>
+       <summary>XV can not grab in KDE</summary>
+       <description>XV can not grab a window in KDE if numeric keypad is active 
+which is the default.
+</description>
+       <arch>x86_64</arch>
+       <version>3.10a</version>
+       <release>1091.2</release>
+       <filesize>1299757</filesize>
+       <installedsize>5471108</installedsize>
+       <history>
+               <update>
+                       <arch>x86_64</arch>
+                       <epoch>0</epoch>
+                       <version>3.10a</version>
+                       <release>1091.2</release>
+                       <filename>xv-3.10a-1091.2.x86_64.rpm</filename>
+                       <filesize>1299757</filesize>
+                       <installedsize>5471108</installedsize>
+                       <importance>recommended</importance>
+                       <description>no desc</description>
+               </update>
+       </history>
+       <deps>
+               <provides>
+                       <dep name="xv300"/>
+                       <dep name="xv" op="EQ" version="3.10a" release="1091.2"/>
+               </provides>
+               <requires>
+                       <dep name="rpmlib(PayloadFilesHavePrefix)" op="LE" version="4.0" release="1" pre="1"/>
+                       <dep name="rpmlib(CompressedFileNames)" op="LE" version="3.0.4" release="1" pre="1"/>
+                       <dep name="/bin/sh"/>
+                       <dep name="libX11.so.6()(64bit)"/>
+                       <dep name="libXext.so.6()(64bit)"/>
+                       <dep name="libc.so.6()(64bit)"/>
+                       <dep name="libc.so.6(GLIBC_2.2.5)(64bit)"/>
+                       <dep name="libc.so.6(GLIBC_2.3)(64bit)"/>
+                       <dep name="libc.so.6(GLIBC_2.3.4)(64bit)"/>
+                       <dep name="libc.so.6(GLIBC_2.4)(64bit)"/>
+                       <dep name="libjpeg.so.62()(64bit)"/>
+                       <dep name="libm.so.6()(64bit)"/>
+                       <dep name="libm.so.6(GLIBC_2.2.5)(64bit)"/>
+                       <dep name="libpng.so.3()(64bit)"/>
+                       <dep name="libtiff.so.3()(64bit)"/>
+                       <dep name="libz.so.1()(64bit)"/>
+                       <dep name="rpmlib(PayloadIsBzip2)" op="LE" version="3.0.5" release="1" pre="1"/>
+               </requires>
+       </deps>
+</package>
+</subchannel></channel>
+<channel><subchannel>
+
+<patch>
+       <name>xsp</name>
+       <arch>noarch</arch>
+       <version>1320</version>
+       <release>0</release>
+       <requires>
+               <dep kind="atom" name="xsp" epoch="0" version="1.1.13.7" release="4" op="EQ"/>
+       </requires>
+</patch>
+<atom>
+       <name>xsp</name>
+       <arch>noarch</arch>
+       <version>1.1.13.7</version>
+       <release>4</release>
+       <freshens>
+               <dep kind="package" name="xsp"/>
+       </freshens>
+       <requires>
+               <dep kind="package" name="xsp" epoch="0" version="1.1.13.7" release="4" op="GE"/>
+       </requires>
+</atom>
+<package>
+       <name>xsp</name>
+       <summary>xsp security update</summary>
+       <description>Insufficient path checks allowed to access arbitrary files
+via relative path names in the HTTP request. The affected
+code is used by mod_mono.
+</description>
+       <arch>noarch</arch>
+       <version>1.1.13.7</version>
+       <release>4</release>
+       <filesize>140054</filesize>
+       <installedsize>434310</installedsize>
+       <history>
+               <update>
+                       <arch>noarch</arch>
+                       <epoch>0</epoch>
+                       <version>1.1.13.7</version>
+                       <release>4</release>
+                       <filename>xsp-1.1.13.7-4.noarch.rpm</filename>
+                       <filesize>140054</filesize>
+                       <installedsize>434310</installedsize>
+                       <importance>security</importance>
+                       <description>no desc</description>
+               </update>
+       </history>
+       <deps>
+               <provides>
+                       <dep name="xsp" op="EQ" version="1.1.13.7" release="4"/>
+               </provides>
+               <requires>
+                       <dep name="gnome-filesystem"/>
+                       <dep name="rpmlib(PayloadFilesHavePrefix)" op="LE" version="4.0" release="1" pre="1"/>
+                       <dep name="rpmlib(CompressedFileNames)" op="LE" version="3.0.4" release="1" pre="1"/>
+                       <dep name="/bin/sh"/>
+                       <dep name="rpmlib(PayloadIsBzip2)" op="LE" version="3.0.5" release="1" pre="1"/>
+               </requires>
+       </deps>
+</package>
+</subchannel></channel>
+<channel><subchannel>
+
+<patch>
+       <name>xorg-x11-server</name>
+       <arch>noarch</arch>
+       <version>2056</version>
+       <release>0</release>
+       <requires>
+               <dep kind="atom" name="xorg-x11-server" epoch="0" version="6.9.0" release="50.24" op="EQ"/>
+       </requires>
+</patch>
+<atom>
+       <name>xorg-x11-server</name>
+       <arch>i586</arch>
+       <version>6.9.0</version>
+       <release>50.24</release>
+       <freshens>
+               <dep kind="package" name="xorg-x11-server"/>
+       </freshens>
+       <requires>
+               <dep kind="package" name="xorg-x11-server" epoch="0" version="6.9.0" release="50.24" op="GE"/>
+       </requires>
+</atom>
+<atom>
+       <name>xorg-x11-server</name>
+       <arch>ppc</arch>
+       <version>6.9.0</version>
+       <release>50.24</release>
+       <freshens>
+               <dep kind="package" name="xorg-x11-server"/>
+       </freshens>
+       <requires>
+               <dep kind="package" name="xorg-x11-server" epoch="0" version="6.9.0" release="50.24" op="GE"/>
+       </requires>
+</atom>
+<atom>
+       <name>xorg-x11-server</name>
+       <arch>x86_64</arch>
+       <version>6.9.0</version>
+       <release>50.24</release>
+       <freshens>
+               <dep kind="package" name="xorg-x11-server"/>
+       </freshens>
+       <requires>
+               <dep kind="package" name="xorg-x11-server" epoch="0" version="6.9.0" release="50.24" op="GE"/>
+       </requires>
+</atom>
+<package>
+       <name>xorg-x11-server</name>
+       <summary>xorg-x11-server: Fix for integer overflow vulnerability</summary>
+       <description>This update fixes an integer overflow vulnerability when
+rendering CID-keyed fonts (CVE-2006-3739/CVE-2006-3740).
+</description>
+       <arch>i586</arch>
+       <version>6.9.0</version>
+       <release>50.24</release>
+       <filesize>3228726</filesize>
+       <installedsize>8056112</installedsize>
+       <history>
+               <update>
+                       <arch>i586</arch>
+                       <epoch>0</epoch>
+                       <version>6.9.0</version>
+                       <release>50.24</release>
+                       <filename>xorg-x11-server-6.9.0-50.24.i586.rpm</filename>
+                       <filesize>3228726</filesize>
+                       <installedsize>8056112</installedsize>
+                       <importance>security</importance>
+                       <description>no desc</description>
+               </update>
+       </history>
+       <deps>
+               <provides>
+                       <dep name="XFree86-server"/>
+                       <dep name="acecad_drv.so"/>
+                       <dep name="aiptek_drv.so"/>
+                       <dep name="apm_drv.so"/>
+                       <dep name="ark_drv.so"/>
+                       <dep name="bt829_drv.so"/>
+                       <dep name="calcomp_drv.so"/>
+                       <dep name="chips_drv.so"/>
+                       <dep name="cirrus_alpine.so"/>
+                       <dep name="cirrus_drv.so"/>
+                       <dep name="cirrus_laguna.so"/>
+                       <dep name="citron_drv.so"/>
+                       <dep name="cyrix_drv.so"/>
+                       <dep name="digitaledge_drv.so"/>
+                       <dep name="dmc_drv.so"/>
+                       <dep name="dummy_drv.so"/>
+                       <dep name="dynapro_drv.so"/>
+                       <dep name="elographics_drv.so"/>
+                       <dep name="evdev_drv.so"/>
+                       <dep name="fbdev_drv.so"/>
+                       <dep name="fi1236_drv.so"/>
+                       <dep name="fpit_drv.so"/>
+                       <dep name="glint_drv.so"/>
+                       <dep name="hyperpen_drv.so"/>
+                       <dep name="i128_drv.so"/>
+                       <dep name="i740_drv.so"/>
+                       <dep name="imstt_drv.so"/>
+                       <dep name="js_x_drv.so"/>
+                       <dep name="kbd_drv.so"/>
+                       <dep name="keyboard_drv.so"/>
+                       <dep name="libafb.so"/>
+                       <dep name="libbitmap.so"/>
+                       <dep name="libcfb.so"/>
+                       <dep name="libcfb16.so"/>
+                       <dep name="libcfb32.so"/>
+                       <dep name="libdbe.so"/>
+                       <dep name="libddc.so"/>
+                       <dep name="libdri.so"/>
+                       <dep name="libdrm.so"/>
+                       <dep name="libexa.so"/>
+                       <dep name="libextmod.so"/>
+                       <dep name="libfb.so"/>
+                       <dep name="libfbdevhw.so"/>
+                       <dep name="libfreetype.so"/>
+                       <dep name="libi2c.so"/>
+                       <dep name="libint10.so"/>
+                       <dep name="liblayer.so"/>
+                       <dep name="libmfb.so"/>
+                       <dep name="libpcidata.so"/>
+                       <dep name="librac.so"/>
+                       <dep name="libramdac.so"/>
+                       <dep name="librecord.so"/>
+                       <dep name="libscanpci.so"/>
+                       <dep name="libshadow.so"/>
+                       <dep name="libshadowfb.so"/>
+                       <dep name="libtype1.so"/>
+                       <dep name="libvbe.so"/>
+                       <dep name="libvgahw.so"/>
+                       <dep name="libxaa.so"/>
+                       <dep name="libxf1bpp.so"/>
+                       <dep name="libxf4bpp.so"/>
+                       <dep name="libxf8_16bpp.so"/>
+                       <dep name="libxf8_32bpp.so"/>
+                       <dep name="libxtrap.so"/>
+                       <dep name="magellan_drv.so"/>
+                       <dep name="microtouch_drv.so"/>
+                       <dep name="mouse_drv.so"/>
+                       <dep name="msp3430_drv.so"/>
+                       <dep name="mutouch_drv.so"/>
+                       <dep name="neomagic_drv.so"/>
+                       <dep name="nsc_drv.so"/>
+                       <dep name="palmax_drv.so"/>
+                       <dep name="penmount_drv.so"/>
+                       <dep name="rendition_drv.so"/>
+                       <dep name="s3_drv.so"/>
+                       <dep name="s3virge_drv.so"/>
+                       <dep name="savage_drv.so"/>
+                       <dep name="siliconmotion_drv.so"/>
+                       <dep name="sisusb_drv.so"/>
+                       <dep name="spaceorb_drv.so"/>
+                       <dep name="summa_drv.so"/>
+                       <dep name="tda8425_drv.so"/>
+                       <dep name="tda9850_drv.so"/>
+                       <dep name="tda9885_drv.so"/>
+                       <dep name="tdfx_drv.so"/>
+                       <dep name="tek4957_drv.so"/>
+                       <dep name="tga_drv.so"/>
+                       <dep name="trident_drv.so"/>
+                       <dep name="tseng_drv.so"/>
+                       <dep name="uda1380_drv.so"/>
+                       <dep name="ur98_drv.so"/>
+                       <dep name="v4l_drv.so"/>
+                       <dep name="vesa_drv.so"/>
+                       <dep name="vga_drv.so"/>
+                       <dep name="vmware_drv.so"/>
+                       <dep name="vnc.so"/>
+                       <dep name="void_drv.so"/>
+                       <dep name="xorg-x11-server" op="EQ" version="6.9.0" release="50.24"/>
+               </provides>
+               <requires>
+                       <dep name="xorg-x11-server-glx" pre="1"/>
+                       <dep name="/bin/rm" pre="1"/>
+                       <dep name="/bin/ln" pre="1"/>
+                       <dep name="/usr/bin/readlink" pre="1"/>
+                       <dep name="/bin/mv" pre="1"/>
+                       <dep name="/bin/cp" pre="1"/>
+                       <dep name="/bin/cat" pre="1"/>
+                       <dep name="/usr/bin/tr" pre="1"/>
+                       <dep name="xorg-x11"/>
+                       <dep name="/bin/sh"/>
+                       <dep name="/bin/sh" pre="1"/>
+                       <dep name="rpmlib(PayloadFilesHavePrefix)" op="LE" version="4.0" release="1" pre="1"/>
+                       <dep name="rpmlib(CompressedFileNames)" op="LE" version="3.0.4" release="1" pre="1"/>
+                       <dep name="libX11.so.6"/>
+                       <dep name="libXau.so.6"/>
+                       <dep name="libXdmcp.so.6"/>
+                       <dep name="libc.so.6"/>
+                       <dep name="libc.so.6(GLIBC_2.0)"/>
+                       <dep name="libc.so.6(GLIBC_2.1)"/>
+                       <dep name="libc.so.6(GLIBC_2.2)"/>
+                       <dep name="libc.so.6(GLIBC_2.3)"/>
+                       <dep name="libc.so.6(GLIBC_2.3.4)"/>
+                       <dep name="libcrypt.so.1"/>
+                       <dep name="libcrypt.so.1(GLIBC_2.0)"/>
+                       <dep name="libdl.so.2"/>
+                       <dep name="libdl.so.2(GLIBC_2.0)"/>
+                       <dep name="libdl.so.2(GLIBC_2.1)"/>
+                       <dep name="libfreetype.so.6"/>
+                       <dep name="libgcc_s.so.1"/>
+                       <dep name="libgcc_s.so.1(GCC_3.0)"/>
+                       <dep name="libgcc_s.so.1(GLIBC_2.0)"/>
+                       <dep name="libjpeg.so.62"/>
+                       <dep name="libm.so.6"/>
+                       <dep name="libm.so.6(GLIBC_2.0)"/>
+                       <dep name="libresmgr.so.1"/>
+                       <dep name="libusb-0.1.so.4"/>
+                       <dep name="libxkbfile.so.1"/>
+                       <dep name="libz.so.1"/>
+                       <dep name="rpmlib(PayloadIsBzip2)" op="LE" version="3.0.5" release="1" pre="1"/>
+               </requires>
+       </deps>
+</package>
+<package>
+       <name>xorg-x11-server</name>
+       <summary>xorg-x11-server: Fix for integer overflow vulnerability</summary>
+       <description>This update fixes an integer overflow vulnerability when
+rendering CID-keyed fonts (CVE-2006-3739/CVE-2006-3740).
+</description>
+       <arch>ppc</arch>
+       <version>6.9.0</version>
+       <release>50.24</release>
+       <filesize>2955339</filesize>
+       <installedsize>8089184</installedsize>
+       <history>
+               <update>
+                       <arch>ppc</arch>
+                       <epoch>0</epoch>
+                       <version>6.9.0</version>
+                       <release>50.24</release>
+                       <filename>xorg-x11-server-6.9.0-50.24.ppc.rpm</filename>
+                       <filesize>2955339</filesize>
+                       <installedsize>8089184</installedsize>
+                       <importance>security</importance>
+                       <description>no desc</description>
+               </update>
+       </history>
+       <deps>
+               <provides>
+                       <dep name="XFree86-server"/>
+                       <dep name="acecad_drv.so"/>
+                       <dep name="aiptek_drv.so"/>
+                       <dep name="bt829_drv.so"/>
+                       <dep name="calcomp_drv.so"/>
+                       <dep name="chips_drv.so"/>
+                       <dep name="citron_drv.so"/>
+                       <dep name="digitaledge_drv.so"/>
+                       <dep name="dmc_drv.so"/>
+                       <dep name="dummy_drv.so"/>
+                       <dep name="dynapro_drv.so"/>
+                       <dep name="elographics_drv.so"/>
+                       <dep name="evdev_drv.so"/>
+                       <dep name="fbdev_drv.so"/>
+                       <dep name="fi1236_drv.so"/>
+                       <dep name="fpit_drv.so"/>
+                       <dep name="glint_drv.so"/>
+                       <dep name="hyperpen_drv.so"/>
+                       <dep name="js_x_drv.so"/>
+                       <dep name="kbd_drv.so"/>
+                       <dep name="keyboard_drv.so"/>
+                       <dep name="libafb.so"/>
+                       <dep name="libbitmap.so"/>
+                       <dep name="libcfb.so"/>
+                       <dep name="libcfb16.so"/>
+                       <dep name="libcfb32.so"/>
+                       <dep name="libdbe.so"/>
+                       <dep name="libddc.so"/>
+                       <dep name="libdri.so"/>
+                       <dep name="libdrm.so"/>
+                       <dep name="libexa.so"/>
+                       <dep name="libextmod.so"/>
+                       <dep name="libfb.so"/>
+                       <dep name="libfbdevhw.so"/>
+                       <dep name="libfreetype.so"/>
+                       <dep name="libi2c.so"/>
+                       <dep name="libint10.so"/>
+                       <dep name="liblayer.so"/>
+                       <dep name="libmfb.so"/>
+                       <dep name="libpcidata.so"/>
+                       <dep name="librac.so"/>
+                       <dep name="libramdac.so"/>
+                       <dep name="librecord.so"/>
+                       <dep name="libscanpci.so"/>
+                       <dep name="libshadow.so"/>
+                       <dep name="libshadowfb.so"/>
+                       <dep name="libtype1.so"/>
+                       <dep name="libvbe.so"/>
+                       <dep name="libvgahw.so"/>
+                       <dep name="libxaa.so"/>
+                       <dep name="libxf1bpp.so"/>
+                       <dep name="libxf4bpp.so"/>
+                       <dep name="libxf8_16bpp.so"/>
+                       <dep name="libxf8_32bpp.so"/>
+                       <dep name="libxtrap.so"/>
+                       <dep name="magellan_drv.so"/>
+                       <dep name="microtouch_drv.so"/>
+                       <dep name="mouse_drv.so"/>
+                       <dep name="msp3430_drv.so"/>
+                       <dep name="mutouch_drv.so"/>
+                       <dep name="palmax_drv.so"/>
+                       <dep name="penmount_drv.so"/>
+                       <dep name="s3_drv.so"/>
+                       <dep name="s3virge_drv.so"/>
+                       <dep name="savage_drv.so"/>
+                       <dep name="sisusb_drv.so"/>
+                       <dep name="spaceorb_drv.so"/>
+                       <dep name="summa_drv.so"/>
+                       <dep name="tda8425_drv.so"/>
+                       <dep name="tda9850_drv.so"/>
+                       <dep name="tda9885_drv.so"/>
+                       <dep name="tdfx_drv.so"/>
+                       <dep name="tek4957_drv.so"/>
+                       <dep name="trident_drv.so"/>
+                       <dep name="uda1380_drv.so"/>
+                       <dep name="ur98_drv.so"/>
+                       <dep name="v4l_drv.so"/>
+                       <dep name="vga_drv.so"/>
+                       <dep name="vnc.so"/>
+                       <dep name="void_drv.so"/>
+                       <dep name="xorg-x11-server" op="EQ" version="6.9.0" release="50.24"/>
+               </provides>
+               <requires>
+                       <dep name="xorg-x11-server-glx" pre="1"/>
+                       <dep name="/bin/rm" pre="1"/>
+                       <dep name="/bin/ln" pre="1"/>
+                       <dep name="/usr/bin/readlink" pre="1"/>
+                       <dep name="/bin/mv" pre="1"/>
+                       <dep name="/bin/cp" pre="1"/>
+                       <dep name="/bin/cat" pre="1"/>
+                       <dep name="/usr/bin/tr" pre=&